Prompt drop Package Body DML_GVM_ACCIONS_MITIGACIO;
DROP PACKAGE BODY GVM_ADM.DML_GVM_ACCIONS_MITIGACIO
/

Prompt Package Body DML_GVM_ACCIONS_MITIGACIO;
--
-- DML_GVM_ACCIONS_MITIGACIO  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_ACCIONS_MITIGACIO (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   CALCULAR_ESTADISTIQUES_MITIGACIO (Procedure)
--   CALCULAR_MITIGACIO_RESPONSABLE (Procedure)
--   CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT (Procedure)
--   GVM_ACCIONS_MITIGACIO (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   DUAL (Synonym)
--   DBMS_OUTPUT (Package)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_ACCIONS_MITIGACIO
IS
    PROCEDURE INS_GVM_ACCIONS_MITIGACIO (
        in_ID_ACCIO_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE,
        in_FK_ID_VULNERABILITAT       IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE,
        in_FK_ID_USUARI_RESPONSABLE   IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE,
        in_DATA_LIMIT_IMPLANTACIO     IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE,
        in_FK_ESTAT_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE,
        in_DATA_ALTA                  IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE,
        in_DATA_MODIFICACIO           IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE,
        in_FK_USUARI_ALTA             IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE,
        in_FK_USUARI_MODIFICACIO      IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE,
        in_DATA_BAIXA                 IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE,
        in_FK_USUARI_BAIXA            IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
        RSP                              OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
    IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_ACCIONS_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :=
               TO_CHAR (in_ID_ACCIO_MITIGACIO)
            || ','
            || TO_CHAR (in_FK_ID_VULNERABILITAT)
            || ','
            || TO_CHAR (in_FK_ID_USUARI_RESPONSABLE)
            || ','
            || TO_CHAR (in_DATA_LIMIT_IMPLANTACIO)
            || ','
            || TO_CHAR (in_FK_ESTAT_MITIGACIO)
            || ','
            || TO_CHAR (in_DATA_ALTA)
            || ','
            || TO_CHAR (in_DATA_MODIFICACIO)
            || ','
            || TO_CHAR (in_FK_USUARI_ALTA)
            || ','
            || TO_CHAR (in_FK_USUARI_MODIFICACIO)
            || ','
            || TO_CHAR (in_DATA_BAIXA)
            || ','
            || TO_CHAR (in_FK_USUARI_BAIXA);

 SYS.DBMS_OUTPUT.put_line ('pre insert');

        INSERT INTO GVM_ADM.GVM_ACCIONS_MITIGACIO (ID_ACCIO_MITIGACIO,
                                                   FK_ID_VULNERABILITAT,
                                                   FK_ID_USUARI_RESPONSABLE,
                                                   DATA_LIMIT_IMPLANTACIO,
                                                   FK_ESTAT_MITIGACIO,
                                                   DATA_ALTA,
                                                   DATA_MODIFICACIO,
                                                   FK_USUARI_ALTA,
                                                   FK_USUARI_MODIFICACIO,
                                                   DATA_BAIXA,
                                                   FK_USUARI_BAIXA)
             VALUES (in_ID_ACCIO_MITIGACIO,
                     in_FK_ID_VULNERABILITAT,
                     in_FK_ID_USUARI_RESPONSABLE,
                     in_DATA_LIMIT_IMPLANTACIO,
                     in_FK_ESTAT_MITIGACIO,
                     in_DATA_ALTA,
                     in_DATA_MODIFICACIO,
                     in_FK_USUARI_ALTA,
                     in_FK_USUARI_MODIFICACIO,
                     in_DATA_BAIXA,
                     in_FK_USUARI_BAIXA);

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

SYS.DBMS_OUTPUT.put_line ('post insert');
SYS.DBMS_OUTPUT.put_line ('pre log');

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);

SYS.DBMS_OUTPUT.put_line ('post log');                                      
                                      
SYS.DBMS_OUTPUT.put_line ('pre calcul1 log');

GVM_ADM.CALCULAR_ESTADISTIQUES_MITIGACIO (RSP);
SYS.DBMS_OUTPUT.put_line ('pre calcul2 log');     
GVM_ADM.CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT (RSP);
SYS.DBMS_OUTPUT.put_line ('pre calcul3 log');
GVM_ADM.CALCULAR_MITIGACIO_RESPONSABLE (RSP);    

SYS.DBMS_OUTPUT.put_line ('final log');                             
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

SYS.DBMS_OUTPUT.put_line ('excepcio pre log');

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
                                          
SYS.DBMS_OUTPUT.put_line ('excepcio post log');
                                          
    END INS_GVM_ACCIONS_MITIGACIO;

    PROCEDURE MERGE_GVM_ACCIONS_MITIGACIO (
        in_ID_ACCIO_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE,
        in_FK_ID_VULNERABILITAT       IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE,
        in_FK_ID_USUARI_RESPONSABLE   IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE,
        in_DATA_LIMIT_IMPLANTACIO     IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE,
        in_FK_ESTAT_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE,
        in_DATA_ALTA                  IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE,
        in_DATA_MODIFICACIO           IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE,
        in_FK_USUARI_ALTA             IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE,
        in_FK_USUARI_MODIFICACIO      IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE,
        in_DATA_BAIXA                 IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE,
        in_FK_USUARI_BAIXA            IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
        RSP                              OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
    IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
            RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_ACCIONS_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
    
        MERGE INTO GVM_ADM.GVM_ACCIONS_MITIGACIO A
             USING (SELECT in_ID_ACCIO_MITIGACIO
                               AS ID_ACCIO_MITIGACIO,
                           in_FK_ID_VULNERABILITAT
                               AS FK_ID_VULNERABILITAT,
                           in_FK_ID_USUARI_RESPONSABLE
                               AS FK_ID_USUARI_RESPONSABLE,
                           in_DATA_LIMIT_IMPLANTACIO
                               AS DATA_LIMIT_IMPLANTACIO,
                           in_FK_ESTAT_MITIGACIO
                               AS FK_ESTAT_MITIGACIO,
                           in_DATA_ALTA
                               AS DATA_ALTA,
                           in_DATA_MODIFICACIO
                               AS DATA_MODIFICACIO,
                           in_FK_USUARI_ALTA
                               AS FK_USUARI_ALTA,
                           in_FK_USUARI_MODIFICACIO
                               AS FK_USUARI_MODIFICACIO,
                           in_DATA_BAIXA
                               AS DATA_BAIXA,
                           in_FK_USUARI_BAIXA
                               AS FK_USUARI_BAIXA
                      FROM DUAL) B
                ON (A.ID_ACCIO_MITIGACIO = B.ID_ACCIO_MITIGACIO)
        WHEN NOT MATCHED
        THEN
            INSERT     (ID_ACCIO_MITIGACIO,
                        FK_ID_VULNERABILITAT,
                        FK_ID_USUARI_RESPONSABLE,
                        DATA_LIMIT_IMPLANTACIO,
                        FK_ESTAT_MITIGACIO,
                        DATA_ALTA,
                        DATA_MODIFICACIO,
                        FK_USUARI_ALTA,
                        FK_USUARI_MODIFICACIO,
                        DATA_BAIXA,
                        FK_USUARI_BAIXA)
                VALUES (in_ID_ACCIO_MITIGACIO,
                        in_FK_ID_VULNERABILITAT,
                        in_FK_ID_USUARI_RESPONSABLE,
                        in_DATA_LIMIT_IMPLANTACIO,
                        in_FK_ESTAT_MITIGACIO,
                        in_DATA_ALTA,
                        in_DATA_MODIFICACIO,
                        in_FK_USUARI_ALTA,
                        in_FK_USUARI_MODIFICACIO,
                        in_DATA_BAIXA,
                        in_FK_USUARI_BAIXA)
        WHEN MATCHED
        THEN
            UPDATE SET
                A.FK_ID_VULNERABILITAT = B.FK_ID_VULNERABILITAT,
                A.FK_ID_USUARI_RESPONSABLE = B.FK_ID_USUARI_RESPONSABLE,
                A.DATA_LIMIT_IMPLANTACIO = B.DATA_LIMIT_IMPLANTACIO,
                A.FK_ESTAT_MITIGACIO = B.FK_ESTAT_MITIGACIO,
                A.DATA_ALTA = B.DATA_ALTA,
                A.DATA_MODIFICACIO = B.DATA_MODIFICACIO,
                A.FK_USUARI_ALTA = B.FK_USUARI_ALTA,
                A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO,
                A.DATA_BAIXA = B.DATA_BAIXA,
                A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA;
                
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                      
        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;                                      
                                      
GVM_ADM.CALCULAR_ESTADISTIQUES_MITIGACIO (RSP);   
                                   GVM_ADM.CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT (RSP);
GVM_ADM.CALCULAR_MITIGACIO_RESPONSABLE (RSP);                                   
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
    END MERGE_GVM_ACCIONS_MITIGACIO;

    PROCEDURE UPD_GVM_ACCIONS_MITIGACIO (
        in_ID_ACCIO_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE,
        in_FK_ID_VULNERABILITAT       IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE,
        in_FK_ID_USUARI_RESPONSABLE   IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE,
        in_DATA_LIMIT_IMPLANTACIO     IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE,
        in_FK_ESTAT_MITIGACIO         IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE,
        in_DATA_ALTA                  IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE,
        in_DATA_MODIFICACIO           IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE,
        in_FK_USUARI_ALTA             IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE,
        in_FK_USUARI_MODIFICACIO      IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE,
        in_DATA_BAIXA                 IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE,
        in_FK_USUARI_BAIXA            IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
        RSP                              OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
    IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
    
            RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_ACCIONS_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        
        
        UPDATE GVM_ADM.GVM_ACCIONS_MITIGACIO
           SET FK_ID_VULNERABILITAT = in_FK_ID_VULNERABILITAT,
               FK_ID_USUARI_RESPONSABLE = in_FK_ID_USUARI_RESPONSABLE,
               DATA_LIMIT_IMPLANTACIO = in_DATA_LIMIT_IMPLANTACIO,
               FK_ESTAT_MITIGACIO = in_FK_ESTAT_MITIGACIO,
               DATA_ALTA = in_DATA_ALTA,
               DATA_MODIFICACIO = in_DATA_MODIFICACIO,
               FK_USUARI_ALTA = in_FK_USUARI_ALTA,
               FK_USUARI_MODIFICACIO = in_FK_USUARI_MODIFICACIO,
               DATA_BAIXA = in_DATA_BAIXA,
               FK_USUARI_BAIXA = in_FK_USUARI_BAIXA
         WHERE ID_ACCIO_MITIGACIO = in_ID_ACCIO_MITIGACIO;
                
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                      
        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;                                      
                                      
GVM_ADM.CALCULAR_ESTADISTIQUES_MITIGACIO (RSP);  
GVM_ADM.CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT (RSP);
GVM_ADM.CALCULAR_MITIGACIO_RESPONSABLE (RSP);                                    
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
    END UPD_GVM_ACCIONS_MITIGACIO;

    PROCEDURE DEL_GVM_ACCIONS_MITIGACIO (
        in_ID_ACCIO_MITIGACIO   IN     GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE,
        RSP                        OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
    IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
            RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_ACCIONS_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA:= to_char(in_ID_ACCIO_MITIGACIO);
    
      
        DELETE FROM GVM_ADM.GVM_ACCIONS_MITIGACIO
              WHERE ID_ACCIO_MITIGACIO = in_ID_ACCIO_MITIGACIO;

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
                
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                      
GVM_ADM.CALCULAR_ESTADISTIQUES_MITIGACIO (RSP);     
GVM_ADM.CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT (RSP);      
GVM_ADM.CALCULAR_MITIGACIO_RESPONSABLE (RSP);       
                    
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
    END DEL_GVM_ACCIONS_MITIGACIO;
END DML_GVM_ACCIONS_MITIGACIO;
/
SHOW ERRORS;