Prompt drop Package Body DML_GVM_AUDITORIA_POLITICA;
DROP PACKAGE BODY GVM_ADM.DML_GVM_AUDITORIA_POLITICA
/

Prompt Package Body DML_GVM_AUDITORIA_POLITICA;
--
-- DML_GVM_AUDITORIA_POLITICA  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_AUDITORIA_POLITICA (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY (Procedure)
--   GVM_AUDITORIA_POLITICA (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_AUDITORIA_POLITICA IS

  PROCEDURE INS_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_AUDITORIA_POLITICA';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :=
               TO_CHAR (in_ID_AUDITORIA_POLITICA)
            || ','
            || TO_CHAR (in_FK_ID_AUDITORIA)
            || ','
            || TO_CHAR (in_FK_ID_POLITICA)
            || ','
            || TO_CHAR (in_NUM_INCOMPLIMENTS)
            || ','
            || TO_CHAR (in_DATA_ALTA)
            || ','
            || TO_CHAR (in_DATA_MODIFICACIO)
            || ','
            || TO_CHAR (in_FK_USUARI_ALTA)
            || ','
            || TO_CHAR (in_FK_USUARI_MODIFICACIO)
            || ','
            || TO_CHAR (in_DATA_BAIXA)
            || ','
            || TO_CHAR (in_FK_USUARI_BAIXA)
            || ','
            || TO_CHAR (in_FK_ID_PROCES);            
  
    INSERT INTO GVM_ADM.GVM_AUDITORIA_POLITICA
      (
       ID_AUDITORIA_POLITICA
      ,FK_ID_AUDITORIA
      ,FK_ID_POLITICA
      ,NUM_INCOMPLIMENTS
      ,DATA_ALTA
      ,DATA_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_ALTA
      ,FK_USUARI_MODIFICACIO
      ,FK_USUARI_BAIXA
      ,FK_ID_PROCES
      )
    VALUES
      (
       in_ID_AUDITORIA_POLITICA
      ,in_FK_ID_AUDITORIA
      ,in_FK_ID_POLITICA
      ,in_NUM_INCOMPLIMENTS
      ,in_DATA_ALTA
      ,in_DATA_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA
      ,in_FK_ID_PROCES
      );
        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;   
                        
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY (RSP);                                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_AUDITORIA_POLITICA;

  PROCEDURE MERGE_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_AUDITORIA_POLITICA';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :=
               TO_CHAR (in_ID_AUDITORIA_POLITICA)
            || ','
            || TO_CHAR (in_FK_ID_AUDITORIA)
            || ','
            || TO_CHAR (in_FK_ID_POLITICA)
            || ','
            || TO_CHAR (in_NUM_INCOMPLIMENTS)
            || ','
            || TO_CHAR (in_DATA_ALTA)
            || ','
            || TO_CHAR (in_DATA_MODIFICACIO)
            || ','
            || TO_CHAR (in_FK_USUARI_ALTA)
            || ','
            || TO_CHAR (in_FK_USUARI_MODIFICACIO)
            || ','
            || TO_CHAR (in_DATA_BAIXA)
            || ','
            || TO_CHAR (in_FK_USUARI_BAIXA)
            || ','
            || TO_CHAR (in_FK_ID_PROCES);     
  
    MERGE INTO GVM_ADM.GVM_AUDITORIA_POLITICA A USING
      (SELECT
       in_ID_AUDITORIA_POLITICA as ID_AUDITORIA_POLITICA
      ,in_FK_ID_AUDITORIA as FK_ID_AUDITORIA
      ,in_FK_ID_POLITICA as FK_ID_POLITICA
      ,in_NUM_INCOMPLIMENTS as NUM_INCOMPLIMENTS
      ,in_DATA_ALTA as DATA_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      ,in_FK_ID_PROCES as FK_ID_PROCES
      FROM DUAL) B
    ON (A.ID_AUDITORIA_POLITICA= B.ID_AUDITORIA_POLITICA)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_AUDITORIA_POLITICA
      ,FK_ID_AUDITORIA
      ,FK_ID_POLITICA
      ,NUM_INCOMPLIMENTS
      ,DATA_ALTA
      ,DATA_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_ALTA
      ,FK_USUARI_MODIFICACIO
      ,FK_USUARI_BAIXA
      ,FK_ID_PROCES)
      VALUES
      (in_ID_AUDITORIA_POLITICA
      ,in_FK_ID_AUDITORIA
      ,in_FK_ID_POLITICA
      ,in_NUM_INCOMPLIMENTS
      ,in_DATA_ALTA
      ,in_DATA_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA
      ,in_FK_ID_PROCES)
    WHEN MATCHED THEN
      UPDATE SET
         A.FK_ID_AUDITORIA = B.FK_ID_AUDITORIA
        ,A.FK_ID_POLITICA = B.FK_ID_POLITICA
        ,A.NUM_INCOMPLIMENTS = B.NUM_INCOMPLIMENTS
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA
        ,A.FK_ID_PROCES = B.FK_ID_PROCES;
                
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY (RSP);                                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_AUDITORIA_POLITICA;

  PROCEDURE UPD_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_AUDITORIA_POLITICA';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :=
               TO_CHAR (in_ID_AUDITORIA_POLITICA)
            || ','
            || TO_CHAR (in_FK_ID_AUDITORIA)
            || ','
            || TO_CHAR (in_FK_ID_POLITICA)
            || ','
            || TO_CHAR (in_NUM_INCOMPLIMENTS)
            || ','
            || TO_CHAR (in_DATA_ALTA)
            || ','
            || TO_CHAR (in_DATA_MODIFICACIO)
            || ','
            || TO_CHAR (in_FK_USUARI_ALTA)
            || ','
            || TO_CHAR (in_FK_USUARI_MODIFICACIO)
            || ','
            || TO_CHAR (in_DATA_BAIXA)
            || ','
            || TO_CHAR (in_FK_USUARI_BAIXA)
            || ','
            || TO_CHAR (in_FK_ID_PROCES);     
  
    UPDATE GVM_ADM.GVM_AUDITORIA_POLITICA
    SET 
        FK_ID_AUDITORIA         = in_FK_ID_AUDITORIA
       ,FK_ID_POLITICA          = in_FK_ID_POLITICA
       ,NUM_INCOMPLIMENTS       = in_NUM_INCOMPLIMENTS
       ,DATA_ALTA               = in_DATA_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
       ,FK_ID_PROCES            = in_FK_ID_PROCES
    WHERE
        ID_AUDITORIA_POLITICA   = in_ID_AUDITORIA_POLITICA;

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;   
                
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY (RSP);                                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_AUDITORIA_POLITICA;

  PROCEDURE DEL_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_AUDITORIA_POLITICA';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :=
               TO_CHAR (in_ID_AUDITORIA_POLITICA);
  
    DELETE FROM GVM_ADM.GVM_AUDITORIA_POLITICA
    WHERE
        ID_AUDITORIA_POLITICA   = in_ID_AUDITORIA_POLITICA;
              l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;             
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                      

                                              
  GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY (RSP);                                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_AUDITORIA_POLITICA;

END DML_GVM_AUDITORIA_POLITICA;
/
SHOW ERRORS;