Prompt drop Package Body DML_GVM_ESTAT_MITIGACIO;
DROP PACKAGE BODY GVM_ADM.DML_GVM_ESTAT_MITIGACIO
/

Prompt Package Body DML_GVM_ESTAT_MITIGACIO;
--
-- DML_GVM_ESTAT_MITIGACIO  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_ESTAT_MITIGACIO (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_ESTAT_MITIGACIO (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_ESTAT_MITIGACIO IS

  PROCEDURE INS_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_ESTAT_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_ESTAT_MITIGACIO
      (
       ID_ESTAT_MITIGACIO
      ,NOM_MITIGACIO
      ,DESC_MITIGACIO_CAT
      ,DESC_MITIGACIO_CAST
      ,DESC_MITIGACIO_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      )
    VALUES
      (
       in_ID_ESTAT_MITIGACIO
      ,in_NOM_MITIGACIO
      ,in_DESC_MITIGACIO_CAT
      ,in_DESC_MITIGACIO_CAST
      ,in_DESC_MITIGACIO_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      );
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_ESTAT_MITIGACIO;

  PROCEDURE MERGE_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_ESTAT_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_ESTAT_MITIGACIO A USING
      (SELECT
       in_ID_ESTAT_MITIGACIO as ID_ESTAT_MITIGACIO
      ,in_NOM_MITIGACIO as NOM_MITIGACIO
      ,in_DESC_MITIGACIO_CAT as DESC_MITIGACIO_CAT
      ,in_DESC_MITIGACIO_CAST as DESC_MITIGACIO_CAST
      ,in_DESC_MITIGACIO_ANG as DESC_MITIGACIO_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      FROM DUAL) B
    ON (A.ID_ESTAT_MITIGACIO= B.ID_ESTAT_MITIGACIO)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_ESTAT_MITIGACIO
      ,NOM_MITIGACIO
      ,DESC_MITIGACIO_CAT
      ,DESC_MITIGACIO_CAST
      ,DESC_MITIGACIO_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA)
      VALUES
      (in_ID_ESTAT_MITIGACIO
      ,in_NOM_MITIGACIO
      ,in_DESC_MITIGACIO_CAT
      ,in_DESC_MITIGACIO_CAST
      ,in_DESC_MITIGACIO_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_MITIGACIO = B.NOM_MITIGACIO
        ,A.DESC_MITIGACIO_CAT = B.DESC_MITIGACIO_CAT
        ,A.DESC_MITIGACIO_CAST = B.DESC_MITIGACIO_CAST
        ,A.DESC_MITIGACIO_ANG = B.DESC_MITIGACIO_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_ESTAT_MITIGACIO;

  PROCEDURE UPD_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_ESTAT_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_ESTAT_MITIGACIO
    SET 
        NOM_MITIGACIO           = in_NOM_MITIGACIO
       ,DESC_MITIGACIO_CAT      = in_DESC_MITIGACIO_CAT
       ,DESC_MITIGACIO_CAST     = in_DESC_MITIGACIO_CAST
       ,DESC_MITIGACIO_ANG      = in_DESC_MITIGACIO_ANG
       ,DATA_ALTA               = in_DATA_ALTA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
    WHERE
        ID_ESTAT_MITIGACIO      = in_ID_ESTAT_MITIGACIO;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_ESTAT_MITIGACIO;

  PROCEDURE DEL_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_ESTAT_MITIGACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_ESTAT_MITIGACIO
    WHERE
        ID_ESTAT_MITIGACIO      = in_ID_ESTAT_MITIGACIO;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_ESTAT_MITIGACIO;

END DML_GVM_ESTAT_MITIGACIO;
/
SHOW ERRORS;