Prompt drop Package Body DML_GVM_MOSTREIG;
DROP PACKAGE BODY GVM_ADM.DML_GVM_MOSTREIG
/

Prompt Package Body DML_GVM_MOSTREIG;
--
-- DML_GVM_MOSTREIG  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_MOSTREIG (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_MOSTREIG (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_MOSTREIG IS

  PROCEDURE INS_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_MOSTREIG';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_MOSTREIG
      (
       ID_MOSTREIG
      ,NOM_MOSTREIG
      ,DESC_MOSTREIG_CAT
      ,DESC_MOSTREIG_CAST
      ,DESC_MOSTREIG_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,FK_ID_AUDITORIA_POLITICA
      ,RESULTAT_MOSTREIG
      )
    VALUES
      (
       in_ID_MOSTREIG
      ,in_NOM_MOSTREIG
      ,in_DESC_MOSTREIG_CAT
      ,in_DESC_MOSTREIG_CAST
      ,in_DESC_MOSTREIG_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_FK_ID_AUDITORIA_POLITICA
      ,in_RESULTAT_MOSTREIG
      );
                    l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;    
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_MOSTREIG;

  PROCEDURE MERGE_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_MOSTREIG';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_MOSTREIG A USING
      (SELECT
       in_ID_MOSTREIG as ID_MOSTREIG
      ,in_NOM_MOSTREIG as NOM_MOSTREIG
      ,in_DESC_MOSTREIG_CAT as DESC_MOSTREIG_CAT
      ,in_DESC_MOSTREIG_CAST as DESC_MOSTREIG_CAST
      ,in_DESC_MOSTREIG_ANG as DESC_MOSTREIG_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      ,in_FK_ID_AUDITORIA_POLITICA as FK_ID_AUDITORIA_POLITICA
      ,in_RESULTAT_MOSTREIG as RESULTAT_MOSTREIG
      FROM DUAL) B
    ON (A.ID_MOSTREIG= B.ID_MOSTREIG)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_MOSTREIG
      ,NOM_MOSTREIG
      ,DESC_MOSTREIG_CAT
      ,DESC_MOSTREIG_CAST
      ,DESC_MOSTREIG_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,FK_ID_AUDITORIA_POLITICA
      ,RESULTAT_MOSTREIG)
      VALUES
      (in_ID_MOSTREIG
      ,in_NOM_MOSTREIG
      ,in_DESC_MOSTREIG_CAT
      ,in_DESC_MOSTREIG_CAST
      ,in_DESC_MOSTREIG_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_FK_ID_AUDITORIA_POLITICA
      ,in_RESULTAT_MOSTREIG)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_MOSTREIG = B.NOM_MOSTREIG
        ,A.DESC_MOSTREIG_CAT = B.DESC_MOSTREIG_CAT
        ,A.DESC_MOSTREIG_CAST = B.DESC_MOSTREIG_CAST
        ,A.DESC_MOSTREIG_ANG = B.DESC_MOSTREIG_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA
        ,A.FK_ID_AUDITORIA_POLITICA = B.FK_ID_AUDITORIA_POLITICA
        ,A.RESULTAT_MOSTREIG = B.RESULTAT_MOSTREIG;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_MOSTREIG;

  PROCEDURE UPD_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_MOSTREIG';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_MOSTREIG
    SET 
        NOM_MOSTREIG               = in_NOM_MOSTREIG
       ,DESC_MOSTREIG_CAT          = in_DESC_MOSTREIG_CAT
       ,DESC_MOSTREIG_CAST         = in_DESC_MOSTREIG_CAST
       ,DESC_MOSTREIG_ANG          = in_DESC_MOSTREIG_ANG
       ,DATA_ALTA                  = in_DATA_ALTA
       ,FK_USUARI_ALTA             = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO           = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO      = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA                 = in_DATA_BAIXA
       ,FK_USUARI_BAIXA            = in_FK_USUARI_BAIXA
       ,FK_ID_AUDITORIA_POLITICA   = in_FK_ID_AUDITORIA_POLITICA
       ,RESULTAT_MOSTREIG          = in_RESULTAT_MOSTREIG
    WHERE
        ID_MOSTREIG                = in_ID_MOSTREIG;
                       l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE; 
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_MOSTREIG;

  PROCEDURE DEL_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_MOSTREIG';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_MOSTREIG
    WHERE
        ID_MOSTREIG                = in_ID_MOSTREIG;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_MOSTREIG;

END DML_GVM_MOSTREIG;
/
SHOW ERRORS;