Prompt drop Package Body DML_GVM_POLITIQUES_SEGURETAT;
DROP PACKAGE BODY GVM_ADM.DML_GVM_POLITIQUES_SEGURETAT
/

Prompt Package Body DML_GVM_POLITIQUES_SEGURETAT;
--
-- DML_GVM_POLITIQUES_SEGURETAT  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_POLITIQUES_SEGURETAT (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_POLITIQUES_SEGURETAT (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_POLITIQUES_SEGURETAT IS

  PROCEDURE INS_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_POLITIQUES_SEGURETAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT
      (
       ID_POLITICA
      ,NOM_POLITICA
      ,DESC_POLITICA_CAT
      ,DESC_POLITICA_CAST
      ,DESC_POLITICA_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,ANY_ALTA_POLITICA
      )
    VALUES
      (
       in_ID_POLITICA
      ,in_NOM_POLITICA
      ,in_DESC_POLITICA_CAT
      ,in_DESC_POLITICA_CAST
      ,in_DESC_POLITICA_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_ANY_ALTA_POLITICA
      );
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_POLITIQUES_SEGURETAT;

  PROCEDURE MERGE_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_POLITIQUES_SEGURETAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT A USING
      (SELECT
       in_ID_POLITICA as ID_POLITICA
      ,in_NOM_POLITICA as NOM_POLITICA
      ,in_DESC_POLITICA_CAT as DESC_POLITICA_CAT
      ,in_DESC_POLITICA_CAST as DESC_POLITICA_CAST
      ,in_DESC_POLITICA_ANG as DESC_POLITICA_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      ,in_ANY_ALTA_POLITICA as ANY_ALTA_POLITICA
      FROM DUAL) B
    ON (A.ID_POLITICA= B.ID_POLITICA)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_POLITICA
      ,NOM_POLITICA
      ,DESC_POLITICA_CAT
      ,DESC_POLITICA_CAST
      ,DESC_POLITICA_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,ANY_ALTA_POLITICA)
      VALUES
      (in_ID_POLITICA
      ,in_NOM_POLITICA
      ,in_DESC_POLITICA_CAT
      ,in_DESC_POLITICA_CAST
      ,in_DESC_POLITICA_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_ANY_ALTA_POLITICA)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_POLITICA = B.NOM_POLITICA
        ,A.DESC_POLITICA_CAT = B.DESC_POLITICA_CAT
        ,A.DESC_POLITICA_CAST = B.DESC_POLITICA_CAST
        ,A.DESC_POLITICA_ANG = B.DESC_POLITICA_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA
        ,A.ANY_ALTA_POLITICA = B.ANY_ALTA_POLITICA;
                      l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;  
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_POLITIQUES_SEGURETAT;

  PROCEDURE UPD_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_POLITIQUES_SEGURETAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_POLITIQUES_SEGURETAT
    SET 
        NOM_POLITICA            = in_NOM_POLITICA
       ,DESC_POLITICA_CAT       = in_DESC_POLITICA_CAT
       ,DESC_POLITICA_CAST      = in_DESC_POLITICA_CAST
       ,DESC_POLITICA_ANG       = in_DESC_POLITICA_ANG
       ,DATA_ALTA               = in_DATA_ALTA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
       ,ANY_ALTA_POLITICA       = in_ANY_ALTA_POLITICA
    WHERE
        ID_POLITICA             = in_ID_POLITICA;
                   l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;     
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_POLITIQUES_SEGURETAT;

  PROCEDURE DEL_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_POLITIQUES_SEGURETAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_POLITIQUES_SEGURETAT
    WHERE
        ID_POLITICA             = in_ID_POLITICA;
                     l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;   
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_POLITIQUES_SEGURETAT;

END DML_GVM_POLITIQUES_SEGURETAT;
/
SHOW ERRORS;