Prompt drop Package Body DML_GVM_SESSIONS_FORMACIO;
DROP PACKAGE BODY GVM_ADM.DML_GVM_SESSIONS_FORMACIO
/

Prompt Package Body DML_GVM_SESSIONS_FORMACIO;
--
-- DML_GVM_SESSIONS_FORMACIO  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_SESSIONS_FORMACIO (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIONS_FORMACIO (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_SESSIONS_FORMACIO IS

  PROCEDURE INS_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_SESSIONS_FORMACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_SESSIONS_FORMACIO
      (
       ID_SESSIO
      ,NOM_SESSIONS
      ,DESC_SESSIONS_CAT
      ,DESC_SESSIONS_CAST
      ,DESC_SESSIONS_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,TIPUS_SESSIO
      ,DATA_INICI
      ,DATA_FI
      ,DURACIO_TOTAL_HORES
      )
    VALUES
      (
       in_ID_SESSIO
      ,in_NOM_SESSIONS
      ,in_DESC_SESSIONS_CAT
      ,in_DESC_SESSIONS_CAST
      ,in_DESC_SESSIONS_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_TIPUS_SESSIO
      ,in_DATA_INICI
      ,in_DATA_FI
      ,in_DURACIO_TOTAL_HORES
      );
                      l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;  
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_SESSIONS_FORMACIO;

  PROCEDURE MERGE_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_SESSIONS_FORMACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_SESSIONS_FORMACIO A USING
      (SELECT
       in_ID_SESSIO as ID_SESSIO
      ,in_NOM_SESSIONS as NOM_SESSIONS
      ,in_DESC_SESSIONS_CAT as DESC_SESSIONS_CAT
      ,in_DESC_SESSIONS_CAST as DESC_SESSIONS_CAST
      ,in_DESC_SESSIONS_ANG as DESC_SESSIONS_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      ,in_TIPUS_SESSIO as TIPUS_SESSIO
      ,in_DATA_INICI as DATA_INICI
      ,in_DATA_FI as DATA_FI
      ,in_DURACIO_TOTAL_HORES as DURACIO_TOTAL_HORES
      FROM DUAL) B
    ON (A.ID_SESSIO= B.ID_SESSIO)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_SESSIO
      ,NOM_SESSIONS
      ,DESC_SESSIONS_CAT
      ,DESC_SESSIONS_CAST
      ,DESC_SESSIONS_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      ,TIPUS_SESSIO
      ,DATA_INICI
      ,DATA_FI
      ,DURACIO_TOTAL_HORES)
      VALUES
      (in_ID_SESSIO
      ,in_NOM_SESSIONS
      ,in_DESC_SESSIONS_CAT
      ,in_DESC_SESSIONS_CAST
      ,in_DESC_SESSIONS_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      ,in_TIPUS_SESSIO
      ,in_DATA_INICI
      ,in_DATA_FI
      ,in_DURACIO_TOTAL_HORES)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_SESSIONS = B.NOM_SESSIONS
        ,A.DESC_SESSIONS_CAT = B.DESC_SESSIONS_CAT
        ,A.DESC_SESSIONS_CAST = B.DESC_SESSIONS_CAST
        ,A.DESC_SESSIONS_ANG = B.DESC_SESSIONS_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA
        ,A.TIPUS_SESSIO = B.TIPUS_SESSIO
        ,A.DATA_INICI = B.DATA_INICI
        ,A.DATA_FI = B.DATA_FI
        ,A.DURACIO_TOTAL_HORES = B.DURACIO_TOTAL_HORES;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_SESSIONS_FORMACIO;

  PROCEDURE UPD_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_SESSIONS_FORMACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_SESSIONS_FORMACIO
    SET 
        NOM_SESSIONS            = in_NOM_SESSIONS
       ,DESC_SESSIONS_CAT       = in_DESC_SESSIONS_CAT
       ,DESC_SESSIONS_CAST      = in_DESC_SESSIONS_CAST
       ,DESC_SESSIONS_ANG       = in_DESC_SESSIONS_ANG
       ,DATA_ALTA               = in_DATA_ALTA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
       ,TIPUS_SESSIO            = in_TIPUS_SESSIO
       ,DATA_INICI              = in_DATA_INICI
       ,DATA_FI                 = in_DATA_FI
       ,DURACIO_TOTAL_HORES     = in_DURACIO_TOTAL_HORES
    WHERE
        ID_SESSIO               = in_ID_SESSIO;
                       l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE; 
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_SESSIONS_FORMACIO;

  PROCEDURE DEL_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_SESSIONS_FORMACIO';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_SESSIONS_FORMACIO
    WHERE
        ID_SESSIO               = in_ID_SESSIO;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_SESSIONS_FORMACIO;

END DML_GVM_SESSIONS_FORMACIO;
/
SHOW ERRORS;