Prompt drop Package Body DML_GVM_SESSIO_USUARI;
DROP PACKAGE BODY GVM_ADM.DML_GVM_SESSIO_USUARI
/

Prompt Package Body DML_GVM_SESSIO_USUARI;
--
-- DML_GVM_SESSIO_USUARI  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_SESSIO_USUARI (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   CALCULAR_ESTADISTIQUES_EMPRESA_OK (Procedure)
--   CALCULAR_ESTADISTIQUES_SESSIO (Procedure)
--   CALCULAR_INCOMPLIMENTS_USUARIS_ANY (Procedure)
--   CALCULAR_PERCENTATGE_SESSIONS_ANY (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIO_USUARI (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_SESSIO_USUARI IS

  PROCEDURE INS_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_SESSIO_USUARI';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_SESSIO_USUARI
      (
       ID_SESSIO_USUARI
      ,FK_ID_SESSIO
      ,FK_ID_USUARI
      ,NUM_INCOMPLIMENTS
      ,DATA_ALTA
      ,DATA_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_ALTA
      ,FK_USUARI_MODIFICACIO
      ,FK_USUARI_BAIXA
      ,ESTAT_SESSIO
      )
    VALUES
      (
       in_ID_SESSIO_USUARI
      ,in_FK_ID_SESSIO
      ,in_FK_ID_USUARI
      ,in_NUM_INCOMPLIMENTS
      ,in_DATA_ALTA
      ,in_DATA_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA
      ,in_ESTAT_SESSIO
      );
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
GVM_ADM.CALCULAR_INCOMPLIMENTS_USUARIS_ANY (RSP );   
                                   GVM_ADM.CALCULAR_ESTADISTIQUES_SESSIO (RSP);
   GVM_ADM.CALCULAR_ESTADISTIQUES_EMPRESA_OK (RSP);   
GVM_ADM.CALCULAR_PERCENTATGE_SESSIONS_ANY (RSP);                                       
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_SESSIO_USUARI;

  PROCEDURE MERGE_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_SESSIO_USUARI';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_SESSIO_USUARI A USING
      (SELECT
       in_ID_SESSIO_USUARI as ID_SESSIO_USUARI
      ,in_FK_ID_SESSIO as FK_ID_SESSIO
      ,in_FK_ID_USUARI as FK_ID_USUARI
      ,in_NUM_INCOMPLIMENTS as NUM_INCOMPLIMENTS
      ,in_DATA_ALTA as DATA_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      ,in_ESTAT_SESSIO as ESTAT_SESSIO
      FROM DUAL) B
    ON (A.ID_SESSIO_USUARI= B.ID_SESSIO_USUARI)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_SESSIO_USUARI
      ,FK_ID_SESSIO
      ,FK_ID_USUARI
      ,NUM_INCOMPLIMENTS
      ,DATA_ALTA
      ,DATA_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_ALTA
      ,FK_USUARI_MODIFICACIO
      ,FK_USUARI_BAIXA
      ,ESTAT_SESSIO)
      VALUES
      (in_ID_SESSIO_USUARI
      ,in_FK_ID_SESSIO
      ,in_FK_ID_USUARI
      ,in_NUM_INCOMPLIMENTS
      ,in_DATA_ALTA
      ,in_DATA_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_ALTA
      ,in_FK_USUARI_MODIFICACIO
      ,in_FK_USUARI_BAIXA
      ,in_ESTAT_SESSIO)
    WHEN MATCHED THEN
      UPDATE SET
         A.FK_ID_SESSIO = B.FK_ID_SESSIO
        ,A.FK_ID_USUARI = B.FK_ID_USUARI
        ,A.NUM_INCOMPLIMENTS = B.NUM_INCOMPLIMENTS
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA
        ,A.ESTAT_SESSIO = B.ESTAT_SESSIO;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
  GVM_ADM.CALCULAR_INCOMPLIMENTS_USUARIS_ANY (RSP );   
GVM_ADM.CALCULAR_ESTADISTIQUES_SESSIO (RSP);           
   GVM_ADM.CALCULAR_ESTADISTIQUES_EMPRESA_OK (RSP);    
GVM_ADM.CALCULAR_PERCENTATGE_SESSIONS_ANY (RSP);                             
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_SESSIO_USUARI;

  PROCEDURE UPD_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_SESSIO_USUARI';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_SESSIO_USUARI
    SET 
        FK_ID_SESSIO            = in_FK_ID_SESSIO
       ,FK_ID_USUARI            = in_FK_ID_USUARI
       ,NUM_INCOMPLIMENTS       = in_NUM_INCOMPLIMENTS
       ,DATA_ALTA               = in_DATA_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
       ,ESTAT_SESSIO            = in_ESTAT_SESSIO
    WHERE
        ID_SESSIO_USUARI        = in_ID_SESSIO_USUARI;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                      
  GVM_ADM.CALCULAR_INCOMPLIMENTS_USUARIS_ANY (RSP);   
GVM_ADM.CALCULAR_ESTADISTIQUES_SESSIO (RSP);           
   GVM_ADM.CALCULAR_ESTADISTIQUES_EMPRESA_OK (RSP);       
GVM_ADM.CALCULAR_PERCENTATGE_SESSIONS_ANY (RSP);                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_SESSIO_USUARI;

  PROCEDURE DEL_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_SESSIO_USUARI';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_SESSIO_USUARI
    WHERE
        ID_SESSIO_USUARI        = in_ID_SESSIO_USUARI;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
GVM_ADM.CALCULAR_INCOMPLIMENTS_USUARIS_ANY (RSP );        
GVM_ADM.CALCULAR_ESTADISTIQUES_SESSIO (RSP);
   GVM_ADM.CALCULAR_ESTADISTIQUES_EMPRESA_OK (RSP);    
    GVM_ADM.CALCULAR_PERCENTATGE_SESSIONS_ANY (RSP);   
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_SESSIO_USUARI;

END DML_GVM_SESSIO_USUARI;
/
SHOW ERRORS;