Prompt drop Package Body DML_GVM_TIPUS_CRITICITAT;
DROP PACKAGE BODY GVM_ADM.DML_GVM_TIPUS_CRITICITAT
/

Prompt Package Body DML_GVM_TIPUS_CRITICITAT;
--
-- DML_GVM_TIPUS_CRITICITAT  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_TIPUS_CRITICITAT (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_TIPUS_CRITICITAT (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_TIPUS_CRITICITAT IS

  PROCEDURE INS_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_TIPUS_CRITICITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_TIPUS_CRITICITAT
      (
       ID_TIPUS_CRITICITAT
      ,NOM_CRITICITAT
      ,DESC_CRITICITAT_CAT
      ,DESC_CRITICITAT_CAST
      ,DESC_CRITICITAT_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      )
    VALUES
      (
       in_ID_TIPUS_CRITICITAT
      ,in_NOM_CRITICITAT
      ,in_DESC_CRITICITAT_CAT
      ,in_DESC_CRITICITAT_CAST
      ,in_DESC_CRITICITAT_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      );
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_TIPUS_CRITICITAT;

  PROCEDURE MERGE_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_TIPUS_CRITICITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_TIPUS_CRITICITAT A USING
      (SELECT
       in_ID_TIPUS_CRITICITAT as ID_TIPUS_CRITICITAT
      ,in_NOM_CRITICITAT as NOM_CRITICITAT
      ,in_DESC_CRITICITAT_CAT as DESC_CRITICITAT_CAT
      ,in_DESC_CRITICITAT_CAST as DESC_CRITICITAT_CAST
      ,in_DESC_CRITICITAT_ANG as DESC_CRITICITAT_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      FROM DUAL) B
    ON (A.ID_TIPUS_CRITICITAT= B.ID_TIPUS_CRITICITAT)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_TIPUS_CRITICITAT
      ,NOM_CRITICITAT
      ,DESC_CRITICITAT_CAT
      ,DESC_CRITICITAT_CAST
      ,DESC_CRITICITAT_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA)
      VALUES
      (in_ID_TIPUS_CRITICITAT
      ,in_NOM_CRITICITAT
      ,in_DESC_CRITICITAT_CAT
      ,in_DESC_CRITICITAT_CAST
      ,in_DESC_CRITICITAT_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_CRITICITAT = B.NOM_CRITICITAT
        ,A.DESC_CRITICITAT_CAT = B.DESC_CRITICITAT_CAT
        ,A.DESC_CRITICITAT_CAST = B.DESC_CRITICITAT_CAST
        ,A.DESC_CRITICITAT_ANG = B.DESC_CRITICITAT_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA;
                       l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE; 
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_TIPUS_CRITICITAT;

  PROCEDURE UPD_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_TIPUS_CRITICITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_TIPUS_CRITICITAT
    SET 
        NOM_CRITICITAT          = in_NOM_CRITICITAT
       ,DESC_CRITICITAT_CAT     = in_DESC_CRITICITAT_CAT
       ,DESC_CRITICITAT_CAST    = in_DESC_CRITICITAT_CAST
       ,DESC_CRITICITAT_ANG     = in_DESC_CRITICITAT_ANG
       ,DATA_ALTA               = in_DATA_ALTA
       ,FK_USUARI_ALTA          = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO        = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO   = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA              = in_DATA_BAIXA
       ,FK_USUARI_BAIXA         = in_FK_USUARI_BAIXA
    WHERE
        ID_TIPUS_CRITICITAT     = in_ID_TIPUS_CRITICITAT;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_TIPUS_CRITICITAT;

  PROCEDURE DEL_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_TIPUS_CRITICITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_TIPUS_CRITICITAT
    WHERE
        ID_TIPUS_CRITICITAT     = in_ID_TIPUS_CRITICITAT;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_TIPUS_CRITICITAT;

END DML_GVM_TIPUS_CRITICITAT;
/
SHOW ERRORS;