Prompt drop Package DML_GVM_ACCIONS_MITIGACIO;
DROP PACKAGE GVM_ADM.DML_GVM_ACCIONS_MITIGACIO
/

Prompt Package DML_GVM_ACCIONS_MITIGACIO;
--
-- DML_GVM_ACCIONS_MITIGACIO  (Package) 
--
--  Dependencies: 
--   GVM_ACCIONS_MITIGACIO (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_ACCIONS_MITIGACIO IS

  PROCEDURE INS_GVM_ACCIONS_MITIGACIO
    (
     in_ID_ACCIO_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE
    ,in_FK_ID_VULNERABILITAT     IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE
    ,in_FK_ID_USUARI_RESPONSABLE IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE
    ,in_DATA_LIMIT_IMPLANTACIO   IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE
    ,in_FK_ESTAT_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_ACCIONS_MITIGACIO
    (
     in_ID_ACCIO_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE
    ,in_FK_ID_VULNERABILITAT     IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE
    ,in_FK_ID_USUARI_RESPONSABLE IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE
    ,in_DATA_LIMIT_IMPLANTACIO   IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE
    ,in_FK_ESTAT_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_ACCIONS_MITIGACIO
    (
     in_ID_ACCIO_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE
    ,in_FK_ID_VULNERABILITAT     IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_VULNERABILITAT%TYPE
    ,in_FK_ID_USUARI_RESPONSABLE IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ID_USUARI_RESPONSABLE%TYPE
    ,in_DATA_LIMIT_IMPLANTACIO   IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_LIMIT_IMPLANTACIO%TYPE
    ,in_FK_ESTAT_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_ESTAT_MITIGACIO%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_ACCIONS_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_ACCIONS_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_ACCIONS_MITIGACIO
    (
     in_ID_ACCIO_MITIGACIO       IN GVM_ADM.GVM_ACCIONS_MITIGACIO.ID_ACCIO_MITIGACIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_ACCIONS_MITIGACIO;
/
SHOW ERRORS;