Prompt drop Package DML_GVM_AUDITORIA_POLITICA;
DROP PACKAGE GVM_ADM.DML_GVM_AUDITORIA_POLITICA
/

Prompt Package DML_GVM_AUDITORIA_POLITICA;
--
-- DML_GVM_AUDITORIA_POLITICA  (Package) 
--
--  Dependencies: 
--   GVM_AUDITORIA_POLITICA (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_AUDITORIA_POLITICA IS

  PROCEDURE INS_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE
    ,in_FK_ID_AUDITORIA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_AUDITORIA%TYPE
    ,in_FK_ID_POLITICA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_POLITICA%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_AUDITORIA_POLITICA.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA_POLITICA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_PROCES          IN GVM_ADM.GVM_AUDITORIA_POLITICA.FK_ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_AUDITORIA_POLITICA
    (
     in_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_AUDITORIA_POLITICA;
/
SHOW ERRORS;