Prompt drop Package DML_GVM_POLITIQUES_SEGURETAT;
DROP PACKAGE GVM_ADM.DML_GVM_POLITIQUES_SEGURETAT
/

Prompt Package DML_GVM_POLITIQUES_SEGURETAT;
--
-- DML_GVM_POLITIQUES_SEGURETAT  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_POLITIQUES_SEGURETAT (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_POLITIQUES_SEGURETAT IS

  PROCEDURE INS_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE
    ,in_NOM_POLITICA          IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.NOM_POLITICA%TYPE
    ,in_DESC_POLITICA_CAT     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAT%TYPE
    ,in_DESC_POLITICA_CAST    IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_CAST%TYPE
    ,in_DESC_POLITICA_ANG     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DESC_POLITICA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.FK_USUARI_BAIXA%TYPE
    ,in_ANY_ALTA_POLITICA     IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ANY_ALTA_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_POLITIQUES_SEGURETAT
    (
     in_ID_POLITICA           IN GVM_ADM.GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_POLITIQUES_SEGURETAT;
/
SHOW ERRORS;