Prompt drop Package DML_GVM_PROCES;
DROP PACKAGE GVM_ADM.DML_GVM_PROCES
/

Prompt Package DML_GVM_PROCES;
--
-- DML_GVM_PROCES  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_PROCES (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_PROCES IS

  PROCEDURE INS_GVM_PROCES
    (
     in_ID_PROCES             IN GVM_ADM.GVM_PROCES.ID_PROCES%TYPE
    ,in_NOM_PROCES            IN GVM_ADM.GVM_PROCES.NOM_PROCES%TYPE
    ,in_DESC_PROCES_CAT       IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_PROCES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_PROCES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_PROCES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_PROCES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_PROCES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_PROCES.FK_USUARI_BAIXA%TYPE
    ,in_FK_TIPUS_PROCES       IN GVM_ADM.GVM_PROCES.FK_TIPUS_PROCES%TYPE
    ,in_DESC_PROCES_CAST      IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAST%TYPE
    ,in_DESC_PROCES_ANG       IN GVM_ADM.GVM_PROCES.DESC_PROCES_ANG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_PROCES
    (
     in_ID_PROCES             IN GVM_ADM.GVM_PROCES.ID_PROCES%TYPE
    ,in_NOM_PROCES            IN GVM_ADM.GVM_PROCES.NOM_PROCES%TYPE
    ,in_DESC_PROCES_CAT       IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_PROCES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_PROCES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_PROCES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_PROCES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_PROCES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_PROCES.FK_USUARI_BAIXA%TYPE
    ,in_FK_TIPUS_PROCES       IN GVM_ADM.GVM_PROCES.FK_TIPUS_PROCES%TYPE
    ,in_DESC_PROCES_CAST      IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAST%TYPE
    ,in_DESC_PROCES_ANG       IN GVM_ADM.GVM_PROCES.DESC_PROCES_ANG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_PROCES
    (
     in_ID_PROCES             IN GVM_ADM.GVM_PROCES.ID_PROCES%TYPE
    ,in_NOM_PROCES            IN GVM_ADM.GVM_PROCES.NOM_PROCES%TYPE
    ,in_DESC_PROCES_CAT       IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_PROCES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_PROCES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_PROCES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_PROCES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_PROCES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_PROCES.FK_USUARI_BAIXA%TYPE
    ,in_FK_TIPUS_PROCES       IN GVM_ADM.GVM_PROCES.FK_TIPUS_PROCES%TYPE
    ,in_DESC_PROCES_CAST      IN GVM_ADM.GVM_PROCES.DESC_PROCES_CAST%TYPE
    ,in_DESC_PROCES_ANG       IN GVM_ADM.GVM_PROCES.DESC_PROCES_ANG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_PROCES
    (
     in_ID_PROCES             IN GVM_ADM.GVM_PROCES.ID_PROCES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_PROCES;
/
SHOW ERRORS;