Prompt drop Package DML_GVM_SESSIONS_FORMACIO;
DROP PACKAGE GVM_ADM.DML_GVM_SESSIONS_FORMACIO
/

Prompt Package DML_GVM_SESSIONS_FORMACIO;
--
-- DML_GVM_SESSIONS_FORMACIO  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIONS_FORMACIO (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_SESSIONS_FORMACIO IS

  PROCEDURE INS_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE
    ,in_NOM_SESSIONS          IN GVM_ADM.GVM_SESSIONS_FORMACIO.NOM_SESSIONS%TYPE
    ,in_DESC_SESSIONS_CAT     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAT%TYPE
    ,in_DESC_SESSIONS_CAST    IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_CAST%TYPE
    ,in_DESC_SESSIONS_ANG     IN GVM_ADM.GVM_SESSIONS_FORMACIO.DESC_SESSIONS_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIONS_FORMACIO.FK_USUARI_BAIXA%TYPE
    ,in_TIPUS_SESSIO          IN GVM_ADM.GVM_SESSIONS_FORMACIO.TIPUS_SESSIO%TYPE
    ,in_DATA_INICI            IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_INICI%TYPE
    ,in_DATA_FI               IN GVM_ADM.GVM_SESSIONS_FORMACIO.DATA_FI%TYPE
    ,in_DURACIO_TOTAL_HORES   IN GVM_ADM.GVM_SESSIONS_FORMACIO.DURACIO_TOTAL_HORES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_SESSIONS_FORMACIO
    (
     in_ID_SESSIO             IN GVM_ADM.GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_SESSIONS_FORMACIO;
/
SHOW ERRORS;