Prompt drop Package DML_GVM_USUARIS;
DROP PACKAGE GVM_ADM.DML_GVM_USUARIS
/

Prompt Package DML_GVM_USUARIS;
--
-- DML_GVM_USUARIS  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_USUARIS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_USUARIS IS

  PROCEDURE INS_GVM_USUARIS
    (
     in_ID_USUARI             IN GVM_ADM.GVM_USUARIS.ID_USUARI%TYPE
    ,in_NOM                   IN GVM_ADM.GVM_USUARIS.NOM%TYPE
    ,in_PRIMER_COGNOM         IN GVM_ADM.GVM_USUARIS.PRIMER_COGNOM%TYPE
    ,in_SEGON_COGNOM          IN GVM_ADM.GVM_USUARIS.SEGON_COGNOM%TYPE
    ,in_TIPUS_DOCUMENT        IN GVM_ADM.GVM_USUARIS.TIPUS_DOCUMENT%TYPE
    ,in_CODI_DOCUMENT         IN GVM_ADM.GVM_USUARIS.CODI_DOCUMENT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_USUARIS.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_USUARIS.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_USUARIS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_USUARIS.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_USUARIS.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_USUARIS.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_USUARIS
    (
     in_ID_USUARI             IN GVM_ADM.GVM_USUARIS.ID_USUARI%TYPE
    ,in_NOM                   IN GVM_ADM.GVM_USUARIS.NOM%TYPE
    ,in_PRIMER_COGNOM         IN GVM_ADM.GVM_USUARIS.PRIMER_COGNOM%TYPE
    ,in_SEGON_COGNOM          IN GVM_ADM.GVM_USUARIS.SEGON_COGNOM%TYPE
    ,in_TIPUS_DOCUMENT        IN GVM_ADM.GVM_USUARIS.TIPUS_DOCUMENT%TYPE
    ,in_CODI_DOCUMENT         IN GVM_ADM.GVM_USUARIS.CODI_DOCUMENT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_USUARIS.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_USUARIS.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_USUARIS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_USUARIS.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_USUARIS.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_USUARIS.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_USUARIS
    (
     in_ID_USUARI             IN GVM_ADM.GVM_USUARIS.ID_USUARI%TYPE
    ,in_NOM                   IN GVM_ADM.GVM_USUARIS.NOM%TYPE
    ,in_PRIMER_COGNOM         IN GVM_ADM.GVM_USUARIS.PRIMER_COGNOM%TYPE
    ,in_SEGON_COGNOM          IN GVM_ADM.GVM_USUARIS.SEGON_COGNOM%TYPE
    ,in_TIPUS_DOCUMENT        IN GVM_ADM.GVM_USUARIS.TIPUS_DOCUMENT%TYPE
    ,in_CODI_DOCUMENT         IN GVM_ADM.GVM_USUARIS.CODI_DOCUMENT%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_USUARIS.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_USUARIS.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_USUARIS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_USUARIS.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_USUARIS.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_USUARIS.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_USUARIS
    (
     in_ID_USUARI             IN GVM_ADM.GVM_USUARIS.ID_USUARI%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_USUARIS;
/
SHOW ERRORS;