/*
Proces de clcul d'estadistiques per la CONSULTA 7: Donat un determinat departament de lempresa, i tenint en compte el moment dexecutar la consulta, percentatge dusuaris del departament que no han acabat totes les formacions de seguretat assignades.
*/
Prompt drop Procedure CALCULAR_ESTADISTIQUES_SESSIO;
DROP PROCEDURE GVM_ADM.CALCULAR_ESTADISTIQUES_SESSIO
/

Prompt Procedure CALCULAR_ESTADISTIQUES_SESSIO;
--
-- CALCULAR_ESTADISTIQUES_SESSIO  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_ESTADISTIQUES_SESSIONS (Table)
--   GVM_DEPARTAMENT_PERSONES (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIO_USUARI (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_estadistiques_sessio (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_estadistiques_sessio';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    DELETE FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS;

    --COMMIT;

    INSERT INTO GVM_CALCUL_ESTADISTIQUES_SESSIONS
        (SELECT FK_ID_DEPARTAMENT,
                total_persones_algo_ko,
                total_persones_departament,
                total_persones_algo_ko / total_persones_departament    percentage
           FROM (  SELECT FK_ID_DEPARTAMENT,
                          COUNT (*)     total_persones_algo_ko,
                          total_persones_departament
                     FROM (SELECT per.*,
                                  (SELECT COUNT (*)
                                     FROM GVM_DEPARTAMENT_PERSONES
                                    WHERE FK_ID_DEPARTAMENT =
                                          per.FK_ID_DEPARTAMENT)    total_persones_departament
                             FROM GVM_DEPARTAMENT_PERSONES per
                            WHERE per.fk_id_persona IN
                                      (SELECT fk_id_usuari
                                         FROM GVM_SESSIO_USUARI
                                        WHERE estat_sessio = 0))
                 GROUP BY FK_ID_DEPARTAMENT, total_persones_departament));



    --COMMIT;

    RSP := 'ok';


    RETURN;
        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);    
END;
/
SHOW ERRORS;