/*
Proces de clcul d'estadistiques per la CONSULTA 9: Tenint en compte totes les auditories externes realitzades, any en qual shan detectat ms incompliments (tenint en compte noms els detectats durant lauditoria).
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY;
--
-- CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_AUDITORIA (Table)
--   GVM_AUDITORIA_POLITICA (Table)
--   GVM_CALCUL_INCOMPLIMENTS_AUDITORIA (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_auditoria_any (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_auditoria_any';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    DELETE FROM GVM_CALCUL_INCOMPLIMENTS_AUDITORIA;

    --COMMIT;


INSERT INTO GVM_CALCUL_INCOMPLIMENTS_AUDITORIA
    (SELECT fk_id_auditoria, any_auditoria, num_incompliments
       FROM (  SELECT fk_id_auditoria,
                      any_auditoria,
                      SUM (num_incompliments)     num_incompliments
                 FROM (SELECT TO_NUMBER (TO_CHAR (aud.any_auditoria, 'YYYY'))
                                  any_auditoria,
                              pol.fk_id_auditoria,
                              pol.num_incompliments
                         FROM GVM_AUDITORIA aud, GVM_AUDITORIA_POLITICA pol
                        WHERE aud.id_auditoria = pol.fk_id_auditoria)
             GROUP BY fk_id_auditoria, any_auditoria) univers
      WHERE num_incompliments =
            (SELECT MAX (num_incompliments)
               FROM (  SELECT fk_id_auditoria,
                              any_auditoria,
                              SUM (num_incompliments)     num_incompliments
                         FROM (SELECT TO_NUMBER (
                                          TO_CHAR (aud.any_auditoria, 'YYYY'))
                                          any_auditoria,
                                      pol.fk_id_auditoria,
                                      pol.num_incompliments
                                 FROM GVM_AUDITORIA         aud,
                                      GVM_AUDITORIA_POLITICA pol
                                WHERE aud.id_auditoria = pol.fk_id_auditoria)
                     GROUP BY fk_id_auditoria, any_auditoria)));



    --COMMIT;

    RSP := 'ok';


 
        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
   RETURN;                                      
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);    
END;
/
SHOW ERRORS;