/*
Proces de clcul d'estadistiques per la CONSULTA 13: En el moment de fer la consulta, percentatge daccions de mitigaci en el sistema que estan en els estats en procs o en revisi.
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_AUDITORIA_POLITICA;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_AUDITORIA_POLITICA
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_AUDITORIA_POLITICA;
--
-- CALCULAR_INCOMPLIMENTS_AUDITORIA_POLITICA  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_ACCIONS_MITIGACIO (Table)
--   GVM_ACCIONS_MITIGACIO_SEQ (Sequence)
--   GVM_LOG_PROCEDIMENTS (Table)
--   DBMS_OUTPUT (Synonym)
--   DBMS_RANDOM (Synonym)
--   DUAL (Synonym)
--   DBMS_RANDOM (Package)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_AUDITORIA_POLITICA (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_AUDITORIA_POLITICA';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    --select * from GVM_AUDITORIA_POLITICA;

    FOR i IN 2 .. 1000
    LOOP
        --RSP:=i+1;

        DBMS_OUTPUT.put_line ('i: ' || i);

        --FOR x in 2..100 LOOP

        --DBMS_OUTPUT.put_line('x: ' || x);

        --SELECT dbms_random.value(1,100) into n FROM dual;
        --n := dbms_random.value(1,100);



        INSERT INTO GVM_ADM.GVM_ACCIONS_MITIGACIO (ID_ACCIO_MITIGACIO,
                                                   FK_ID_VULNERABILITAT,
                                                   FK_ID_USUARI_RESPONSABLE,
                                                   DATA_LIMIT_IMPLANTACIO,
                                                   FK_ESTAT_MITIGACIO,
                                                   DATA_ALTA,
                                                   FK_USUARI_ALTA)
                 VALUES (
                            GVM_ADM.GVM_ACCIONS_MITIGACIO_SEQ.NEXTVAL,
                            /* FK_ID_VULNERABILITAT */
                            i,
                            /* FK_ID_USUARI_RESPONSABLE */
                            (SELECT ROUND (DBMS_RANDOM.VALUE (1, 100))
                               FROM DUAL),
                            /* DATA_LIMIT_IMPLANTACIO */
                            (SELECT   TO_DATE ('01-01-2019', 'DD-MM-YYYY')
                                    + DBMS_RANDOM.VALUE (1, 1000)
                               FROM DUAL),
                            /* FK_ESTAT_MITIGACIO */
                            (SELECT ROUND (DBMS_RANDOM.VALUE (1, 4))
                               FROM DUAL),
                            /* DATA_ALTA */
                            SYSDATE,
                            /* FK_USUARI_ALTA */
                            1);
    --END LOOP;


    END LOOP;

    RSP := 'OK';

    --COMMIT;

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
                                          
    return;

    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);    
END;
/
SHOW ERRORS;