/*
Proces de clcul d'estadistiques per la CONSULTA 1: Departament que, en un any concret, t un nmero major dincompliments de seguretat registrats a la BD.
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_DEPARTAMENT;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_DEPARTAMENT
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_DEPARTAMENT;
--
-- CALCULAR_INCOMPLIMENTS_DEPARTAMENT  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_INCOMPLIMENTS_DEPART (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_POLITIQUES_DEPARTAMENT (Table)
--   GVM_POLITIQUES_SEGURETAT (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_departament (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_departament';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='NO APLICA';

    DELETE FROM GVM_CALCUL_INCOMPLIMENTS_DEPART;

    --COMMIT;
/*
    INSERT INTO GVM_CALCUL_INCOMPLIMENTS_DEPART
        (  SELECT FK_ID_DEPARTAMENT,
                  any_alta_politica,
                  COUNT (num_incompliments)     total
             FROM (SELECT po.FK_ID_DEPARTAMENT,
                          po.fk_id_politica,
                          se.any_alta_politica,
                          po.num_incompliments
                     FROM GVM_POLITIQUES_DEPARTAMENT po,
                          GVM_POLITIQUES_SEGURETAT  se
                    WHERE po.fk_id_politica = se.id_politica) --where fk_id_politica = 10
         GROUP BY FK_ID_DEPARTAMENT, any_alta_politica)
        ORDER BY total DESC;
*/

INSERT INTO GVM_CALCUL_INCOMPLIMENTS_DEPART
select FK_ID_DEPARTAMENT,any_alta_politica, total from
(
SELECT any_alta_politica ,FK_ID_DEPARTAMENT,total,
 MAX  ( total     )  OVER     ( PARTITION          BY   any_alta_politica                 )  AS   max_total
 FROM    ( SELECT       FK_ID_DEPARTAMENT                 ,
                  any_alta_politica                 ,
                  COUNT      ( num_incompliments                 )      total
             FROM     ( SELECT       po  . FK_ID_DEPARTAMENT                 ,
                          po  . fk_id_politica              ,
                          se  . any_alta_politica                 ,
                          po  . num_incompliments
                     FROM     GVM_POLITIQUES_DEPARTAMENT                           po  ,
                          GVM_POLITIQUES_SEGURETAT                          se
                    WHERE      po  . fk_id_politica               =  se  . id_politica           )
         GROUP      BY   FK_ID_DEPARTAMENT                 ,  any_alta_politica                 )  person
) where total = max_total
order by any_alta_politica DESC,total  DESC, FK_ID_DEPARTAMENT ASC;

    --COMMIT;

    RSP := 'ok';

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);

    RETURN;
    
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
END;
/
SHOW ERRORS;