/*
Proces de clcul d'estadistiques per la CONSULTA 6: Poltica de seguretat que, en el moment de fer la consulta, ha tingut ms incompliments (tenint en compte tots els departament de lempresa)
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_POLITICA;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_POLITICA
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_POLITICA;
--
-- CALCULAR_INCOMPLIMENTS_POLITICA  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_INCOMPLIMENTS_POLITICA (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_POLITIQUES_DEPARTAMENT (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_politica (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_politica';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='NO APLICA';

    DELETE FROM GVM_CALCUL_INCOMPLIMENTS_POLITICA;

    --COMMIT;

    INSERT INTO GVM_CALCUL_INCOMPLIMENTS_POLITICA
        (  SELECT * from (
select * from
(
SELECT FK_ID_POLITICA, SUM (num_incompliments) num_incompliments
             FROM GVM_POLITIQUES_DEPARTAMENT
         GROUP BY FK_ID_POLITICA
         )order by num_incompliments DESC) where rownum = 1);



    --COMMIT;

    RSP := 'ok';

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    RETURN;
    
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
END;
/
SHOW ERRORS;