/*
Proces de clcul d'estadistiques per la CONSULTA 2: Procs de gesti intern que, tenint en compte tota la informaci de que es disposa a la BD, ha tingut un major nombre de vulnerabilitats detectades.
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_PROCES;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_PROCES
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_PROCES;
--
-- CALCULAR_INCOMPLIMENTS_PROCES  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_INCOMPLIMENTS_PROCES (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_VULNERABILITATS (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_proces (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_proces';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    DELETE FROM GVM_CALCUL_INCOMPLIMENTS_PROCES;

    --COMMIT;
/*
    INSERT INTO GVM_CALCUL_INCOMPLIMENTS_PROCES
        SELECT proces, total
          FROM (  SELECT COUNT (fk_proces_origen)     total,
                         fk_proces_origen             proces
                    FROM GVM_VULNERABILITATS
                GROUP BY fk_proces_origen
                ORDER BY total DESC);
                */
INSERT INTO GVM_CALCUL_INCOMPLIMENTS_PROCES
  SELECT proces, total
          FROM (  SELECT COUNT (fk_proces_origen)     total,
                         fk_proces_origen             proces
                    FROM GVM_VULNERABILITATS
                GROUP BY fk_proces_origen
                ORDER BY total DESC)
                where total = ( SELECT MAX(total)
          FROM (  SELECT COUNT (fk_proces_origen)     total,
                         fk_proces_origen             proces
                    FROM GVM_VULNERABILITATS
                GROUP BY fk_proces_origen
                ORDER BY total DESC) );

    --COMMIT;

    RSP := 'ok';

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);

    RETURN;

    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);    
END;
/
SHOW ERRORS;