/*
Proces de clcul d'estadistiques per la CONSULTA 3: Top5 dusuaris per nmero dincompliments associats directament a ells, o al seu departament, durant lany en curs.
*/
Prompt drop Procedure CALCULAR_INCOMPLIMENTS_USUARIS_ANY;
DROP PROCEDURE GVM_ADM.CALCULAR_INCOMPLIMENTS_USUARIS_ANY
/

Prompt Procedure CALCULAR_INCOMPLIMENTS_USUARIS_ANY;
--
-- CALCULAR_INCOMPLIMENTS_USUARIS_ANY  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_INCOMPLIMENTS_USUARI (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIONS_FORMACIO (Table)
--   GVM_SESSIO_USUARI (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_incompliments_usuaris_any (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_incompliments_usuaris_any';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    DELETE FROM GVM_CALCUL_INCOMPLIMENTS_USUARI;

    --COMMIT;
/*
    INSERT INTO GVM_CALCUL_INCOMPLIMENTS_USUARI
        (  SELECT FK_ID_USUARI,
                  SUM (num_incompliments)     num_incompliments,
                  any_cerca
             FROM (SELECT ID_SESSIO_USUARI,
                          FK_ID_SESSIO,
                          FK_ID_USUARI,
                          EXTRACT (YEAR FROM data_inici)     any_cerca,
                          num_incompliments
                     FROM GVM_SESSIO_USUARI po, GVM_SESSIONS_FORMACIO se
                    WHERE po.FK_ID_SESSIO = se.ID_SESSIO--and data_inici >= to_date('01/01/2021','DD-MM-YYYY')
                                                        )
         GROUP BY FK_ID_USUARI, any_cerca);
*/

 INSERT INTO GVM_CALCUL_INCOMPLIMENTS_USUARI
( 
select FK_ID_USUARI,num_incompliments,any_cerca from
(
select univers.* 
,ROW_NUMBER ()
                     OVER (PARTITION BY any_cerca
                           ORDER BY num_incompliments DESC)    rn
from
(
 SELECT FK_ID_USUARI,
                  SUM (num_incompliments)     num_incompliments,
                  any_cerca
             FROM (SELECT ID_SESSIO_USUARI,
                          FK_ID_SESSIO,
                          FK_ID_USUARI,
                          EXTRACT (YEAR FROM data_inici)     any_cerca,
                          num_incompliments
                     FROM GVM_SESSIO_USUARI po, GVM_SESSIONS_FORMACIO se
                    WHERE po.FK_ID_SESSIO = se.ID_SESSIO--and data_inici >= to_date('01/01/2021','DD-MM-YYYY')
                                                        )
         GROUP BY FK_ID_USUARI, any_cerca
) univers
)
where rn <6 --and any_cerca = EXTRACT (YEAR FROM sysdate)
--ORDER BY any_cerca DESC, NUM_INCOMPLIMENTS DESC
);


    --COMMIT;

    RSP := 'ok';

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);

    RETURN;
    
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
END;
/
SHOW ERRORS;