/*
Proces de clcul d'estadistiques per la CONSULTA 11: Tenint en compte el darrer any (lanterior a lany en curs, que s quan sexecuta la consulta), ttol de la sessi formativa telemtica que ha tingut un percentatge menor de participants en total.
*/
Prompt drop Procedure CALCULAR_PERCENTATGE_SESSIONS_ANY;
DROP PROCEDURE GVM_ADM.CALCULAR_PERCENTATGE_SESSIONS_ANY
/

Prompt Procedure CALCULAR_PERCENTATGE_SESSIONS_ANY;
--
-- CALCULAR_PERCENTATGE_SESSIONS_ANY  (Procedure) 
--
--  Dependencies: 
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIONS_FORMACIO (Table)
--   GVM_SESSIO_USUARI (Table)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.calcular_percentatge_sessions_any (
    RSP   OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE)
IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
    BEGIN
        RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'calcular_percentatge_sessions_any';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';

    --total_critiques:=0;
    --total_critiques_mitigades:=0;

    DELETE FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY;

    --COMMIT;

/*
    INSERT INTO GVM_ADM.GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY
        (SELECT id_sessio,
                total_formacions_sessio,
                any_formacio,
                total_formacions_any,
                total_formacions_sessio / total_formacions_any
           FROM (SELECT usuari.FK_ID_SESSIO
                            id_sessio,
                        usuari.total
                            total_formacions_sessio,
                        TO_NUMBER (TO_CHAR (formacio.data_inici, 'YYYY'))
                            any_formacio,
                        (SELECT COUNT (*)
                           FROM GVM_SESSIONS_FORMACIO
                          WHERE TO_NUMBER (
                                    TO_CHAR (formacio.data_inici, 'YYYY')) =
                                TO_NUMBER (TO_CHAR (data_inici, 'YYYY')))
                            total_formacions_any
                   FROM (  SELECT FK_ID_SESSIO, COUNT (*) total
                             FROM GVM_SESSIO_USUARI
                         GROUP BY FK_ID_SESSIO) usuari,
                        GVM_SESSIONS_FORMACIO  formacio
                  WHERE usuari.FK_ID_SESSIO = formacio.id_sessio));
*/
    --COMMIT;

    INSERT INTO GVM_ADM.GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY
        (SELECT id_sessio,
       total_formacions_sessio,
       any_formacio,
       total_formacions_any,
       percentatge_formacions
  FROM (SELECT univers.*,
               ROW_NUMBER ()
                   OVER (PARTITION BY any_formacio
                         ORDER BY percentatge_formacions ASC)    rn
          FROM (SELECT id_sessio,
                       total_formacions_sessio,
                       any_formacio,
                       total_formacions_any,
                       total_formacions_sessio / total_formacions_any    percentatge_formacions
                  FROM (SELECT usuari.FK_ID_SESSIO
                                   id_sessio,
                               usuari.total
                                   total_formacions_sessio,
                               TO_NUMBER (
                                   TO_CHAR (formacio.data_inici, 'YYYY'))
                                   any_formacio,
                               (SELECT COUNT (*)
                                  FROM GVM_SESSIONS_FORMACIO
                                 WHERE TO_NUMBER (
                                           TO_CHAR (formacio.data_inici,
                                                    'YYYY')) =
                                       TO_NUMBER (
                                           TO_CHAR (data_inici, 'YYYY')))
                                   total_formacions_any
                          FROM (  SELECT FK_ID_SESSIO, COUNT (*) total
                                    FROM GVM_SESSIO_USUARI
                                GROUP BY FK_ID_SESSIO) usuari,
                               GVM_SESSIONS_FORMACIO  formacio
                         WHERE usuari.FK_ID_SESSIO = formacio.id_sessio))
               univers)
 WHERE rn = 1);   

    RSP := 'ok';

        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;

        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    RETURN;

    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);    
END;
/
SHOW ERRORS;