Prompt drop USER GVM_ADM;
DROP USER GVM_ADM CASCADE
/

Prompt User GVM_ADM;
--
-- GVM_ADM  (User) 
--
CREATE USER GVM_ADM
  IDENTIFIED BY <password>
  HTTP DIGEST DISABLE
  DEFAULT TABLESPACE GVM
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK
/

-- 10 System Privileges for GVM_ADM 
GRANT CREATE INDEXTYPE TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE MATERIALIZED VIEW TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE OPERATOR TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE PROCEDURE TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE SEQUENCE TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE SESSION TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE TABLE TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE TRIGGER TO GVM_ADM CONTAINER=ALL
/
GRANT CREATE VIEW TO GVM_ADM CONTAINER=ALL
/
GRANT UNLIMITED TABLESPACE TO GVM_ADM CONTAINER=ALL
/

-- 56 Object Privileges for GVM_ADM 
Prompt Privs on VIEW SYS.AUDIT_UNIFIED_ENABLED_POLICIES to GVM_ADM (Common);
GRANT SELECT ON SYS.AUDIT_UNIFIED_ENABLED_POLICIES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.AUDIT_UNIFIED_POLICIES to GVM_ADM (Common);
GRANT SELECT ON SYS.AUDIT_UNIFIED_POLICIES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.AUDIT_UNIFIED_POLICY_COMMENTS to GVM_ADM (Common);
GRANT SELECT ON SYS.AUDIT_UNIFIED_POLICY_COMMENTS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.CDB_FEATURE_USAGE_STATISTICS to GVM_ADM (Common);
GRANT SELECT ON SYS.CDB_FEATURE_USAGE_STATISTICS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_COL_PRIVS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_COL_PRIVS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_DATA_FILES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_DATA_FILES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_DIRECTORIES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_DIRECTORIES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_EDITION_COMMENTS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_EDITION_COMMENTS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_EDITIONS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_EDITIONS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_FLASHBACK_ARCHIVE to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_FLASHBACK_ARCHIVE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_FLASHBACK_ARCHIVE_TS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_FLASHBACK_ARCHIVE_TS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_FREE_SPACE to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_FREE_SPACE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_JAVA_POLICY to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_JAVA_POLICY TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_OBJECTS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_OBJECTS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_PROFILES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_PROFILES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_PROXIES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_PROXIES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_ROLE_PRIVS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_ROLE_PRIVS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_ROLES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_ROLES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_ROLLBACK_SEGS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_ROLLBACK_SEGS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_RSRC_CONSUMER_GROUP_PRIVS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_RSRC_CONSUMER_GROUP_PRIVS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_RSRC_CONSUMER_GROUPS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_RSRC_CONSUMER_GROUPS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_RSRC_PLAN_DIRECTIVES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_RSRC_PLAN_DIRECTIVES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_RSRC_PLANS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_RSRC_PLANS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SCHEDULER_JOB_CLASSES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SCHEDULER_JOB_CLASSES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SCHEDULER_WINDOW_GROUPS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SCHEDULER_WINDOW_GROUPS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SCHEDULER_WINDOWS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SCHEDULER_WINDOWS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SCHEDULER_WINGROUP_MEMBERS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SCHEDULER_WINGROUP_MEMBERS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SEGMENTS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SEGMENTS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SOURCE to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SOURCE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_SYS_PRIVS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_SYS_PRIVS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TABLESPACE_GROUPS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TABLESPACE_GROUPS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TABLESPACES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TABLESPACES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TAB_PRIVS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TAB_PRIVS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TEMP_FILES to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TEMP_FILES TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TRIGGERS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TRIGGERS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_TS_QUOTAS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_TS_QUOTAS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.DBA_USERS to GVM_ADM (Common);
GRANT SELECT ON SYS.DBA_USERS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.KU$_FILE_VIEW to GVM_ADM (Common);
GRANT SELECT ON SYS.KU$_FILE_VIEW TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.PRODUCT_COMPONENT_VERSION to GVM_ADM (Common);
GRANT SELECT ON SYS.PRODUCT_COMPONENT_VERSION TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$BLOCK_CHANGE_TRACKING to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$BLOCK_CHANGE_TRACKING TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$CONTAINERS to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$CONTAINERS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$CONTROLFILE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$CONTROLFILE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$DATABASE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$DATABASE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$INSTANCE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$INSTANCE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$LOG to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$LOG TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$LOGFILE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$LOGFILE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$OPTION to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$OPTION TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$PARAMETER to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$PARAMETER TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$PWFILE_USERS to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$PWFILE_USERS TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$ROLLSTAT to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$ROLLSTAT TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$SGAINFO to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$SGAINFO TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$STATISTICS_LEVEL to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$STATISTICS_LEVEL TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$TABLESPACE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$TABLESPACE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$TEMP_EXTENT_POOL to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$TEMP_EXTENT_POOL TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$TEMPFILE to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$TEMPFILE TO GVM_ADM CONTAINER=ALL
/
Prompt Privs on VIEW SYS.V_$TEMP_SPACE_HEADER to GVM_ADM (Common);
GRANT SELECT ON SYS.V_$TEMP_SPACE_HEADER TO GVM_ADM CONTAINER=ALL
/