/************************************************************
** Table: GVM_ADM.GVM_MOSTREIG
** Number of Records: 100
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.ID_USUARI%TYPE;
  v_FKIDAUDITORIAPOLITICA GVM_AUDITORIA_POLITICA.ID_AUDITORIA_POLITICA%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT ID_USUARI
      INTO v_FKUSUARIALTA
    FROM (
      SELECT ID_USUARI
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_USUARI
        INTO v_FKUSUARIALTA
      FROM (
        SELECT ID_USUARI
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

  PROCEDURE PRC_GVM_ADM_GVM_AUDITORIA_POLI IS
  BEGIN
  /*
    SELECT ID_AUDITORIA_POLITICA
      INTO v_FKIDAUDITORIAPOLITICA
    FROM (
      SELECT ID_AUDITORIA_POLITICA
      FROM GVM_ADM.GVM_AUDITORIA_POLITICA SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
	*/

SELECT ID_AUDITORIA_POLITICA
      INTO v_FKIDAUDITORIAPOLITICA FROM 
(  
SELECT  ID_AUDITORIA_POLITICA FROM 
    (
        SELECT  ID_AUDITORIA_POLITICA
      FROM GVM_ADM.GVM_AUDITORIA_POLITICA  
      where ID_AUDITORIA_POLITICA NOT IN (SELECT FK_ID_AUDITORIA_POLITICA FROM  GVM_ADM.GVM_MOSTREIG)       
      ORDER BY DBMS_RANDOM.VALUE
    ) where rownum = 1	
);		
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_AUDITORIA_POLITICA
        INTO v_FKIDAUDITORIAPOLITICA
      FROM (
        SELECT ID_AUDITORIA_POLITICA
        FROM GVM_ADM.GVM_AUDITORIA_POLITICA
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_AUDITORIA_POLI;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'BWDOynWmlNauFVokTkCknzLWUhnupQpwjgJyKxTEBsDxEYCltIeCLpcdRIjBcbJWkSzBYXAHwUpzA',
      'BvRYgeaYtbwLztgucZJDcNIiFGgJvNOGZo', 'AdIBrKjutJztNkgAECnaMxmQdmRNgxukJudECTiqlRQRGIOcaKheAb',
      'fpJteFwxZHOPPkhkUgbuVvkXHGClygODgKFYJJwTiygJXdtrisrVzLaejGuetknnEKkttMmGrtkDeDKEKLkGRaP',
      TO_DATE('11-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'SHBEZjuwkUyBFeYRZLPvyNDXSzTieIGyWknFRAxsDo',
      'jlJaAxYTMjsPpTqQcydthXWFsmDrOFonYXEHerPuGXbwFwhEDTAzIpyuxmdrBNjTbdtIpAWNOFdFDBZakaDsUGRhYifyld',
      'UFeJUhieOwNoJbcAXpkfzvbxLwIZYuwmCSgTRxoVhznAhrhupv', 'md', TO_DATE('23-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'TIoyIqNqGvjrBcHekiImpGAuRbmAPa', 'iucZdiuMRnXBAIHxJtXSReJAPIUnIPOJvFyCiEnFGKBQtqswTbQJtWjinPQZnggwJZfpSuzUPiWKwbCnLhdqehO',
      'SbvTPDRosGTYlaNS', 'DxaoOqKJSZyfyeQkdnZGSHwMnrxGw', TO_DATE('12-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'cYrihMjesrRxY', 'tkWoEADFuCnymfyYsXxRTAvRx',
      'nqWVEyESRevHpFUrtZrQXjkgHJDQ', 'sqFtBLZxovnzZeAYT', TO_DATE('11-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'rZFBVuLkfBEBBdqIAisbsDeCPWOaqnyifFGZThtzKCbnVJqYkZORUVdpVDdoRZdLimOrBSmBNtyuLrrWAsKMwIcjMmiFmay',
      'bjcMHlTyXSIZigcmrPfckvbFDurCwESjyERsKJdQbpAoN', 'BrvxVbWDHVizsWlQTsvFnqrCBheeIsrYKczDgIOBKDeQMNdunQKxsQpOfLDkLOIbwBJtSOzBvDQOo',
      'uRqhIBGbfSaqwDvCMGjmcne', TO_DATE('23-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'URSUMneDLoSLKRDNPjtWTIWokxvnFezFZUETGGdcTLVPgeTudz',
      'OLZCanfFSYAVukCZwqhBcrjzIBwgbMUlbmyWGZsSNQpqFWXXmBNiuNgZAZVmtvtuSdhkipRivTFwdqrxSqzQEieUfK',
      'SZVQkWVPquffiNQeoIHhUCfcOqopjhGLlfUrQsSTngDMGuYqNtnHLVygJFTKNjvHkweRjLiqK',
      'DHcLrZVT', TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'mVIOvUiADIdeYIxghTBgJrZSULnpgCCXfwiAgNcHgOGJXIEBsmZCHxbfHIYqTxEpTwMyVueYVuZLYmiHXcHUZHfmbFzWBOJ',
      'wFXfVNmDaCtQAAEfKvemRPAjOJMLjdKVmTcUElMqbddAjjug', 'PLguLTnOCxZgwnfIBnPsmVLSBzHUithGAFLUfuZEwagvqIJYcdgObMmGLyUHboJ',
      'VYYAHSmNdkOMSYRVYlNVLJASAFCgsFZDwuZngFwhEvldHujnxWomsXjyYdXDlonHRHeiSUnySHVKVOWZQkbRNVKqFlwCCw',
      TO_DATE('14-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'KYIhZpkTXLSoQBSTfCOfrgZueGhTmHcwpZcNonbIDldTGDEfzPXfCagQWflgwMsIYOHBalblfVvScqkFOAjRnQAziPXGBMfgtPJ',
      'eBvUPPonfsdsezIVnCRGuNRHFOPjVvYOTBIQQIyPYVlMrQGPjrNPBBwlUgHiuYpWLMUtLQaBAWPyycGdEKJIJCwcPdIkTzgK',
      'BGlDPFb', 'keclGE', TO_DATE('20-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'XsQBSknUQqLoYilcmDHuMbuXFTtdmLUkjt', 'zogMUbzipNfoDsrGoGCOrdColQMZAWWwUgphLumhaxKFn',
      'NCyIDRRGuuLoYKlAzuFWnYhtCyCkvmRDOtdtTKxSWvj', 'sHRfQyHAFGxIiINUpMe', TO_DATE('25-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'EeIZKJVASplmVXtojUmuXRBZCMwaagkbPNGiyLQCcDWrGXKKxVSqlKLcOVMRqoMvujXbWj',
      'OHuHhEpSKnVoIOKxZzTdikvXHLJHcAeuPnAsPtgAetZUUaEHzaXmq', 'bYstLDIjyCogMoPVmQufvvRLqnlgSXpvVZTfClaQucQiiMojwpiUHHcNAVdCDHRmHtLzVFsAGYjBaIjkrdmvW',
      'EFMMsfqRngZaFokacWIVgRXSbaQTqokwuqEENmpUFfRFfHtJzxf', TO_DATE('10-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ZImqvhYPgZegsHmNRcucmqayrnBJewTfIpftwqcLhYKmSGO',
      'xBsIgNFxoSVdieUgIpDyKopaJTOpNXZyIQhTEsigxuXWrNQDepGeoEBucduVDrsFcfVjHzMnCKYwjaDBAOoSxQfSfxoC',
      'nMJuiZILLCvcJWQrhQBFoyaRBNeUiDTtFhkWvNsFlBetpsoL', 'vTwKiufppYlWVzB', TO_DATE('22-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'CuBxeoDBMkbVEpeqtPXDXplMTwemyEPADtqvirhzMJGCnnjuKfAMjhCkyZGqIKpayrMFonKERPhEmHBuPThUHaEiAYdwIXx',
      'QyIFtKIjFNrMKsKwBULSZGxQeMJNeaXLGAVCaMZRWyiFnvEUQiHDiamlPSn', 'pyfUgpKBzhStfGxDdlUJKHMHjeArsDVKlBwXatRpHllosvBymJFsDvBDIZuIgdbplUrueuZKbDVNJsTozUIsfkneep',
      'NwvctkY', TO_DATE('04-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'XqRAKuFCLcODQTXqkhLNAaxSTObvBCjIzeriGNQogFlwMjc',
      'GXiFejCvunQcRIUZeoQRYRMFByidmBUBUExgkVYTcKjfZtw', 'xrbzqkkSettLlwMUQusKGNMXeOEr',
      'seUVCaafqDt', TO_DATE('21-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'mOqypCvOGwGsOsPBhyTbijPGcADVYpOLEdCsMRLMKcchVnjVGEkJBPKCnKMJLarflgawbqNiUjwFCKvHmMdJTvj',
      'iJRRNjKOwbBdWfmbkyDxVHOpdVHjwrnzJZLWbMbQnJFzgUcrMjvFidQgvbtkRRKAnFqRtBbUEXLGUSDBJV',
      'NaGYxBMrfYODhNpFrgaylDhxKnGMkqJEZRzcErQLlCcoUcTxxkKZJikMCaZGJtiuibdAZ', 'jKZWMqsaQpBkRphwUXCpkSvGvGeuy',
      TO_DATE('23-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'rSYStrRufYQFZnFmhbTgZnifeyb', 'peixNKxWsEDiZAnDlRDJxRtGiAKJaNDfElGnnJKKjlVMxrdLgXvasHgvcRSzPMwaNcFDebafQpeJprRTU',
      'SkbXFckOakrCXDIKBYFFKaUtHULLdHoWrvznEYkoGfiXFZnBJBcEmlEFneah', 'prWupoUuWNHPibihZ',
      TO_DATE('24-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'HWSpUNuaqZdfGwJzOcyff', 'PvNXirHEGxQoKIwbhUzGGqUtUoEANWO',
      'liaXGAWPQykJjkZxSYgiPhOgOnPhNTvoBoNiYLMpjtRvkjystDjlkuLTDPLUCLPBgqRvAvpUiatyvjD',
      'XZfigvxeVSamqlZvUzoQTjZDRhOxQfBjqrdMbtRcsOUJslIFlAiYNqEwsCKWxQwprDnzgwFoUjqLtiPC',
      TO_DATE('10-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'OfpCcEjimiHCWBPYhvXLWbQiCmadaIVpNUYzjRFvPQHlALTPuJTFGTMkIpTaSUcgemLlTJ',
      'ryWfVHtKAAXAIJQPWJWEyXp', 'crsux', 'UePEGyGbErWcBPkKxMmZnNEzeScaYbylfSEizsIYUsewFcsZYZTBbiFUPXFYIIQcpjGvMuqARxjwkJXeSkWDXZQKTrrByhX',
      TO_DATE('29-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'OYzAoYBzHbUlLCYCwueDYErEWHKfPBqopNvbbiwaNeLKGtKQnnPzn',
      'SQu', 'dmQuTbXQUtGBjyyPDYUkNYOFRmIfyaHRmezSFOZGMplTdxpFiJfSBSRotxiIpVKdzvVZfnMWGCurDdiwKtxP',
      'dAQxzlHkLHLe', TO_DATE('24-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'jLNOADHUrxrTyOEMmuVloGLDRDXMMtfBsMXXlPFupntwdrlUPWSVNhNVhTKRdpHcUxMDNcoSVuzdugCFjRBoLgH',
      'ytUYWqfIOCRampKjpTiiciuVYrNbtvihEYnWTVdpgoStFEarxRydSCWjPoFcawKOxBErxcvewyFHFuzPtKhKaYbUmUbCtsZgq',
      'AOjOchlZfbszjCWLIOCHKMseQelzixnZONFWVkkNzQsarAagximR', 'sOBerleiWwubvOefKEYqIJoPBJDWPTzqkVRyuVoLHDBZBsKRBbjaSNmZjfxIRemUNotLtUpyQeuQM',
      TO_DATE('14-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'PphaefvaeaSQpkTpTEIjSMLgWYUJfkbzlbMZxJaAiuHvDD',
      'nIfwFJYnwTnUyIyHHrPggJgD', 'BMevSxfzGvNwlOvIjufRNkw', 'LilKIXyqx', TO_DATE('06-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'jrgiGuLFqOZNqYwofYNKDngIWfPpbqbEsRwTDWSDFPQXsSXwLbRNyRAigffeZzPoRnVv',
      'znlbusaqayudIywZZrZxaruMLQMbkVBGPmuvPqtKItoVG', 'FsUDkfVZSkeSRYGccIVxEIOvOjwmChFXAiubdBoygVnCBUPmpMAVWekbPfoLlJfKAJmJBVyvlOTTjKQrsAcvxMKXwmQRqKvSq',
      'aLufnrZQAbdhY', TO_DATE('02-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'nnugCfxJJGZgskwmBjLotFMepGA', 'KRRmHKXzhTyJArfdyqVIvwoCydGSkQgWVOkXLcweZIjdOU',
      'otNQERBmjv', 'SoWzgKTnsByzcEcJdJToLZckaqapzipTxVktBqTjOjHOReNZViUODNcdteAwktsJJiCJWEmLFctPZsBYLpqgkycMLwChp',
      TO_DATE('07-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'kPWgntoCOMBALLJYeFfRBhrKGDrUlaswPJRgzFYnUSXpaGWJwspzJiLP',
      'hShuGtYbHJHJCmfVQshsKyQzqCOYdPfgjmI', 'fEvidXkOSWIaAjJDHMSE', 'shWBnKIIfUCpERfkHVHiFFGpLerACgxDYiHnPgLejAyEsTdRsHzXPWDJaMsrKOwC',
      TO_DATE('18-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'GeEyBpdZehkUVzwABYcLDMgOJakHGCgjfSTVrChsjwlTCZtUpxGAXH',
      'SizIDVntIyLmnwBxbpMZmNJAnpWuMCCZZUQZJaPvHGKYwCMLaLXfGVyMOjLTX', 'kmWqllgIOXylgpSUNENwZgwXJMtEYVUT',
      'gCTovVIXSFiBHQtlziwWhCiBJceiuC', TO_DATE('22-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'MjpeQzjX', 'RrUAPEGWpOXaWlJSlPgfGDuURgjwKWUJfhkCxUubKoJfjWQiCzLCCguqBOQpPeLdERN',
      'MkgcGSIdpKMweH', 'mxIocGKFtAHITFiIZlyHDilwYmLuDzZJiLPmVAKiDUSxkuanM', TO_DATE('08-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'BuQOuFfaXqXSfAhNBIMIYdogqmOJiRuYcjaASuEGbwBQtMTqWsLYaDotoyIiLVbPOgSfLzrGCvrrIxpDcXZXUVgCSSkeq',
      'xqNWRkxdJVPYNJHonySAWlvqqmFiIOYnsOT', 'MRzXAVRFSSna', 'GWPtsLCGhmFzmTKCMaZnxTJQ',
      TO_DATE('18-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'JPfnHbQWEDvgmtpjqvffmQrtwciEgWYXgzuntledKUfRaJdOHojnVuRWJAzBWkbtxeCjTsG',
      'nwiltSmmdjpKSuXYwuzHtSkgqfooxJrCeecFDlMOIrPqpoiJdZzsvQBFLAVvhbtAYhfhwPQWK',
      'nosiHXMluirTmBYGRzexwQXGXfpwpEjjGWbuhSxbnFVgtPDfOhOLePmzwPAVwyAVpUpmUQmSHHhCpqiiklInIsblgLqZSqlQPo',
      'fiCrznIRmJzNOsTbQiJbQcIObQKhvNBNuygKVumculeYRMdSJ', TO_DATE('04-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'asynImuOj', 'uIQJUABibdyEQHLOCmmZxhatLSfjPVVBujTHJXvoAjaKFZyepUgBWyiZcDxTvgOQVoYlemGvjkuGroMW',
      'dXuoqlAyCZfEcqxZcFbugQlsJePKoDuFFAROwkJTOcwtkUvxOBarsaiBjWPPRbXAbVPgUrzMQG',
      'LlWYBngRjOQntVoDeftCpwtnDpjIyoCAaLdZuBbGWkrKWUmqItrzfQqf', TO_DATE('16-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'cmrrDCXcMpucDGeUFGCzxCNzfTOqTcqsdyBdNNtkXDyHmqTfIIwbERXgyHMUShIDvvJvwuyHYnIaj',
      'bWAepRAdAL', 'WFMNJZXcKjcdNAtWBeIDxrlKDnloMvZkyXsZaoRlEaWiXurnpxSNKvMUqmoXafWemCFyvrLrWlVWEzWBk',
      'TGnVLqzFFwACFNTqYmOhWUwAQgPvFWFapEAxMGcObks', TO_DATE('29-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'MRahdmfOGPXetOtkMcTyslSEFJxBVWQdbEkgqkpncAAfqPkFMHlnrYWH',
      'TlNDEWKPsfhNLUAwmYKMJysOIiJbzBvWIpQSpiKhpqbcvLwAcgUgPIpXYgxKttdFxGQkBAcxqWjbAvLkKtzPkoqMudzeCXG',
      'BMvxSLBdcDzrvQEWaqYiD', 'zQwjiQcjQNPCXsMqCOWcqRJpnQ', TO_DATE('31-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'raghwYJknBGIgzduLHhzsFJgFzfXmQUpLvImDiFyOSojIrDIXdut',
      'PsYJdHJVgPPdJMsKCIRuVvpTbaONtOOHZEWSOZGmfsfFNleQewhGcZtSxpYrBLOKCnhhxOnGtuehJFHWODPVapvJsYgTAAdxPW',
      'ZFVFXUekAgEKlRpES', 'AOePSpPnSfkUzhScttvrNEqgYajBXxchhmmvnfCGiROKGtQpVKgVpBgdPO',
      TO_DATE('14-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'rnjbDsSerdVpuvjyaDRwrasyv', 'mzdlgPIpk', 'BGKvtFqJpCalImffmDMwXOyyOQLgJCUNcMZqacXtCEdnsOoNSucNUZoXMCuDMDFsGaNT',
      'GtrTuSEbAreOzlPsipVHrUaigarcnKaveTropkjqqcI', TO_DATE('15-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'uEvKQJWWgwuhNyPCfbFdKyTdUevdEfcnQqNzyHXsmNvoIvLKVoOWL',
      'lqAfcIlrLeXzPiPAWBAniQhCCilbcCXSPtBkfTszedCmzDpXqxSmoZjpbQEmTSScuuNeeLRybsXMgSWBCM',
      'pVfsZETADRMqdZeObKcFhpTSZMdsjuNdesGBpayaZjZapbQWgqyGYbSFbvFyiIrNMdAYJqDeLhFqcJBVQ',
      'IaxliWFdOWdCnCTD', TO_DATE('09-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'frbOAznbMebVnbYrYLkSCWBmVvECpKkGtCZjEBRaywSOFjUxAiOHKzTaMMBGEMAipKJdtQpal',
      'IZoOltPcmramYHALdPbevZfToELL', 'sSTmoWbWknKnzcYvBygHYreAfO', 'vqQtYegxzqyAcbd',
      TO_DATE('05-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'CAQuDQLhOzlZOoraFrlAGEmzflXvmgUufuUXSsScbRS',
      'BAewGeUQnYLZjpbzWXpkrYPCWKbx', 'rmAflOvzhdOOMnCqZdkeJJyqdNgDGiTyzDYaQZeReRtXflUmBvZaNQXYNOnqYmkzKNQhsMcnsNWvahnFiGDtOlSKHcprODGxvx',
      'sfDKxCdzlhgmPvtSdYlcugYzsaeBuWnRwEVRHfceblwiEgfkcwbszKJiCmZjPiKqqcqfexUGtoDNeNFfiylJjHAqQSkgaI',
      TO_DATE('12-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'SuMHVgOFheJMFSnFqsosnmhQodXuPhyPxYkOxsrdufzlrywmUOcZtrDYnZwLBkNgQFSrkmuZZXxbmMbxyamqYTau',
      'YbJWaZYLKEvlpkmtpgayOlXdJSBQcfJRTparYonuUQtkntmowZSpTSFDuhHwhTSejaOnNirq', 'yxzVVLaEINWTaNHMZzMnTqGiTwZcjQgxhEjabVQxRrbecFQmpbkDhcFoNzMGhUCAXKvEihvErqLCZFGkvFTU',
      'otwZBTSjeQzlotNVaCNXaHtaSnkcecpOxZCrqYpVWPxY', TO_DATE('03-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'amYPypyGeXFrzIjENQqSpCGXZEEIwmZQYzRUvYLrroPDoWVLIRtNDbxcstFTzZevOfq',
      'ilZ', 'BloSBgXKRaKiu', 'KwTxAlhdGbNTGvhYDIPYdsMdUfUUxbV', TO_DATE('05-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'tLvhfJsKVneOigMiXdxDiMaIFyEb', 'WwhGIrBcpnkgkMbTISHMIyghnSwkrkDqtocaAggZUHZvezLboCVorTjTQZJkcSXPgYgBc',
      'qcXJFUkX', 'KVScmygCKHkiCTPfmhsUxbgdXWhSwwDp', TO_DATE('25-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'icqQelfbvDSceirKBYuyebHXNgsaGiG', 'IxiRBAfkuseZdDxiViBmlbI',
      'sHxRzmkhnBYxcEmH', 'EKVeacX', TO_DATE('26-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'BRnTIvJMpgyraepEUFZUKHRXjhmcYBjGjTJyqoaBcHEpulTqfOrocbxLxCKeLJtiJmaFhYXvfJVvuDOkdxfijRYeKyVjBVz',
      'sAcLFVMvkclGJwVXYLNhSnSNyshnjklgThcikNmjNSqPyoTOLkTHOIeP', 'OXRieFCEsjGPQaFumJlIov',
      'MUjWeoVTXIGXcXpnnbIPJOFTGhFVezzKhLCsycGXzCIgiCgkCEZZrLqNdhLoaCdtvBmGelTloRAjpBmmBphaxuRJk',
      TO_DATE('18-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'oQujOcLhRbJJmWjHeGFChQtsXRbuLjLUDKiQuYnremZCid',
      'rCdxUHKunbCRBJ', 'eLHzTFuKCDpluOKUHRkXLoeGtFjwZHOemrOueGpqFtmuzfQaMHNjicUZPviGfxvaIXGfQvWwtCeKurklEkEJNYlANQmKsO',
      'icpGQkeyHxIIEcDrtKDrbTcwhMQVGEqwMcapSVwVXasIWcWVx', TO_DATE('09-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'kYSgLRcJaoBcCDYkgDLDHssCIrffRVxMNZqvYyakVaKEGPfeNmRkFUgbvMudKMKeCDPZpCOcQrgbudQcXHYdgI',
      'sjzDb', 'xvQqMOfgRitNbuilFGnVTkyYTNVQOghGpRfUKRlBaA', 'PhoKEsMvwkbCFbRuxgGEsYWDYoRpRGBdhYeWhrZpFVfBlLDKXfISLCcuJqV',
      TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'qsxSSHKOeEosnFsIYLdoufeiq', 'FoeDwMDxMfbJOegTHxUEUtNAzcXPpWrCye',
      'dqwuZgPUXMrlhCtnObgwCEeyekkuvQvrpBabbuiVVnmHwNUZjPeICOqGhBiDxLrYPjqPgBdONNnLwTAtgWU',
      'DlsHlGDSKEDrArWrohdnmptrvxeGgNmSbZmszziorNDNfZyDCNRJFLKJxkNSvRfxtFrGwdsJOHsZZijCsWLWGqftOuc',
      TO_DATE('25-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'JkFSgYqJZxJqkJACnnxrDdWUQimRFokvIxYdMKRVnSMAdStusmMpPzFBDDvtwOlHJNdaStKAaEFaeNFwjSLvbDbfgruSYQHPHbEs',
      'JwSr', 'VgCRyqsPNXEVOgpwQZkiIomjCBoOk', 'JKSVukTHWtgzuyeTgehbEdySVy', TO_DATE('07-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'NJ', 'YZywabbbHjSsWixlrGkuZiHJTqBqpYlxjuHNKKsDxFYPsJdXIyGKWnrLTmsiqzyHUQHKWFzdMmXvCqCeuoPiPTxaqEh',
      'bjkxQKkVKBiRApOIEPYILwnyxCcdFLkWpugqKAROtTMJcDzjXxQ', 'OfOStHJPTgdaUogvsKyAmdTLsobQYEmLEsuxbYpSwGMOmqFHZBWvCJHBkWzCAjChhmVZ',
      TO_DATE('17-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'QZemtMtCcEKKWxBDmHhmGoNgWXzKYKSsbpSlcuzTPefCBWGZFFDVBrhvgpPYNqtneGCityNlLWJCwiCm',
      'fDMtGroyVBwiqUbgvicgqeORvzhBFPcwvhzuDLSwXVSlaPSwV', 'KpeqycbpfIMAbtXGEvwFdRvZjpetHSfmOTUgyfJJKdJCsfGItDwOmjjUxCuqmnPoeloqwTMmQIREvbfNsxOVOvk',
      'GZpnwbIFBbwTvqaHRYWISJKsAEavMnoYVKSgVAozaevpBvkeAzQazYVulcxTea', TO_DATE('24-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'gkiDglr', 'OvqCJAftdPhijlhyukdtWWxGgvWCrwthBOZKGVmrMvgWTYvrhhZiiNcdhObPnbJjZhiFy',
      'kmDtwSqrHmWekNQ', 'kstQFCCBntYnhDtMjJbGNRGyjARnveIbdxkdCllMMXMKHnxxctUXRZBnQv',
      TO_DATE('09-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'eRElspGffgGgWFWMbYRmI', 'QxhdaeeUTWxUihwhMYYUmklfkyUNtohzftXrTGwonGpnfGseCAdCnbkuapwepyZFbdmIXmAUIc',
      'GCiQSiVdISmSQQBCsMJJAhsCmXHmizXfrMtILjjBALQaFKRkUMIPobNmpodsey', 'QgTXaIHQrmtRDVGjnhNYNYcIjvTIbUNfJHUVqznxkElNmOOXRLjjmbaxxdec',
      TO_DATE('29-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ebxP', 'VxqZyQhWBvxNJmhAiELdMEXbTZit', 'ETttCkiBwErkLhksFmIgISERdwQGYPBBgkkfZHCJGKKjyPmSEKgqSw',
      'CYQRZBmfqptgBGIqvAopUyVwZnMYGrqZuyAHErbTgROczyqrGZiebtJh', TO_DATE('23-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'WxbueYjhDsDJSHZmZWMRwadyfSPUckMPD', 'YrDbchhhOHSdapyJRmBYtMtaCIBDwYZBhhppEelBndbd',
      'ycByxsHxHbUKIepBBkKayWxbzxIoYmJfyPGSuFgXmSequMzRdYJvAnjoHPoaaMkpoCYkczJOyMamgRyORBrUSbuakDcydC',
      'dAImhkdiEZlJPGkzxidYetCeAXIsIFwEtFZOCqahDeYtZjfsQSAkPPfkOlyXTKyaaqwHiQkBoJoDPAb',
      TO_DATE('07-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'EwahVVFJJIWGJovTOPFZDJNtSkqRbMprRHhByJDttWiMfidcf',
      'nmVzHzlKnhjPjpupKFXFXCQrjNdBdaUZcSdzFtg', 'nTpTYxFXmsgdRseOjGdpIYSdweTLfKpBKA',
      'JZtVYJxynCMkceAHhPMtHfOAHILkZxcTkHnDbWZXnsvXkxjIvZgsPBrCqJIzNQxLjChknphtFHbqEv',
      TO_DATE('11-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'wJqEMB', 'TIYwdLUjgSuMMbSAWwSfciacHuiWWfaBbUljanxKuMGkCzRPzupgJOxgUaiswZvcYfczggJuqjvDzJlWVeoCj',
      'vNmmhegfMaEvaUCoCQxHiCCfeEiCNYECtWzNiDYCIdUowjNKqUFMTHyQQyAPlSKFqmSIT', 'wpLKGBnVhGLpElDqVXlkNCcRltKitntGNujYxhNhFpGZIlaspJfzkshRZywVQXCCNcoQMlLBRVbNUCBseAdTUtg',
      TO_DATE('29-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'YPkhGpQlycCBWZpfAlGOEqnXmwvnNggEanyiQrxlfjMgtEOTNMXTOpsNynfbNxFTLXCXGPyFQSZyyMzrmdoZZFTlnOZtsOfUNF',
      'FcErxRWakNbRwTPraxGTbwidycblTrNIlFmXyOHvVIjJSiESvhh', 'CikqOcxUFFZJeDyVjFIldWlf',
      'mHjHrYtZgzjZjMqLRgruxtzPW', TO_DATE('15-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'CuZgGFgACpQCPYuxUtLaaUDbAwxooXSsVYrCrSLcDnJVjxgplxrA',
      'UtQPDgybMU', 'uvGzoAWUdFPPCjrfaVkZMfpiUuNCrdaKlrvHw', 'SdseDBLeTlXJaAMpRIGLGYgUujDSBTNjBBajTzuLBOVsDLgjRWzETHnUdZbsouQnflDXtwCahNPX',
      TO_DATE('29-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'juTQWIbWiMQozPAKDRBbcNAbWUCHFyFYfoflgtlVbtlQTcczehTqqwwKVJkwyWTzVsMgVrGxpWRprCmYDzbTIerKLbyeKAqmXd',
      'rzknUTrXvSuNwJwbcsPTgBBsAmIMiglIOJJTStVEBcjPJMGiOSkWZvdFbI', 'iuDFbNDIupnFaFwsZUfMGfJvqHpOqN',
      'iXsGozgRRjEXe', TO_DATE('06-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'EtciqpEnNVkYnWeemhEIeiDrzEXVHZbjPJUtRdrNfVZAKYxFPIPy',
      'GAeCIbIDrbArlEmmYvVyZlQfzsFbtOLXOZTwTgpSQOTCUtjxJ', 'wqiNFuESGfbcOCUhcz', 'XNlFtiDHbSzXbejBSbfqLnXgSKonErRLchHcQPmXUfGv',
      TO_DATE('14-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ZETMNvVieJLhXgIsMNtagolSBcngHuRxRiaUKjpyIHuWpJYDtWOxtwpnBzjCTg',
      'OuVhWFVaSjJWiZTYEVvXXqNlaJwjOsMFzuvILQUrYRNMWRKomfFWlNfVnlsEFnbqFpNDdPAOTMGwnrytoXc',
      'uVnjqjRVuMMQuFXNtlrWFmzcYSvGbRFoKWRgJctzGGrQZZSsiDJbKuVyAfIlVxVJacYaHYivhaOpBqnjInmCWQd',
      'iIcsMPZvpHkgQEazVWZxvfpggfwKeTqdFgeeYywUSDHFvzSzZSHsyoEK', TO_DATE('22-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'GcgezaaxtqHwNbRknXMdRvNKcMOFUUySfytzbFBtAByriQXOnRXjWEslwdTu',
      'MlGonHYHKfkGstVpulRKDrkeTkWWTSZRfLkuTRmRzprYuJpObPH', 'Zh', 'ROEubfYTRGGxgtyNhelnJFHhLfLRmMLfLDELiKdNZwDs',
      TO_DATE('24-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'oErRfVJijjBJhTgHvqAhPDQTjloiDvn', 'CHivtwbPDfeTOySAZMyFCjYZkODbdpIfmgIBHDmLkCmNxLBwmOvxdhBKjuorFueoHztBvGGZMjnjmKZLsYcwbipPVRhI',
      'UKSiSdqAqbCDmHWftPOrWmojoeQacodPRWiqjtSIIBFwrIJJAWdHgiyDJ', 'ZUBQbusVOVnvUpDzOJVdcehXqmZmhdiYgESffSnJekdpB',
      TO_DATE('22-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'HKzqAnatAKQQacwniroyundAWtkCAeBCtgvUkBrKBjiBNsNHXeg',
      'VxxiLxrlDuKIBXkplNbCBjqswTYKlQZvwpfCiPreV', 'oEUlVOLAMyXumvVQTUCaFdoULKyuUUWGTwrjPPJuIMpOZhCwQMQZQqgsJmvlDXupZJFMsfiaoWQstlWBNQpzZSGfRHttimurdtsO',
      'GLWISRmTOARHbqLBzRXNRlS', TO_DATE('03-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'IPLUtbLXsWqPXr', 'liqBjeqVRJQPDVspOWVKCzkCfgOWWBndjiVlCqwpLnSKpRDxreauAvRliyeHEYYGWJvTVPgTwieehWLnccWKRfcnRalmrgKySRol',
      'LPJARbqHLIuNlWKNIlRttcISEHgVLBKvdBCaIEeMwsLpiPRyXWeUXv', 'MZLoDEgkuOwcoSRwIOlVMHCjJyXzBJwujeAzxJBFyzeGIZaokjSWHmNObkcNWlnSVphmHHQGvVBvYdfmOBzUoVVbHMs',
      TO_DATE('01-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'tkJDxQPgZZdyceWFqTOtqNYInGCFdYkQumIVYeJnqjVROUOYnPXfBWa',
      'juD', 'LWkmqhhwegRixAmSRofhTESvycNxnShyexsLJCGeHOpMfySHcbOtiVlLwzSUTeNqtSFCACgtvnnCw',
      'DlkwohwDAtiCRgCOjGcdWhSrLODcchQAydkCWKGSwimmtcnEWNybuDpZFEGMCeKTRjUPPxneqdWjAPWgcBWgOxYQFasjinVYId',
      TO_DATE('28-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'orWT', 'GqiVUUELzVZWSIsWbPWBTf', 'bUjjmsQUZtwqE',
      'qnJMyJXrhgDLchDocCgTFVlcwU', TO_DATE('18-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'QIjVrPJbDPwKIOdzwMobJZCgWRnJIlEHwlKudFlHiUaEcvIOOEjsFwbfzAjSizcWRMy',
      'ATOSKIbyAaNXhgBwviqpjKqeFqhOZCIbuLBzySuj', 'XQyUBqEJadiSZuiLJKUaRfjBSffGIqcZjRUrtREYpEAjtUkQoHFWPdKUy',
      'ArUcnDhTqkUYodTXJBqlyZpxxWrMjYYlDBSKEFAgJjRnEdaUWfphMlaZILJcxPXeqWZVXfrCpEu',
      TO_DATE('23-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'IPtslyrwaypJHAmLYQgLmgHpRFNizCzvHuEeWohfBScoXEbuF',
      'QboaxXwRuhlKYeQDaIqzvFTqAsez', 'OZrXQgFtvulNnOpjzubQVZYhzUHhPEzcUGRCUMTDjLqBdGenniRFEZUIEblWlEOWIwElRqTEqyGZIobI',
      'TfYCQlWteJxSRgoiKjgYPapSrZMaRRvypkQwV', TO_DATE('21-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'mNZDZRsBQdyVqkPiAJYFaeQwEgpYJyPfZonZLRSUVZxy',
      'VNeEeWMhYEWHrSJsVNxBVLnavactWvmKmTcOionqWWgMyLWpFqvLPwH', 'VGzgbnhKmOvfyCZwHTzKPyXUmqCrEsbtujGoaLhXKqnumcOFBfTbKqKHmrmBHqIxQCdMuRlBkxBcjKGRbZYGyvL',
      'sCYTUbWlJgVIQJNUIYLORITnSRIzJWeLXLRyXIxmPfqINESbfTFxotPWkCx', TO_DATE('22-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'JVgSfpjjyyOhngzydNChOa', 'ZxntAKRHIKmrzOzKHLTvBRoUkZLoWUcyGufnlfNRTbzEUSOUedgmwgHfofzUf',
      'DaI', 'bpgGmgvdlKlAgWepKAKMViqnNZpoVoJPcNGzFpVmcpheCrlLsToINleBiIAiMNPlJnIhTXpBPyZPMSScIxPWyz',
      TO_DATE('10-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ySYIbelDTCjOyaNGjXKlSfnyNiAvYRjSoWEvRYOtrOObCXcCghdvsDZQ',
      'CSzZKoXeUepYLmbouywCoFJYEhUXPdbBuQuShiYyTvHTxasUCDHzrYdriVokS', 'RljIcXAOmUfOqxhkaFjcQJZymfgggAEsWgqAziBTJLTwOwUZGUKLTzoiLflNroNhsgcuyBINizpeBjiI',
      'TbrAEtXpBp', TO_DATE('02-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'kHXwPBORVNHkGmuIkBUKRsildhVBCODvEbYXPdqCvjoppCdh',
      'hMLCFwLPBP', 'fpTsNuLiZRpCKqmpTv', 'kAjRTwiEMHCBpxdVEwcQGemCfyqqJoMNyERLroCCFRIwsedNBZazCB',
      TO_DATE('17-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'qctAVQHvyAOUcpguyBlGwLaFIV', 'KAakIOGJeAqEvugUZIyAHrSSTxUnKuEn',
      'wOEcWzSXDdstimiNxy', 'ZeOYTaJtcmlXRaG', TO_DATE('17-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'GbpKIBSDEPhwDzjj', 'qWRYGswjBXWUpKkimAcitUFqaBipBzQhtDWwSNowtgMIslysEYXEeZSeJfYnLcTEKFzzRlWM',
      'VrCWzTbyGWaXmzpDxPhLqpJVjjiJCMaqeXFqTCiQEJReIVrqVgqakKGPTSfophoEGvrALQyqFGVVcUKItqVkkMJ',
      'mDurMRMMxPsJIqJLTjgraIVImN', TO_DATE('28-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'kDaBzfOJLBNbWtHhzQwJvEeYqmXuriGPuGjPcMS',
      'lJDKkMtpHbwoYMpHhgIcbHEzTplizuYekgpSIDmPeiLGNLWcEwAUeElmmNwdUZ', 'STLLJMsRVvLjifHczDJzKpwhONICuKixkasIHTefZbfssvvyxtWCJGLEJiDbpapcUKKimAC',
      'agbrGzBNZbPlssNqBuxRUmEowpOFhHshZyMaiuKmHPeSjtJghTsgLsapPKgonbSItvCiVXRxRarDRCjMYmUhts',
      TO_DATE('07-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'FHsdBaZdyQTyFpbMNWGrUyEPZXMIUFcCEiFYllPxztubwpJxJnW',
      'vLSvVUxaamOvnmAT', 'aJHghZyiKnvTJnnPtPJCdCqMHSaDHeNYvemTtShRJmtiJIioXTzKSkrybdOmXHPLIKBptpfHxNt',
      'blHBvrkqstUKLilJBkpkxHWZrLeXyVsGJEBycXJf', TO_DATE('14-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'wejRIBIekAMJRiSFLGmzEogQSRdKmubJNYmXhpXsVSsxI',
      'ZAxoyzocvrDDSqbvWHfVIPbonJ', 'MOnSunhuBXcEGOjyMKDHIDoPqqRiGvxHmAuktEopBovJJaZeqcxaARrmQdMAzpOxHocP',
      'CuVrfPYfUWBaEKXCqkDWGLkTWxKCZCfJPPCCJMnAzMsukVl', TO_DATE('17-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'SLiOGkzzSagNPHTDzgvrplnoxXkmBzWEaVvauoBQCXFUcvcfaDsvxIYvhcRvNEOhyyNKAySrkhDlHwCsUNdWrvLnSTm',
      'xwECpxEI', 'ODFVNulSmGIxYnwlOpqNVjskNybHFnIEROFUfssEeLepNmlOPGCbZWFxYydlPy',
      'dAJfCLstEEDlIbNnfwYcDxCHRLEYrdIeURJwaYQZTGvFlaDhqPpiEzyqwpDyE', TO_DATE('20-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'cOFpeHfYQrnbqxhncMqlWWqrtYeaUGtlhgQjjDMbGWFxRmbOsUedmu',
      'WcWkRjNTZihIbZJyJEmyzOmtnIiFKbDnfIaOWjqfZoHprMRoPKfWCPmMr', 'UCrloFRdUKPNOuddjqz',
      'frnNswxwYlACDLkNzgdKQ', TO_DATE('04-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'xicvqIzTzpihHHqKwTHpqbQQ', 'fIohnXcLOcEOjMbcXJeNckyXttnjEdGjZw',
      'CSLpnzUVjTFo', 'GgcZIyEpCQJfyMyvFJCJUapCDzPNUdtljpsgKQBdGbMaNDqoNqtRaYcWGKABbadeX',
      TO_DATE('02-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'IdxPkOnKkHiqOXMfgWTzZcEfKGzZlAkCGYYhukfMsFNWITzgMfBRUKKBVVmbXWnVxlxhXwhOeRePdyserlswtBPJSDeS',
      'BvLUrstxnJzkrpMXiHWQIrROeVSFUjRfVVwtuWvowJEsBXibtpbGhqRM', 'lMsSvPRfcqKJZYJuvIBvzVXyBKOMiKpHhCZRSs',
      'xFIelCjSUqbz', TO_DATE('12-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'EyO', 'TrURFNHqKTrIbkzwwlzVCUXIrqTjPtTLLtcvrwIFrUSNpgttLxFSAWKpSyuvvyasuIzanlFZJmOtbT',
      'bflMTJBOMNxMlwdvKWwCltdpwmbiXYLGOxTsfnqpiKgBnrRPpvqlMsIyJisIWCnjti', 'mXVdGQoXLZGVMPVEZPbDTlnhYBpOdueNdokubB',
      TO_DATE('07-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'GELIoryjnRaaGfaljnLXwUpWTBcQExdWwLeglhRVTwhcegmhmGzmHCqfewSWErXCDKluZVtRhkvHcKGDPZe',
      'ygAQmyWqwyXkeuPBiYlAjlOHxEDvkVKzOGwKWkjaKOYSwKxTfZPpRnLJkDlfYiKOmjJlVEtBqeAw',
      'qmHsYLczeDWcOkbPdEuLJQfyCsHHCoUJlYtxJRkeRuUA', 'dBpHwHuNRWdGmIheRoNCFlwJfDkSAxJfJRILnUtmVtEhVvyWwTuGsfsfdHOqusRFxXpNBWOrDuhqGiMqWquXsdeUOrBMtOxUVVfT',
      TO_DATE('30-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'TWcsosBeLWOefGFgXyxYOtGKWhsHLawfCdjLqsVjTIErLbYokTzNHdJcwcjaOwarQmpFoRso',
      'ErHodpwbwcdeEmaWnIPxBEViLdbLzITeMghaPXEXmRYETzyoVvNIEqXHzEgSrVUmiQAkZRuPCH',
      'DnXkFfPX', 'SJqmEYuUTvlAilxpyRJBYZgm', TO_DATE('11-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'AYtpDESRwBZkUiFgYwmIzoLhiYtgTQsFsVekZIHyJCIkODUYiNLmGZjlUrhOvcdtOfiTHGTwophalwavPTlr',
      'TrccHDHEQBfJkyagIMsVaRiSoBjOHhJiLzzSGBFdzTibbKNQlScrHbmxGofOrxwyM', 'pHSbECdjQTaLuTGujpfPrCDPtTOCBaSFKfSvNbJUZnvZCXnvVaIVhghYwmk',
      'IbOfkXSOBixLdEQaWudMIzrbbI', TO_DATE('03-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'LCicDiHmItsSqbpkzYYuNmaupdIQfzovjbPOmwQLbdJnRTUrrgzzMJwwCfdREeafHTzQPLBebKEhYeSHNsbTuGjyZ',
      'FZskHWLnIGghFSCtzEqDtIzDWykZDHZSNtQsMyeEftunDMoqdrxekBlCocoNMAKpICgEHptuhcUHmbZIuOwjttjWSCnIcM',
      'BmeQdZUddYIpXigEOntqIRSbP', 'aBCLfmXGEpJRxwPsubFCmoWDKpfGIEGZspkmlAaSkehpQdBorPXzJKQvkeZOfUISxxdCVOEYGLKm',
      TO_DATE('15-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'keBDwoojCFlmWfdkyViqqwtNsREzLAIKIbAtVPWHnuGvUtOTVXPTUSfYrqxVLUJMn',
      'MsrAfZQANSMfbpzaQELuFAVOBSDFfZJaIIISjSLaBZsFZjJ', 'kuYDo', 'MVYIixikublbCbrpMozFFJCdJSVKPdfnIBLMMQwEyZf',
      TO_DATE('22-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ujEFdvsEjNXwuseYDToDdrpWixDgsRqUTxurcYStosHsDvsgjnLgAfZsEBTvAuxVWXhQsMMIHAkPxbAPZNWVFzwplJYbgYn',
      'eRAieNwWNgJxHwQbSqjsOesUlxsiKcNBXKVNPCvDNHxCAzoIKvgPKqUlIHqhCKonniA', 'McRrIbqRwCDdbbfrBZHGCuhuwMZrRQQlWGTvPTUJCnNthhyjY',
      'UTATaajGjDskvFgGfsWZbBpDKVOkfVmMrdjDeETvwtJoUosSGsKVLCPHLLkJsDvxcmsegQsXsArKttRhrCkBAjlZQjNtFfqr',
      TO_DATE('30-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'DHEncdGHNzaWPOwheRpspnViWLXnJsHcrzXYOVOVsSVaeGZJFYgzgfPuFUWxIqHavANTaishqBJDCJpHuXBUdldVqQ',
      'sjHbjprpQWnQtYercgLDxCHZHmrHkTGfUxvTMmdoLVpTyYBkxnWWzqKWWufZGOHTwIhnWFDC', 'jHVJdnIuehbJeDBzPQlEuzfztQvxBDKfAaiDtRFYHEsTswAVIwUHhddFbhFIPzzEMkdvOxkzBGyWjNBFUDPKNa',
      'zRIXugPQoZFrnOsCazlOtBJhCxsNOTJax', TO_DATE('26-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'WbPDqXupoydulvDWOuHKtuVVMmWxVLAOPgmQQYbJSnREA',
      'LGUSOCOMqoUdpRvyzwRtBaMQBCKhihutoCdxbTUbWMWYRLFfE', 'QnNZpahadTIIvqfpphUQWYXRKLytwDuoiwPGNQYrgITtZGbtkIYKqhoTMPttJ',
      'fZgGIgjXJ', TO_DATE('23-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ypXRnjahowNtqmsGuTiIeVUvSDQsksrANeRfGczpnGsujUabXOOipZ',
      'xLeKXQDQuZJwhgCQMUmXDmSWnsrVAgZYAyMlmQCKcBQaFzAMVGtXYkwGxMHxtYCLBIXWmDxvVfcndVUjdG',
      'LUcSqdbGVRTUdCOKXAjNMXIUVMylEdJVbAIVgolzvIESPNofmjpaVouTUZjXTDyC', 'ZFPnvwCbzYxqwzLmeatftxcrjCydIabgvnQMncmjEFQGlZVBCcGwmgNbQgYWWcloaJmtSmQYdjOABzgatZNdfHNdHSdV',
      TO_DATE('24-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'ccYloXNgvlYjXkpoesoJEgNjLwrLFZrDykbmBNOUVaHenMAUtdJTRhHtz',
      'esUJZeNwbrjfbwFDZpFLuISpxJMVyNwrrhrEoDiunahcxqcJXnhFyugeMGEXRuUvUdnDtDoitJGGCyltqJtZTbKbOVCTwSA',
      'ElqpUuVFpQBmuWzIuVariPayKEAGiNgeywPauhMWIbiZgRqTFcTEvYTvWSsvUaRXONfCZCLfsLIKqCGcPLgwAnvYuGGmmDWEYJEV',
      'VGSxRUjAFFRxuGmZtqIomdYDfMPqOiFznPvXlBAeViSyEZBXArkuRuvcz', TO_DATE('22-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'DuXdGP', 'meWmBTkniaRFvktgesvUIjpYrKgrlzcgwanxloagkCkwkiMQDwRHOglWOnMxgcSKsmPxMkRdwvEVVzrdPzZIQATwuFNeZz',
      'vSqHBUmKdGrFNZONJQMbCiQfE', 'kcZUYxSmpkoogkGctDMISyHJHUFfhKYifmYUhKkRyBazfSpDyPZGxSiknXfqpVoPveacfNSeeuvaWWZdvEkrJSDwwWEC',
      TO_DATE('16-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'SmhRifsKzseEwQrgQydyouInJijsYoajDWmaaw', 'eLxtglPEpDortmzxThTd',
      'KdWGAYyrisYrBgYESUlIGwHFHamWmdYBjtXwyOMnlmKrmCASdkgUIYmPDBKAVZyBhblbntzVuzeYzOjL',
      'oVChQvdntQHUDIhhhDDHRltXcyq', TO_DATE('20-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'hQhEuHNKwharwQTNFxzCVheFEdyAEtVwOAixJpznNdXePRFOWIVeakgQDjQmWHiRCRNC',
      'HZtfrdGqDnnStBERJkiPmSqpWEVmHwwalRBkhlixZqsPbGVkfsDVXpVWBhxpYFWVuzVSpZXMOkao',
      'asTACccagyVhKGnBgjxpPiGmOawvboFMKhGIqqCQFhIvlWuFyQRtWNPrJuhHmMRcA', 'zIyqcqCcZFZKkgHhyEVvcavJOyNUIOgjtSMhxxCUfxJRHcrddDwVGsSAWFA',
      TO_DATE('28-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'NblFOdgcNSRdAsTiGwpxZeMogcpYvWQFgEbGagdnrjZVjooSecFhvVzjgLjOAVjzDFztJBSNSMeyTClJQaSncYaxHDwcCLlx',
      'aABXgGhDNSzyFRk', 'LOCnOCKVSpcScmuoIeTIJCpBGiHWLJFMuo', 'EkNsMPYJcPGzwHFtuWiROrbrZInicXKzWyauJrQUwfhhrnosZKVZOIWFvGodyYcfHLoAgyqsqtSjTMTOsLX',
      TO_DATE('28-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'QRIohLIDZXvzadMPhKRZLtWjuOoxPxsnbNExuNUNRckigUnmKmPCNnJEaMCKblouqQY',
      'sNaYNhjzlVDSzPDhnyIhAGSxmMXgeyeoKzEhLTuJZQqEdlRhyiAQbBaQfkeujJEUocYgJsGgYnIpisCnqmzdoKiGpnDFsdrLXYQ',
      'XFWQHEbzsuoBRfVsXpkcGXMsYZxUxcGPxcbVAIlwnBlkLgwxAtBxkyoFHIYDsMOPZGfBDmVTbAuMpyKOYnyyYbnblUy',
      'jXxhWDPGrFqyvtUHoPJqODSenliNLwOZSbTRCIEIJsRrJbKwURDXNiiSzjggFDXFyRm', TO_DATE('17-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'WrXKiBtvrrhVaCvfBXlBpBJHzWbBVMVGpbHInfBFNlvFvUNEyiDdlDkeLdwDHbdlySdickWCEEJXBWdEQotlvbqujVHJKWEL',
      'psHtPhUQdluEAVYnISHIcGBuyLxrkOVyOqWbyeqPCln', 'DseRQybDBRWFVFxpnBNrgGswLXdZjJrNOuSGUjAjCN',
      'YcOWlHklP', TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'LFCkwKRfzBNHGmBgcCIFOovbSkPeqflzqghpM', 'LhmFdaX',
      'tBCGHEJpUUvQklfpDEyxCYkMTGzcukEfjUFULPuBBmhyzpXfWfGb', 'wwvlHGmiLBsaeyEDmcIPfyJUMQnPwkLAxHtfBhGmYw',
      TO_DATE('30-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'pkSeoqLDECRBiNJnwtMMYcyjEtSmkXiXjrqBYzstbnFiEvIIOLwJYYFAuHsrygqYxmUE',
      'GjJuhzEYNSvocSSjFCmrinjwCTIDeKYCQtP', 'tYnCqgXCXvCgosDoSciwztZOpsGtZhVGiQxhNNMqDkKVuBaEwYRlSjqqMIUURZkSHvatbhKdqCjS',
      'ZTOiuPlIussSddtgMuctOJnhbWMCqaWIsPegcIcwiYtHFPQSWFeBTi', TO_DATE('17-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'MrzEMGwKApsmsMvbAXwmQPmqYdShGZXvbmMsHDldHIwgXXlpSlyCTykEtpwIDJfrvfBEMkMmPCeNKgU',
      'KPnPcqdQPOb', 'tQD', 'uIpEKyMgzlRbPsVQNDKyuxJnFfmoUEegZjXtOXhajNzGFfZhBlcwZmjaoFxRSOZIChNFAuSYlevgVfLEYTcYdYJQwAI',
      TO_DATE('23-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      1
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'nXswAFgWGByOGesEvBhJWSY', 'RBzGxzFOOFIibaxiigjevzvFLqqeGzEZqvjybWHVDcGW',
      'noetVAB', 'qocHcozVOHZLROxnGRcqDYMqQZtWJM', TO_DATE('07-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_AUDITORIA_POLI;

  INSERT INTO GVM_ADM.GVM_MOSTREIG (
      ID_MOSTREIG, NOM_MOSTREIG, DESC_MOSTREIG_CAT, DESC_MOSTREIG_CAST, DESC_MOSTREIG_ANG,
      DATA_ALTA, FK_USUARI_ALTA, FK_ID_AUDITORIA_POLITICA, RESULTAT_MOSTREIG
  ) VALUES (
      GVM_ADM.GVM_MOSTREIG_SEQ.NextVal, 'puMFciCZvfsWYUpCBdsVzfHiXZhDAsJKebelsoIHCbvvOrJyRnegC',
      'XdLvRjCWGoexQauQqTfsqCnbFsJsaoDiFDrJpGPIyZxnTpkkoGXkjVXROUChbZ', 'pfArmlucHhjGucmwetSlDAhABalkkBodxKFYZvZopAzu',
      'XGCcJRbeVyhimXbt', TO_DATE('07-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKIDAUDITORIAPOLITICA,
      0
  );

END;
/

COMMIT;
/



