/*
Crea un espai de taules anomenat GVM_ADM lligat a un fitxer de dades anomenat tfg.dat
amb una grandària inicial de 10 MB, si existeix el fitxer, el reutilitza i s'ampliarà automàticament cada 10MB fins a un màxim de 500MB
*/
CREATE TABLESPACE GVM_ADM
DATAFILE GVM_ADM.dat'
SIZE 10M
REUSE
AUTOEXTEND ON NEXT 10M MAXSIZE 500M;
/*
Crea un usuari GVM_ADM amb contrasenya admin que treballarà a l'espai de taules  permanent GVM_ADM i el seu espai de taules temporal serà TEMP
*/
CREATE USER GVM_ADM
IDENTIFIED BY admin
DEFAULT TABLESPACE GVM_ADM
TEMPORARY TABLESPACE TEMP;
/*Permet que es connecti a la base de dades*/
GRANT CREATE SESSION TO GVM_ADM;
/*Permet que creiï taules al seu esquema*/
GRANT CREATE TABLE TO GVM_ADM;
/*Permet que creiï procediments al seu esquema*/
GRANT CREATE PROCEDURE TO GVM_ADM;
/*Permet que creiï esdeveniments al seu esquema*/
GRANT CREATE TRIGGER TO GVM_ADM;
/*Permet que creiï vistes al seu esquema*/
GRANT CREATE VIEW TO GVM_ADM;
/*Permet que creiï vistes materialitzades al seu esquema*/
GRANT CREATE MATERIALIZED VIEW TO GVM_ADM;
/*Permet que creiï sequències de nombres enters generats automàticament*/
GRANT CREATE SEQUENCE TO GVM_ADM;
/*Permet que creiï rutines que gestionen índexos*/
GRANT CREATE INDEXTYPE TO GVM_ADM;
/*Treu les seves limitacions d'espai en el seu espai de taules*/
GRANT UNLIMITED TABLESPACE TO GVM_ADM;
/*Permet crear operadors que fan referències a indextypes, consultes SQL o
sentències DML*/
GRANT CREATE OPERATOR TO GVM_ADM;
