


/************************************************************
** Table: GVM_ADM.GVM_DEPARTAMENT_PERSONES
** Number of Records: 5000
************************************************************/

DECLARE
  v_FKIDDEPARTAMENT GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE;
  v_FKIDPERSONA GVM_USUARIS.ID_USUARI%TYPE;


 /* Formatted on 08/05/2022 16:53:45 (QP5 v5.362) */
PROCEDURE PRC_GVM_ADM_GVM_DEPARTAMENT
IS
BEGIN
    /*
      SELECT FK_ID_DEPARTAMENT
        INTO v_FKIDDEPARTAMENT
      FROM (
        SELECT FK_ID_DEPARTAMENT
        FROM GVM_ADM.GVM_DEPARTAMENT SAMPLE(1)
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
    */
    SELECT ID_DEPARTAMENT
      INTO v_FKIDDEPARTAMENT
      FROM (SELECT ID_DEPARTAMENT
              FROM (  SELECT DISTINCT
                             ID_DEPARTAMENT, FK_ID_DEPARTAMENT, FK_ID_PERSONA
                        FROM GVM_ADM.GVM_DEPARTAMENT,
                             GVM_ADM.GVM_DEPARTAMENT_PERSONES
                       WHERE     ID_DEPARTAMENT = FK_ID_DEPARTAMENT(+)
                             AND (   FK_ID_DEPARTAMENT IS NULL
                                  OR FK_ID_DEPARTAMENT NOT IN
                                         (SELECT FK_ID_DEPARTAMENT
                                            FROM GVM_ADM.GVM_DEPARTAMENT_PERSONES
                                           WHERE FK_ID_PERSONA = v_FKIDPERSONA))
                    ORDER BY DBMS_RANDOM.VALUE)
             WHERE ROWNUM = 1);
EXCEPTION
    WHEN NO_DATA_FOUND
    THEN
        SELECT ID_DEPARTAMENT
          INTO v_FKIDDEPARTAMENT
          FROM (  SELECT ID_DEPARTAMENT
                    FROM GVM_ADM.GVM_DEPARTAMENT
                ORDER BY DBMS_RANDOM.VALUE)
         WHERE ROWNUM = 1;
END PRC_GVM_ADM_GVM_DEPARTAMENT;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
   SELECT ID_USUARI
      INTO v_FKIDPERSONA
    FROM (
      SELECT ID_USUARI
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1) 
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_USUARI
        INTO v_FKIDPERSONA
      FROM (
        SELECT ID_USUARI
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-07-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-07-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-04-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-02-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-07-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-12-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-07-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-07-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-07-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-04-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-07-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-07-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-07-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-07-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-07-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-04-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-09-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-05-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-06-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-07-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-12-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-01-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-07-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-04-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-04-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-02-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-09-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-11-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-06-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-10-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2043', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-10-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-09-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-04-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-11-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-12-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-08-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-06-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-07-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-12-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-01-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-07-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2004', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-03-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2058', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-12-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2060', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-07-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-01-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-12-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-01-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-10-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-05-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-04-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-03-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-08-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-11-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-08-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1908', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-08-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-05-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-05-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-07-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-12-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-02-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-02-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-05-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2050', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-09-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-1946', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-04-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-04-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-12-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-07-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-03-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-11-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-05-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-11-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-03-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-08-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-06-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-10-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-05-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-09-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-2041', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-10-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2027', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-11-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-09-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-10-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-05-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2048', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-07-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-10-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-10-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-12-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2079', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-08-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-12-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2001', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-07-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-04-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-09-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-01-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-2068', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-07-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-12-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-11-2077', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1962', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-02-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-11-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1914', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-08-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-12-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2098', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-12-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-12-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-07-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-10-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-12-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2062', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-11-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-07-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-2081', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-04-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-03-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-2040', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-2087', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-07-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-12-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-03-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-06-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-12-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-05-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-02-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-10-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-12-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-11-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-1996', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-11-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-07-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-04-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-08-2066', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-02-2005', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-08-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-02-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-01-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2009', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-12-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1961', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-01-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-01-1903', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-12-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-04-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2073', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-02-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-05-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-04-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-01-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-10-2094', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-1920', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-09-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-03-2056', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-03-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-2029', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-1987', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-07-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-02-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-09-2036', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-1992', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-07-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-09-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-09-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-10-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-1906', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-08-1934', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-02-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-05-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-1938', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-09-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-06-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2054', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-01-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1972', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-03-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-1930', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-11-1963', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-07-2030', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-11-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-01-1998', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-06-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-06-2000', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-03-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-03-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-04-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-03-1977', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-06-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-12-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-12-2020', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-06-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-01-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2022', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-06-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-04-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-10-1991', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-03-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-04-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-06-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-01-2026', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-10-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-03-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-08-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-09-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-06-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-05-2063', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-08-2044', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-03-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-05-1982', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-11-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1913', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-10-2047', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-09-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-02-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-05-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-06-2015', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-07-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-10-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-02-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-1951', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-05-1909', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-05-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-04-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-12-2096', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1945', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-08-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-01-2059', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-02-2018', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-10-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-12-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-2035', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2061', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-05-2070', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-07-1940', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-07-1959', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-02-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-11-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-09-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-10-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-01-1975', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-11-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-01-1954', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-01-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-10-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-08-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-08-2053', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-07-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-10-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-04-2072', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-12-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-09-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-11-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-06-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1960', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-1988', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-09-2032', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-06-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-03-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-01-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1944', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-07-2008', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-04-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-11-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1910', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-03-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1995', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-04-2076', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-11-1980', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2024', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-06-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-07-2088', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-08-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-06-2064', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-12-2006', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2014', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-01-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-01-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-08-1981', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-06-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-08-2052', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-08-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-07-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1953', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1957', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-06-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-02-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-11-1917', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-02-2007', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2083', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-06-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-2049', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-02-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-09-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-07-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1967', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-03-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-01-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-10-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-06-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-1989', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-05-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-03-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-02-1973', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-03-1966', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-04-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-05-1918', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-08-2019', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-12-1900', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-03-2031', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-10-1926', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-08-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-05-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-02-2074', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-09-1931', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-03-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-04-2021', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-07-1911', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-11-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-09-2037', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-11-2075', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-12-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-10-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-06-2057', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-10-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-1983', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-01-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-06-2092', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-11-1941', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-11-1976', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-06-1923', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-09-2013', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-1950', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-04-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-09-1927', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-10-2025', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-08-2078', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('16-02-2042', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-05-1964', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-11-2065', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-03-2089', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-1958', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-07-1939', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-04-1936', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-04-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-01-2003', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2085', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-10-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-08-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-11-1902', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-11-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-05-1985', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-12-2011', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-06-1928', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1997', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-01-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1970', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-09-1990', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-06-1949', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-11-1933', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-09-1984', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-04-2093', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-08-2034', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-2039', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-04-1974', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-07-1969', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-05-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-05-1968', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-02-2033', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2038', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-03-1925', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-1999', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-05-2084', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-02-2069', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-04-1955', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-04-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-08-2017', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-08-1912', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('08-04-2091', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-10-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('04-03-2071', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-08-2055', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('13-10-1922', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('20-01-2080', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-10-1905', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-04-2082', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-10-2010', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-01-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-01-1956', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-05-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-08-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-09-1919', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('14-12-2097', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('01-01-2051', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('30-07-1907', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-09-1901', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('19-04-1943', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1993', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-03-1948', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('24-03-2016', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-06-1947', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-07-1904', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('11-12-2023', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-05-1965', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-02-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('31-01-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('10-03-1937', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('15-12-1915', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-11-2002', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-01-1935', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('07-02-1932', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('21-08-2028', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-02-1924', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('05-10-2067', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-09-2095', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-12-2099', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('06-02-2046', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-08-1978', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('17-08-1971', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-05-1916', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-06-2090', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('03-05-2045', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('22-02-1986', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('28-03-1921', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('29-03-1929', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('26-12-1952', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('27-12-2086', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('25-02-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('02-11-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('09-09-1979', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('12-06-1994', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('18-07-1942', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_DEPARTAMENT;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT_PERSONES (
      ID_DEPARTAMENT_PERSONES, FK_ID_DEPARTAMENT, FK_ID_PERSONA, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_PERSONES_SEQ.NextVal,
      v_FKIDDEPARTAMENT,
      v_FKIDPERSONA,
      TO_DATE('23-07-2012', 'DD-MM-YYYY'),
      v_FKIDPERSONA
  );

END;
/

COMMIT;
/



