/************************************************************
** Table: GVM_ADM.GVM_POLITIQUES_DEPARTAMENT
** Number of Records: 1000
************************************************************/

DECLARE
  v_FKIDPOLITICA GVM_POLITIQUES_SEGURETAT.ID_POLITICA%TYPE;
  v_FKIDDEPARTAMENT GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE;
  v_FKUSUARIALTA GVM_USUARIS.ID_USUARI%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_POLITIQUES_SEG IS
  BEGIN
    SELECT ID_POLITICA
      INTO v_FKIDPOLITICA
    FROM (
      SELECT ID_POLITICA
      FROM GVM_ADM.GVM_POLITIQUES_SEGURETAT SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_POLITICA
        INTO v_FKIDPOLITICA
      FROM (
        SELECT ID_POLITICA
        FROM GVM_ADM.GVM_POLITIQUES_SEGURETAT
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_POLITIQUES_SEG;

  PROCEDURE PRC_GVM_ADM_GVM_DEPARTAMENT IS
  BEGIN
  /*
    SELECT ID_DEPARTAMENT
      INTO v_FKIDDEPARTAMENT
    FROM (
      SELECT FK_ID_POLITICA,FK_ID_DEPARTAMENT
      FROM GVM_ADM.GVM_DEPARTAMENT SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
	
*/
	
SELECT ID_DEPARTAMENT
      INTO v_FKIDDEPARTAMENT FROM 
(    
    SELECT  ID_DEPARTAMENT FROM 
    (
        SELECT DISTINCT SF.ID_DEPARTAMENT, SU.FK_ID_DEPARTAMENT , SU.FK_ID_POLITICA
      FROM GVM_ADM.GVM_DEPARTAMENT SF , GVM_ADM.GVM_POLITIQUES_DEPARTAMENT SU
      where SF.ID_DEPARTAMENT  = SU.FK_ID_DEPARTAMENT(+) and su.FK_ID_DEPARTAMENT is not null  and SU.FK_ID_DEPARTAMENT NOT IN (SELECT FK_ID_DEPARTAMENT FROM  GVM_ADM.GVM_POLITIQUES_DEPARTAMENT WHERE FK_ID_POLITICA = v_FKIDPOLITICA)       
      ORDER BY DBMS_RANDOM.VALUE
    ) where rownum = 1
);
	
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_DEPARTAMENT
        INTO v_FKIDDEPARTAMENT
      FROM (
        SELECT ID_DEPARTAMENT
        FROM GVM_ADM.GVM_DEPARTAMENT
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_DEPARTAMENT;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
   SELECT ID_USUARI
      INTO v_FKUSUARIALTA
    FROM (
      SELECT ID_USUARI
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1) 
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
 SELECT ID_USUARI
      INTO v_FKUSUARIALTA
    FROM (
      SELECT ID_USUARI
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1) 
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('12-02-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('26-08-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('29-03-2084', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('26-03-1995', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('03-02-2038', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('08-10-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('30-03-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('07-06-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('11-08-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('15-05-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('06-05-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('25-10-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('19-03-1902', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('14-10-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('25-06-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('04-03-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('04-05-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('29-05-1928', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('02-10-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('06-08-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('13-11-2054', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('27-02-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('28-11-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('19-12-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('28-07-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('30-12-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('19-11-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('13-06-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('24-08-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('03-06-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('05-04-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('03-01-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('11-03-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('22-12-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('17-10-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('18-11-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('27-09-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('24-09-2035', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('23-11-1993', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('09-02-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('19-09-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('24-10-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('24-02-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('05-01-1952', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('26-12-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('15-11-1953', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      94, TO_DATE('19-10-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('14-09-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('19-04-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('11-08-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('02-04-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('04-08-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('01-11-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('02-04-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('30-07-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('11-11-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('10-09-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('27-01-2053', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('07-01-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('31-12-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('18-05-1943', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('24-11-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('21-06-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('09-04-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('19-04-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('24-07-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('02-01-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('28-03-2066', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('19-04-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('20-06-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('05-05-1908', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('31-03-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('15-02-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('15-01-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('18-05-2035', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('07-12-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('09-12-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('01-04-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('01-09-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('20-09-1928', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('27-10-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('07-02-1902', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('10-12-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('29-04-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('03-04-1924', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('23-02-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('26-07-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('04-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('24-08-1968', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('19-12-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('08-02-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('22-04-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('26-10-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('10-09-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('08-10-2098', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('20-01-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('30-06-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('26-06-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('08-12-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('13-05-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('01-11-1997', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('16-01-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('22-08-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('29-11-2001', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('22-11-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('11-02-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('03-02-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('22-08-1943', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('20-02-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('23-12-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('28-02-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('12-04-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('19-12-1904', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('16-12-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('17-11-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('13-11-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      94, TO_DATE('05-03-2071', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('29-11-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('11-12-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('19-03-2005', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('27-06-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('26-09-2005', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('19-03-2088', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('06-06-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('13-01-1928', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('15-11-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('24-03-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('29-05-1953', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('07-11-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('16-10-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('27-08-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('01-05-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('30-05-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('07-07-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('11-11-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('05-03-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('27-01-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('03-02-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('12-05-2083', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('13-03-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('20-08-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('15-02-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('04-05-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('12-06-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('19-10-1982', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('28-03-1993', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('20-02-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('09-04-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('02-09-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('10-08-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('08-10-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('16-10-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('14-04-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('11-06-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('29-05-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('06-06-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('30-01-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('02-07-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('21-11-1989', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('26-05-1994', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('06-06-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('24-07-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('20-03-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('10-03-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('01-02-2001', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('14-12-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('21-01-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('31-01-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('30-09-1944', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('17-01-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('29-03-1944', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('29-08-2054', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('03-07-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('01-10-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('05-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('12-04-1996', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('18-05-2013', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('03-01-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('10-10-2075', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('06-08-1996', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('17-10-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('19-04-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('09-02-1910', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('20-01-2055', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('04-02-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('27-02-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('30-09-1919', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('19-05-2042', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('12-01-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('20-08-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('01-11-1905', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('04-02-1913', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('14-04-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('04-11-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('09-09-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('03-01-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('05-12-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('31-05-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('21-04-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('17-09-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('17-12-2013', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('11-01-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('17-10-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('05-02-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('19-10-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('29-11-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('29-12-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('06-11-1952', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('09-10-1985', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('28-04-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('07-11-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('02-12-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('12-08-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('19-01-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('07-01-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('23-01-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('25-12-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('06-12-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('14-04-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('30-04-2093', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('11-12-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('05-05-2000', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('11-02-2054', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('21-07-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('25-06-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('15-09-1943', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('20-02-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('04-11-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('29-12-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('18-12-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('24-08-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('14-02-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('14-10-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('11-02-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('03-02-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('31-07-1997', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('03-08-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('05-09-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('03-08-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('18-03-2083', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('14-01-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('30-03-2096', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('08-06-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('17-04-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('10-03-2085', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('30-11-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('25-07-2063', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('21-11-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('04-01-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('31-10-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('05-02-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('09-05-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('16-11-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('09-09-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('20-10-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('01-11-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('01-02-1955', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('18-03-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('15-08-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('08-10-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('06-05-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('30-08-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('27-02-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('15-05-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('14-04-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('07-05-2038', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('09-03-1943', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('27-02-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('06-12-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('12-02-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('16-02-1910', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('06-06-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('01-04-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('05-11-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('01-08-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('12-10-1982', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('03-08-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('18-12-1906', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('23-10-2071', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('30-07-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('30-03-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('03-12-1979', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('28-03-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('04-07-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('24-11-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('23-09-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('13-12-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('03-01-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('28-02-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('03-06-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('13-03-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('01-11-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('19-01-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('28-07-1944', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('26-11-1900', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('10-07-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('08-07-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('22-10-1975', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('21-02-1945', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('23-11-2084', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('22-11-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('12-04-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('27-08-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('28-07-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('14-06-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('06-03-2073', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('11-05-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('11-06-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('15-11-1934', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('01-04-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('26-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('16-03-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('27-09-1989', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('05-04-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('09-10-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('05-11-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('24-01-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('12-07-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('16-08-2083', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('16-02-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('05-10-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('25-05-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('09-12-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('09-02-2066', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('04-03-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('03-10-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('09-12-1995', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('24-08-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('18-07-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('18-07-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('09-01-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('10-11-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('14-07-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('25-03-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('29-03-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('10-09-1957', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('20-09-2074', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('24-04-2096', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('27-10-2066', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('06-05-2064', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('05-02-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('07-11-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('25-08-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('02-11-1913', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('25-07-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('30-11-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('08-10-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('11-06-2078', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('10-06-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('24-02-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('22-11-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('08-04-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('16-12-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('14-03-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('25-11-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('29-08-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('08-10-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('13-04-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('01-05-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('16-10-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('06-06-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('20-08-1937', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('21-11-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('09-02-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('01-12-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('14-01-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('15-12-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('09-11-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('11-02-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('23-04-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('17-01-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('20-07-2064', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('28-04-2096', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('24-10-2078', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('13-05-2091', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('08-07-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      94, TO_DATE('10-10-2042', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('13-12-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('12-04-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('12-05-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('01-02-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('27-08-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('23-10-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('22-06-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('23-10-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('23-11-2088', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('22-02-2006', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('16-07-2057', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('27-11-1943', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('16-03-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('20-02-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('12-01-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('28-03-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('16-02-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('24-10-1904', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('17-09-1957', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('05-02-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('03-10-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('05-11-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('17-02-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('10-09-1985', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('25-03-1982', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('29-01-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('16-02-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('19-08-1991', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('19-03-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('11-01-2093', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('30-04-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('11-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('03-06-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('16-05-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('28-08-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('28-01-1917', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('08-02-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('10-06-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('29-10-1900', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('20-05-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('20-07-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('27-09-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('25-10-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('21-08-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('04-08-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('07-06-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('04-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('12-01-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('03-02-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('04-11-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('22-09-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('24-02-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('17-06-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('25-12-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('29-07-1902', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('08-07-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('16-02-2073', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('29-12-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('15-02-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('23-01-2082', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('06-02-2077', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('17-09-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('29-04-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('16-08-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('24-05-2035', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('10-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('28-05-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('18-06-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('26-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('06-11-2078', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('18-05-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('27-09-1963', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('22-03-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('28-09-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('22-07-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('14-01-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('04-07-1934', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('05-04-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('13-01-2063', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('13-11-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('03-08-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('20-01-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('17-03-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('19-02-1906', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('12-03-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('05-06-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('31-03-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('30-08-1957', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('01-02-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('08-11-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('12-08-2071', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('10-09-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('21-07-1963', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('19-06-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('27-07-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('21-05-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('07-12-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('21-07-2085', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('24-08-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('21-04-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('06-02-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('05-02-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('09-03-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('06-12-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('21-12-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('20-03-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('24-10-2007', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('28-02-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('02-01-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('11-09-2077', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('05-12-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('24-10-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('06-09-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('02-07-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('26-03-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('08-02-1996', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('15-01-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('30-03-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('19-03-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('07-03-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      72, TO_DATE('24-02-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('17-09-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('26-08-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('31-07-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('13-08-1993', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('07-05-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('13-02-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('14-10-2042', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('04-02-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('08-10-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('17-06-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('03-09-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('08-10-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('01-04-1989', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      33, TO_DATE('30-04-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('11-01-2074', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('11-11-2073', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('23-03-2071', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('26-08-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('28-01-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('26-02-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('20-10-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('27-02-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('06-12-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('06-06-2005', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('30-03-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('06-11-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('18-02-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('17-01-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('01-07-1931', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('16-07-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('18-02-1903', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('22-05-1906', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('21-08-1908', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('24-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('15-10-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('13-05-1981', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('08-06-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('18-01-1924', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('22-11-1906', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('13-12-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('26-10-1900', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('27-11-2046', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('17-08-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      39, TO_DATE('20-08-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('14-05-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('08-11-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('06-02-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('17-12-2057', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('31-10-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('20-02-2064', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('05-11-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('04-01-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('20-08-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('17-10-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('14-04-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('26-11-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('11-05-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('20-02-1928', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('12-04-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('13-04-2085', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('30-03-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('14-04-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('02-08-1913', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('09-11-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('09-09-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('23-08-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('18-05-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('09-11-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('14-10-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('28-05-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('04-10-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('21-07-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('04-10-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('18-01-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('23-03-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('03-10-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('04-07-1991', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('02-11-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('14-03-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('30-04-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('04-02-2077', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      39, TO_DATE('02-05-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('11-07-1910', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('25-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('07-04-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('23-11-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('07-12-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('25-02-2093', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('23-11-1931', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('21-02-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('07-08-2012', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('24-10-1932', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('17-07-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('07-07-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('07-08-1934', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('18-08-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('08-12-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('19-09-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('31-05-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('24-02-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('16-06-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('06-04-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('16-06-1955', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('20-12-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('26-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('09-12-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('15-07-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('16-03-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('26-09-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('29-04-2075', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('24-05-2064', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('08-01-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('01-02-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('21-04-1963', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('07-03-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('15-02-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('29-09-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('10-07-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('11-12-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('03-04-2006', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('30-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('08-12-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('01-03-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('10-09-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('19-06-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('15-04-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('28-03-1955', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('05-10-2075', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('08-06-1957', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('05-08-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('16-12-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('27-04-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('07-07-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('06-09-1987', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('16-01-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      33, TO_DATE('06-04-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('27-07-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('25-08-1994', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('17-08-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('13-01-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('13-02-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('24-05-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('01-10-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('09-02-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('10-11-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('08-02-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('15-11-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('30-06-2064', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('22-02-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('30-09-1905', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('16-05-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('05-04-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('28-06-1933', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('31-07-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('15-01-1903', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('27-12-2055', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('28-01-2012', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('31-08-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('25-07-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('26-04-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('01-04-2038', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('02-05-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('25-01-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('02-06-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('08-01-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('21-09-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('30-07-2091', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('01-07-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('26-07-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('29-03-1932', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('17-07-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('25-04-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('19-09-2000', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('07-02-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('24-04-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('26-08-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('26-06-1931', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('19-10-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('01-09-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('01-11-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('11-07-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('14-08-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('15-04-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('28-03-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('04-09-1908', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('19-02-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('11-04-1919', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('07-10-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('06-06-1956', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      94, TO_DATE('18-09-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('22-08-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('12-05-2007', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('11-06-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('02-01-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('24-10-1917', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('05-07-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('16-01-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('13-06-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('17-02-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('26-09-1928', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      26, TO_DATE('15-09-2075', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('10-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('11-05-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      90, TO_DATE('05-02-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('05-08-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('04-07-2054', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('02-03-1902', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('16-09-1908', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('05-01-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('14-06-2088', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('18-08-1933', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('13-03-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('12-12-2079', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('19-03-2007', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('30-09-2054', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('01-04-1991', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      4, TO_DATE('16-07-1985', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('31-08-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      44, TO_DATE('09-12-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('29-01-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('04-08-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('29-06-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('12-07-1905', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('12-12-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('28-01-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('29-08-2012', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('02-04-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('28-08-2006', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      35, TO_DATE('20-08-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('03-12-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('07-10-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('13-01-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('20-01-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('25-04-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('22-02-1964', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('16-06-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('21-10-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('04-09-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('11-05-1985', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      8, TO_DATE('08-05-1903', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('08-07-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('18-02-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('24-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('24-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('23-06-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      29, TO_DATE('01-08-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('26-10-1932', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      43, TO_DATE('08-05-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('20-02-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('26-03-1989', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      99, TO_DATE('06-02-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('31-12-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('16-08-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('25-01-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('16-04-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('25-02-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      33, TO_DATE('19-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('16-05-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('13-06-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('03-12-2091', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('10-11-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('16-03-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('16-07-1968', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('17-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('02-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('05-12-1906', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('11-12-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      80, TO_DATE('14-06-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('03-06-2074', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('04-09-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('16-12-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      2, TO_DATE('16-08-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('21-01-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('22-11-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('15-04-1936', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('31-03-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('03-03-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      45, TO_DATE('18-10-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('24-07-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('13-08-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      74, TO_DATE('15-07-2000', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('24-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('23-10-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      31, TO_DATE('31-07-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('02-08-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('03-07-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('27-12-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('11-01-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('02-12-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('12-03-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('19-06-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('15-05-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('15-10-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('12-05-1900', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('06-07-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('28-01-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('16-08-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('29-08-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('31-10-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('22-02-1953', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('03-07-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      33, TO_DATE('24-07-1934', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('08-01-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      48, TO_DATE('12-08-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('08-09-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('18-10-2042', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('11-02-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('20-01-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('04-02-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      49, TO_DATE('29-11-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('13-01-1996', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('05-02-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('19-10-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('21-09-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('19-02-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('22-11-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('20-07-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('08-11-1979', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('08-09-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('21-08-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('02-04-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      21, TO_DATE('13-03-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('13-05-2006', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('22-01-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('23-06-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('13-06-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('03-10-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('10-12-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('18-12-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      81, TO_DATE('05-08-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('12-11-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('04-08-2078', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('10-02-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      93, TO_DATE('23-05-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('14-08-2093', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      83, TO_DATE('13-05-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      65, TO_DATE('26-06-2014', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('29-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('08-05-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      79, TO_DATE('22-02-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      42, TO_DATE('25-04-2055', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('29-12-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('23-04-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('12-11-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('27-12-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('11-10-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('22-02-2073', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('30-12-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('27-07-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      68, TO_DATE('09-03-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('14-06-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('18-01-1922', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('10-04-2035', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('11-06-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      13, TO_DATE('18-03-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      63, TO_DATE('21-01-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('27-12-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('18-07-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      36, TO_DATE('28-04-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('14-02-2082', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('06-10-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      38, TO_DATE('12-10-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      75, TO_DATE('10-02-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('11-11-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('23-04-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('29-03-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      85, TO_DATE('24-10-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('10-12-2098', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('04-07-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('18-04-2038', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('25-01-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('27-07-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('20-11-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      73, TO_DATE('07-02-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('08-06-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      51, TO_DATE('22-12-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('01-03-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('12-02-1931', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('23-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('14-12-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      11, TO_DATE('17-09-1933', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('26-07-2043', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      87, TO_DATE('03-05-1994', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      28, TO_DATE('26-04-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('20-01-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('27-12-1967', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('23-01-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('04-06-2075', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('23-05-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('10-09-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('12-04-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('05-09-2057', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('30-01-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      96, TO_DATE('15-04-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('19-08-2059', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('08-01-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('28-02-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      19, TO_DATE('01-03-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('30-08-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('01-06-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('22-10-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      39, TO_DATE('06-01-2056', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('26-04-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('24-05-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('16-11-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('23-04-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      18, TO_DATE('27-06-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('30-06-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      76, TO_DATE('24-05-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('20-10-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('14-06-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('27-10-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('12-01-2013', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('19-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      53, TO_DATE('31-05-1919', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('05-07-1997', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      92, TO_DATE('23-08-2071', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      9, TO_DATE('22-11-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('24-12-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      23, TO_DATE('22-03-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      37, TO_DATE('27-09-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('18-12-1968', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      98, TO_DATE('10-09-1961', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('04-09-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      12, TO_DATE('26-12-1904', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      17, TO_DATE('03-03-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('28-06-1917', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('15-02-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('21-09-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      14, TO_DATE('24-03-2032', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('23-03-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('06-11-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('15-06-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      100, TO_DATE('17-02-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      59, TO_DATE('04-03-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      62, TO_DATE('05-09-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      94, TO_DATE('08-05-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      5, TO_DATE('31-08-1995', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      60, TO_DATE('10-07-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('28-06-1927', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      3, TO_DATE('25-09-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      0, TO_DATE('25-11-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      97, TO_DATE('16-11-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('03-09-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      84, TO_DATE('09-08-1953', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('16-09-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      20, TO_DATE('26-09-1934', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      32, TO_DATE('09-09-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('13-02-1935', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      52, TO_DATE('26-03-2025', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      61, TO_DATE('14-01-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('07-07-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('03-02-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      34, TO_DATE('02-06-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      77, TO_DATE('15-08-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('05-03-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      86, TO_DATE('11-07-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      67, TO_DATE('01-07-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      16, TO_DATE('28-09-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      71, TO_DATE('26-03-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('22-01-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('29-06-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      70, TO_DATE('28-07-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('18-04-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      64, TO_DATE('07-07-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      40, TO_DATE('16-09-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('10-09-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      7, TO_DATE('29-06-1991', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      25, TO_DATE('12-05-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('27-03-2049', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('11-08-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      39, TO_DATE('03-01-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('01-04-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      50, TO_DATE('22-06-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      82, TO_DATE('23-03-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('24-07-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('24-06-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      78, TO_DATE('05-08-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      66, TO_DATE('14-05-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      58, TO_DATE('30-11-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      27, TO_DATE('13-07-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      57, TO_DATE('22-01-1989', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      56, TO_DATE('14-04-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      10, TO_DATE('12-05-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      89, TO_DATE('11-07-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      69, TO_DATE('15-02-2092', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      91, TO_DATE('14-02-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      22, TO_DATE('28-03-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      1, TO_DATE('12-10-2007', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      6, TO_DATE('01-05-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      47, TO_DATE('14-06-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      88, TO_DATE('03-06-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('29-03-2077', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      30, TO_DATE('09-01-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      95, TO_DATE('06-10-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      46, TO_DATE('25-10-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('17-01-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      24, TO_DATE('20-10-1957', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      55, TO_DATE('08-12-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      41, TO_DATE('22-11-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      15, TO_DATE('24-12-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_POLITIQUES_SEG;
  PRC_GVM_ADM_GVM_DEPARTAMENT;
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_DEPARTAMENT (
      ID_POLITIQUES_DEPARTAMENT, FK_ID_POLITICA, FK_ID_DEPARTAMENT, NUM_INCOMPLIMENTS,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_DEPARTAMENT_SEQ.NextVal,
      v_FKIDPOLITICA,
      v_FKIDDEPARTAMENT,
      54, TO_DATE('02-02-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

END;
/

COMMIT;
/



