Prompt drop Package Body DML_GVM_TIPUS_VULNERABILITAT;
DROP PACKAGE BODY GVM_ADM.DML_GVM_TIPUS_VULNERABILITAT
/

Prompt Package Body DML_GVM_TIPUS_VULNERABILITAT;
--
-- DML_GVM_TIPUS_VULNERABILITAT  (Package Body) 
--
--  Dependencies: 
--   DML_GVM_TIPUS_VULNERABILITAT (Package)
--   ALTA_LOG_PROCEDIMENT (Procedure)
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_TIPUS_VULNERABILITAT (Table)
--   DUAL (Synonym)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE BODY GVM_ADM.DML_GVM_TIPUS_VULNERABILITAT IS

  PROCEDURE INS_GVM_TIPUS_VULNERABILITAT
    (
     in_ID_TIPUS_VULNERABILITAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.ID_TIPUS_VULNERABILITAT%TYPE
    ,in_NOM_VULNERABILITAT       IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.NOM_VULNERABILITAT%TYPE
    ,in_DESC_VULNERABILITAT_CAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAT%TYPE
    ,in_DESC_VULNERABILITAT_CAST IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAST%TYPE
    ,in_DESC_VULNERABILITAT_ANG  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'INS_GVM_TIPUS_VULNERABILITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    INSERT INTO GVM_ADM.GVM_TIPUS_VULNERABILITAT
      (
       ID_TIPUS_VULNERABILITAT
      ,NOM_VULNERABILITAT
      ,DESC_VULNERABILITAT_CAT
      ,DESC_VULNERABILITAT_CAST
      ,DESC_VULNERABILITAT_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA
      )
    VALUES
      (
       in_ID_TIPUS_VULNERABILITAT
      ,in_NOM_VULNERABILITAT
      ,in_DESC_VULNERABILITAT_CAT
      ,in_DESC_VULNERABILITAT_CAST
      ,in_DESC_VULNERABILITAT_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA
      );
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END INS_GVM_TIPUS_VULNERABILITAT;

  PROCEDURE MERGE_GVM_TIPUS_VULNERABILITAT
    (
     in_ID_TIPUS_VULNERABILITAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.ID_TIPUS_VULNERABILITAT%TYPE
    ,in_NOM_VULNERABILITAT       IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.NOM_VULNERABILITAT%TYPE
    ,in_DESC_VULNERABILITAT_CAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAT%TYPE
    ,in_DESC_VULNERABILITAT_CAST IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAST%TYPE
    ,in_DESC_VULNERABILITAT_ANG  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'MERGE_GVM_TIPUS_VULNERABILITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    MERGE INTO GVM_ADM.GVM_TIPUS_VULNERABILITAT A USING
      (SELECT
       in_ID_TIPUS_VULNERABILITAT as ID_TIPUS_VULNERABILITAT
      ,in_NOM_VULNERABILITAT as NOM_VULNERABILITAT
      ,in_DESC_VULNERABILITAT_CAT as DESC_VULNERABILITAT_CAT
      ,in_DESC_VULNERABILITAT_CAST as DESC_VULNERABILITAT_CAST
      ,in_DESC_VULNERABILITAT_ANG as DESC_VULNERABILITAT_ANG
      ,in_DATA_ALTA as DATA_ALTA
      ,in_FK_USUARI_ALTA as FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO as DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO as FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA as DATA_BAIXA
      ,in_FK_USUARI_BAIXA as FK_USUARI_BAIXA
      FROM DUAL) B
    ON (A.ID_TIPUS_VULNERABILITAT= B.ID_TIPUS_VULNERABILITAT)
    WHEN NOT MATCHED THEN
      INSERT (
       ID_TIPUS_VULNERABILITAT
      ,NOM_VULNERABILITAT
      ,DESC_VULNERABILITAT_CAT
      ,DESC_VULNERABILITAT_CAST
      ,DESC_VULNERABILITAT_ANG
      ,DATA_ALTA
      ,FK_USUARI_ALTA
      ,DATA_MODIFICACIO
      ,FK_USUARI_MODIFICACIO
      ,DATA_BAIXA
      ,FK_USUARI_BAIXA)
      VALUES
      (in_ID_TIPUS_VULNERABILITAT
      ,in_NOM_VULNERABILITAT
      ,in_DESC_VULNERABILITAT_CAT
      ,in_DESC_VULNERABILITAT_CAST
      ,in_DESC_VULNERABILITAT_ANG
      ,in_DATA_ALTA
      ,in_FK_USUARI_ALTA
      ,in_DATA_MODIFICACIO
      ,in_FK_USUARI_MODIFICACIO
      ,in_DATA_BAIXA
      ,in_FK_USUARI_BAIXA)
    WHEN MATCHED THEN
      UPDATE SET
         A.NOM_VULNERABILITAT = B.NOM_VULNERABILITAT
        ,A.DESC_VULNERABILITAT_CAT = B.DESC_VULNERABILITAT_CAT
        ,A.DESC_VULNERABILITAT_CAST = B.DESC_VULNERABILITAT_CAST
        ,A.DESC_VULNERABILITAT_ANG = B.DESC_VULNERABILITAT_ANG
        ,A.DATA_ALTA = B.DATA_ALTA
        ,A.FK_USUARI_ALTA = B.FK_USUARI_ALTA
        ,A.DATA_MODIFICACIO = B.DATA_MODIFICACIO
        ,A.FK_USUARI_MODIFICACIO = B.FK_USUARI_MODIFICACIO
        ,A.DATA_BAIXA = B.DATA_BAIXA
        ,A.FK_USUARI_BAIXA = B.FK_USUARI_BAIXA;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END MERGE_GVM_TIPUS_VULNERABILITAT;

  PROCEDURE UPD_GVM_TIPUS_VULNERABILITAT
    (
     in_ID_TIPUS_VULNERABILITAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.ID_TIPUS_VULNERABILITAT%TYPE
    ,in_NOM_VULNERABILITAT       IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.NOM_VULNERABILITAT%TYPE
    ,in_DESC_VULNERABILITAT_CAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAT%TYPE
    ,in_DESC_VULNERABILITAT_CAST IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_CAST%TYPE
    ,in_DESC_VULNERABILITAT_ANG  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DESC_VULNERABILITAT_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'UPD_GVM_TIPUS_VULNERABILITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := in_FK_USUARI_ALTA;
        l_IN_PARAM_ENTRADA :='';
  
    UPDATE GVM_ADM.GVM_TIPUS_VULNERABILITAT
    SET 
        NOM_VULNERABILITAT         = in_NOM_VULNERABILITAT
       ,DESC_VULNERABILITAT_CAT    = in_DESC_VULNERABILITAT_CAT
       ,DESC_VULNERABILITAT_CAST   = in_DESC_VULNERABILITAT_CAST
       ,DESC_VULNERABILITAT_ANG    = in_DESC_VULNERABILITAT_ANG
       ,DATA_ALTA                  = in_DATA_ALTA
       ,FK_USUARI_ALTA             = in_FK_USUARI_ALTA
       ,DATA_MODIFICACIO           = in_DATA_MODIFICACIO
       ,FK_USUARI_MODIFICACIO      = in_FK_USUARI_MODIFICACIO
       ,DATA_BAIXA                 = in_DATA_BAIXA
       ,FK_USUARI_BAIXA            = in_FK_USUARI_BAIXA
    WHERE
        ID_TIPUS_VULNERABILITAT    = in_ID_TIPUS_VULNERABILITAT;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END UPD_GVM_TIPUS_VULNERABILITAT;

  PROCEDURE DEL_GVM_TIPUS_VULNERABILITAT
    (
     in_ID_TIPUS_VULNERABILITAT  IN GVM_ADM.GVM_TIPUS_VULNERABILITAT.ID_TIPUS_VULNERABILITAT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ) IS
        l_IN_NOM_PROCEDIMENT     VARCHAR2 (100);
        l_IN_DATA_INICI          DATE;
        l_IN_DATA_FI             DATE;
        l_IN_PARAM_ENTRADA       VARCHAR2 (1200);
        l_IN_PARAM_SORTIDA       VARCHAR2 (1200);
        l_IN_RESULTAT_EXECUCIO   NUMBER;
        l_IN_USUARI_ALTA         NUMBER;
  BEGIN   
  RSP := 'OK';
        l_IN_NOM_PROCEDIMENT := 'DEL_GVM_TIPUS_VULNERABILITAT';
        l_IN_DATA_INICI := SYSDATE;
        l_IN_RESULTAT_EXECUCIO := 0;
        l_IN_USUARI_ALTA := 1;
        l_IN_PARAM_ENTRADA :='';
  
    DELETE FROM GVM_ADM.GVM_TIPUS_VULNERABILITAT
    WHERE
        ID_TIPUS_VULNERABILITAT    = in_ID_TIPUS_VULNERABILITAT;
                        l_IN_PARAM_SORTIDA := RSP;
        l_IN_DATA_FI := SYSDATE;
        GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                      l_IN_DATA_INICI,
                                      l_IN_DATA_FI,
                                      l_IN_PARAM_ENTRADA,
                                      l_IN_PARAM_SORTIDA,
                                      l_IN_RESULTAT_EXECUCIO,
                                      l_IN_USUARI_ALTA);
    EXCEPTION
        --Per qualsevol altra excepci
        WHEN OTHERS
        THEN
            --Guarda el error a RSP
            RSP := 'ERROR' || ':' || SQLERRM;
            l_IN_PARAM_SORTIDA := RSP;
            l_IN_RESULTAT_EXECUCIO := 1;
            l_IN_DATA_FI := SYSDATE;

            --Crea el log amb el nom del procediment, parmetres i variable d'error
            GVM_ADM.ALTA_LOG_PROCEDIMENT (l_IN_NOM_PROCEDIMENT,
                                          l_IN_DATA_INICI,
                                          l_IN_DATA_FI,
                                          l_IN_PARAM_ENTRADA,
                                          l_IN_PARAM_SORTIDA,
                                          l_IN_RESULTAT_EXECUCIO,
                                          l_IN_USUARI_ALTA);
  END DEL_GVM_TIPUS_VULNERABILITAT;

END DML_GVM_TIPUS_VULNERABILITAT;
/
SHOW ERRORS;