/************************************************************
** Table: GVM_ADM.GVM_PROCES
** Number of Records: 1000
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.ID_USUARI%TYPE;
  v_FKTIPUSPROCES GVM_TIPUS_PROCES.ID_TIPUS_PROCES%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT 1
      INTO v_FKUSUARIALTA
    FROM DUAL;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT 1
      INTO v_FKUSUARIALTA
    FROM DUAL;
  END PRC_GVM_ADM_GVM_USUARIS;

  PROCEDURE PRC_GVM_ADM_GVM_TIPUS_PROCES IS
  BEGIN
    SELECT ID_TIPUS_PROCES
      INTO v_FKTIPUSPROCES
    FROM (
      SELECT ID_TIPUS_PROCES
      FROM GVM_ADM.GVM_TIPUS_PROCES SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_TIPUS_PROCES
        INTO v_FKTIPUSPROCES
      FROM (
        SELECT ID_TIPUS_PROCES
        FROM GVM_ADM.GVM_TIPUS_PROCES
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_TIPUS_PROCES;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fPDhAyUaqmTeQpuPvmbibvMAHAQWjxRXSaELMnhPhopCeRtCSsiKAOUETwpKqpProNekxXjujvtT',
      'PRgxvCHAOBwGOkC', TO_DATE('12-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QXjNtkcFQLvSSlcaSBGPXSJgEyNyoEwZGksPOpNuNGZcBLQHGuRxPwkEVmnnYZXbnfuSRFsrJea',
      'Pdysghi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PpBFyjUNFpiJuZDDsoIAVaUhSXZoWnDNbjJOfWzwqfEDWmWLPlXcJEtwBdmkDXIeV',
      'qTOXjkreqiUgrUcueCfKiqoFEcLzapKtEaKFySQaBAWkQSJdUaTHbWdMGOCsToMCjKPhKFhRBVSiWkvKTCmrFTKxmLawzjMMRn',
      TO_DATE('04-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NkqONVZG', 'GKGrztpJbpkP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YjLkEsUgoqtmyQfqlcBSlTZI', 'LMvxTCxVCFHidSOzTwanJCbeVRQjvoYTiyAKgcpjbwfEecvcsVPOkrwBO',
      TO_DATE('31-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QEHPMirqhXDMjpHfLpMDMYEFKBpsSSrNlmjLvqAeAHNcRiqJ', 'bwZPpPxmuCuHDqILZmpcOcEzDYWjvTZK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TuTyDFQuRWmenTNUbEGxv', 'CRoyKeMavXMxuovufPxwfCOPDddoHPZnzgYdqed',
      TO_DATE('12-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OTBnQjDkNpiItlguGucmnWnfLljjUbmmioOvbZBUxGsEnyOoHFbsrjUNgFNQRJeqQBQACicwfbgzsKgd',
      'TSGHJcqHXDsGs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JzyiQNoeEXVqTrKm', 'RucjCvBnKhI', TO_DATE('27-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AfrGKsWCBBzZjjtJTtcoLOcgqsqBmjPxRiNucGLTFvYKIvGMadllJhbIPUATGkSGpAlcVHAQG',
      'CXpKnXwbvimHqbMrEiEZaxULoYAnamxKqpNLKvTNiTlaMEIbPTcpOGSrvtWQExIXXUQjySERtWPlbpPzQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hUKlwFIkEItOMBAtjsgDtePvQHssjLmCCISYFDAKhBSDnUYGdzlrUDNAeXAqhmCOBwtLIoMkTeMyXKxwioobEKNMRRLFjhPdfiB',
      'RhyXepIiCiNLKwmNVqHjPUFyhJXjoRocBBqX', TO_DATE('22-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KRhQhfTtRZSGoIyqFyBEIeuOQJKSqlQlgLKyyYjbqrdeKymgDVwZJqjkuvFZSXpxADiDaXLXuYeSwALASoUZeUggj',
      'eAdgXlJOSAovbqxMGOLGjWtOchsbZmdqqOGGPsSwckuzMAvayaTwaZzxBBEc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jXfkSITpqvqaHaWDeVOznDapYGFvtMVLUbMIXuOAlxLlvJOfBUMfVsqFShtUDqQIDqWsUyZfLDrFoUNpiivquqKBPWbz',
      'fYbVAtyGxFbwTPNhHXqusJRdJynXNeGPTZGylnJTNPnOzt', TO_DATE('29-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SNZlI', 'cGnjxDQuSmnHYRGfGIxLUyPcpjdGtEfHetXmsORbtnerYBBtovtzPEpQfiJzeApREXmqCkxpcFtIgCGcfLBeDcccDm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IXOOnGIEXuByjWBePpHGuVDRHDxlmjfKXinaNzsRmRFwMs',
      'MeWWLSyOinKXNrItXzBxYontFTWWVmNZKHlhNNLqKyImsvYcKIjCbWcOOH', TO_DATE('23-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bQvrnDJdALzKPDrychmkIULWWzZCPViufWJqIDwOEhkLSdnCazDtnlFnKUUmrhRoUekzSKHuoGYEUBSKZpE',
      'uTwLlEGhwmNpxFBgJHTBftErqcanhkFYwzvXGGWcpIJvECUCrwPPxxq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HYcGqCCmveKdKeGYzEIZKdomghspEfYEKlyBDlpu', 'ZbmAtgzI',
      TO_DATE('07-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FYBiZFBhOhaHzeUnqKSeGPpTeTHMhlgcqfuPLiDvSCfpnG', 'VdjatEPuTYGukYKmGgYGFFWmZRkMDsaKLcqLdZKfHoNKaKhHdhMsNbNPLmofNraSKQc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UOdTEIAWFVFPrXmaUuyM', 'qwMePdmiiXDyPyzpohtTEeInFyIuZTkZtxLKBmlyJoDGueBwuNvGC',
      TO_DATE('15-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yKVOgYTToPEYMqUKmZxnMlJcHxGviGHfDof', 'HDOFFZKnxcUWPFeRLNyMEtUTHBbWCHMgzkchmfdsNqvcQk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'i', 'DKfmPjnIKycsIuXGqMwKEtovmHYsFNoXK', TO_DATE('19-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TwiGnnHlnFCloCbr', 'cUVcrXUwTtDGvwtzvrxQwE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cB', 'xOIhEGiUUaTeCHLyfPNEFFUsMJtTpmJkdcOakrSfphwCbBTQ',
      TO_DATE('17-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UwhXGbmRDYjRgAbdNidmyfZGJeCXtcdoqkLbeftjgcqfhL', 'AjunppZvBwOQuVxyGAXYunPVqTBkwbeykZrzZyBoJOXqZrldcAZFffil'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wsbXlYVHHlCiwsYBDOhSCVYmAppGqiJGCsHUtwMZudxofqWjKkdTcUsZkfAlYSSSgwdrurvRsHbgOHDehttjlMZrmHHS',
      'dWOOM', TO_DATE('07-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hGjY', 'CkGkYVXhNOzgvCHEcGrfexUJwLUHWPTMVHPjiPHByDNPSTGdRqcCyhyWgGkqdMojrmgkCvdNEoCCtaECfCJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PkmkfUuJRwzBdtSKjbWMWGYmYeGGWnnXzOazJBECZYIGDToWAsxKwZahGQyNlailCcs',
      'hJIaFoYXAEbs', TO_DATE('29-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xbaKrehFXUzbgqUpBaADGgsJtNOXvlMQOAlNurXqYuoN', 'fGeNZFGIPlJiTmDufYwSKGZKAEcXbqwfEaLdysCXBcLDZWgEwRstPuyrwGnoece'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'txpovIOzvu', 'SXqDGsOMpobkiCYggsWmvKMtBhCFXrkQJyXItmeRUXwwpn',
      TO_DATE('16-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LCsDvrYsKhranFLgOwqYAQeLNhRsnHdAnSmcLjmMQWcGTArLsDktwwbkupLDIFCeKJgl', 'FEGzbXtklyTWSpHtGQTzyntKraPOcpWuhXacQub'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RRKgtKvJrUoLSAPMQaBzcMhrWCjfaDPCnEaXzaTexcOhfHTERAcLNWlXpBPHzbATtCWhxnFlSpxVueGGBRDCpEBlogGQy',
      'hClJnSLGweRgGHKqNWNWAnhbqTFQ', TO_DATE('30-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PdjjsRytrczSU', 'lCZmIIQThOvSQBNocfalfafBMOXN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ENBDtfUQCKliYneCMvdJGRNGNqLyoGtNcGGvCRnuQqjrRaUTWwXzQzoPAfCgpvXpyhpjpoUAHdUSvejWeRH',
      'eDfLdHdFZJdnORHtOqeD', TO_DATE('17-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jlsiQTKWBYMizGwTqwKvUZSWpm', 'VTTNeXmLwTKErcUKhXjKDLpBOVgvyEydXHLhNcnRGpiZJENqggawZRDMCobDAxjcblJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ewiJovzDdfi', 'ivbFphXHsIApcPHLZdlLglwkkXoMBZunfEHGlsvvJNscNQbpSQGPieYUxampKkkUxcNfRjzGbaacfLFbVJvhovcjJbHFrjs',
      TO_DATE('12-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oJfVRyYBlrwvUvRRUnYTQgiRlGVegggTDoKPAXYcnixtpUNPoVGaDQyoxr', 'damgFkCJgfjSCRToihpORboudDOFmKrFDuHwmZuyfsIvigtQPkFYkwVvaWOEnzTnWmTazmaxPWlpSniEZuijqYGQXlYeVYPoWLTL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'oNWidYuJbxPwuPewXsqiuVrIBtUvZScT', 'undeZWBtnAxkkFgADHpJdsVjHNOynVmfSzcLBhesVhEwnS',
      TO_DATE('17-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OARLMKqAQrRlYYazaebLAOJzrsoyMWBh', 'bUGpEwMeSHLkVgn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EpyyfYazbmzXWZHkZToAPRP', 'nMwFCTrNVzx', TO_DATE('24-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tRfknvnFaVGFATcskAWbgGLWmxvkpqlONnxgYJqXsPkCZDAVC', 'xYiHfxItmFMTrRSDOIytWVRQpvJzODKcZSxCinUsycziqraThGkhXfTjonqTznXqQkGwfebo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YZWiOFKNndQCxEbsZcZvPFeNIVLzTsoHgMwSkbcerueprBitvSG',
      'sFSYYYxTRwWQSezdjqdYVIPgScMUmKrLJFJkPWuZvr', TO_DATE('29-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BAYOwLWiCodmLCfTIsHsStPEGxCsJzVHWihikBywfpg', 'oEwbBlCqPdgvDgKHSBKirsGHHizZMrHpUUuWCnsihoWdKwEqBUjmRjRpHnENqvNlZtArpAuSwOEUpejTo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'w', 'afjjbouvOYQzRzwGRITLnszcAXqjUkbMOMZdtzhUNBAPdRmKbOAWuwgJHubDliwPj',
      TO_DATE('19-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZqVqthlZwAUzrVlmVBrhrFARuBNZuSxSTcuUlk', 'fxDMrQKnsuFXTzqobPsXSXJsIZgwdygZNrvnAPFDPVaxusYqkOMPHRIfxwPojfccoACysosbSUVBznfUchBh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uWbFIZe', 'GWmxRoXUEYhlTglQuN', TO_DATE('13-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OQudqSsjobmszxXLabArOtCkXiXxdxMdhpHJEzaJrnYgBrkuZMqSTlbAEUH', 'XnwopWqBtMVLJpRuIpl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KFJHTYckwtsEXRfvRRAwflLamOevfbCdGDPQBgiRvlSSfQrGRKcbQoxkkgllKlqTXh',
      'KtqeBtotisRwhQLphlXyjtoeHvCaGAGDzEFPeRvEmDYcPTPYKnoqtQtVpTpas', TO_DATE('26-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TyCGEitypXTEdfIyUOPfJJZaDvEySaGEEIyTJzXUjPwXfdVXUeIZnyaboEDcNZNqunvNgyWzGstelMgeompQSeaFBsWSpthE',
      'PvYlsmOqzShHEmrCMCN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MNnpTGilohIEjUKhzVCMixbpfGxbxqeOGqKf', 'ANpPuKSOBGdTEQhef',
      TO_DATE('26-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wRktzxOsVXhxLfmDTmBzCowkFxQdHmaSdyNUNbtd', 'HUOduQPOUxtvkmCjBfrZVKbuOBoBCgGgOMauaJsJjNzgaRNGcwnThDyuEJD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'orEzNyKPWPw', 'kPxzWTwSaqKHmh', TO_DATE('06-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GXHFpkhhDZUUaSUbpciGcAyFBSyeSwsPpSDJkAvxxIpgwHdtjSMFRB', 'OdKFdEQTgATDBqOjEEBAaaVLOdPkkFtYxrAvudzRtjAPiSKqv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VwQuaLKmoqECfgKQzZADvqCkSZXCJbOLFBKWiWWhtuwjCYzkpVHTRuhOdZLzconPOjwLGNQvATJkOCFZMwFhD',
      'ALHZfPzXEwQV', TO_DATE('26-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cAxRyOXpeWxUYzSuXBTDFhSRmosHCxRZHzTxiuc', 'JuzTVXoruLpIjsKeLlIdXCqBKVjTBwQjAlakFRryyifqZMgDTuHQcNtFGqMFWztEGtHnPbaUdnbZFBFoEpOlVVZvXTWKut'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YZTGSEDDVAcOYEjQcRUdEefVqYIDwyREWJDnFOwsDdHVDHMq',
      'juVkkGOjiFYcLrBllZktfcXfPAyZDRASPqcHLYfLnWvgMhkjDUcJbjAhYhNsZrJUnTetnqQDVRqOgC',
      TO_DATE('08-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yPxtrkjvWIIyfOkzfgmfhoMDIqxNzQOGNCxwpTcIYgBzXSpahqUXbVSlVtGEbKzFiCXpWiNnpnWpHzrIhmqGgcZRWPQBvyKfUi',
      'xJduNPzwNegbcTubMNxoeMGKfOzhfCkTRAqgLNiefcHhLZThWHgrkEU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zLBtGuagTiBmEFqgZVhOEgcTLKbctxhlZDIsYvrEuiVgDMDWYpQvBlWyaSivzRhnObvFuzKFAQzOQUvmuSNZcQKoAETeBFqhZHd',
      'fJdkOWyTONITMVgQoAewSqzmhWgqFMeYZDfwNosgWNEEGiZQolRZJYddIuiUHAdComckFaG', TO_DATE('03-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mOkhoTnMyjNkmjnWwboOcukvzlXrmtKUZcKEJtLhgBXjNFnPfKUmRfHVrBr', 'UDyDTiPPxtHkYm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cIrcJaZfLRhktHidOJiDxDyEQmBiufRqBEkkwX', 'leMybYtlBUOYuronvvqvBrPVHZSSxOiwpttBQTkXYHeDPMNCULXNptYrGwgEvujHZifhudXrpfNgJhEbUWgYugIAd',
      TO_DATE('28-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dsmfcLDafwIYeKAfpqZXWlqgrIJRbXGxBXhrMLEyxUCQbaElsBDuOqGrLiokEjgr', 'gienCkAbRZaZlnPJEsIjkxPSdJXwgOvCHWenlgAYHVNgoBDnKSUrSAbTbjXCnTkWXOVoXSFstwHhKwX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XvwzTpLxZvnxSVdGYjfAsNvIiyyKZiQTAnKaKdZJTTHFYLHCYPfGDTMFnRoAwFrGsXMSYKyYQKCcKzMAWiQcbvINlw',
      'CcaYULAmBKKrVYjiQBOigedmQtZqTJVlhbpyQviuoZjFjSxQJcJzjYTIigunReewJVeYgBd', TO_DATE('10-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'utLXynhRKaTxOsvCnEqjoeaKBkkQPuhDbhcabcQbmUClgKueQtjgJXAYBKmiDXOlFVyHWjXDUvqPiJFEjsHB',
      'ygFHbfdfqFcZNDhqoiHAjcxOYDtxNLAjTSGsHPDjGXYyQkhKAaOwNYCEQAixPKuDEsOBPIuCYAOnKHWkiLQNsQYOSSeV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EJrzsknTKSqytbkgIwUEpMa', 'KhjBonjJffNdHyTGbRTNnpIbWoLHwnWXSxGoqiMGitulWSmRJypAQQbbYygkLcgQjgOaPNUnYgWcZuMuUWlxN',
      TO_DATE('18-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TEpjIjZRdfymQsvLIUAEkOSpREJBDRswmRekAicyeBGuMbaIK', 'oBBpgKPFOeEXTNFudjOcsVvLwDZVisZdzOPpkVLQFINJXYATQuzFsgEpPZDcHgVXvxhXTMGltCBLtQkWsaxPS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BesZEeLYcOEMPgufvoWDzTLwjdEllBuIQuLQKmcSMkvwEYRWsvePrMrUjILEfeoQbdtGLZILo',
      'YJWAmhCtGrwffeyenULVvmpNDOXbLTQrFRybYaCCQIFIlaPvTeJSiogyADqyAZcxRMevdVfAPZADRomeoindLNxmZnSlgs',
      TO_DATE('25-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uctEOrNzWnZBLgyGTTIbYYpBVxeXYNVQeMMAVmCTocjEzmJaZaBljHuFwhvdJPMCV', 'YLBNtAhuHiKrQhGSmyxWlWlzkxLdfLtIZkJHJjJZeG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PfsUFaRXKtNTorYNNoWUuWGJXvCvAsOPkOupPtzjaEXifjvxtCqFfaQhIuXovhtUHGMKVfkvvPOYbhJwE',
      'ignTitTpKSkmSSv', TO_DATE('01-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lcmDztUmlDjSlRidixknPApLFKjxxgAPCISDLwnqCwxbkqjiJZmYcyYISeuHJdw', 'dHAzgAasskoIPvEgVGAZpRUx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'okUaaiDLONRWDTdSxETwaKaShuTUtAKRuhcAFTOeJkyAuxOqrnuPrVDJCNppymHpOTRDdViuAbEvKtRPkayFMmHwLInFb',
      'NSfGrbVFwuAjgbMBZpAkGbgnwvcoLAhPgkVKNXGKHfNNznlqDXNFuRheDUKpSKnxtwNsAiVOSYPmCElT',
      TO_DATE('28-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nGZCnbsNxJiOxlBNbNP', 'Uzb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gXurOkaTDlnpLIIDDzPwKlrLGJIoGDswQlnmyZUqBJrtwEVKNdznLiUVTVVoYfUYZmbmhWzDbprnYKQvgklUcpMPMkRQutaC',
      'fyJnBmwJOuWFGQGywBOUztJBKeuJDvBozETKamKHkokQsRqmgRSI', TO_DATE('07-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QuQpkJCwGRrymPzngAgPPnyzMhgNFrElzgWwsqwGBdIjLBcMgNuazJwYrq', 'BsGCZMwljbtIKKnWprqANOhQLBK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'roxRWxIMMzRDKnFMUFBPlErpOFyiQtNXoVBOpjvoiSHKwFMbAGJCKsgExSjfzQPrfJSZyezgayburSaNMaLYTzzIPoGFsZDAZU',
      'iqpSXXWMOrWebBthhuxfBLMIlqZplomRXeZCjPNfzdogWrsYLJMYUSTBkShIhXkNnQwNCurgBFZcgapdLbRSMoUKOotxi',
      TO_DATE('28-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cgFucZJnnnaoARSapTSzzcZMUiHQCDTivsLLWzYtUvjlgzypAKGhRewlKmhIGEWKNclafbvXccOOGQUjOS',
      'EjrGpAWsrziIcUMwBoLpVUaXfnOZtFAdVaoNWfXHMyUDrkyIbrQhqXgMemHYLVxkRGgLzqlspJkPVde'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PeUlZGOPVKnodLvkOlnapMxHwLhqUTAAqmeIMDFxDVNpRyGWXhjMurmuQRceVdZdKMo',
      'TMfRPPJcsyHuEQzwKtcGPoIfcmaMTGLwNhaJAZKjUzzFxCthDsAnhq', TO_DATE('07-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WhIigkYsnzymrRHqZbuBLTjnDGIZsozzNGVNDqLBRhrOiSkIcfTPZKqNVcvy', 'EuTOjdPxQrGWdlvqfqXiciLvlfhqKlghMUbmPEMaAdwHSvYvZguCUrHyJeLIgeJwOhqBRIvcGEVziGsGwbxBgOHechaPCjXHE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wtEvUOAEbykOKTLUREFGHTJGZmlGCPdWmHrtjAXaVdhXGI',
      'UUTkdOzOgfuxOsZmlzeQJYZhJlbjNyaAZnwCvsDTEXAdwcYMzJBKVpoNWyqnWIGuKQWggb', TO_DATE('26-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KEUmJgCmLDHKDZofreGfHmaZpgOmAaPaYnoPtcuzaIRrJtmilLbiTuuyRqlvBFhQfysgTaxXfRIwCRqyVvdNIcOjifxbhoXP',
      'IgEvHAbDAliJVFmysoXpAsjFJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'diTyGPEZLvivZ', 'RRoumbzIpXDnixaFMwIPmdwQiMitWoVvJvFDgXGpwCR',
      TO_DATE('30-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZSSjdWlzFhkEQPvhLgTvzTfhxrjcnaCvFFWyPbZxKIhATQGRosyUIWWtkcomApOoVjgMutYaUyTH',
      'sWfhtNSbG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cDmrTZpSBGPiB', 'OoIypihnmgQYVxYsAOWvOSelSgbahyNwoNhJLQkSqWQCSpdoQNie',
      TO_DATE('14-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WMyjuAmVcArZFoMLNhxCwfcDdxVr', 'ENwUYzTnhXdCCWYPqyiClqNdBroTJHDhFhJkYXohWPUvbAjXgYhe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cvcHlhTWHCSDAwBtWTjhpiANfWhSNQNvflSlTKoGDRZHaudpTADlSOIpkWFpdheKCofUuKATdmLPxCulkjYI',
      'pZbMZPpycGILRNJCJe', TO_DATE('08-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tKVZBVZxxyWymyYOaJkXXaMhIGqHGQJxWmTUMfU', 'SDslawtrjcbkWiBmxpUYphLLfyKcyEPg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kJXHGUiPURWyZVhPEytRuxNXveKDoDZMFpZWdbsKxbSrolOJkLLC',
      'MCLLtscfJxVBOZKBTJgvtbfCthgMwKZFCreFVfCVHOnzFGjTZoESAfpCiBXZIHOhKpxMbMnJeomybir',
      TO_DATE('03-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VirxuTcNiWrJHQRISnqqDRuVhbIhepFuYZEPOTSdpfsGSENEwZbFpmwNrRPUYtvUiDUrWfYSHsYJDMmXMulJdqGMlcTYNNZztl',
      'DdpCKicfEhSBQAtRHFdo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JSbKFPqLhUJtbLVNnaRtNnYglOeqnigSrdVflxHjbHuXWYzMnSiBsDvoJXiBPdgB',
      'NxXmFyBoHOQutSjtbwNRTgDCKCFjTADMsAUybFXjOyUdugwxlUmsdborQKVqRXxyaFYTaUlYiGRag',
      TO_DATE('08-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lXRWNQmEynmlRnhAEfGTYXxhaHnWolqqvXxLrQvirHJaaBhiZavmPrEh', 'LWqnssWkQXiFmKUwqYgTDRQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BkoTQkozBbCEmCMmiPDGGqfnxaMlFZtwcuSobZRATaKjrNfKPJlIafTXqNjggPgjAfyfXFSiNBSqDxBxRy',
      'FhXRKWONbhNS', TO_DATE('29-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YQxXZyMwHZbBRPZjpNhUPqQwmGOMGOUnYXJOFaKkoNdWgguOzPh', 'clJNXcbwjGTtVvcYIMzjmvEONCzfKDCjBEkBUQVwXlDeiwFHqztfaqtIP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bwErGcgghMUTIDnzYscfqYEiAcQNnvreTTPgLeYeawvoJLrjKqCfYGjMyXKiDSyCFRLrWQcGqUgoqec',
      'pWPnENjIBcRchczNQqynkuacPcEyaxzJDew', TO_DATE('02-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DaAYXAMYUvTczZooJyZsphnKACnlhLHekmHjRDOkBog', 'PbjkNLklzPYIIgprFizcGVDzkfGoiiiGbkgihTiWtdgwxMQrjiHgiGIaImULVywVYvmCH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DuznGBIvuhzPfgDaknWTSFDnREz', 'gJibmIYDielevxYsnuJLtFqnTzxWQvrAQOYWGl',
      TO_DATE('30-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KgMmLHLKGlDgNXplxpDeNngsGbgvWalAlUSQOfeGBDgfWbgzGiYARasCEPhGjiIvHbPQeT', 'ctfmoejTPcyvSHZSlBXveVsjp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lwFsgHYcdCPjFGzwretLVubszWz', 'hPykFFxbzyakAigkyjtJQnpjYykljwvrnvHnvDwdgHbqMItsZFJvfYgXMSoAgUHhpkqdTfuZlocz',
      TO_DATE('06-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XSEafJPLSqycaCrplttsPvZyWzsAOXBwaLgbKbBQXtWiphaPYTBeFgybSFBMbKaTQQjmwkeyfLl',
      'wpcvxpoyyFeblBlwAVVY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wqzhVKwvwfRkuPjAMeWJAmpjJxnSTkOGUtlGEPmadXkbBCmomHQVkLIuOVY',
      'tsPKroNZpDkPMsfTNGMkejwGZFswgGwzBdDkWZTmyWBGmAAbsoqcAeuQanOyWZyhdlp', TO_DATE('24-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MyHqHWvSAKrOUoFZiJDhRXqqrPsHfnDPuxNNhZsrKDoiyWPAxUlREwsOgcpEyDfJvzfTzofLTnOTgkPqUwJYYsvgzB',
      'yKGJxHoynvYukzRIVcJSdfiEqvpnqxmQLxxBBVFkgIMpLwHDxFFGWEJziarJrxkLvQbbclmFUbOWwKNYdmLmRFXsglrxj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cLDpBkVdxgihojGJKnvRvonJA', 'qSWQnsPklcsHuBHpoVEbyEQIOmmEdemFgoJoPJxZqOUDfuyuOjLcntccWlVirTNCbTABoAwBazWkaWpWtuGL',
      TO_DATE('06-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iHfYJGAzZmTOugGghAAwiqzCLZJbUcWHStCvAxvWYdHnFJbOiMzKVfchEvNUgKitWTQsEPdFWi',
      'efQkXHKRQgFOKoamiOhmRhvhRxIwUsRDTlrPYqPfNDyLPkdVHmdMAOKBCybBSEXEJG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qXcKBeleGhXuZHuCQDkbPtyQUhkTncOEsBuQxsmuzkGxKrUMFSjUijVnufoKx',
      'HpCilnciibcSakSoudtqbCUuqnkpDihhGyuGdufeDnAiLbQPMPPpQzhqIAqbdR', TO_DATE('28-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AwDZpiuKbZIZgumrTmJprjNIUenhymWMwHPblMjsDJuiZGBpxGXbMGLMXaJcYXdBOJR', 'pjNLyVTaHxpvrVCvxtoglpMTCKUmvKZKwqZGxGLdqcVLHRwpFpsFaANBWmkEasGFUkEaHyFsfEQyl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fmFVxRCJGivljgLjAFEUjrXDTchjPjUZXTtFFCN', 'tqfvVrGieXsJwazEQtdlpvZioBvobXjJkdCPalIPaKbcQfuggGAKWOHBMFpYizPVoWjoDiyepjgfR',
      TO_DATE('17-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NhmxMajnpjnoGRSyTguHszfyXQJkFGsApeugyuBwAaPZGRmK', 'olxviMPqNdZEZZBbrfHtuAtOquIgEdleGhFkZTJTsVtOpRvgPwqQStl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FzskGCKaJuyumbaTaLdOakfwvPXqKmifUztZLUoWhBbkDkoWCVhoYIKwSKQzzGJcpgckMjb',
      'amBfYswSvzghWexqRZuuEUZQtGZVxMorDuBkXvrgjkTQwRcTKvvDPCwuJGSgZkpRZBnqtmlzHLyZPzTe',
      TO_DATE('11-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FTxQWSGVpkLNVuCfmckVIKhkUFERtrqfeHKOwszvdEExaFepkGYqBfyMLNawYydycfxSayUxjkXIRxsPJmPy',
      'rwCCZCReGiXeAATNJyMTXAYbLILJDbrjYQQFzpnUzbZSnhMfZCczRBUkqdgoK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sxXBnMBoKh', 'PkpXnarFeMnjwboM', TO_DATE('14-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dETkiKhaMGwNxqN', 'mrOEYURUAlLaZuBhJXJaTbaTKdHYEGbeXMwIuxyoxxNMPvTgkZPjU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wjdLpIHBMo', 'aaKASeyalJfMvwlPHxHpDGoXfakmPZNWpqcpWuhpweTzepiCdOgEMerHXLilTGbtTLRcimfFIREDhUhnnBrKHRh',
      TO_DATE('06-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tdtXsxHxN', 'crtOXrdrduktfTMcLnSfrgKOCNOBLsjoRDwrDJDdzLSfKolGmVmjlqrJvHCY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IxDKTlmImRMzxveJQjvVigGJGwwvHbzIvluKC', 'gBkeqxjOraEKYLBkwQirOxHLiawnmDZbGgoLeSyAMBMjSgkZzSlowyJldxajjy',
      TO_DATE('05-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aMfGYnEoXXMJxShuLjMhtKCcjNAPahTejrvnZScuUKZJIfDRFfTAEInq', 'zezsCOsVLMveKpENlxosXtGmGbMDpebHDWoKewaYyEJCGKpflqRIvWsUCMPNiuRwtWiHSfshORQPsC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xGfynyQiJrwbULoNXOZqwXGWVCSkcYyAPHBKzixROeyqltqYyzjKtImFWIs',
      'rBuIxDy', TO_DATE('22-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rrguxjyguwoMmqTFtsKWEeMZkfxmNeisfkWwobZPw', 'gxjJX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tyROUNGVQrqunhdoOBoczfoulWRljaRgEpcCXNFqnkMwlPLgjHmHwLAuafWd',
      'ikqlGraymppdHMwgcMNRTdqvICptDCDQYwaWQPpptBnMfZfGunZZxSPHXqjCAXiONxLarTrneKAygFqWPrYS',
      TO_DATE('06-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PgPOBs', 'HvbTtOadGCyTKPVRb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ffZQAepHrzfBKKapsDSnRvxFsEqbCLpjXFTthqhnTZZavFYnnyTXPeRNvjDQquuPhuHGSnNx',
      'vGjrlIoRTKvJaEYVRZhitYDDhNdLscyhVJgmYMIYQttAlZTQAojNnHviaQngGAJolUZVBKh', TO_DATE('24-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Ji', 'rmPnfeUqjHHgIQRNCtlhgjWOJvgQYc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WEsvKOUnKCFuFJfPczmZECkCQdtFrmgQVREaZMuuOkOqVXgSYBGylzePlkf',
      'FrrDSxsDgZolFsKoEvVgtEeDiGnClQewYfVpTPajkWAQeRqEubKhqHMZRcIFrwMnXoluQpKs', TO_DATE('30-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kbHVmhsBygyEroKFZiOfiPtgwxpmbG', 'SeMFaZuQKkxhWKWkWDuHmJQKkEOMVNvjgyrfDS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UPyqcDmtnfgMddbJuzKUepdXVreUZThwTcAcpxHNejto',
      'XeOZPrIluWXkAUZpQalfCyfQMKpbpa', TO_DATE('02-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TclCzgCGvbjuVwtkYbjpFwHOhYPxLBmFgEhiZdhTKOryEBwYvjGCZgWBKhYPYBtkkVrYFhguansXwwyOgnLrzPzw',
      'a'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jYOhbsyyPHctFIQqXZvTTTTBHGiMBhUVceTfNRtwhugRzXXDOkYnN',
      'UZstQvHNzHmpVlXqFuALQlminazwCvypbRcEVJEpNQfiEkbNxHIhgZRLhoxGqPl', TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DoxRILAKBSrBNWAvhWoGgYperZJUjTaKBvgTivLywlcajzknVGWlcCUMsJ', 'bbpfieyQtTDmTaGmAhBAfRgOsJVksqnQeQWrFsCyY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lNwtjUlPoVPIOmodPVHBPKTbhaZUBWrdOpaFnvMvORmwYEVchtPlCTxLrgOyACOEOlCmrpqQE',
      'owILOZNZEvthutDeerqFRPaZUdBpGekqGFMlSCfBkFcDVfGLSPerwlHDELpdAiMhKgMz', TO_DATE('08-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XXWpoRCqJRucBtDNFibZnZzUFLpehjQtcVpbBkBnoAxqVxGqEYpxLk', 'lqOevhw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'poOLJETOfcCGsXAkgRzvUUiiHqEqwJBHLMxyItWQPLFVdqcCRedSCB',
      'alLvGOfVXzgApJZGEsVjswmeFmNhpsDJmuYIRtvEYvvRXndpxGwbyD', TO_DATE('25-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LPkFEhUvAWPatjWdzaUnzoXyefdYGdGLFWmWrOfbCiGgJgfIZkosRttaSinQKNWeCnnyOnMls',
      'iRFUkeggHXIECNZxoniutmbYOgGligK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dTIKolhoPoNaWJaquWfeKhfFhlxcoRqAu', 'iBWueRNnUzraVEmTZrQGPJHKrzAIjpkbxOHABnrGfKJOqBmpxGGuaMGNehQgPVRrbEWHfZsbsp',
      TO_DATE('01-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vnKrwbYrhfEarPOHWgAyu', 'JbOaAghGWGqoqgxtnftPphJXhJZMaMsyNrogfZmNmZERsLbSehqvPZIHuKiNPNicvhhAscefZbVoqpA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XvzGFTUIWRuKitGJDW', 'ZBJAfbxCRlfwBxletqZYXLyIEjVFwlHCndaFaxyZgNZUaUbTZaWYPtIsuzSXL',
      TO_DATE('17-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jiCwNFpmBQpzvbfXXwIpqtffbgrtEhezqfyRORNKBkiqoEWTzkQfjKONyQHLONZhmMmDyRmFDmmlwoBvtQWKNvJYrzbsefRviVCN',
      'eFuxDmyRcqNVouYaLYchVmJOfsIxOuwAiXGRxMFlKxiZXqTLmCXmXJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mveQqGFKfwIieoYDlZaeDA', 'TtZxiEgFbkHGvtNJtncHuAYANDKxjUhjmNENAyo',
      TO_DATE('29-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JouCgEcYwrvDNFzoE', 'WjazvjQEFmSKXRz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bwqBUbJqLPwcbgnyJuEZYPoeBYXGyWMmV', 'eUs', TO_DATE('30-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iOI', 'ieYJyBgNSYcxSyjiLhMjOLtCMNphWoSQtLuzgyfDSnjkklrnZvFavgcKOlHUxuDTlUGOVCFcgEIA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ordjJlCTNGwUfugWVsiWSHMETMmuyOhdvkXoWpMKMxhVvpzVrNaXNRmbXKzvvwDSGinuZ',
      'eFCiJndNCIBucZnVlgRcDXkZgjFtyUDZUkUAgIGdsgzPBuYqOQlNSHFlVJpuGNrIZekrSjBwuhQtTPdtnnNCbA',
      TO_DATE('08-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nYmKKLhGeWmQTOgyXROdMvkvmEBfgUzeVxRQiYgTWLpis', 'dKGifnjcbjdzAgyGzZRinmDGNZpNpmDNkmOfOYNnGbwMpzeYNzKkjEcpUrsfPsoUtZYWZpIkwajRDGcSQRrfLWtMISNwOhCf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LSgvYWtTHHruBBACDYGZpkvwqHuGefVxGKiIGOOoilyphHMEZSENrgIIGoBQaPLwNpXHngF',
      'VmYkmVYyfBAlrvcGAULTXEtDOGYrhezTYtRqpmGPxGTFXNQbWaEnotqIbRSkwHscTExzLImUuBfcFaEmuqMfv',
      TO_DATE('08-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OcfecIQqHt', 'XrOdxZXpQooVrCNYSBPMhUiFnmRhqrafDqKreXJCcjRMFzXybaLwgsuYCnpxrdqIPrXOHXwqQRknGgQwfYLszVKHx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gvDgFkadkpgRxvBqVYKPPEwyLJPFUprllfwNURvZpgyb',
      'XscxdoPGuXyxJeeDJbjXnJLWOzIkKDOMJCBOONpiEWzHlwQZCHklknUVkpSGep', TO_DATE('15-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JLDpGbZKiEYSiwWygKcPJzdPEyasuopSxEMUzrVkfHDajxIc', 'jwQGgZQTUtDUtDCjkteu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UqjRDPTbdjmUbZzlQndJlYcN', 'MJYQKmYjtcZCOqVyHkRzMyfNLZQssiTcnxGFnDOwabQVSYrxACeyyC',
      TO_DATE('30-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wCU', 'wIlWdclBvKhGiovuOYjWXIKYmCpemOfXhvIlqMOeaFEwQHMshqNwMgtSwDmqryqFgdUSoPYfDyALJOIIlSpHsAfLFBie'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tsVtjLFXaSkJbYqHdWwmzmmInYdl', 'fRxcAwfVYNdvhbfvLgVcKJIyBdNVxWnotfjVEU',
      TO_DATE('13-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oWFqISqXMtMRCCFVBQEMApVcmjGPUucvQZQGvLwMalAnfmZxpgZZPAjXwNAIkRlow', 'fwskXtFwblTtovzihKBwWJnLHFmTLDcEXlczRElyQJhPrSKHJgSJWfamy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VVFfJHsTtKUsjCTDcztobJmAkoItapiaCcyguimWTzltBpuJVZxPrNxrnezWZfJokf',
      'KQEYNfNtupzjPptOIeytfBhaCocGBpSxEyrCsYVnTQOWzrigbFwjUveVyTPHaNUg', TO_DATE('27-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nRMkainOESYyXRtNgVzgHYTW', 'dTNslaoMWAXMpAvxdhAUkFzzerVPFYYXAhGqLqBeQOPbJUeAWjmxMHZWoyiFLnjaxdnLnctEtLKEEFyqfrlQJlTvhG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gkvZeMVdzECfgsIBxSRHsOxarjUXbjRlnIAuZUoSmfolDFGgIWfGnjsXwAakPrlkDKQIVjGtCTXVzAoAaWtvDYSA',
      'xQBYKNKFYblxHUkVnxtvNhsejHKusOsOzjBDUWleVaaNbQynETTtLhxesmPSrT', TO_DATE('12-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mm', 'FqSyUvAEYTjbMhpiZdXAFXndfhwSoTAijTlEmSPKJJZJVjjvyHqbACGJkkOetaOjkTOUZNHPaCMqwHCLsReL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UXLN', 'UOLPINmeTJXywBEsqKvagiUpSlRXGexrrMUypIfVKBlQmJHkmrIglGmwDTuwcRZoYXnjCssLAIhQhIWgzloVWncKMGO',
      TO_DATE('19-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'klj', 'zeBboUXAMvrCAypznbwPisLtURtydxTdEbVkgKuABockuxQfGRslOIAEQpeKkVMiKqDtplNbUd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WBurgguNfrRqUgKSCMCSiEKXKppLWpmFPQVlmNoVkGHFhdvsDEuPmDCVlensMwBzzHRSlcZGpv',
      'Q', TO_DATE('05-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EZhZLfSwuSyVWitUixHvHtexcBlvPrTtAFpYKhqASMbWcGFYpDDeLEKvZteSCbbKUeoHIHllsBjIVjqVGCjuTYqCYryyMxX',
      'PKsjSMcXVesKQAYwlGrhjcSTrRWOPnxvDLqnrwb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gskbalmHozifUvjdqqfDDAArSAMhLaUmCutlUUmjcqlKMkeXePK',
      'ffLjdxEVypVomjuuhVncer', TO_DATE('02-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WnrDwHHOHEwclIEzWIezAitpsBjjUsqAUnqESuHRqeXYGOLdLIdKPgKFWLrxikRNnccfHomVYMqGiSrtjPgGKC',
      'AaLMoBabYkKVhblMTJGtXrfuOhiCZabVDQSIyvQUyRsoZFZpohsASBMSywYjHxusIIJLORqLNKZTeu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uLXDEEiLLceIplGmSAgSrxtPWSjEWZOjZSSqVNw', 'YvEEUDOIoIbCiItAO',
      TO_DATE('06-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cJhZGfZCLDS', 'J'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hhqacxEpwZnrkYfJSpFLWsXJCorQeMxWL', 'gkjoYpnJVGAMwakbmoWeErDpzYEPpHCEhjQheknkSFkELFWYQbCuVNZBzUCmDzZPIwvUdGm',
      TO_DATE('12-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XfQpdsbALMGvGxoFYKBykuOYZgkgiKZDyzyuVSCeJYTrFBwiAcKujexzJtI', 'zzDZecwhsowHsCadzCfEkArgEbUYJUTHuPxHxJUxanMMxUufKMOlgjgxRCcGQXhZpIZSwfvxaWf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kJYPdnKTPIeQjdtqCJJIbEohcFVDaxTEfwfRpRsqpgCxRgDCPzlZMogiXFIPseyAsrSDWihkwwjdLQXwMFywLMpzFp',
      'bvFGCojGFzIljlHONRmsCRIXgvAzmWVQkdQJYvdNublWGTfpRotZdfaExLluqzmzTgYPzcyPNUWKavmSIMFtMGNvEdIluGNQbhiv',
      TO_DATE('17-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BjHLKHmsTlvQIN', 'RMRSgKKLyfPoDf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xrxBjaTMidVWNZMHENaZwQdCzRJXVNYiWRfMTAzOlocUYlUbAsICwvhSVBeVhLnSgPjbwpXVIYuPpiil',
      'GukvMy', TO_DATE('10-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zdfyReyisTedxRMzqRPrijCPrHvdTqjRvTmIO', 'sQVLlXAHFQTCdNDspeiMxFjBIzVXJAyjcFrKyUDxKJJKLnyoPqjrz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KNwGAn', 'cddkSuRnLtPrNuztuGZiO', TO_DATE('07-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IYJTPwjenhgVpDPEDUewe', 'VLXApZWEpR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SWgqGGtBHTyhwWfnQfAgSOGwnyMdCrLuztQeJARjHqgHiPHRwMZAQzrskgwnMqrAXAvUJjIxBkKbxzMk',
      'qcxDWUmhAaitBRFUnrTQpuYHxuqaJHYMBQtdvYpaHJ', TO_DATE('07-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oMEyQYQoHXbSChUigXBrBzwJomXEblgytOANnBXClwxwJCWyjPiBeFosiyTYdNiIOrcgqHbUwziebJBY',
      'gRzBUzVuqdCXbUUrfZpTejZGWQLRzMiCagyKQRzOBbINURHlyjOdLyGuayCgSHwVqKYTop'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'Tgknkiuq', 'icOBTSouEqtJmppmEAXRCNYxzjqViUweYWLNLJTtuGfciIwscXPkOpquEpWavQNxtSoaH',
      TO_DATE('02-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oIPeUyKeodfNURKuWhFvvGDaWsLeSIVRzKaCEMOymZDXRuAeNGgzboF', 'ZadpcppSzTfvYZMxWptbNvcOLgXhsMwfuKeZdulnWSqflMmqvMBUBzZqvvfp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xxXqfnSoxNdOxRPxXwxDCL', 'ZbAs', TO_DATE('05-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fCjlLxMcSoZJTZDiySGGIctQBKdWHHeiKPobRrDGDKzktktPxWaMecloyHHQpZMksEEqDwfNJyZuziboU',
      'PJapuBxzhJBeSwHdRbnCgeQcYpgkYbLJVrnNFlzZMtbBXCasCuyw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MQNVzziedLwUGovfAjwtRZwBrPEcIxYxoPvPPEvyahRiwUXAOpGWQRWGBuMJrCITniAxKkrlJpAyBYAFmqrSq',
      'UvkkEBOjhnunro', TO_DATE('29-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yVvZdQpwpHRIcDPbTZvpUkfmEfUIErRBfjjuIaPkVPFqmIAmjTqpDTPzzGEhdQFYRluXeKDLypTQcTZOcrXOrPFEzIVZDTC',
      'CowEasBXPvOScajAAAAGagzGntFwcbnGwzkovfyWjYRybcPPnLWOalwCFAytWkrDSnilVgLJBqQdEsQmjNZaNdaFj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cYV', 'gaTrwVTuvWEDtbeaTnZPklEUJXsZhuHMRWyiypMgyBHltvNvZo',
      TO_DATE('10-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OcaCYNmZdFesqAGzpltkmkiun', 'ZYNXTIiJVAEdnDnfHVncANUpmEUBxIDaxlVt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZDZtcRwkajSCQqZlrrlTLLWyvaPYpY', 'sjiTDdr',
      TO_DATE('30-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PFOayArafGmRNsbwIJkyamTzyUrJDijzIkfequVHNOCgvNCLlVWhoJUSsBh', 'FHtEiVVohKMTISrNGyxHnoxRxPgSuWVWKQDD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bvHRxibzoJWgwmosMXqoPJosKZIPgmPdOiDpmnddvdMLEgQVxldzEZQK',
      'lnWMVNHuLMhtPYoXJggFfQQIgxGTuCCVHIdEqNUwaHdLHiopWWwJNWnmKnQCHTGljZKFzDFuBmufWhe',
      TO_DATE('28-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AMYXNlNBTdhwUKudJtKDoxvaTTQIRfnnnvKTSjvImdlSaIntQp', 'ShNqYDCkEBaKkBMKYnxIGXxWSmhTeXEvNfGnWYikTmHRLnLYvoOxEUIcikRPGwfMwWZpSaVurEPimhmTpibzoZdSV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dvmNGvxrPEhCpEweUDrvdkoPSXclhBSFlxjSkvuXNlqYbhwGVFkTdCCJhgWXjspetSEarbcnFduDuNltugJJfTeAERcPVwjCc',
      'ubrlatoGoxCICPyaWeJNraaDybckqmLPCGOphjfDYZvNciHrilQcxmLaCWokuxEvCJcrPeSnzEgJCbgJwWvdugcqGScgCNHaSb',
      TO_DATE('08-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YdHFoKtwcYjYWDQCkRkNegkJAlwOLMoIUNigonCVfasqlZGswnNvZvzpxDJplvuEjzNcrVQF', 'pk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QDQbUIowWqnuJQJFlWLHNmaFtVMztJuDevqzEgbmmGuc',
      'VSdaAXXkaRWLSAWfLPehCigXBsjrtPWqftCKKwprKLsBJLzzNNCSYKMPYjEhzxCIzHbhNYbiJOVOq',
      TO_DATE('01-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OXlFKiFTNBMfnlLgrBYOqRBUdYWVoMkurvseEDDgMo', 'RUJSjRswgTzHtiy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PDYZrsJpHhoCYyGfAVVhESjgCDZWUvgWhRNywwwygpQdKpnRIntAvYlHhGXAtUUZIbuGpGTRBNiRoO',
      'xXWAqRayEOBiqkqcsGkCqjjJjBhBfffTSvqqZwCQWGMujbPIMtTYduFKtsyalbJNr', TO_DATE('27-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RSqiExUiFtmLqupqBAYqNHmvMCtQusmJdeZoQsweJFcJMfBeVoXldbshbrlGahUhlxmimWXEBHqxjHrCSwykqPFFgmK',
      'fxsr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sQsCyykHXiPBAQCrWPormaoLgNgfcCYmcfjfMphsQHNUNSadRuELZWuaputPARihGuwYZZQbCIS',
      'BxBhTMeNWelEcZZJNgrMCojDywjGfmQyirnBaoGiGrQklqJwgRbEIhAWDoMzDWTkF', TO_DATE('23-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ffeHpJrgzbsmRuLhTpRlNZDxME', 'bpzvvZEJecfPzoMZnymHDChssHjVpBuLFiJzNqUuaCEcgTGLRjGdJWZSEPKTeysHhxi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LWIbQzXtHuNYovRvEnlfxNPxFNSjXkGuyuMytzmeXWpVRedQzrqCyJumEokrhyPCIGf',
      'mHUBJownmGptorwZaxKrKLJbRwuJmhgNftNzQiOpCkrVqIKpc', TO_DATE('05-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GopHTEZCP', 'WVWBPxrfGpjVqoXDHy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qIRgasEHoqKeWVVJAYITUrpchZmbYHdOWLfXmqFsnEgGqzRvaeWZUvjghcGH',
      'FZiOTyXumxrvqxLBdMTgongKiDGJOv', TO_DATE('02-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WRUTPsndeSqsfpTuGeydoTuDyLFcSgHPTtAjVnMYlXrDvSsmzyUGwStaNXbMiURGqu', 'VueEIPFICZwovpzghRWrQlgcleHxowMjOsbXFzxIqpSJaeQCynkJftYTEUZnAAWxdXINrfnXCglLGUXQSRJQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dwublbHXNKlSrYpPVEUbbtLLlicYmPeMypHCmaWVubwjYvScYMfVJnQNSIrFRftpoeImrkHIhfjigfhKBVVzaex',
      'GlASZDfQKOncMoVhZFYsmgSWkJPZcuwQdFyczIOYWPYntxoGgQzciwffEjgUYIUesqZXOwwjxZeizcySrTuxvwEBWHbs',
      TO_DATE('29-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qgvZjqJBRczqigjkROfEFiWqZNppmpoDeOOsgyKDBhvCbXghpBSsztqfwIbbwJgkmZVflNgCUVqdwZc',
      'aExbBtfPXCgqydyMtx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ecMTgMUosopUWGhuGDDQqMVhbfiFbLqoiOdJywBvzXZWYcxfRxLpNnICAycYVDHJsFViVApbDYRpkdSWorLYvgcFerU',
      'XE', TO_DATE('03-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YJ', 'XGbrKdqyIVkHxpJXWYWJZPSgPBIkjdKVixtAOALKNRi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'apRGXXtdPEiarlDTImdouuzpGJvLKDnPUHWvBnYlgsDPwjYUMDeKGjsiYNcdknPDIwVcezJGZsOSVjF',
      'XebGdfRiOTsVwNjhappzxEbYVqdhBNoH', TO_DATE('14-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HFaAJFpqVYgC', 'HRcRCHgzAkZpfxbUzcAQOokKPGYRMEcNgwgI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WrVmuhjearcVgbGIohJTzpQhSYDldAXDBWsfnzoGebjTrp',
      'BpYbtphrrweivGClVGMADZdTYMRupLQgbRyyIisKaWTTFvoYSeaayspyhYPotWVnXvKFNSIeCFbMbBUtuvNshqgZWaZcuhY',
      TO_DATE('31-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cfwIptxPSBkavQVkzPKdYsZySNiprZ', 'FgaqeI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yMtbAuBvYbdEpmVkURABqgHLpwWLYSfrjTIbtQCEZmoPCwtHUYZQlMhqQepQGXDGqNhJalXXqFeZZtXL',
      'buLIGKbqknSMRQWithqxSyKDzIYatGSZAXXUTjuBINWdgjqQZdhhlpLceinFOlTUszZiylaJsTGeUHXALtpIQ',
      TO_DATE('01-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OdJDYXeDySaTtJmzdhjbNAatzBinefXlIfZzbGGnKBIsuXkTKgaIMThPiCC', 'bSQUyEGjGDEtYlbgbdSaKzqwiJZDazmfIlQtOOuQVYPhbyPGS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YdscOLFHAnQHlpuiTaVsPFpeieucbnuINZiOMovQG',
      'oEngztQJReCHwQbnrecRjaVhKcYLuXbiGIqhASAnJghmKU', TO_DATE('20-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PggDSMfrNGDGebEoAemEtmQTWgfKazlyUGpHQlbsoJb', 'vuVeCLlDZXuiUtxseNmYNBTLDvZTXgVZyCJzldQoHIVOGU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YIdrrbmnYMaXZoEsfWZpWZbRdmuX', 'njsNKgnHWedAchoCPAHxDPZtEMOPjwKiqfsNaXgkmHxCrAmQpxrDegZHjWLkUZqeYSOD',
      TO_DATE('03-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ljCSvHdXPLhTIQesdGjViCjETIjScrNSRrdPypYVuNOLFiWKuwOJlklufKVlPUrNWlZeowjKHa',
      'peJulxrHXoxsfhdarBzkmwzLsmXxvQdMpocMymYkVqTrNdzvbavduYgdNeCraBYQqemGXPchmbzrmCRytQPN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HZwOmthPdToDPvCkAsWSowqirveKK', 'rcbbiOzR',
      TO_DATE('27-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'itgauVkDkbmgBbCcQuBCVvScYQvNIiofehsMXluifmyVCxjyiUqD', 'qghGn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AroCBqAaZXoPIUKaCGVgsJZWAWVf', 'KYhtpvXKIiaNFPbCTgiIHZhwPzGrSnIppkMPgURuZEKAqwZGlqgXjMYpHgJUeWxirpNPb',
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bizsoVOtIbpdYiIKEIsGdHkvbvrrrJAUJLsphjMtgluXYzxaaOOeQsXyfKnCtOpekceuchrGIRKKMrjCcBCQDLaUmukrjE',
      'JYYAimwXkNDmXzXhNKsK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mxIEnSjubieLUeSqgWOVV', 'zPxnEVKIXGyOQeWBrlaE',
      TO_DATE('29-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yhiOODLwaixjOMsJhSMWPwGWtBLTOrPMxrYMkKXzeXBpijIIhnfeKemLyDOke', 'dgdrFmCLDxDeCbLtasJnIYiKwCcdOFhjfUkkMlGbzPAWVAHpRKCPAreDNGLQPBOoDKlqbMOBsTqoovevWGVkYNIcHJzJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AJupAnoAzKEVcgucAjldvzOUEHtoYSPCmYuVfkJvGaXcgcpcENjBprPxshshtGlyptIIqYGjjNChxvpvFnYhPPFtSvCgRBOg',
      'uQwzrxmTNIoSFwQrGwAlKuTIZMHxHJasXJQacINuMGxX', TO_DATE('21-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tYfozfaotXIfvCqZWDWkVXAApBtgdTwTJrpfsOINhqtiivnQfQrdcqcCYubMTiZQifXjIAfNwS',
      'vmzxAOFeAvQZZNaYkTbnJTXuKhvedeCxfnYiqQyeqMdxpJxYCEwaopnaKnAHFfOvK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nRGjaTJCJTVKEnqLezzkCuoJKTWlEdOIVzlHgHTcyi',
      'jMNdnTTLFLjBDtbxWbObcFcEO', TO_DATE('28-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eSVWIVWcOWeMVrCthMIszXmlMiupLUlWOcVOIijpsPLxlzEwMZrMQrtfhkaRfOYO', 'DdpJDbxeFfuMLL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GZkmfiPcbxbkmwkvQSpOWSzFQmNZsDVwLxDVXBsSqP',
      'epngTwWrNsiWUieqYXiIoShVZFkEIxMrugfphBbIYhycossz', TO_DATE('21-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zCCKwMQZEwgoUSjGTJigiGkxpMlhnjbufPSaNSSPKhbzgBIpTquqnQwHrLoEAIwOzKCRRElOJroz',
      'vYCOlgAusgSZeZEJDFEoIxRhYKpmJCaHZVRnFJBJvxvJhmRvdGTyEsnvustuWKVVIRqTXvlGljIqVazircycl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MAwboBesZYmHysqFkvCoyRMWZQrxdmtDfjBFjpFovWaNGq',
      'HevjeWVPyotIaVlWvDuVOxklcgjtKGNzXDMnnuhrgpMXozAcdCOMroEFmoSTThojrRPQZVyTUzPWCbSMEKZxZ',
      TO_DATE('07-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'siKNFcxjEuOhModtHVtQADJIqRXRlTTbzlspNceZlSGxyiTONydA', 'sguIOQhAlDcixSnbOtQbtEnbEYcTTveye'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'isxDksHIRWJVZGdOAaokFlQOwQAgFoWoSdzqWjeH', 'THMoozNQgwjbfYOWnvpoGZHZkBUZJeuCNzFlUkQtanWvjmuHzlubPymyIkGxZJVNgvMmmnGovYBKWVkmlAXMPuq',
      TO_DATE('02-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZLSHTKPFwjjjokMwataFGrHrVHGGPPYAXKJyreCUmsHxfFOSpJjAqGzexXmTKBTEwWZRiNYGwVGwHqiOsiUssPrfzaASnaWqtC',
      'XfRZeMlgQraWPnnetvW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SpgWsNHmZIihsmZntCGmLcDfuYEIZtbpbLTMcgnIvJuXlOXkLPtMPgokTaRAgSBIGZcWmSTaiBcEkughEZmZPeLTBscNVHD',
      'kGrAEbUDvILaCeL', TO_DATE('29-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yArfICzUbVpDqjfunvCkyOQgMFfqBNNMw', 'lovBvBNIwWzCdSRzkzpfFTVplNUXMlC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RUcAmqvv', 'dJtAJcYXvupsktDZTdAnOcuBoajGrqJnTavhKYVLdubHxPGwVkZYXiSRbRjBjgfdiVcKZFLAkAzhbeija',
      TO_DATE('02-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ByXtlOtrEDydWwUwjZdWasmktltcQxVPzFLVXrdvLKwMLitKOvSRMlNxfBqWdd', 'rPKLwiTqVNfsYhLioSaafDYDfszEVpiCeNhwFvElUHTeyMBZvptegOFGyLGYXxRwIoZkajtBIVng'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QgdLFxTdjYhAcNYnSPsLYvbqlFNGixmpMFGRaUHvoHHpZTfyhN',
      'UZNSaMeAVGHbKKQBzrSJ', TO_DATE('19-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dqNuqTDzCXKToCgQFwVLoOnjSpRQWWMxQoLnxRudCdxOULtFtbQQA', 'ShnYkMCVxzyrkdJMbQcLrJPmeggNIVCUkENLC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ILbvhmUqxwZfvtFXHrCgjMJtOzNMcShYrlwwyQjgDbbizNYOImKOHbieghSByPooyKOBasOqwLQvRSgViQHWoKDsZ',
      'LcxKEvicbjpSjtGQGehwCTgKHniPeWceCXamwQpxmyAFMCZmdybKgSWxZUlLZ', TO_DATE('19-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VCkJIusBwmdTamWAMNkrCEEcBchBjLbP', 'rtnuukNfphCVAmoCHhHffYGmRUIFJoTvPVnTrJihpURJmfavkQkhgTKNC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JdCujOaOrIKYSYVhNAjeKRoGEkMtjZlcwSofbsGfGRQzrQDlEvOGDrFMJngwV',
      'yLDJioKxvToxbRngUtRanhBZcCYavPbnyDhKeGjGrLVyOFqhLlaDmezlsErPbNdAAGJntjddsUrnyOywERviVvoQqtcsCHmtti',
      TO_DATE('24-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GxOnSLxrJbHDJyJCShuGBeSiYqjggSJkfmLTylGlppxwLlaqimTjTUvTfdsdnPiOHIiUULxjkOScEiAVfZUaTkkqaDJlQ',
      'QsIUGBGaXJubLCcOVCZtoeZSQvemvYccrsbzAAVXdzmzsfGD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RTiSrJMDZBwPAiehbIfLOxgOfB', 'PQJYjjZFKnBrAurGCkRmoIbFI',
      TO_DATE('30-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KvCeThHUkXgjrEZrOrehtvPgzulKhXUJsxzObdtzzqHtBGabpMTqBDuYgBhkOAcsmivsKUnQYbERGMMVsgxE',
      'fBVxjCWffnXURSUYRUUEGivxDcleXYkdxNANqbnihgUeZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EuFSroMyedSTJjBagAoqiEDXONSJhZwDEFWzPqpjqyiLSWDpprwCbH',
      'tjPjXxxqtCGrJfRuiIHLQxTcnAjZeMjeXHueEyQQeXEHCsvssbCXESsFgxceLIWgUaowKZIKnyxyfAHXx',
      TO_DATE('18-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wVuuDpcxaXOBDrFBijJUIGMlMGDWZZtZKyWYiY', 'ZRaaeMpYsCDohogUTZkkFsxVtYOhCSGfDMsvNVCDhYlhuqlmy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BMJCABNBEIpMTpAulqLPNhkIuRllaqgQOgj', 'ImMfhLnlPwagJgHjpSKnhDVeyutHfMeTfbsMEGJjYxyJroKEeGZaHNfxYvQbqYsowrhMdN',
      TO_DATE('09-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uohXAaJIpeutKeRIBqslWpURzlfgGwhTxLYEvHVKcOTqaKoIamPGsWxLomJXhCfOujCzFRtWjscKDFMXPVfdZs',
      'cIlPGZITemHJferfnUrYqLTfAS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iWKqZScYoAkQIKZeKqOVqcwGzMHcGvDBtOzOevUXbxcGgSrrKbwdJrwIgBvsbwdCQcrIWvjMCuZhdAlumzldQTxxjn',
      'tRcqyeHrfdakQMVhpXUVLfSbfSozPiDwZHnUGQahobxUKduViseVTTpd', TO_DATE('18-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aEFqNIUHXRlyhryjRaMnFMYFNyKqXRyUFcVbiKEjusqKBtb', 'vWChfiANivUGilaojDtmtxvo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bBQaXYRvIqPNmlpJ', 'hxdPQETAhGoxnstQViAMasXtw',
      TO_DATE('01-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GcOkWuHPBjbAQCahXEJlzsWAzOVegORcvtqOHAoOtNDmmiiVacTQzqtdp', 'PzMQRNxHJEFAbxDNQjRlvTGLLgxpbwVSZYbVfbJIGhhwzoCneSbqKBNiSMflvOGixAKvLtYOjkQyMD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'swuoCwNUcNhcCxSWZqLQJVBhBc', 'sWWQFhlfRHpGYRQvLjFeoZxbQvuAwDDgJCEmJNRZJyuhneoVLZoxynFAnMcTAPyiphQgKARXAVoIuRvTnFSKrSkkaMb',
      TO_DATE('24-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xobGlFhgsshnynqSsowPgBXAtIxTNrzaOUmyQoOSRWCGXfNcqRFeB', 'dDBegAfSXMxAtPwbxuEKKEFqgBeYnqbHILAfuPgOkMBmREKYGspuRTPfdDuaqBfSvdhhm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WCtSfdoOIrdhKlUhIbOADlCJIAAbiZeHBsFZsYTtUAlYYAjUvXcBxBQiXGsAaXaSDlu',
      'zQLrhbNqpDCTAMmdOUEPmWXosQFXfEIJBrBwYeOSH', TO_DATE('11-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EDjeseVkzVKpNFdnoGOXQVHBPuxfeyYmHhMGSnXjcfNtKwMlWvAJHtqcs', 'QvvNXomVDeaADC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PIjdQToyw', 'IEHenlSLfyDOVElTjSsHJtCHBdyWhJLpkudQSzuA',
      TO_DATE('22-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aEqAiubcLANGxfDErvuvYtfXrhxzqpjLksg', 'iDTeHwpGXsJiNiLiNGjVUxoMydkoaqnspmSvmPlJxUPzvmEuZOQfzWToAIiJmgDpeJuB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hQQpeFBHRpkNKV', 'wjJrMesyljbCSEByxngKckQPMecnhHTqonnsaaMflmJRcSSlcrdwwneQjrjoXKPKqUoSnBZZpUAiLFDozCtgauFZQpsAXfGfp',
      TO_DATE('30-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FgjdhWsDbTJjPgQgsHGNmezgIGDPgFZBsjPCXfftZCauyDRQgCivpJCERCKqaZNfgobhlWXeePvsvn',
      'WFeJHlUFQGLnZasNxwjHQhkOD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bpzfFgvBuOBQbraPpovfbnRXukBrsTpmOZyNukceGUEHVordnzIGZLBoQdOCVsDWAKZwozIvtsnWXc',
      'JAvUtwJFPXfxAykENZTpwOEVkRpmqofRbDhmhqgXFYHCSLeyxnOriDIGCyKyPSRxiQfRzXjRtNNGsPfaUVesXblhNQL',
      TO_DATE('15-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wsupGIGLvgsfQYFkIN', 'bucfGdWVSywobluCxeqfuPnFCtopXiRmQmoLQFpdvyh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'clThFplBEjufkrhbRfcUuhu', 'YvsTPfdfwLSSmjPJolHJZChgfxToRfQYvPKZncYASWPcKkGKdrhCEkwKwaien',
      TO_DATE('20-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fgRJCqtRIWo', 'qsjxdzqCVTxRfXYCjgYKoT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yfEypfAPvcoIrIQcQpSgojjESLtodTqhOMmTuVyccruh',
      'VlWLpVk', TO_DATE('08-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yTXSxkzPmekmhdfogzjkwGoCxxvLPYsBkoYvcCZFdhXntfxqTOiOSGbxRcOyJeAneogySSLmatvMreeYX',
      'nZRoAIQUSYWaRjZvhETLToMHN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NhAoSJZvZByAMrclBegzcCDheZSpBlePFOotRHqrnjquMLurApaavzCMhcJlQeBuwVXOhOvCvccgsGgddJSzGe',
      'OPuxe', TO_DATE('18-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jYDzBMpXMTLTGw', 'iCnzwTtBSuWDXTkCnjOqeVAXtWGXF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gpAOLgwEXFiaNvdQMoVKLgSMVnDoDYgpcUyvgljbFAfatFapdkodCDwrSbQsCQUZxzTUpjOuGkRliPpwzdIzyDYYY',
      'wacFTYVsaLyTZVfTZvjxNhpsotzMPxTThrChfJErdlSQ', TO_DATE('15-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IiThBFQBkybHjyyXbKbzBlAmPPyDdbHMBjLkIbknximkKlpUFdeNLLoquO', 'jNBCRexDTcCzJgyEfXqSqfcnVR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'F', 'YfWfJxNvtWmqjq', TO_DATE('16-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RITdaRFuWzThMtrXuxicdmDiniRtHzfmshVVGFdrViJrDfjxpKGRvE', 'RWVADczBFVuJauRJqfnOzyvUrllrPpOdMqkDcCrNorHRayDIIOsbGdalMWYCzCILLeVpskazFsU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lVabIKeHpdLxuxzHWGajeekTdRDM', 'TIZTrbLTerbFePOpqeIONsFkdMRTBfSuGNIBOrBQEkvxTYTfsSQXKuICroIYewFMWZNQWloLxPgnnnlMObFtcEwC',
      TO_DATE('05-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QQelIdGOewJHYXhqIctvJvZzIKLxLtjSwt', 'GxvJkpeFUMOEHIYPdGRPgcTwQFZcUjUNFrgTZFtvuAIHbzNTYZObMvQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TyIWaRLDoInNtewUpOScvNTrCYlzyuBQTyUnXUrUESsYtOsFKGUDyFhQxYPRpLBCEbtVyrgeWtpGyYnQZQKsYf',
      'xwIhjnOMahwlwqgiZrfFGeQUoYTrOuioeVSLRoXvWHyilBoIJlvbLKffAFjdonn', TO_DATE('21-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZVdbHVgcwKotBiNAkMwHMtZzUsaQBJKPGhdzupfTxnvhkUfqIHZmapnRPvCLYd', 'zmNfGgRPqRujAEKuhvgleButyutOUSldJXKfmnxQS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AkjSjFqkBFfFzgvcTiUAtVhBHhbPuAwOMvEKrpbwVFrcrRBhrjUkxdnxQmfnXsrSDmkL',
      'PtsvojhjHmAfHJRQkZpSwcqvnWTmcRtQDMQNRrZscEqkPcxExvNfougKNEZUTSEYQRiOhjEMbFYIL',
      TO_DATE('13-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DLJkUGyszHFmraxEBgdIKnVWMjHHbMrtRHHawMiHtWPyLjLsotM', 'ZJdAXoyaVIElSBNobvmesOGoNSifvnnvvbNCNFXDsMipErOXKdKBOTCeBMDHHFBlPiwBuIAZKy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MIThDnMVYAVAZGlOVAZAPvieONqhAiqnROwVhi', 'rRlqhQeXkXj',
      TO_DATE('11-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vgLFcosKzudWAzBpIdDhlwuC', 'UieYiuDVRqnOBalYjZYsPhXNBjLBGABHMkFIRlYvtugq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tpQr', 'GoLwrgYaUceWvNizNROrOmKqqVHsIdSABCx',
      TO_DATE('09-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EfFrNeZjvqzNEWppPySOuAEPAuCyzOgfVFFOYjmWnnmMumFTsaYThcHlVHMWpF', 'wCidZSKmKTPitHupNKwCpvttzUGdnMypMOZtjLQqdFTBDeGpWaWdtkfUGYHlqSrvD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cGDGTRfjcvSDSvKdWu', 'ZncHQpPH', TO_DATE('03-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PNvyTZpRevJGPCSsCwaHRubozNesmyDPVPHjmNehVNMyRIIKtwlYdPpmlJJpvBghHwAAJZCRXizOcCdhzawXAfbMazy',
      'IcKrMmYLGvgolRvRK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uFMiJewPxArKegErhnIqiWrSxJVobpIEdZWKlmOGhnDJbLHQCBWpYCvFxuwWVgDech',
      'gGaXPAGrZKMHPZnDMVIzJIDyMBTTCHuCUaaFzafaAanhjwspsYrhblJQincPvYLNqSSwtVCOUHoeBBzXciThvfZMKhn',
      TO_DATE('02-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SDmUpJKxzqPEOpRpqsKVhTQMKJjwIsybZeVEgLqnPNPIczPVrjtrPAkgXlCgPYcNBJkHPTct', 'gLnLNVqMEjMyAmCrAIrZlyfzhZlGGjwSsHngWsODwLIbtjlRzaIhYHIXt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QxLKiqnbO', 'yPbTnLzZVyjCohRaCGRkwEfAFC', TO_DATE('14-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FyogqJmmAUUmZslKIDpmTDdrPvjOEOdGAWAeMGpaAjctokUrMKVICiuAVqmWTziDAELzHpQYEjDOfqOoTfgsDj',
      'MCSrkBZnrPpYAcMILNWMkhsUkttGLCvDxWwIuJNReWqXYSBjQiUSToiHn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hZnqPdMlVMnVSBudMQkGaxnzFaMSwspgWGGtLEQfLtgsfGCEhPrRMgDolqjWAvdgbOrpWIOUfFVEFAyahyZXPqZsgG',
      'vVqcFJoVncpByZmeIlnwRF', TO_DATE('02-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xMwQcLBflQjjBaKVdIgmuSmLChHFYiExRoeSGXQhoGDMtyoPJNgixxOQqKoCuwVZYBRWmXPb', 'UAsefHKbuMgUunfYRfzVKmIQmqlNEKzxHlfNtNIwKeRM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kPCCJEjFnndgizrTCfnvbXJfoHus', 'CZzHyAyhtDhFMmhevLkPMraYtvBEtgYILuvLGttUdym',
      TO_DATE('10-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'u', 'FquzkbOyyUlwbhHahhFtpWDvUFPccOLeEvXXJMOdWYPZzeBoNROSWUQtUDwNPKTaaGXSklRTjxpllgHdrxuqESrkygSdXExaH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'imDqv', 'ePPAhXpMaQMclTkUKNhghAjHkjZj', TO_DATE('05-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EAdgWohNVrzEHDVAwpjgLkIwYBjwZSJsSKHPVdifUBNuL', 'tXawQKTuqDdOESH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nMovpHTgDoiDGZCMepeNpnSgVSzHhXZAfPjRMsCcmdsERwh',
      'PoBvqQPLJZFSsngEiBVuMUhVZnIbHFMnzMpHYEGrnKvxIFKXBCfOAxBidRdhGXOLGDSLvXRXUmrTeXtPiIavPLfpwOyKpE',
      TO_DATE('11-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZylIyDeReKMMCbdAgWgiBBuwhNyuEUrHBRrtrdyzVdGQVTPXcculmTu', 'YRLkEFdoPfMYfOTDGGyuXFZsBVkwhbXRGXr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ElFHMixeoUbEGcDxoGhDtxsEvVXEDnnpXbryFRrilZHbOHPVJkYnYDRjKbSgRgyFOYNuJsqfqYLaLIFH',
      'kDdwhhqdJrluvTNrHsbTGZnZvcvRZygfgYwKTxwcOafclFLhrSFdOjquQMlRLdqVEALyWtXiEcq',
      TO_DATE('05-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cJamXCuwMgN', 'pVzwWQwpxCsRzubZMACycxJfYJkPATEObpCjcgbjSWQJWgSYBQOApxCAqvQAiTQRXtDsqjPEQQfzsqM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JNIVDPyyrLzNYzBXpqJGEMLbuPbHgeNVgIpRybawJFMiMEPuDYpWIkfksKIhpnzBNZlQcpwVhsGAdETFjvxQPtlmaduZXLuT',
      'zGTRHPRXXmZYfDVSdmSWighkGHjhOQtguYDlzILAnpffmCQiomNVaFtCxaGgtzcguHRwOUDqLhEpAcsPuQBNPjiJ',
      TO_DATE('27-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vopYjwBTmIaNpNkJFRnWZcnnAhNsVtEvBSoSHgzpETxvFFnpIXGpNXfIeCn', 'SnsQfBFTCJRzkiXXMKgnKRrIGpCujGWOczcToQLiBheDdmltHaYwIIeSikUoGDZZyQAKOqpZWZXuLFjG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EUeIBNzqQJMZMvhrVLKkYRr', 'Ulbe', TO_DATE('26-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DGcwm', 'ODtdIjKnuXQNkWUcPCoHgLvVi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HoQtXgTKsOtr', 'kUrHAdDSJoccJNMLbTDmXEpuhNuemHGcdtOrobeYH',
      TO_DATE('08-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TvJTckrzEBZrJOALZHnmhGoDEDyrxbqxaBMFIbmMpfwRLNFuxFRbenNCWMsuHBXOmzuAzPojFzFZVscyIAVhttHDmuWsDtjnmr',
      'FJxEzoPddzGWNRFRvbAkLvVMhghAgGOlpeqQUiIpOSrvtNSNWBzlDLxbeigMCAXShPiaOQoUrampJXzcTG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WgZNYbLsWcRyTDivtDjfUgIS', 'CqTDWyj', TO_DATE('07-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gYUVxpDrhxJkgnCGZFbasQYBvTmdyljlgQpNkeHENUSfCAWDdCuPSRovDfYqrUe', 'WRYPWnLVAVoOYnYCLefSQZPlWjgxGEXfHVfPXWHZyBxpAXtWYtLipSLvTimrzehGTiJQJebidcSl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZEsojRQrkKXzIvRApb', 'RxxQyGNOoCJJKYOidJmDHJQCGUeTbpesNcKaQHmiIWLPxrowaSrk',
      TO_DATE('06-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cnavpINJXVaeTQobXntgfJmXPhuCdbirdRPWBrjXKtuOMzPYAgnJmRlqMVEqLBaNOfckWoITQqKp',
      'wPJpuzlxTQGeYIDmZIpCLVBsMRFnIpEgsATElyibdvQjzmeAtuOOjPdjcVVkYSduyqyRABXULQgqY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bEiKJGqczVMIKaOIVbbt', 'qvjXCNljNhXRdNIMGtwIgVcNwdqCrYyYDHpzzymDiPGSDBzcEzglwDZPZfCZujzbuzivHdjwRiHlvWxtiEsSYCiFJwUm',
      TO_DATE('27-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LZXcGlv', 'EAGYrvuNemApRmdNzzqJAXAXylusI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cVLtXOYEnhqorIVOzXlnKllylLNWpUKjEKVpABJJwUpTiNcNxTDDDSBEPNcgEqlJRiNZpJCsvpJSFtuNleyMEIKzLr',
      'MBpNdbSOXMZhNDFip', TO_DATE('27-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iUjMUYJorBryzGjcqgJplCYZLZWDyLdFblYjQFaLteakJvGVqQpsK', 'FCGrwuNjeQePrObOoVROcgCGqDAWuLtxbEePGLZYeYzZNcIFedBQRovHsRfyQSeUIiQO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wovnYEqKsxgsNThYSJYmCSNPnCMDYeUSLZfzhGVKsXQjhKbkBhCpODxPJOGILglWn',
      'ZYeVzgvJBBIftgI', TO_DATE('26-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OcgVSpzgtmkoBJidMGqxHzqfYEhcRukfQg', 'rxgAoJRUlqpQDjiDhwkYrZgxZvd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DEjMdOyDOhcuZmSoQCfKhgpSmLJwgQXshYBgnobLohoifyrjqYuNUmknqPMGrtdIbHIBfbHWsxJGO',
      'cXQMGAvSHMT', TO_DATE('05-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rkGHXOiEyYjDWaLIbL', 'YsFTLsHwimxtlkuclHKsRorzFcQrJpscqYHIyxHBiEMvRcNZEUQCjaZRhUqxlaCnuwQISJVSFaRcVulMIlrkgaQRU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PSZRhejXPdLjdKkXjjMFXeQBaRUaHoePKtYndvCHnJbYHjSCczidPLyJJyvLVeYUyGjdxouVU',
      'kDWkwFsucTrhxHrvAHsXAZnXxl', TO_DATE('30-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uFURipnVoUoGysFCjAIfNpvXhtgRWXafyBfyCguPVRZbAaiuuyyGtngSnlqsaatieITGcIbYdeUKPzvAYnnGIaXdLWPtpnwwrro',
      'QeVImpPyGVDFeqEzJWNOMQgjAFXXetsBxmZQDVcILzCEsafdtVWSyisXcHgpIo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ypKDuHcuHhwZLZvwvcDgBleHqEEljkN', 'eIjLVKoMsGOgbTmKHyzAGdDvBSUcRBDfWoHKHVGcjlUQMtpUdSzAxlSJjWC',
      TO_DATE('25-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IZcIQMXs', 'kHnYVchtFVrrHsqPWqhUIkuFNFPfkMYYtAIcdSaOXjeWBrvwSxnAJBryBACHiztyveVQcWCRvua'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iy', 'dRBCQywpslckPMRwqQCjprBOujemdUCzEZnfXYEQTJeGVsbPuNXuIalgYczyPZH',
      TO_DATE('28-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FCeqUrRSIeqcVjDau', 'ZzzbTDCKdGeSlnYCDhnkmKMALOkGYkMlwHnMIywtcXDQvsZYdbpZJNhohNEzcRyEVl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'V', 'NenYwjsQKUKOOLnEmkGcWYsTXJpDRHYz', TO_DATE('13-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zHipllWnpSoUFswxrkO', 'qXMqHrXsPmSwpvwGEA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HKNtSEuQZjAwcNkRwsgHjJKjKaTkNxVSQqYzhcAyqhDXXcMkHOkVNTcMxYbaOelYknvFEncxFFjYYVGMltvj',
      'iFiCRZMnrPOtHsNRrYtpfTJYokkaBdDUtqjiWrQLwhce', TO_DATE('24-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mAnVveuHkadijHVdIL', 'shXdSEdseBKZsIPqGWijboTSUvLeHOxSEzSKdqrOTzUsRqFuFJSICSiKdrlWFJvkwuZVJoWyDhGJCArfHGcZKoZScSV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kQSXjkoGfaRJAMqJPDkOAarWdbq', 'LUxYtVuywNMWbgQHOzsBaYyYWkredkeXdTbiUoBlMOGSsSNvAma',
      TO_DATE('31-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YGRCRatOGFOcqzrHLbIBYhNxyuyCCuYcQTcVRNsdrtJhJNbWMzgtKGGlrCVXRcFNmKXvQnLnvjyhkTUxAClKDWpPCV',
      'icURvvZGIzgbcERbCxdhITpHsrOpDlxbObbvYHWPBuqvxWrTdJmTqycdbbclQVgtGjKBcjTSLZfUOqtWQkIud'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hbZyzuhuvpGTqxloptAtIOIePfYkcwJECaEbojzdTKgsUwGjwbxzAhhoygHCwyURylYdaoXyFnjIvsaaBrGfkFVYTZBSiRjyoluE',
      'JlWvtqaMmeKZ', TO_DATE('19-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zIUZvXOnD', 'oCeeGelPOkZicaFpsbDEYJjcFfNnwSJEtKLBhSLQlmsRILFKAnhOgBJABwpXZEQxjGkhAUnjMfloXEVClLMPPsIcHmFFBes'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bFMzjzlbJVqzVADrgRsUSziGXAHfiMlxgbTGnQgN', 'suzhhvYIhVZeHyYdV',
      TO_DATE('01-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ueesWEPTWwHWocZpUhmDeCbeLtmBKyRUReqggjlYWeqRQkbpPb', 'sGOotAEuauylimqCTNOdRkMJdSDYrbdvHgIlhliuoeYUWKMvPUWVxgDb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VHXDSLbagVTKJvXhyGQZuIRTHBZqWjfRwXgnHiE', 'HNMIOplPkZLucecdVsZxpXYHxsaRluXqOTQBBsgRSnandebgUAKICSYP',
      TO_DATE('08-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VtsgFTJJddgercmSwomXtYuoRc', 'HTNpgUeYjGaGkvrOxysGMBvYYyeduJhvBTeXISLNglDUgoFelqOFyhAXSU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WhVRbfjaSZfBLZktCxhBGKjhpsRUKovBMPlOJz', 'wiMtRarAfcwgbsZPqPqpFRaLOiNTGcyGivRKRtiFHAXYcnWbNdnaknZkaXtyVWrqWXeHGAjVRdZspvC',
      TO_DATE('08-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QLDRlqqnkmDuNabTgmDtolpfRddvJGUuqBzBJwTRdXBYucNtVUsmfnrernJezRoxWgxFbYJNucEvNfpBEUvQunKZdwShLf',
      'WjDepAmbSgNcyFJdDM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'edcKSVnLTiaUdreLfanqwVcUWYprAEyBatVnxDxWyobhtggjmRCPabAQBibKMwsFQVVg',
      'HtbmXmfpXYbwepUJNfAevTjmpEeTMilmCjONiwwVIXQVpqznFsIgrzUEnEvOdbLCGVEvAlOGDccOBhaoFHtDewmOuPDFyfkoaKT',
      TO_DATE('27-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OikkVhQBxaFGDvVWIcvpIAEuuEhGYiceqirTFvfXEOsWlD', 'QPEzKLtSbTvwBtwFUAvMCEFYFCDwyisQvvEeQDjYAhhxyCioMpu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dHePnVogxoBFaWbtODwSvpEDGgyAxlizzslNHcW', 'nsnnUadknTUAqJJGnVlzaaiDyFvTELynHyOCwyqZdcQZEnJrQLTvNrdSYc',
      TO_DATE('25-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mQWotNmPvIRmrdIOnrWyBkKdlpeNOBUDyAuXuxBZFhMaLjdPEfBypADLArumGrnlPfdApUdCZTioWXsYifmXAM',
      'NSHpuKhlgoLPKddGDJPqDmfXUMAUFXDKIkVemqvDSHWAuHqVlUDITdTDdtBhiVKWOhBgZeTqKPahnbfJLoKmKJnIu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LmyneeuWdARObFLudyriWrdLXioZfxZtucuMmygaBhequahxoZKNnfFIhYrVMmCIdlInPJQEQnxMPHuUCWcEVSsxQhvwW',
      'UJbplDewPvJWsMxejnEKQwWYSFsFuO', TO_DATE('05-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pAbxC', 'Iujbq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WLqZRztTOQBXmuBCyLTnJEESbgnaLhsFwyMyXxGvtLmLGXyPatMUdackSUisAjXLOpNCMUfRWmcVPlnJRkqoYjcrynLtFmESCS',
      'cdGfHhmRMQsyGAzKqzDmVvpLJKHZaFVcpSVHXELZvxHrR', TO_DATE('21-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PCnBUUpyeZdpRFYtLDoCYfhPTtzJVVuuFOnUChhKXPYlJYBNHdtweDiSYjbhNFPzYVCUCqChVJDwehksnOJSaZlHIhcYDSzMBDS',
      'sZDMFIpQvnGMZxqiQGjXICIOnoEAiuBYPhMjXZXzhEDRTqEqlVzXCBBJAKbKfPluTVziznqCWQITxyKCXRHPcVFsAZC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KlgLjgYQoCqntzmapdBesNUdwWyMJCBQsHLvVewVuqYlCxNGsZFTYCWbYYygWnBYerlAeLlvUtHXnCpxKiCI',
      'oTRjSOKvamaacyXEWAOdTHrtOuGyxmFpBcaPEamsHwhgwVxKJrzaEhRCjKsznBZUUQVoYIWx', TO_DATE('25-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yElJlUXbYUaLDdeFIETCfvwvHrtgFXQvcuEESdzpDcq', 'AZXmIitBUSjDjtOJSjtVsGbxIWjprwHTAjwveAZdoaVbcXQyVrrFHcfzr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pPDwQFZqFqWWyUExArjFbkfvluFmhZeEMgVikXRnxwzjYEDMceJApzhJOUMOrZPpYCIjbxFPXTQGNjNRk',
      'SFPKWQFJSEmWgspeiwpUCUSbjFMtdBzJOJYVhdsvKUnXDeRhmhARqroyTqLCBszEYPMsBzFeBtVkQmJzgAbXlNIHKPW',
      TO_DATE('09-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UGOMcFzyfGlCaUHDAauJmIUkpJZIUvmZcxeAxfKJboJPIDZpnGojinRKsSXzfSjIl', 'wBdgFINfNtsRTAkkgGWZFW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UGUPpuHjkSbWXEaciuFeMEQtoPJuqXsaWNLUiamSUACPhrsd',
      'FiAkMzEXaPEKAEcPVzWQVAhjMDikwICDEPmRWsZxJzrwSXOAPd', TO_DATE('27-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IyVOTCAizTOWOKYSkEHkqEhVHhXxVQWhGVhMsyttThHNHmyUqGIttsKUYtlOJuYzBbqHOMtOn',
      'SagdANQjtAIsTctNAtXDDomcwxSoseLEeIjvQwpzrT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uAuxwVDFXNvrOHJIZxLjBklNGCIkbdUdaCzWBTQMaYeZxcy',
      'uCGIToRCnxCskkipZeKWNYNMRuiDZsMamOeMqXCQLJHnncIruZiFQgBuZqiAHoubzYGTFwommQkca',
      TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YArvcyRXpBWUvumeDcbWFVibNg', 'QMjwMJOfoxvgkfVmgXHqdXaIeUDkTIYaYnykYvtBaW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SYAPQdfVCoYjAbtKkJPfZgpgXwdSAgwFpetoDUzIGxLMHbmsDMPCQOJstAKgfZGAOcQFHVxcYAbaMxrpmnoeGdIatkxCj',
      'gcoFcpFisRYrAgsJYkNIpmwxBjTiJw', TO_DATE('04-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VravWtLUEussNskzBnWjTQpwlZLLUqvYSxbGuv', 'unrhMAjZEgRIUiCngwBhqBZaOlRoZkOFLtSwsvBFOlbGywvlPqCajsgEhMmtmlmThyXtKtljHoHKjhWq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JEPSEfTKVSZcKKGbyUmQaljfHFDyAAIhoojxeKDgyUdZSwzV',
      'zbVNeAlLNA', TO_DATE('01-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uPRZLkROFqlzDPijulKLrFMRDvrGFXHnNOpkAA', 'PrfFyabDqbyIzGTLjpKIarEkqCJtrYTVixrx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xfhkCrXUActXNPrGnETLjdxBYnEiIDKVXtrUAhIOupYiXtTsbsdrLjchYMhkDRNYDZCjXiZIrEPiNmRQaZDteikcDX',
      'erIppdMNRYkSfNHVqWomHBUuATINJxS', TO_DATE('06-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fAcBDflXFpDydoEh', 'qmijmBLcEvF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wYRKESRAlyEefvBzgdxOGbALKRgGazWbKCoMF', 'HMXw',
      TO_DATE('02-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JGYIiXYVmZGCdWrBCPUZzNkyIkmtfYaVpYdzSltRaIWNNqxTQfErHYjrWJRuEUohZXiwnGdYvbmJYSc',
      'skxMlvsunNNRVmNCNdMBCHDwpBvoRDSCImmfJCmBPvZsUiCPYAxKwssFEjtGmIDkChsYJZmvgJTYuBsIB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tFuDWyyizOtnPuBqlDYkILiGpwTMOwecCAIBwMYAPlaHMtw',
      'BNBMlFWuGGeZKHoftWRjDanFcZjqqFMEVtHgkFaSiaiJRntwCYFAhuRdxqiTjNXU', TO_DATE('18-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'plxzEEnmXJpodLWVbUzkRIsqSgjJuQFwBxEYDJjDgcoJEqXSlnkQIvgedrdXpvmVqmEPXoolrbRbugQYegLEFIoozzAZoyh',
      'ApnJcsmtILcvJJVrhEYxkjzGhHuPuOUheuCTuQsazYNnOKxhUcoeCJWWqTibQCwYPpENwANSAUCftfvaUkIFUjwLxVCNBVx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cSkmAv', 'CLlqfEoLIiMExietqbWxNfIOdmMQCblNxaNCSoVvHrMICqTgQMEzIwIoXxTzMQyOtPeYvONsGXlFQBwPh',
      TO_DATE('05-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cMVprmrRrBohkiwjhnTERrqlJvApJPwZYCXYfgGEnYfujgvhXQOObZXPKSqbrgSQSKifmxSOoPdz',
      'iMuKnLYHRDEjnQvJPkWHMdFNJjktVFPVDXkeZjwxzDvlrZjiMhYMrCroZEVyrGzLnoMZhjyiITu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VuHnNXsaFwtVgObpMMWFLUwosBhRYYGUKZTTbElWtjIZNZOcEmXwPoslyaRnIVUtwSsXRseGGRwWbpMrxnqIx',
      'ddtEVjVUsbEJyATugdRhWxpihHsljoU', TO_DATE('19-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kIeEbOMjhGwQYyhvvYgfgWO', 'Z'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AuMCIMBCZUETlxOsRHNbCuGQVygBOGoQiUbTErxJhlrDMdqcksOquHyZpxkGReiAgvYCPioliiwZpTLEWPqiiNBifsurdPutYNeb',
      'UECgftwxfrpomUhSYarRfDqVfUjlhfyTmpluwOQZenzCLnjrZsovBbEpVahBkVmZnVwpkfozOUDSkoSMNdKFDoZyYrfTDUUOTfSd',
      TO_DATE('26-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TsyQtpqSB', 'UWKSLVbkURPIsfFETehsG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XyAKguIuZAiDTXvHkLWpmCjRhytkVnkEYNefAx', 'rmKNyWeGCZJxuQwKLeyeVuGrbcuruIufXcUxRFKzOWJb',
      TO_DATE('01-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NgaqEetQUjUOZSypkxFW', 'PKFfcCVNVMoBmegumPLWTFFGxzntaOkkVQhbJszddtkLJUxGafgbsSLlflnmzUwkExVgnHFTp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mE', 'mHLEwqOvaYftdesGUAZvHwcyUtIuW', TO_DATE('06-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IvjlamKTtYxrMsArtvRzBaDgtrIVFMQsekntLrmkslNyuTOqruHJCnUhTVE', 'byXLRdjgytLakzozcKRLlPWGguDmdOfTaByRMPslthuxsjAmUGDr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GoTgmNpduWPAqaYbyPtcIFGkodpDCO', 'sorCBAXWGAUcarGRsDZxnsEwckyDCqsVfuCAXHbsoQMUVEWMYjVRLyQktOWtPZkhobswLzfLWg',
      TO_DATE('22-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dZxIhAuQwzoySZjLeFmrtXKWsmFXRQSDnlTPzSmMioniIeQxFvolfQArCbQfALGHTznhEyZgpspeiVafrbIuQUxEZexIMz',
      'qkFaTbbtJwQGwvpIaqFoJkBfEsXWdibCdiSzJvyvOfICWjugtBpfGWxPREhAsrGRJEUxgFhHESiPwukxprRRxtGfPAq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PtRmohRagQVJrlQapFJUSPovOXWEfJPqzYKNBUJhaHpYqoeesIxMUYDdodvqHIvSlLiOvQiDIzMuuwkAn',
      'uPR', TO_DATE('14-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KXTmCaUbLBEeECLtMAThZdmKshwDQEzdfTdGGNCbsTGryJwCUYyTXrIxXRBNsgmVXATXRQuBDlXIGSMwO',
      'ZvNbbRYKzJhAICvrsfQMevCVEhpiJXePSyEaBbCBnMqWpmjVUiieVuwMfqEWhcxVMWUuQejudMFNauB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TxKXsrDTVkKHNWeLXdUkTjY', 'LNewldDHxhytAJxvzSOMSHvIELcBeYUPaliKRWtGJIRjISgz',
      TO_DATE('13-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AwKSLhDpCzeDcOHQiCZxlVZVvHEPnTbcMZtdVQdeXdFCcWc', 'lKbwhfOAZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'drcOQhHMPiCRpLHROTSAHyPDypmPnIjTwPnhTJOIVKPijQXMTlMvHRTVpYDnRaSfQcMORLmCGJUKhFrbJ',
      'wNscirVsjMVvPijVhSvNzgDYEPDYWckunv', TO_DATE('23-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VsMFbYcNWtJjrcqyXVyrbAUiRTIhLwYvUbDIWgkkLYUgwMFCEnDBmYICqZtDYxmKVBTNaWSuDLqedwNbqoCNqVkclFhrkfQJiL',
      'HVUHgSvBYITxjWHVppPRPONlDkYDYinfZZyAMPNZmXSkrVCAfDYvWPaeIyMsRioTkDYVqkUgwNt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'logXitqkKtlLQaVVdIJuqmrcmWY', 'HsQbDSWezkaTzFKgRiecawPSKBS',
      TO_DATE('24-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'duSDkMEzgNxRizxcuAqOVhJeENmeyInZ', 'vrghTRtZdezjCdTMNuwjQxpSHaJYSVFUrdthsHUOUpwRoVoAlVCnmyOlKYpxfyPenqPeOUIzEhmoCHPcNavyAfLRoyLxxvXH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'trQAJ', 'LsFdSbbycYPGxCtDCrVzSMtkYSkMhYMfhRjiHOKTQYa',
      TO_DATE('24-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GkzHQwqAGWsncF', 'zD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZguMrKjhhopWlgcVpMBhhgPwtBjRQWvIvyVShpuShuZptSbkeZw',
      'VDBGeHACSiSOEfUtfGuacMdhCZkvFjKsLSioFOWKwJaWRvDrVKlRkotrDLnfclAIwSEmadVnSVZjtPOHhFQRlskEzLpE',
      TO_DATE('18-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AVZzFZbZxwlBsENlUFGnSFmtWmMQaiuPgFGffUHBMCHxLGasSfjzoJZXMhBtalUIbLMlFiTrqpJduilFsLYYa',
      'wRdetQRTXJlFdEfFIYuqd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wmGLzFTLOGUiviAqBoJMVPrBpFUjkJdQNuNDfkGnnaxjyUnaDKlrJTkJCzeJe',
      'DaffKKaIzEslMNtwKFTGZAvmvjeJlZPXonxB', TO_DATE('26-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BHjcWcEhcocEdupupANgNWaXRotbAtpxVHpualBYKdqWETbztenwwcuSfIHNMaotJbSuAdsRj',
      'IoXJngMIrEvs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'feHeeLQEIHIBfpGqiSOIfhmKuszidzjSjXIUVEmfo',
      'WpmzEwhlotONLwcpwCiFriFKOCHbRSecO', TO_DATE('02-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rLbZNgaprkkSAKQmPIrrvMPLuMmvbpKGahqnXqeFmv', 'cvUTfeLuTNDGJbwTmDLBRoQNFFvMdeuGMnPauiLXuNJvmBOWZNpTysXrumQNyvBZMLxVjAPlvOYRtFGaWVZvUUN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MpntFnzpKHrNs', 'DiAeiHRfaddSBqtapEauoKMumWyaMPtrfttOILO',
      TO_DATE('30-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tOB', 'pabSusshZxyhhNwBhSEwHFSdAlxquZCDRNtMEHabAeeTcGEBsRRGrqzctGNbFKsZC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dBtihUJLuRRuZePnymcMPQhtTmQWnrZr', 'NESFSTUvJpQlFYRDfBZBaiXcdSvPuqupvSQvQgWAiFQiudLXtGbFfVlRpBYxJVCNMhIZdv',
      TO_DATE('08-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mKZeTvWykPXLebvVDTyHokTMQGKBPEsCGIpaYMEKzrJFwpIEcFyuceTfqctjSwcTGSr', 'AbfDZawCEEQxnxyj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hSXCFDgYILaZuAZwWEevMLmziplgDhWFzXDeCaytdaNJICqF',
      'qLpIJQeOdMTfkWBaMJhORqhzxSZGIiJOCkLxSjNmeRazKGQPQdwVExDyVvwU', TO_DATE('09-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TrZQNuKgEUNYaGEqlbQrSpkVwUWZCVlCy', 'whgByuYNGcnLPryfXBiYBUtrZtkPBzfUWBQcfSJBaXhJGErzHmjaLGBsvLdzAfivUlPjBTmzggmJvuKCjwrCDBFHoWSzyANDS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dmuIUjPLXSdsEGIdgfJErxCdBZSriPseMCoXxnhNQNQJpvGQGbGxqeAmINwSdvfPEzNHdROPkenvrL',
      'aCiEwbiosLNPkBcRkNQAabVOnCqazunmVLbDUjrpGJlkdxhXNqxwVaCyoDxBwKvWHRYcovHmCiOI',
      TO_DATE('13-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hmJqRRwBLlFGNuiUesOMFzzUxuVttrckRVBjjBdsjtmAWLXURXkxljaTKnDdmjhAYRbfPdLmuBrZop',
      'dCdcVkfFSvneJIYmqOmoTuyolVuxemyhHkjAQlysGiZrItRRoGmWcuevIxxPzfqJck'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JkKmrobdKcWVDPRezPRKCMNYfDNwgciIOPlivNWJTeBYVgORuWxbayHkhtOceXmxt',
      'crYxGbcgtWAbTzOqeTrlYZMhGvTyKDLtOWZjRvlqbCAHudKXjeLRdUHckRwvetuyCJcPvMNzJP',
      TO_DATE('13-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FeWimTpwbBKoYiWIBJWJGVybSNUXaQytQNqqKOHFNrTMCqgmVvPKslmLEbcqfepkgmGreWdRJcmwUZgPRqr',
      'uZJbatvYghHMexLHQHTDVlGyQYSZrfbYhfgkeXTKDczufODOTDUhcaQwXoWCIXc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fHcRZuhHUPGiZlGDzuMwIIjoiGkVSUBAWBGYTiqXzgfNfXXLIdwYCHcPVSnHeTQMwJlaIndorMByf',
      'amkKDaamklFXdecOIYasdPkXFqAYhlnsGexFKuRhMnkDkMgOxurcAahIYtGzwyLJpFrFitUrKpouOK',
      TO_DATE('06-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uNavWjtFLeMLVvnRmHXXCFtIXItBySeuOtwuZEVgSLlGEvlrzesxRVdOIDmDRjUGYnaL', 'GguqOLMoyooOXBuyegnlxYpcCgumgyYLEUhMhrvnOvJbDjCJPqZMSNnqRGpDAbZLVPpOMIRtvcJCn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NHFxmtMkyowdKnrGftrXOwnQydskgHQNUJ', 'iAVMsvFQZzKDpbPISVFJCJBjIZD',
      TO_DATE('15-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XfVKHWAMPPhnyuHFYeBMsZLPUJNFtTBpyiFbKdmVTpwhyXCrccIykAdDIEsMSuADHWSe', 'lpoFusSpFgVPWUlaHqiLVHBmAiKxiwKzijI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hbCRkWjIsZzyb', 'txNWYhTPhjeLcAvjwEJ', TO_DATE('31-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aPuSMOsxgaFxcGihepsGzmoIbDnWaLhNpJTihgQEaUGG', 'NHkkWerlWedXOjrmiONpvvmuQQkSCNwPWIDyLQTvwMIQfAGxTMcqAokarwcaMZGPLVEwrquMpGGGzGqRIQOnvDXWXFtKTffLoyEk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lPHOZrxVbWjD', 'chRZJPcxWKcCPZKzlTkJWJxViHQgKUsVTYZwMQqIGNSdLviUplSURkGriWOouYXzcuJKWQA',
      TO_DATE('04-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gB', 'rAPLzwgxUMzxtcisEKFPIhBtRyIIiChWSVtABVKUHZlcVcLLhswwesgBtoLEmJxXNVskdA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wJVzJEgzOSiATKBlLPVqfWDygTQRtZyPExaYefOxZgZZvmHxUidPCtPAjuvaZqkN',
      'CQZFfoHeELbWGAVmSYqNiprNkXuqbXQYPmPOUalZDHOWHSuUeUceXfjUfjHinQEaIHTutFYW', TO_DATE('10-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JuktnQstRgfBlYrHfmMXKFGqjZTPUtwtGwylzjVPRzmlNnBeG', 'PeXwwocMqhCbanRFpAItCwrytcIRvRzxQHJNPeEddHJhqoQnQMgwVwKAlFDvfEsSGSbawuwjwKntr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DClsWrsoaxcXiIEIhcHVUbXGT', 'DpquNmOECHJAZMbMrqpnUQoGLkuvLpfZfONFvabKzGuPjtIiwLywlecCJXOcWUzuMGpGfsCahejmXOxk',
      TO_DATE('17-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QeLI', 'xDQUkXIdarnArdhJsOScRsnkRxMIzrXZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hyqCzECfJqtPEawhCeCczDrSNlemjygddxXijHAhvmJNnYPOhkDWUwaCnBffuum',
      'JRhfbwYyTxcmFpsCRmVEbMeTFNQXuxHhjaZCxUKoFGFiwDukKNoWHFozkVVqmGOLNp', TO_DATE('05-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qJfxcRcqOAjhycZoQwuKClPPAAZuPGayKaryFrbrQRzmeJsapA', 'BBTbDfhPxp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gFlCqqwMFgGsCMqaceWaecBmnYJSWFhjySiQMJFuYNhpBYmNsNIhXTODqbSb',
      'fKaFcgawVpaXEgsQB', TO_DATE('26-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'znDMdpxZhjYGiMETpFZHWytDOmpFmubaCRhLmjQDDuSSiZxt', 'uHrZgXDdGRGtyHHHnFjOlrcLTYsARfIAznhhMVhqkHMOFCVOsKDSltELPgByrpICNtDq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sVcRmkRznZqtKOSsJqPXdtoAXbSzFQLPqaqfESKFCYSYHJOXQkloLjoNYGjsiDclhHuGjNRhAwaTHnLrAUgtgwdjvZbntJ',
      'YSoPWQGvJtGQjoGFflFhMNyzJJflcxlONQKDqQVbVvPCRZtGJjybEHRIDVrjaAsfo', TO_DATE('14-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xYStRPPnXQZlUnXmxXWiBSklVYSitzdQoEZFDesijOdyIiuUxbRUcaoIefESZOmQOWSvisarbZbdRfrqQMfzDpyxRMC',
      'xRhpKfZRACJniOwbMmQElRcUyRMuPPCCMslfYIPwFOgdYaQTshrLdoZuyxOrhgEtEPYppKJvYCMXagrmZDscqcaixuTKI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hHJIFYwVvNRFzgIIickmFqPJkygrOrJHoggWJskLhQzKu',
      'vpJLEKwaAnxjPRuHDvFJaVWBypnnZLbAAJaWztuaGZwDzlLecxALIzKFoHMJkzUBjOox', TO_DATE('26-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MxISkghMLWvIMcExZdFTGEtrZLXXpBBJvTdgmGbGBciUiExRuETwiOnuOoJdBAYudFpaDM', 'NHMTXziqavqxoOQpNQrAbdOZVgLGHpLycitZiBxinRtEagMbztXZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'Xf', 'GOBACvqYVCVVJGLWsMygcpCvWvqHkZPPZofSPJJEJYfxMnbNmqCyaeeQcHvQAGIsAntrzhFkN',
      TO_DATE('07-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vuehYrOSCtYCQYdYUXQBJgxMXwbnOxXWrTsoXXWXVxufGpq', 'fLBEpbIVtzUaMoIAOJaCDnGjjOfnpuXYRkpXQp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NFvUUKBevkuqqactEmTzgLzYpqJjpnxkpaZdwtyZSUAewGMIUeqS',
      'Oyv', TO_DATE('18-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iG', 'cSbJzgoeYSuwdNVRzgHNxGOtUnTNhTHwnzECZjMXctzzpYPKdixHvyqlnVxJUANaPEDbmoWgTOg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TvQrvxcksgwChvdShoMSYsnqmQLAqqd', 'CMMdNMGHGXlWMLfkfgdwnrjrGQxPLQAiZLJGtJosbxXAPqAeoFEjCZShZdUPPfSIZNyOdMaLJFpHXEeOgPezaltThzyyIycJAHHV',
      TO_DATE('26-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mrzsEsnlPlttZzJgEABjyAwWrdRfAKGvCXuSgzRqijxAqVHafQYytTNaXARjxqKuPfCCZXZWUQuotiYbKxtfDsj',
      'nDFSwmstMcbEPrTvfxQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bIOxopGUgCTBjyFSfdNvAvZBGvShkIocqiLFhrztWpsVzckojOyToRHZTXWXUJVTVaeqSceyGVsxrfDaPvOSiNxakMEmrF',
      'IgWWmBrIPlFFrrLQmhVprVpctDwSjALgLwfCqFIYWDdfHIFDggQYfKGieOsXLKtNMMmgjPbYvLZehlnjBupBVmva',
      TO_DATE('28-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RHEaIUKwfpTSzUTXqsLJSaQusrfOrKebgZeITFGeBbkusOzyoEahWVJSiB', 'JpYaNJKGhGXAXHyUcBVJRHkMYeVYjbJWmZbzFNnRGDsYfwLoAJvbtysLDtsKxOeGfpvphBDqTdnDQxwdD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UOiJWlGgiZPEICheRvsvOsPBGKzUpoBuQrBiVfJDpkt',
      'UDAYNmFNIPcDJfJeFyiGictrUgRVKvRIcAceEKURQkLFKrSeJdQkkoutWtwsvqsRmXXlG', TO_DATE('04-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WwZmyeriANpAwOPurdlSKZEdRmqPIyJ', 'qmvWaYfXfyqyHXupQylrhQBbJdgByHQlNmYvpjYAOgYbENTdVwrnnBasOeNOVdoRxkqMGqDlwzYxLLNSWKJJN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SCABjhtVMQwJOUgwtboFnjrdDvksnSfumYuBSLommQJcvFZbJEqBfBsDsNkgxVFyNpwYDUAkagZnjEYEFMWMCEkUUWOVjt',
      'ABpK', TO_DATE('14-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zlDMbYPhmskhWqIAqanZzVnqeSbjfUevcpwbHyPFhDFnNMImMUTKiKAxzPXAAmLSZuxRuoRQqKTnOTjrj',
      'FHyfykfLvbjnpGn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XpUNzZinpeuYJXZtPOPUipMXAdYcPpDqsUGqhRkWQLFNVXLmykFKZSBNlNbJBDPdDhtIKefdupLbokwcSYHebJxfRKAc',
      'joxHTJDiUggDuyfMpZHSXsWskOaIgaDzqibWVJdouHNQUJlUPSMMEppjoHhVgsWpcHDHrsDtouPRbgQmNel',
      TO_DATE('28-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'naNpptNskIjzteOq', 'kvVjiGIpNvUzcAxDpndrOzXIXyNjwBkbeATscOnVFPWqpptWECfaSyBY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sijTATIfghApcmMJIPwLYjsYtnacApeICUnLnRjoyAiDIDDqXknCKRubEqHqCYmkpPOD',
      'KESREiMeQpwQseudLUpFbsoXipAfixZCuHLjsUJNKMYUtrqnAAJWKIOvVj', TO_DATE('04-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cCbnzIwCKuHvZnQLdfGcZnDMRqKKoDIFxI', 'HykQLHiSspdgxHDSvBXbcvTAhdehtSzyJTvuzWUoAaxVDkzCkQDWNtVVeCZoptfJdnmSyDJDtYhTNyiTFpAOeGyUCinoYQlNq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rJOODNjhQkHAINaTZGaJpSRAKjnodilQRloPHeonHCAgnBGCOaBaVjTzoaQczTpHmiUnEXWrtXKnpLNvsywWDdAuZoxLJYArjk',
      'piahKsKxtSNASeQlaEVvOanhVWjgOmvYSBxQpwMvSWBPRgdpiPrizcksdPrhDyHCCTrWOFVXMzDftjXkiPeHbYZA',
      TO_DATE('01-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FsFmTdMuKfhdPBXhWfBGuJElgenTuPHVsFOOBXSDEVjRvHpByYiWtDpJDBtUYDFtKlYEvwXhVMEBNTSPuiFcSGPjciEhlx',
      'dwqLH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'G', 'OIsnquCPmtogxWONxxwETkLnMfCmBAquZCgfQDOAudwdlUq',
      TO_DATE('09-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iueMltKBjvrKMKFRcBPWHChRDaomiRLlWBIkynIdCHOTJhnsOOXeSVfONsYNmEtWqtLWqNqFZnvDgRANYVmlFBEsnoKDURIZO',
      'HPgfqHRKWpGcpsuprepsqmzgQkTqbPTsbOtGciGXFGLjxHMfqmVrgtjQeBqLTSewNRuGtMsxHTGUUFDedQVEWRkkwydWBw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mzJxhSuOCInZNlRHXesZX', 'dXEZZMcEhQKfoLzDRndeKNKvzWPGaMeYzLTWJXSBSNFiyswo',
      TO_DATE('01-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qGJUKlYgaewGDSDUnrSKnaoRvRZSAvcrQhvpVKymxfQgppRDyONJIYYzhiyKIovHpQFpEMBLvjoGfZ',
      'qSSHnxmMqAkrsiCsbOEdhiBIHQUwONEURSVqgNWFmpBqRknywWdtSkkwAPOUAykdnMlbmGgtRePpMugRaTvFTEBNbbczTRK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mrQcpvhLnqdEXPcKyovscBLTOjnrnfArxtReVUpkEsAUiqhNDNjmdajflokeubWmQMABokNYWfbiOBOhbNAScBbDV',
      'mCSZybqkIQM', TO_DATE('27-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mMuJjoTWFyhhlEiVDSOnOcZcukUHMueIpUbrTmuYKLvG', 'YJRREhO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VBZwwvMgpoaRfOqRqDeEJSjyTMmqWnpmTRjoPXlVXcPyKaPdFEuyMXofhSveYpfaNRLRQvrcLWykzItiFcBQyWBnBVw',
      'wcmzUZYrQCWSVqyaCsLLTCaeMbizldGihMgzapdwzcfDccIHondSEyTcHylCgyJyJb', TO_DATE('21-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VziDtgzOhArKlzohIgllfkdictkRmBmHM', 'CLPxXjxXwTDHtfpvmEYBenRGovZkLmk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'drjFKmDiJJlbXjeclDtKCe', 'hFfxoZXdTV', TO_DATE('10-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tBoJCmYrueWINlrNnJtUPoxYaBXvwYjsvdEanMSevvseaNrpDBVDaHj', 'OFReEAxfiCOGhAlcdvUexgTLIbyOfgjsITJUHwUiTrcXwPrdkMFBpKXSjlvjE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cebtVo', 'KAtXLaJTrGNlykvnqleQQKiDSocigDlTXuzZDOtnRtvZmLDOFTeHWZGxofFQPVFsYCJNOGaHHVRXZFTSYQKcFXDeCaXXZazqBckT',
      TO_DATE('11-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vNFyDxnAoYnijzqDlgAmRUZTjhaubig', 'fCZUoEAosSCztJqhkYsCanYrhLYqWKNZPIUYxKuBhjsbpWaDHkYvlrnkDJJBW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bNVRDgoQsrbzBRpYNuBzfBDxbWtrKccDPqWytSXxKAZpXFppcOFmzDxQCdJUguuFETApbCTLLL',
      'XqkhuejjNuezhezFGUhIXDZxmcjDeOEmCzxXbLnAGcFrWSgxaZvRnEyHoewlQjuST', TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nyUwwAyrVfwlCpZLrJcYqIjnZGnekwleukCcuRmgxhDjOUO', 'fuOmsleYTKyKMwdXAiWIbqunkVXrhDYnUUJovspzVyrEEhxWjaiQYFCOuzJlcCrSXpoLmSlEMVgsjHDxIQrtc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hjEbPgEUYkQtUWzdlARmOwVUnUthejcdbAOLhTyS', 'dQLXFyaMXYqjcfADZjcUYZzhVZeaIXXONRBdeleq',
      TO_DATE('13-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zxUezUbkdplENHeONbGWMFxQbGzpMQJRMjWTxjdvfA', 'GgAUHksKTsaKpTvzCkNFCROGBfIMBXinrsFAuYQBdtgizXiuB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SOvkKJEVxRWSNONghZuVDlCLJNNd', 'eDlBcnmdICtXcdOmezlDXNKWvMWyDSbrYpuULlmZIwybYSQkHVoQKfE',
      TO_DATE('30-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QzyQEtgXhLcjoQaMzHuAezbghHjqIrNZfUhnZeCwtkNpsWEGcryHrLO', 'DuJXyUkVxMAMcAqsgFxfqudF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GjNMVsMtwNgJMHwhRjqmEzAdDKYxBCJYIQDRIjtunBzCBkgLrSmWECnWnv',
      'qheOaXCCjMfJwYzMyURfbDWRRTIzTdpnOSnOeZ', TO_DATE('04-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fAjSPSuqBuvlYqgKPFDIhGauQxYVRsjQUPcXfTeUZT', 'CIGDfMImNwbqltBiaBGSqgIbljrNPXPNvbdlqdJQnxQTLnnNdtMJAIVVbBQQvisgVxCLArtyOXrgwaui'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QyNQYOYFpjwsBuCDaffjNqziCUieGizXyESCdlcvcQzYbFvCZjgrnllnTApIXZjhBwnQifgXZLzXfjyE',
      'xEjLXFrqKgTzApcMvbAVOzgmYAELIFXwhLrvmFUzuNFajndYCSa', TO_DATE('12-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YRxDRVSyehKnqqEZBIxBWYmDtNaribOiPqpnkr', 'pjClbVNyjgMnIKSwYWvQmGyrRWggvbfFlRBhHujKzOREEqeEAPeAETVkzELQjmFyOzYJNJSvKUCChQsRB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bfluxI', 'lHHkDZSPuDvlHvFMAZLyBeAvnLtg', TO_DATE('25-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OhWKpWOTTeozAMAUnOyReEs', 'UPSimoSqIqL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dwRVogEeisuCEcKNyAF', 'MNYAMNSySKgIHHOtgxqNfXLzpPSOlkUSRjUbZKhbPihBsoxtLNCNYIALLKlPuVpopq',
      TO_DATE('07-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'H', 'spzpogdkFAJVkIUInDcfVxmEirZQiU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FgHcnVOKwWggTvMxKdPDap', 'OUMhTkzatfwSKIcthWqP',
      TO_DATE('05-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gFGxdOlcf', 'CEmfkLGXCO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nDQuIzyol', 'uHtzGRNqtpBbXJmGhNDywHurGmVscdTxtgFRXsskjMLl',
      TO_DATE('26-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pBMDiPsRHYHqXmnbDTUbPwpASwghEcpjXHPRWLpZIxB', 'HKgarpRQKYoBCvGxmuWPT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AciyRApwgLpefeWnsljVArZmnxzfaDpvaJjjzFGIiUHAfjeZTTCRjaeTOJJZnrlJSPqzCbcdVNMsKuxFeupSP',
      'pUIuwNjGnAZqGbjlypiOaCqQyKPusaXxoCyRKEOGoymVCNBCiNSwcFjkYDzPwqLZj', TO_DATE('08-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fvDUsUObtMhauANuiSOABqwaaFzRgjPYbbcnPJBFsEOsPHsjTRZADwgKnJpFPJWNvjPCFPODbZXckKkR',
      'wvMwKWclCsBhaYFgOXDLbWBbUzuYNbSXVHhpWVhEbzidyhrJjIGvPCPVxDLJYKaqxKZuAElrnVeSjh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JUZXLLzluZxzSykheXvYYUVSNUCeySvslUKOEsvhFGDyHuzCMSEV',
      'yDnmrxyfjkASabPMqysirGlUTUKI', TO_DATE('12-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HBXZnWBDnJeNAdgeqeNFMZHK', 'fqPSaUXIqWc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'emnTcbKxJdLtOwXbxWtILeigGuvKCFNdmQKayocnFpKLHSPWZGbyvAqJnSGcUkjRLXAZBstCRUXOCMkTeZr',
      'PByZGCHgmPnekXcMUvOUxSo', TO_DATE('19-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ibHgaxxIZzsqJibwfzWHJJnrfuWIYXCOVbXrCYfrlZuEHVmVTdavXAuDBZRbcOIpqJTNMZYEsFgJBfHHLxsjipKMcqrmobIbC',
      'DVkRvVBiDtSrgnERb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KxFGMzdnwIwpBSfwGHpyxmKjINFihlFUYajsMzauGlueDdDQyOzDnowMXsOMEHpHorikOxEKwix',
      'lIPwuVWMVgcxHQJXeesmmdFCKKDtSSsBSzMPQzYhpWOelgTeIgwqaHstLpBrHHgKnHFKOutuPdNlIUdZnZTUtZElm',
      TO_DATE('24-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HCIrpXnAbjbYLSDzbQQuTokBuLKjJ', 'CtrvNeSvIgMkFfamhmxPstOwfwCcIvgffl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sbfbBTNGRjxOBQGRdOzoNgAzGTSGcRmPfmKzWchVtSDYDUyNJKLWAsbuMrIXsriboOeLfKgxOpdlwtFkOqEkKDKh',
      'syQbkHMuXzSpcwWjrQHgmRCjDRTVdLFwSmuiAUDUdaZgejvMsZgqaYwPjVBnypZbIhCoFIdcnRkkqkzKHSpqPCdLdZgpgjH',
      TO_DATE('16-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hpyLIxWjrCfgqsubSSipAXYexaQFziyyROzkEGHFdxHZsjAGQNciOFhNUYNHuMj', 'zAvGTMaMCLAfuYRxve'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fFEJHCMFBGgkmJVQQpygiBSxvBdAvHwagMOvPzwrDmdIkHUmnUXNMGjhRBPMFrZPIRZoX',
      'dIVjKnxQMHlKcUNDBLmxtdnWTiISVegJhGcwvVXIGxlsAZlrKGbJjvepdKR', TO_DATE('01-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xaqxLKzeiMPMaVMXeSnGhIhFVLVVwnONOcLrUmf', 'xrAjolBCiskugDKnLa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'doKoiZRMiJJDRFQxMwKsBGYRDtnfMfQTpMkpHAmaFNILVlgd',
      'RJSwBpGHceol', TO_DATE('17-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IkKaIxkiopwwHvhOIdPoRaeynUybpkpbgZOwcAmvAjeJh', 'jdEnDAOInynpoXaLXMtOnhatsbvFCTXNYbeKraYrPUfNRWvQAROhBIlviepOKvUafHdbjLrqitDSHozqpRpRVj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EZqMAKWvFcgCkupkWNEuTZzPYxlaosOZYZvVYRcQEuzFNhQjEQZasaWtcbtPwgfRMIPUWZmUSVIZNcHCgJQiIzYsdCOy',
      'YuRfHLlOjjbR', TO_DATE('18-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mSgMOQJjlkatbpmyCQaxMUnEVAZeBbRCZ', 'ApBUMNCkzVHUMWdSeGvbObVYlpRzNkqdHBooJeuozxRjSlSPwCRf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cDhenCMSlqLUfOVcpKUaWBaVtMOIJWAiwZOVtD', 'kbrRPNOojbwtgjlw',
      TO_DATE('25-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QMOFoZEnwPQvjYnexJQNmvvbryDJJPUsAoUVxPgTyBYzvnzMYUhXYqmShnvywTSbTjsMEzgj', 'HMvtNgnQnl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TXcwpLDrfnpdsSLRRWaZVdWYlIIUhTC', 'YVEiTbZaInZMIQTHPHpMKqxBMjLYSRitUW',
      TO_DATE('20-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BqlOUJurIYJooQvwmbwHt', 'pNCNQMhGccIYASXMdj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UMnMCqKiGmQGSIqpgCnhuyebxUMayBoDAdQimkLmyVrKwrKyYVZCPpHMFsxbUxhluBblQUQqm',
      'gazuaEXUDhmJUdBTeYZSlkuHAztyFjhwnShYEJZV', TO_DATE('10-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cRqSpEuNsizoaNbOxCZkxWjgC', 'RfuGZUWKGJsHteXnyluAxwHqUXboIZFjwdrUmttLP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'roANARh', 'VIcgMztqrzWgVNtbjhwZocGyyvkwEmeUVVjzlXePKrhJ',
      TO_DATE('28-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VnAKSyWCw', 'kRlulBrWfEdOVRsjdooTMfpiqoNBMqhmPVLNDzEdJMhtlXGJdvdkqrbHehKL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CeGCsfMBZKWlquTScKLafSsoyyaIuUCM', 'KMpvCkucFJdCFPVeOBvvVCXuieEWGDsRFQwFkYqUdfgEfkruikRERaYmlOdZiXvroRWWNzTuPxjzkEKXuRaZdW',
      TO_DATE('09-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NlGNbklNxUGcvIweVcBDgFzcbAUiTtpaFArVSnCvcoAFBUHNXMEXtKfszoZksxkDvy', 'pTUB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ezYHvswFtN', 'ynykdrnssQCFdKcuWWwUxlUirrJUtXdkWhfssoQKBPWXXWNzPMRFIIcSmERFgstLmPXZMVRGCbFVABzXeYc',
      TO_DATE('30-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gaPpjNVgScejEsorBrvZQmyfCowasoJuVdE', 'KjbFioaqhAbqrMUnauIZXqGrgfzFywecMtaXwbAkVWqwILGeZFzbLlLFGVIjOKADYrjVPtPZoYrSVUWxLZaw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sPdqsFuKENqYYiJHlsyGbFpyqxhMHBibFjmUbzrHuxTOyzTCrIwOolNdZoZcwKnkc',
      'rfJDZGbIhYpNhiRIFuIeEpozQmJCkqWfVPMNuKamvlEkjqriwXmMKuFw', TO_DATE('04-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xzHoBDlHZaKefFUIoQQmnMqmxvluIYDTpgWRNbLeoVkvTpliYlmDLNklnvROAIcyYjfrOdTWgJrrAggqJzSfckosZwWS',
      'wtEhPHwKnkPDLMXEJpLbgiizVvQuLJjrqqhVSakjB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KoVsmEiXiKnlpQLPgmerqqniiRxIXKDQgBzkjKEHsJGKIECjQKfmdopFbyPkfOfhPZkOwDEqKecn',
      'dFxhUFfcoCgXmMKBmLazUwzeGVDXFExOmlQMiqPRXtYwBrEEZVzcHf', TO_DATE('29-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kejzfXEffTVUKSlPfTl', 'dUZvYVvjWqqSbyWUjnkZoCBFobWaXImhHhgwTyGQirSMhcZiIWuEVLcysuocifocyyqHEvFsWmOYBnVadT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AzjjXCSNtbGlctdYdqcwIaQbEptmgVQUvkIpEzAHFqjPRyGCXPZMqUxXqWmRggyTSLSxfwIAwNWfcGwBbqBbPpXjqXms',
      'lhemekNrAraUjDkwDvkmRYRMmgfSndGBIvhNQRnNjBLJUQTyEIgMkXH', TO_DATE('10-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yRyKyOtQhKrTQJVorHKFzuIlRdcaKlhyYgnOUTJIeztrlTRFwKmamoPKtbakeksxPVpJSMUbcdqXlCdUTULIFVuzaOsZsACYQ',
      'nAyDZuznBLsPHUNCiAvKsn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LDzfzTgpMNYFcUbXgcWflosdwdDvNLZcWEXfFNkynHaWVoEtxknLsEPATRPpmBLskWnhYdlUFkT',
      'lznPtBrKiVktrbgjKCsXAlhyihlGzutTxHgqmzDQxxWonPxMTZxDnbWPidTJlogNYIOjDqbYPsjyN',
      TO_DATE('18-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'joAnnsrcmWHGibmjNhEiAmlrJjrIzbGsVGkEWhoFclUBEBTNOu', 'aKuZHPNqXIEDFBgztaEzbltrVCzLkURVgQcFDIiJaCvDrk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UIQYmdDDpYThUk', 'zabBtaTPqgvyXSjPVGZFyUJQcGBAVahqeGCKhEHruYuVFeuH',
      TO_DATE('11-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ouGpzedDteHzBEkQzpMFmvtw', 'sQiAlRDdjNGiTeBHyGfgAo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LVFrSlqImhXzrqppFdOXIyXrKlPkpBHwqIjyJeUNxSIuTYEGVbkroWEeMTkyBMfkTysUnywhLCYojpsjZcSFXuhv',
      'SvnnbuumUjatovtKBpxcROsDjSxMCNhLSvPCVxutuwEgutLRtBERrYbBBGTlrMJy', TO_DATE('05-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vzUXvhYuwagDYdrdqYCBfVDuLmEooVxlrry', 'otfHBXFgWiZvLYKbheiBoxhRWZFDDivCnpGWqDKcepJsSSPqnsLlgWfefmMmtBljYyCSYsLuyMbdMpeSDzHVlJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VVnBBwxHHLiCmOBSnfBLZgSCuBXfUnGYwZkfwXYadVKHlwldHLoSBPDhqKhrDQaJcWsbEtKXqiuCWrxVQPnfImGNSaK',
      'itWzPQoMHlLIoecqINwZPzbYFUhzshGvupZXVdxPKibsRBgcbmFRwsPkfrvKySfvlWaeQTQS', TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hmTyFFmxG', 'raYcUOdYiNbaZurloetQzqGBGehgvGbPDCVZwDPPrMTXjLTmCvsGilRyqIJSMWkEmXrzJOWnps'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VvNDNRSEApAfCSvKwWrHtrbuzmdvJsZyyMKibFSbkicHvINzBRvDqufcXyMlF',
      'SmNcDhUPJKimZwD', TO_DATE('14-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZCSNewsLpNNUJOJhZ', 'XNrTfUJesVEWlXkWLdBBHZIZQQhkoCfgBtIdbiTdSIlBcXpmaOnQjtgrGRnjvBnSUVncnDsnUDNTzAMhWAtYCtbcVEPWyGngSjE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lUxbUDVQcbMbYsMrgeVcDsOVcvmDHoBCzzqdYtcSrObGyUMeCdFHOWZcfwrHgZBjkN',
      'DXJMcTRqBJvVFfIxDogeYxTADMvjUARvlmyYDFClMeuEVQgpZbnYZtcCTod', TO_DATE('18-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UafzpGUKCOTrFXbRBKLWPMKnkZSsElvAUFonOmqcwviPocGnbUOjblDhVZbddYWYnms', 'PeEexzsHrJFitBypJNAe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lYKisXNEGpVXtLOrbDOfrySUJThSctJMmzyLotjvhkYtpAwVIPhiacjJPMCcgZzhfIWkatOOdgGisMiUFr',
      'KJ', TO_DATE('12-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ikOypqGeXnEIgVnWbosRZMjghttsvGQCNFwmjYgEKiobQuEm', 'ROzSjvHEgffxVlXMjmOIrrKREkGlSwJlZaTARMn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JlRKJLJNhwDovFvORNBrljxSXoRvfbPYcaD', 'YkjySUYj',
      TO_DATE('10-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eKhwPOPrTPlziUASmRTcaXrevyWr', 'WytAVciRmbJjByhYifQrRBRqSpDYraozYwZvMSjAHGyeKtuCspiNqKNmywRwojuDOIYNhWetIJbZfohomzqFQBxsmSSpSDYjF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EllIXKSCBUXthvToETZIDJYaNHCpmmLfZVOHzIRwUFFcJ',
      'FlGGyIwlDLwlyJyyCEAzD', TO_DATE('23-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DAvQPAWXEugLZyvvRjbzoPjQBKjHcSuXnYIODrwLPEZPXHgqALGwHhZEuhBYrnHK', 'SwGthqrEyYeyyJcsTHbIeBgwWvNAARVrM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vFwLjeXHMvChDCZZllTHvJMIxFVBlbK', 'tgYTdjJOmOIfouJrKkPLloTxZnGGOpTQamLHuKHnrXHlrglGqjpUhvbtoCJEZPTbJwvHmvlxwBKSXdrTlAQ',
      TO_DATE('17-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RVYnOAnURbSwAdyKPncRWcVZBeuUQOROIvTqSW', 'OmpYqFvdaDfwqullMfHYkw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'enBUobxCTTiqIBccJcafdRVOVCNvShXIxDcJisYrOHGqEAlcHTUXI',
      'VPaDwguoPvHQeZkjQpDJOEjRocbMAgEZsQmgvpUKgfKUyKFesmUIPTduJIMEsrmsBepCttNTwwBRjISaZE',
      TO_DATE('31-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xmuZMdaImiDX', 'KmXrHXqQuLAFtBgiLYuCJjquRVbxiYkWmOhvTXUDjitTQxINKbMsWgmq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'thmmqbfSYTjvVPAJWJhMTuOESSpBhaiZOknPQqQaWFLKChVEHmQUn',
      'zeORGKzGeplJJjESZhNQkwUestjOhsFWmQvkOVzpCwABQmQyWJOkuxsYwNArXYWLXcJkSzhaBwlYNpCQyXzlZAVSnjbYBx',
      TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OoTcGbjrtmRlVVIEaTVBaxiPupNJZwerlzgoiaDVMPbtHJYBOSovlSx', 'ambIKbMWCdSfXMMYkbHZYvWEutiiAubucosrYYpcRtATqIeBhnwSztnDxMK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vswWDULqhLBfNdKFplIwbNTXqDUAiuzByYNrSHrRlPGFuaitJqwohnsUMARTVgOlcYxq',
      'iBOOGrtPErpEstZIzWxEJhOSNxWLjI', TO_DATE('27-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jPZV', 'dtuOcejyKDbcCmvdCpsTXNprgqMMafflnoMUuu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DpSVsEqxUCxjlQvBCjJGBloZxSDCrzbRPtKZpibdVUMsWWCkJBUjCjqNjHVUhwRUFBkQRZzcCXBWAxzEHSHbTGHJtbKI',
      'VhrbAqxVQlNSxFkfEKqeBzVWkSoGRGXkkCYZhIYvpwEihPeJSek', TO_DATE('11-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jgslvhtGjpJbwhrCFvAhQiLfibMtzqPrdOoEPvmrmDDGpZcIoTrFhbsaJCnxaHDkUJMSBusyQbNwtENfQDOnSlws',
      'KKfZRJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IxArwtDjOHntq', 'ivpKTBrKiRIChvYVGHGhVFOcDTBlMxJrZpkvawIEgFsjWTCfxRtvluhrJNmwGMGZunVOrwqNBZY',
      TO_DATE('25-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BNUErbdPnBSNrTLUsfx', 'ej'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UNxizVGPVXISVTTuXzjaPOolLojNrxHWSnfcbaGTirmhNgLRUrASBpyfNZGlpfbsGgCToHaUrLlRsTIFYiNYemurnCLWMeDa',
      'VORvCeDcsZUylPBhFkFELNkjzweSvqvcYQRirsjrxdBaPHHZsq', TO_DATE('06-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OhcEKHIRcZaVPZPmKDuVtrDBcSQUiGb', 'KCKVxgoMZWVLpLUTOjNweEZlxxAMFaRzfoxacCxEPkAdLigEZRlNJJIrcnBnywXZJDVkXvrsGSqMhDvbnArpn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zvVPTzXGASPRanWRcQXLTsFcFiqard', 'UIqnpEcoxPhUSlkTWJlVxysqtdbZHpFKjqpoOCdGVAwKygPyYGrLVFVyaLtSWJfYklVFWIzCnqYb',
      TO_DATE('21-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vmiSC', 'maUjeuOHAdmsrncGgFYDCAQQEKhItGHVxCVSdOxstel'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gql', 'tCGMYlcyppnsifJsOvTHZkYegkRsNjwlaUbspgFcyraAdIoERnOqGCmsVEZtTCEafsWLAHFSGMQRFwnaNwTJf',
      TO_DATE('21-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rSpvdppOHdwinRIfikTWdhaaUuDbNYaGfgGvLiRlyFgBolZPODIyBelZLTQTMOUPiysiWvDGKdoIRRce',
      'GTdTwhZqiPNbZkstWmtTJjmtvtUTKRtAJgqVJXVfsMymOLcmmzecBhcSYnnKEAJslvlpkUOYbwpdzP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pcEWOYJxOsSGABZVxEiSDvyjISXvFBmvFeDheqevOZoRUBpVDcHSbZVSpMbcWIpQxKEDIwUntWAV',
      'wmaiDQVopLqiWyUQwwInwzJOqoOLYrUQuoPyurZKRlWCBljOwIXVKrgqdGIguntjpUWlthQoqLOAYA',
      TO_DATE('21-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dDRGCDBsijUwewqnrzGgFzgxZaNkzrHrHUedrBEvTjRnYHHaUcdopskDfkKMUESAptDyyLLGQL',
      'iVIfxAxMzveeiDXotWWJFjjSLjbLAGtQar'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pnobsVfLuxmbQyuRzcCfstlFUZRRaCErRRyHDtYioChixxZaAEWlEskZEUHoSAuByepHBcaWkGiYyQfDGbaAfsvDgjCWp',
      'kdOuDTrdHeKmqkHcvjzogtcYwKZfam', TO_DATE('28-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VLEtHdpOBdmKDKsZuIQbfdavmMTtZsoUOECdtboiHkWLJ', 'quqXYkbgqFIabbVBiWEVhbZtZtdJJGAeSwQFkblcvAVbnjWYvjJPcaiO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bcbSTAqRiYaROcLdHmyfhYZvwsVSecrtjvTAGseRYWbXCSuRvEhasyUkhmFXHMSnAMeYIgCL',
      'QLtJdxKpGfIBkBTQbTYLYhazTyfMgLgYZRDApaWUytYcbnQzXPVGKAdNFo', TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'upWBbgcTTDuRlkvaZMSwUWAeqqTKcaQTfWLy', 'OKEfqBzIskonTbXdqVOzwZgvwpOQgViAwvAYvBVwRYrRVqGsBqNsoxRihwNeFGAuriunYSIUNnKu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sbzmdRqamWteqjMAHehoOVlxbfYSNnaAHDoihzcDSnskklESagwdOoGpBEaARljDlDDshotIecvpCZngmimynoDGsSqlJ',
      'ymiSWuntfOWQUEbmUnmPlLPmOWoFTxskcVTIMcESktzkITyiQeRsNyQBDmfbDGsSm', TO_DATE('22-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eFoOViJHpgTAQReuIycqPziKZDQVEKDorNSkXoUfcwxIHxggpddUNxdUJaYZwQvCxJzpJfPDKxhXPsCLibFHSXofi',
      'vHcqiUeNxSMWRfVvbFEuNVUsyrNLyjPEgRTzMYTZDOklYxjVHABGCauKNeGRyUtSfKjkPQeictubpnmCAYbljNtPvDgzQKFap'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PSHXiwJzSyBRgJASpfZn', 'UulRhdiTMMzqdCRXJXAPEOAtSrRXjAZpEeEfqRUNOiGndecDqbHscGHra',
      TO_DATE('21-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YouGKyXBANcuax', 'YODQkDbijmzJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'npiHCevcOnbWxuyACMMQjUtUWUVMIBFwspACzvRWXayqoTcqjdPbfNlXJmnhgfBSbY',
      'ddhGDSMrWmHmvosxLkSKwtJMkvttovDTNwGmCpI', TO_DATE('14-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YWFevbhmMzMCwYKOSXChyDyvreiNWbCYfiiSWBckdvcVuBoKiFiFncJzXIFhohHiksSEMoZwlduAYXDBeEPkGmjRBXeCSxU',
      'xxwpRHEgChHJubctaTtDKJlaZwvDQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WYUCvKVRZtEoJnTotFxVReqljIzNfSlWUfIoOvRYavyOcWaBypMOGdbjciVSniKw',
      'ugRCMCTeBnGPyn', TO_DATE('20-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bpROebfDsCOwjXZQmNRaJqibeyiycSgCdkKsfPGdieUFDKGNSMwjALE', 'dFbBDfLWkNKUNTJgveAmSRZMjTp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ibwjgKgMEglhPuGMCVanPimcIvxXdzwQandOAmojqKILkfFExVJAJGQCmihPLILgBnINpDbIJNZwYPHDoIJozkWc',
      'oPQPEeQVBiqgAod', TO_DATE('02-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hsScGkQrNXOyvAFIRCSpMjXxPRUJAkupRMYeUEvwGlMbikxiEGPNVtjJObhBdqDhsoIflxqZwaICMwcNNoCmnaSd',
      'wzWNJVgVYfZDQtpCgBfYGBYuaklmdLHcVmTvxlxajtkVnaHaurvoWdLqttUvRT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vCZulDHeSW', 'gTLIOIJAfZUYPQDvzsMPZVMDmIl',
      TO_DATE('29-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oaqezGsHHugJFNOHcbzrfvbUtXKvEbJrdVMQZpNGdOmedVluwbRgNnJUWlPsqoAkmHbDt', 'ilWomGaHKNQQzxubPAVkEuTnYEzFUrsYuOwoDzAsCUluJrVBrHWkanuVXDpyn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jslaPRysyptktYc', 'MTJssMGUgfyKcOZJfesBjUnvYHnBOlxILDzDvegDEwmQpu',
      TO_DATE('15-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZbWjHMhtdlpEDHEWkDMYOVNUlNoFSpwBOBArWtWldBgWOUEfKHWuUrUyGtzWLTaPfOmQQHgXKDmbokfTsDBQc',
      'pHBUTsYfeTiqBlgjGwBbEakHMgPVfdwc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QANFvjXOltoGTUTEnJgVqsrodLWMEHXScgnBtyH', 'XIIqobgkGMspnzaxgRGgDiFTeLmDrLmPgXQGoSskZgVgFJywfVoMObeUOUYeIrOnWkRuqylVscMqpwtOGZdjDNMnyamqVO',
      TO_DATE('10-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mdZJkCjKjLVuDmdQidrnDMqNRclGGECIoVbbnTRMXyHxPMkdyQHjcJtnOssEbKtPccqMWqDnWerKWkjxILjQjZEftHNFRwW',
      'uSLkOzSqtyxMJDCkSOkziOskGxRieioJLOGFQIAEzjigooWnhufbnJxfuhGfdyoyDuNkBZLwVlCWjIgRri'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gUrfhbnjVPbUGBG', 'JBjiVhLKntxsqvePCPQuEeVVPbXRsfWBhqvvGeDHPJP',
      TO_DATE('11-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WNOgNxTkofiiRJSfvTJSKXgSixFTaCAdKCwiQPEhrQKAFKHMATB', 'XriiaUfpMiWpuRRWaTubWyoulB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xCywzTvdhHRwSCXvtdQEFhBxHCuJFjnnhdnWraUxsfQryqQwWcqoUzPY',
      'gxtTcVvXSdMKkvkcLBIZyujvWfZgLoGlipEnNgkTVkSKBVPXmsKSD', TO_DATE('19-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TghphoqRQsLDErXxbBZgaIkSdbRoqjteIlTztSymtUpgEENHCkLlNJjQIiFpqVEDVNSqTjOnhEO',
      'DqbfYodthlebQCQspzdtYPQEzoAiXFTjPesvDnYfMFxRSLCTa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EjdzCHoMuhggBNjEOzsHibxMYLRQxTfjmeMAeoMELlPkZfJksvFJvRaNsxQEgXpoSYZhaPmlUAxcXidwI',
      'idnLqntmAnrXcxoWkYShMdjQztnYQ', TO_DATE('04-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RiVumNikIrwITDqVmelwLbOssgaJdKseXrrhkx', 'iIcdOEHeFVKUJzvAbWKfaXjEqxldsZJmMsebIjfbzLqafIbQHjBYsIUJscmVoAsStVNZTsECRN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PNCxgwHoCPdOUApugrPOyZMuSLqJXhNvLKnJqvRAiWReZqocsKwygSxlHzNcRBFEoXXXaRGMIAwHpsEWKvJvwCfU',
      'GUUQ', TO_DATE('08-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bETvCZgeGICPQr', 'bAEyKQCaBHkDeKNYEAkPECUVsqEhzqQKJgvYJJUJoOSOpmxsxdNziYIQOQrreJJDBhmmZwmZUMePPfsqfjaUjgxqp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MTioLWEqQLTSGzXcFaXlaKnlUyjaFBpjkobgpOUIcgvXltEHLjGELFjJJVlEGYzzwLaXnXhQcmivYGuJjKociac',
      'THlYluRPWuRxErJRhTR', TO_DATE('12-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CqcgntEEVgQLXCywDiHlsbzpSSdKPuP', 'moICwHBLxUIXRJbVeETfQHLWsbmknTMOfJRmaYHTCNzAMAYURlRzHTinFODujaMncifkmuSCdhxsCZiv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IHWiSpkdvABeDUMgaHJLHSZvtqQtLSRAHVGOmUDNVsMflnkPCSiprQz',
      'BEnseV', TO_DATE('16-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mPPsZDnwoZUHBVzcDrpXXDZjeefUTssZgivAXpARYCGgQsglFNvRcoBHzRiamdldyAdyiyarCJJEUXCtXsiaeXG',
      'LVxqvWPTEWfsIoBvmJXNEGRKwyRlfvuGRwtkXJhvNhMDUBlZgGgkbuHxRegSFGO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zghOLCssDAhBxmYxfKQMsxTYQj', 'XWRipPQLEgpUzu',
      TO_DATE('30-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ilCBGynBAlqRCpoYzqvmgHXAjLPdmVJSFpXPDEzfJJG', 'MMGvOgIuXuGYziPsvcJWRojrxnWFrRyUsDgm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OcipeGuzbxSmPdlDxwiViPfAgK', 'XVXfSVvrWkVZtFDYpEjUESAacQOBBjNMfbZQjDTbpARVasBwaycEvsIDSTkvXYoobto',
      TO_DATE('10-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oxnAtzKEnRxAwNzaOzHNATXQyWyodZvbdrHSvNTVJRqrEvzMYztvaonYGnSCyAHGDIvtWowbEpT',
      'duTHgOLaCoHKHdK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NhCwNynvrrBnTbnraajZkeasGrqPWjgtKEPPVfTfuCcKvikjHbmdiEtrwS',
      'lAdhWeHgZYl', TO_DATE('20-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tuAksXVNHZSPsgshngZzJnGxPrGCAHASiFSCeFefzNlymhbFNYWqLO', 'xrLztofdJqDugEnoBEgXMMTAODnywQunRqYdrgcrktCPFhzYWFenDUKuKkwIAbm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WmTBdBeRGYDOGGMPOQHUKnvJSRRgLWAlxfsHqTzZCzJNGoPVJNfaVMpDlXDgddlhMerKkvSyslZOuLEBrMkiuuJgvaTEyw',
      'GtcLnLlCLufVKNBGewSQbJnztCSQTybKzKGjpFrJpsekgckWQhTYbvoZdiZdW', TO_DATE('02-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vdbuqCDRzsHYcoRXLabQHKfvEgDfJJJnupHRtRbcpKhrbGxtGPRfSdFwEByHWZPyheUnFTjHr',
      'chmECTOLUQFteaS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JNUBQOOONHQIjzikNluIYQkVWyQlshShfGwRApQVJYWLAOzxRVzVtvFwcNwrJIJpXhXWizsRGP',
      'WPvBXdhZOwNkzTzNWGhGDuHgekIjKcXKLlfItruuL', TO_DATE('16-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'baYuUunEbWKHKXuRLufLDlwJYzMVuowsELYWkcGcwsYpItFOcHGqpRFNU', 'ehxMOcd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mlwAlikdZgOKKlRGSpyPCpmiEMxLzuqdxvgQ', 'VIEoTwpVgGZoHEenHGebAnzyisTpuHwqQWAyScvJMxDGQPFNJaTAyKQmFXSvo',
      TO_DATE('08-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zuHRWsfOCucePzRVYOhrSUHCfelyGucQEMljPfVtzFnsSqlvPxnsTNNTiKizNyCFaWaBKpdKVOVmbRsPqBLbjgUACkFFs',
      'TiosNbiLUCRGhkTvgYxPiFoDsOyTTyDAlYWadzGniihWmgvkdMHlOmkAsvOneZdjQaYiTekkJHvtyr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jXCtyNMvovoLDTBvvPsKXnVObiRNwnNeWPwfadNzIuVbqrQWJrgFmRhoKBCDzJOjhqtOrLMLETgGpoKXnQagak',
      'KlGUekcxqQqcbFvIlGjGknghWRviaUAUjcyQSMDWXKHyxtIDoajAcdKtwffBKpTaUuwRHCbSCvcHNE',
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jofWIMCrpbtEOkalLTFlMHICKcRFfWZYdsTqTBevCscOJMo', 'siJHWRKdgsFNvFhIFicUkRmQlBLlEYfFhYhrDHFfrLEVXEfHuaqTxGPxmsghwRadBYldEIadZgvgsjhEAMEEjpjlbTxtHhc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'atHrbQDA', 'kqriIXvxVTVOCNgTJZUHCSBNFbpbKGkzFpxeLaxtNqIPZBoffYSrSem',
      TO_DATE('13-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ABAzJnYpQDZRjlxlAWsSIqMlkGZeTAXoLRQoFtsnhGTHqfnVupQsWGJiTllSdEIiKmGxCSGMYKBOft',
      'CVbCFWqQbt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JwPEhMBqlhYrmlEzTBkykEGFqIVbxvcwjYMeQdKPkxTuGxTuACnfWvbJsCxqdIuXdxvcEkzutEfWxxjgaFQjDOUyIktEEK',
      'hkiyfIfMdxYQcmxMEcCxBemoIpelTnjCAgAobpPqtcyxpLdDMTqFphYkJLKgsUUOEOhzj', TO_DATE('21-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DqOJKSlsLluwiaeRwcMehNSivadtBZODpWkoRhCESzCEMkCcEFaGrCarRmcDPKtRKvKMKIJXlITySrY',
      'FujOANADiwNHSICsENmOGbotthUUizKsZTAGpTxLppcSxWYZYqGwJkNBBgMGvahXrWWWcumeuJFHvjjzPUmUXjSzkJYj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tliINjGOUReKCSJbVBhHYdgQjBWkpljugwFpfRYwoa',
      'QOavnyjMugBbUvivBIyKHoVLUKDiDoABbQVbncGxkPCBwPjoPxTlAXWDbIKRRwMlQvqfUCH', TO_DATE('24-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OdnURoKPAGoLwyaEaawOrrSIgwSHgNICaSEYIKvjxjNAZptyeQrTxtsQQCCmUhKwnMIMSrAskM',
      'SGRylRsYInbfmjOlQgYMnuAnbfN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KurjwpeNRKkwIyRPOVHviXCqqVLwPnXAgFXRRTdRlHyJdDZXBVVxBrAGZwjRpSwWQTbDLFYoeGwqbuFHJARKaAcODR',
      'oETDoqfAKNYtSpapjETxYJbPJxRzvsaRKDKhWnwrWzLKsUqFombJWAUVoZZKlOgTEptgYdZkfQ',
      TO_DATE('05-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JlhPkzXlyLcUdHaDAEdJlMwqvOEKqNiaFhIfzJllAwSNgQfQDnoZFYjLfqlXKXInSvQuWWOazMffFYk',
      'hBXOFUffzApWtnRrbHpCFynFTRtxiprmCgEYhgw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zCLNkLBlTLWVEgxQhRBjbCwkzgwtwoJVhrBlhaTEUFqnTNTNhYubcssMXuAcxFiuHwMgeRynGoqBv',
      'zBGlrbfZVIVNOqnyrQgMKSNfCprJcMclP', TO_DATE('21-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wJJbVwYNXeSpAgSTiBolLnJuGXgEPWivHhBTBGryCGNUHAruxZiEquawmWRLclqgOHqNYcDGJaROnLwMfiHybbQnbLUdxt',
      'SBBAnjNnmcWExIoiliqkwnKoQIYBtJlaKnuxYrzFwjgZtCcKRpyGHiKgKOYboRMMWwNzoM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JDJJvwalVuFEYHspPHOmgZUKimBIxhqiKHCIGvVcXUJGoiVoDaBujVLCZhMdPTZzqjpfgkwSG',
      'lQHzWwcIGHUQREaaZnxCZztRTqayFDbXRRvQlanIRVqcuZqJIPiypaDOvfVvAJitVDoCUNrOxZzPqCmrryLfLznwHaWdcnehZu',
      TO_DATE('03-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fTwwFRXXBNmxlQtuePZiVKYUhTDMjLYQyFktKvWkGWHXiWiaPG', 'IdoAqwigKnIhBoMBOnhHDbSouILvqpyxQqmrmQrgnvlOCUBkJzNWdwhOkmyDJXdJWfuZkpGvA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rkxhWJQYhAuUGxKgiBdGEivSoAYLqRcXFVFAvwOTrmNtwYRVgb',
      'epeBwPDPCvDMDmbz', TO_DATE('10-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Pj', 'HgGrQZJecOIKDISVUTwPvpkWebpfwpQIqHEmqfqbSaXLpt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jKlffCmFZofmyrtFbaWag', 'ukOGkOFlgXnNeEjzjMSqubQ',
      TO_DATE('07-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YsnaAGDuuTOeMfJfnImLobqpcCOlKLfIQKDnbsRXDdFlodlUGRYbXjaCHRpInAprFjDjnHrExRk',
      'uAFNuAhCpKsVJyVUbR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rKzyiLtlKQmrHxgnxEFvAMdirwhEXMCFTDKRpPPNmJQiRUMbnYIqCExrDsGwYnrzGhnrdDGeV',
      'QmpCxobwCqEhnhFRYJmybTWPUuIzuqvRXxPCjkgdSaHmvLBdxMSdV', TO_DATE('12-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oSzUNCsXJfDtY', 'mSPnkQrLTqQkjAwsSKWbMrLPSDyrCRyUSgjfbHerSfwPwRLQfIPaaXhDvrMzNoeHedWbjkGIOpGJHFmdgjvGNjTigJs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BXBqEPcBckkeDZvTgcfhdEMsSvW', 'TsxcRruaywsSwAoHsbCuvuxgdUcCSpeeCAFOHlkBXdOXWFUnZLCpPQiKyCcyicN',
      TO_DATE('18-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AmQLvsXHZZdLWGtpojQqFxwMIAqVTWjfPoTFwuZmWigQod', 'zvXKenfTxtWwsLQHYoqoRqYtZrJxThlvWiYQVKcLwEqwbMbggEiPxbBnGNlcsPhup'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gpRqYmbFPCwXjKbRlmbdMUCQmjuILeMDSsZjAjaWIGdxhRLGnPlomIdWwwiJYBpQkYbFCNsNFPIjTEHdrtyGLDmN',
      'z', TO_DATE('10-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YrDRtbTudqUobALzgbgxUQeDfsMadaSJDICsJOimXkoGJCpqremWjfCrTubUusqdMRtHgGeUIrRWPYEzWxULcfZLgAMY',
      'fSoGxRJrOhDDXbTmiKOqpMvrlHfFOFWakHEdnfLFlGksBrqlSYtcJZElQXgpCLwEPtOtpMZfgOnWaPvoMISknAnii'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sltkUhdiFEWJGkeyHLTiJRBBxHUSUerqVhHBrojUCIezIkerQkYqfs',
      'poGVnbOZLUhoROpsONSTeLLYNpdrfabhZYhaWmMCfBWWxiSieryoehSZhOYFyYjbxLksECZeFeeogLhbZuKfrgHDSxCTTioH',
      TO_DATE('05-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'sYEwYGMCQzmRMwWCVEDCZgOqYmBIQRPQQPXXfjjrvnfEmygO', 'yvQHIyvHdXeLOLaGRMiUL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xDrxB', 'viJ', TO_DATE('31-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ACTJPdrhRPudEZyxSCyWFGNfmbvutHFyFSTwIBjJM', 'OPPXIvjHvrnvoLWGl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hNqPFRQoULHDwNRmNswQqStWdOsKbTJmttC', 'ATqnYMnaahUssLVndpFkfHeLeZSrMJnUNBMrlsjoTgGbHteRBTDIubUyGeIkz',
      TO_DATE('26-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xbKqghOQxKIJUMqz', 'AdPyjSmQgrmpHeApzKzvnHxHkXijNYoluchDaxsIqdWGkOKvorRNQyejFbzKWUFgwUftuzXOWDeCiojVnRwsLL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lYIjtOMqwClRtTTvLPeDgpDxSylYmyBIMijfAKjEKNfvyaNiTekyXk',
      'DYVxUrqcL', TO_DATE('02-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uDjzPFfsyjxOSvFUYflUSFyLvWLsOaDrtSPBogNMOlz', 'icCBDvtAIGexmYrrIKLzIoFUwliqeecENoOhQtA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ThbrqjvPOtguQnrXqVzVjeZxTBuKnMKFmvePDuLmsICzrOOlgYLSzAlIYoSViDqzhAmstQSMSwrPm',
      'qsycDkCntFJyhRVLlXMQcMNmPzZQxaDaNsFkiInoaJKNqTbcZAIzBSCsmuvjKPS', TO_DATE('02-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'otwLDseZeABKeSfdlefAQrHzvXzoP', 'MICmdzGFcGYQlfQzesJeamJpRtMJgRqvweMbsAscdrcutcMRczUGwsqsQLNHkJRjeFDXNfBfcemIzssQDHWJgZIMBW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pEXMWNqqSEJTGHmkqLvwFocXybZXIPTFAoFljsSChlmkDxANVOAdUTPUEXtRyJKjAKf',
      'OnddtdQh', TO_DATE('14-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oSxHLoIlKiYSsKgXfflXQZTaPgmqiLwnPBTPpjQMbyRHIEWCPFRQhFHSOlwmpFYUXZFaUwLbnpsS',
      'lZlbUBkOPZhcPtZbVfwgTNH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VSULSFMnxaopmMnvldhQLZGdfuDjTfSEmbaDCEAYAUVNwHznjCYrWboXtdVHfGM',
      'rSDxVBjlHoecfaZQGuQDuShv', TO_DATE('11-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EbtIVBcIZwUasmETLjnHIXQSjqmKqRLoZfxpZArdgZSRKFXVvYSkmFSRsLClMxnOkcAWRJJqwfxiXatwxcRaUH',
      'IrgvVcTYSDUSTpoQQQRaVazYtGxHqPZILAIqKsjqXZltBbpMcrPTcctqhIfJnhVtXMGwCZlAQqo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'esUdwnYWwJNlxVI', 'YwQLnuwrHAipqlpGeEApbtmQJMSWoOSZyodcOpQRJqrpQngjgDSQHaTqqhVBWwdMxxnTQLa',
      TO_DATE('05-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'sQXPrwXzrKYrKpcQHYkvlRWkFmBojN', 'LxqBGvfiRWujhtsPUeggiaXbphHZRKvJPDZgvUIVVoxbjjJWXMReiQcjFTXEc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uLgkjGIkBHwcHphrEsYibdhsWzaWxsCn', 'ivKdNHHLOZgmKEWDa',
      TO_DATE('31-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GtBQvISUMHqILswSsXE', 'ylICEWimDSbjXGDBePcj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ArqfmRbnKBvjTokKRiuFjPfUoyhsOudxHIQZCGWGujDxeTgkrSHDIbmaTkSViTPSaOizSRukoENLVFfhy',
      'iLWkqdPiOfvnXETeImpATLLRwzCyPqLZiYNZpbzgRZmApaFVvmgLklDIwVDyBFPkjuZYbhDYuguvDJkBFTLPrAjmYlpfRQ',
      TO_DATE('05-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tPoaoXfOEHFIttVEJPeBFFJxhluhLRmkXzvtVtdkuMvKsBYoYhUuRTCBnBawCSaUasymPKMEeceoUForLFTyZnauDBFnhKluedeP',
      'XcLLVFnQkBtlNogdRTODoWnfXabFExHcYIgQnAlVbhHvUDsHlQqPmvjukyVoVOnpvBVfKGeoWVAUqpNvOZxmStMzQZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GevSiOmwogYnQZoefIVPqgEwIsHmahUienqa', 'zHhhJDFEqQTNaoYJsyPRnHmzNNLRaGoktgWILCIKguocUdoCysvRwIkbbyZcRooPifgNNulwJQFPvppOElzmcPChSX',
      TO_DATE('29-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EltfOIzrVUQToaUHXUHzJjdDugkIaDQYqVRbGTDMPfdkSvowcRPZoYwEklLUuPnezS', 'acMYodModtVAqbAPlhgDRJSPJwsubwYIVbKCiLWuMbMqrrztctepD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'paBdumqfGBWSDFQfqXEhGlHWUwqTIMNJxYbZbKgvlVFnbytn',
      'IXLMkvIaiMkyDopFNEdILHFkYLrthYVf', TO_DATE('11-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fItZH', 'nhuSqLfMExJbkNkidTnaQcRpETIYzbFqclW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iaVvenBGIibLAHGlJsrpNbINfqUHqNhBpQLNISLdAfEqtPsxoDRCgrDfCsNzzxknEfgaAusPMLhliMMSal',
      'AxlSxFl', TO_DATE('06-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'htUcfliTlpeXbNnLyOpwzxCwzfUsTPi', 'KJXVRNZuqoqLaXdwlrbsaftiacmUhSPWnBWfRZObivIKLiscJuxeFQz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GqsvqEDLAwKHhKCFDJfVnfwyHOHRdKPxNAiuyOsfXFLrSnDbdbKrnwHjJxqeEKifdfUhPbtWmUAClrQiZTq',
      'vOugczXthgGHwxZwVLHYwdxvyAauDctwcdWtzfqlMKedtGLPo', TO_DATE('11-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UhpebiVbTfUGqQRPFaGeckytfHBsgGDkPIEuRaHMIOVManZbNPWBAwzAwwEIFPOfadKxFEnQjgqslHmtLwipBXnrdnhdpL',
      'ioQgdHTUd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'oVbufrvMVBMzuBAJEMpDWnWRihgTvuWvvDpgEvAlTMlUXJFsRIMsGlZiOnwQJfihXWyxNoRXvwuhRjwvtsLpFKnLMqmKTNEDfwoD',
      'wwUIJylsrT', TO_DATE('12-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NALTRx', 'VGkpVClj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TUVfCMvmwukGAmSibKsVtlAildhCrtZXCzQdfHhemn',
      'NFmePGIbuYgcn', TO_DATE('31-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fZVwYaVtEpmTDGJTVbGHTrdPj', 'S'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uwoEyFcNdKxxYftrzSCuAuFKWgWWaBKDOPXEEbXoDDSsjZeFINNDIREhwoGcEdZKayvC',
      'moIOlzZFimFexiCyTMAfkY', TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AsxnIV', 'NcGnDNcwDQWzicFRhlarxZSYQbsdcrcOSskdBmZiVHawtOecUvvTtvuGENXWOjNcFRdxQNXo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BomWOVRisTfpJgTzMGKLApWrcmOZmC', 'nyMMgqOzbGXXetOOTrFrcTzIuEgnFTkPzhhRtjdbPneARyPlZMlIRFKcqkuZwAxtiMiEJiqIAXM',
      TO_DATE('07-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fMflQHrYzlPAJIWCdkRVpWKoaEwdOTHeSQMFQcJTKXIpqxUOkC', 'lRgRsTdbXaPwiYePHrfgfWJyooBcpjcPF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kMoHtcDfdCrpzJHIqfQmINQgLdxkzFTMYzMYurjdVAwPqiESiUhaXCfXwmRYyp',
      'rqDubkdLNOgTBIPKPfRPll', TO_DATE('26-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yCIGoMfZbdtXqymsQHZzcQEtwcbqUkuYOefPHQJyulUWSHgWBOxt', 'zBvpouGKHxNoPDUohXXgztoqrYJBFyTQjFtgqVuksyTxDdjPiRZjwzcxWDoM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SMiMhhrZgNhlNlrlulMZajdQYCtlTAjBxLOMwoJnUXVvNKzcXEKsVWFXgojTYmSKgHqtfwijgdoY',
      'xKuVtROBceEXxETtG', TO_DATE('29-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pLhPPomusFmjMVgNiJbgKhHTLIrVfJiUQqAzDdYbniG', 'AYXPiexNWMQPzFxScNIZyle'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NvCknLkDDchTNICQyDhnHnoJYMtbVrUgU', 'AdNMiwqwNsiLjRGCHgpJumzSdLSNiPrlbxSzBnGldbKISHRlApJgqzfoTmclKmpQup',
      TO_DATE('29-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NiAbKzKmEQwestLbuFTxrepMMIKcllAFffLGanvUsJ', 'lKiwReAwzinKblEMLkKUKgvkRYuGOTAcbNxKCgmsJiGrDHjb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PkovlkITtYCtvIxYrlBED', 'JFgOgFbtRHltiUPDfXIyWQtzFRCwtfRjhiMDGwYEwgRvuZkneeFAdiXSvGGOHkfUWxpBwdcsTyeXPjLKsWnjqwnvyEJXhdNoeYg',
      TO_DATE('15-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bzKRJKImJVRsJuHotSpLytukQdxVaLPAmCCOxkjnVlxZQlSctDlEaAwwXQXIHDxydoEwmdXOcjJEaXeLwBxastUdYLNKLwdQZT',
      'hNLxChKUtWwzYJYywEdmdFuJSCWaSydeyyNzPVYXIJXINUxqswKLrNLEuovGUhvoD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VDjQLhQDwzFdvPxMbCdZCwbjlluMweeaHgLWPiRsxMSxCnKaWDziNpzXzYeShxKbWAOhFxsKYUQ',
      'FOLnxiphojfwgBVRYbXNiEVyZmvYlIsrCkOpgCcIJDAbiRWwyUvnXqAAVeSZRZumyJewTcPhZSzUvEifstdEgeX',
      TO_DATE('06-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hPRnlsgCivbImPXUjeQivKKEarabYmEQjaLTM', 'eaQPFvSwgJraLl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wUimYFvfmLUys', 'KBOZTcxWqxFccwOKGWOghBcFfOasDvFtRGHr',
      TO_DATE('20-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jmyXRRxOjHINYbKFRwrcdswhhdjqbFimauzvfNkwWYzkeIAzBJZNGTIQPpsmbGnjqiNinCGg', 'OvrVMYEcpFSAClMmKnlRIPWOupHrjATNHpXBY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OBkNctzbXpZVIpdlVjufrXOXxVvSQrAnVuwoxshOzBfpDcxjsoLPbfDxYdpzOCaTwCYKuahcQBmSVZBzM',
      'PwLugQC', TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dJqOhKCAMMLihoFBRNBMXlEVaMbzJwGtEUdymtQtNVbuYmsYfpOtQJPdQlJiZCuaDwKDtpu', 'UDmptDtgiYLakHVVKST'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SezTlMOCVjvCqssCSFelpwxKMUDcsbwkyopMsYWiFZpsxnA',
      'bPHAGWHNoCCMCWwTQGjpAFVuETSgElzqvNQErTRIoXRtaucDatCxe', TO_DATE('30-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UIWdAUGYxYjHXyPHRiTlaYpyezjDOGasnhWZmCdmZDWJkKrWxyqzSzdjWP', 'VuEhZrMmlpbghmBIeHhBgupOWujwNydaOUQbnY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AOOoltsGLNCQeRZcVYfJLUXRSlCtXCoGewpInDasRQbkUcgNN',
      'vuwBmYIwRYGfYUztDfNKtyxBkXRxUegyZmlQeWQknIQYYbwLsZigSNqE', TO_DATE('02-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jXGIXqHXcFPRtTefJbJRnsMwBNyfFzSEyRFNKUMGuKjBj', 'PiNDUpOjqKuAh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tqazzKZrFIfiBkWDbMzKogEBFeJEOfTedUwSdJ', 'TZUKXOjrgZcUtaoBhvzEMhiCSUAKcBhJjzBYNOBOXZJvBnPHXrcCMUZtweNXUPzU',
      TO_DATE('06-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LlbsP', 'uiodSJtZblaBUjKnvxoIomnLvzVAKFIaPhNsMigaUEWOBhy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zcyQjuzeaPSCxugTYRryapiMkNcJwukliJSCoBouoKqdFhGHpj',
      'AARhtxbPsdeSahRPRK', TO_DATE('12-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oDSgLdEwhHkyXWItEYfJUAeZlfzjgWcIAdjyRMFOuMOYvVnTt', 'EsluGJhzOAuyWamLqAHemtyFpLTQEswvjovTgLNSSIpErkuQPqfJCLyQrUxvuSQkSDTvvIUmlJyyGPwcdXVcmWCivFjGwxw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VxxKNznuzTZyrFtuffkXQQJNIOhRmEOtbzLhBuDXqsEmmWYMtPJMymWr',
      'HKnfPzjqcFhjOcugxHfGhTHPmWNojVEXnOayfoKWshPnEthFDbvwnjOPqX', TO_DATE('08-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GnnBFKLgymcfbESIcETyxjwEluNBeHUYKnNibYrZacYeJQIIJpnQsSzBafUHqLavKFVIcFtorbwWWmngKqEJdEXXKozBFZtR',
      'OOpcXXfNhOoOhPOGIysHapBkPLuXsmmSuakSUADKsbEYayOGloRwFDkbyXvLyJUbLIbPKUylKqabLYBdYcX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wQoPJtEVURncuMSnDKFThyaiThTVrycxnbKBwaZwaDKWdoQhlSlmmunHHJwq',
      'U', TO_DATE('29-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yGAXWmRNUkOJRkhOYSxhRsQHstPMmRHWVshjBEHWwNVeqShJgJeiYBfKccV', 'OOhjwZveGFJBXHpQCDPLkBVZlLMQjMULreYBzYGgvWoFpokKIjpMITgAasMDJzBl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GoBtfZdBCeASjEcwRVNbZboKblBvWeVRBjDgUsNbxaHfdFDlYcUDwfsCwJBRQJJYNbqxrFbqGCvDJltLjrZNMCGei',
      'aTClkNfDeNmRXacToMJeTGCjpQLmeCGwHhBhCWhsjgZfySNQhbYPltSWlijvx', TO_DATE('03-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LiFEBqajcNOCSWQSAKkTuYVUZKteDxPtVLoxLoeTNJSVdOlYomxCAYeafnrdSQacgjpUAhyqjdpvWwfTE',
      'zAxKDZbCxcIptUitlSvlZQxhVpYrNPLJEYwmWKsoxxrJlXdKrFgNFRCttvzCHwUElwuyNbSQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HtudbpIJZvtmioURuWci', 'cpyeAqujnaxpwMpXeUTaGiVLGyPwJKzzudepdhfBfJqRzPWXaoCEEQ',
      TO_DATE('25-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZyUjjyZprTfnAdeKeJQPNU', 'xDpGBCioqhSQqOPqTsrxnE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'INpMoQTqSYDYbodbqBfmyRaCfDKIDkxKeaxvOyWFcjrcrthECqVEnCLPLjygqejoPMBTJSpIvYxWvfOsQFHCQdhuQbNUDCdNC',
      'AHLWriLDncTLrhNXOwjmuCrEFzMHhetkQdwnvXaGlmcMXxVsfflzLCFsDvOzMdZoxcQtARMXKkbMbIViAAcanUGOLWSprfFlitlT',
      TO_DATE('18-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'krnKLFyzdcaxKguUHNgQeRysVDzZSKujTnhHHgYscRZeKkmeCTOTyMIPNPbARgvrA', 'JOYFBRHsMNFKapybtyraAUZMOrFdlBWLbzRqHWacPnjGMtTepsddqIMcOxBENZVtY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BQFfbehooMAUumSHuKSUrQLeoBpDRqB', 'RIHlPllPJoiPyQNPDafKFUdt',
      TO_DATE('13-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JETILjxdbovwwiaHBIvq', 'BNSFEjGuLvTqpxYfYtypIEOuIuDJQzjOzCEpJlKbyzgjOzvYWVWHMtqvcctaJefZBe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uYDjhzWhGABLJwdjMohWfEGXSkGwBxvPsMfwOytjQSkilVnFBadPEyueXkKZAoXlUhCVUJCMEtw',
      'oWMACNViTmtdNiHhKvjeTlEmxYUbaQxYCeWkZzQyubpBWnfFMPjwTOdSgmelyPeVn', TO_DATE('31-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OMrFGMGDdgKWMIUu', 'UddgjlEzXyHmhhCz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MGUrsmtXRqxRPclg', 'gyQYxbOgghKXmDWLTEmZvJLmeIKIHlmI',
      TO_DATE('04-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'w', 'XMZAEUbsxCTyYy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BKKiTNQTJQAFepruRsFCyeJogxAYsBBgWJwrfKeVfTTBfCpNqUkRuHuXmhrx',
      'lkmUAlxpTsCCfGxMnshAynoGLwZYUtxGOQeFGZptUBRVS', TO_DATE('30-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HjvWwGmfPiMygNZQZdBJlJbPPlXDelVjNmovqBUakVkhUhkArGQTLqzsDoGwsdMWpWoZiMkVVQaMNkhBdfeKL',
      'mvcUwJcdoCPZaFHaokRRSDJrbWNuSMiamWVEpDmfuopyeCoqGzooTcweLpLpsEWFfOIDBuRKZVMke'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GsJCFwwkHLzaainAiYFIStwz', 'AdIlLOeXhp', TO_DATE('30-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YDnZCELWHyjUHCyPcERSYocGvjaIQbpXRzdhASmjyiUbqBryPbhnotnezOTZQuOukNrWdnjtfN',
      'mxNGnZIJBu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pPoRIrQRAEsCvaVHFyPIVvcebgSMTlSPbsAloxyxGlXSTMxedgpxASWWvfMrhkgWKcUsRnhMecAvwtdqG',
      'A', TO_DATE('14-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'forBJiPivMDuVSjNWVUSovYRKosVWDWbmWbIjYaDwqNRZg', 'aeCOgDMRXaUhnbTiNTPa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UwRJvIdGzzEAoZeUspGwbmtzGkTmGLdgedmKPWVucDoHRxDnwdInJtJxuhvqnmQgcyZypEktEBhOlgkeKJGeEpNztQKEKGvgT',
      'rDuyFiZWeghFHzbcOXwFZCutzYxIBDlNkSYJshiFMwcpZXjfJCfKIiHnyjKrCWiKwaQqklTrXbNOXbrKMNAYwTZraDLggEiPW',
      TO_DATE('14-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wIzXVEyfBTyrANNBEASDsqLYZTlgeRMOfGHZgnOPcmKusQUv', 'mIXFMDvfVYBzKYYEDpRRchefvutFHRwDfPMgMjaPzUW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wZ', 'KHqTYeoVLBsjnGJCrvKDPsFxtztbedMRJZfwgkfkrInDbGfufuxMCIcAMoCwRJtFzXwBjIniIljEOuUuhcVLIKtyfP',
      TO_DATE('22-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dqIQsphCzBPsrjCbVPZOqEeXvuobbMggzpkCQrrnmmOrqlizlBGBQXZlIFfZbWNpyEFEHIsCCyKygEj',
      'kEQwORImDxPaDNLZUWcCPZxfAKigbXKpiXNdErOUZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wDuEmgdrltWdTqqeFyLekdZiezWvXjGVtRKFAzmkYkkyymmBdMNEIGkJreamQTUvWmi',
      'qsNtltFsjWqLBZmtmvkyxelRlpZahXpod', TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FbOezPI', 'ZBKcJBxXeamwzsswtGubESsOgbEATUwvgXbBeTWitAKvvJhphojVukGEhIcgcnCwogvpApIYAJdSOCjxenxxUOvyfoAYvAl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GFOCFxMNcbgMjczNnxHtlKcJptfjzZjCOJIXDpbzsRgcVCLGGUtZpfaeSxKDYiSBatpfpksNxkQhcduXozUv',
      'CTgcScZCfGAMvnAMXEPpyhyZKPNXWWHeQyGJFBvmNcJBkoQWnpABrly', TO_DATE('08-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EIxJliHBdWWxpyRbkrEOoeFrxJILo', 'iAPxXVnyGhUtMMHRlXejOJxyGTQOripdVyFYccZtvcCWpAwMdHiJgCHmwNcZLxRQgWPGyaCeWf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lBNTDceXOODOh', 'LUyEFQOdfoNdJISutvYMSyzDZjkiaDZvgmPbWjBHtPKIAlzeVhAyjPPVRAuCNlVcTLOmFGRAymXUWaGVaSuDHaeZEUVRthXj',
      TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RIepsLOywTvkfWpSvjHI', 'mTbATgyMbgiwZGbIuVsRNOiHtxXcZRUpSoJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NDpecogBOFXupTSbJZQvIDHJbvoAQVsXYJuxlEbRxJf',
      'YulDSwqUUQWNUQNbOXEu', TO_DATE('07-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fPofUywAbyhsidUmEwFdBuCrXqElxrkbhrtEwxlhcluBWqXeIKQREHTaOJWGJTMZSLpoeurpowNAohlHVcsxSeiHYTNQsUsik',
      'dnyJUrBqNvWyTYXLQOfpdCwybwJBhYaZuSPGjjElNFwqxn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GvwEBnftXqmT', 'ONznLxkfNvdcjuQuGMtzCGnOXXEh',
      TO_DATE('03-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pJibaTjiLKNYpggEUiadArkxIUFATIiJptmMkMxQoANYksGMCspRrBLezxzEnRPxohLvNfAyaJCmso',
      'jZaFtXXnSAkhEFKqtBHhAV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DhlORInqvtORORGaHHVJMVuphpZuDOfPRORNJTslk',
      'Oe', TO_DATE('21-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ohEOtPVCzJJQsvlrUSwXdKbgceVMwxruAEcqMsMrIveLntybqGqJtmtyiAndOUCYb', 'UteehWkHQYWjCbAcrQIGMkqsqauwcHxesDSZPgEZByp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MSYLsIURBliZGzECmGGGmfQjTGBgPzsETJSwWSeARbszOIpiiwLrjPqmrkdCNJAFkaSDLGs',
      'fZtDbgjNlmPyROBTTfpJWYGDxPBFGMqHGKjGmjsxF', TO_DATE('13-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GOOCdVYzZjBebFTLHrmNkSEKsBuJ', 'RtIqDjxnVvGYqBBYpfNucIoLaDrIwdTgXJaeWKSGRzNPVWSJclgcGCQBuOKWgVwyxbgKQcVJXogFW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mBjsSNZyADXqrmdxDrXPvhGLnvtkfMJAAkJjHkDARMhHgylVzlEnIXOIeqegZddmTsTVQxiyApeiHlcXvB',
      'eRuzLxYgUVnfLTAcyJYiVpvPTBcYITZOCcgBoqZevhZORDdZONLX', TO_DATE('24-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BGNwYOnedCkMPVwjPSddvlQUenFRkZ', 'TVJTyNBoQasFiIQUVpoNaDOQT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SwwgpJ', 'PtvXZNQZZojddKnRErwuCuvz', TO_DATE('13-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gtgyOwgChKKyOQyOVFzjiFOeqwohyAjDKsu', 'nkakCRralumlYbh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VnmenEffKJhWGmnRnFXDoHksNRLMkCVxYMIWDSQZnOCSgPsM',
      'zsjsDfqiggyFjfwqcLXmXdnKwskclWvYlgNBZVRjxQqCfZDKSqFdVNtoXDhSeU', TO_DATE('15-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RyUpZHkZuZIDFvvLugJnNIEjxhoEiYPAUbqMVCqvBFYLKJTdWOPNakgDRO', 'ZgwTgAREjjZBObkJZBnIzSwnkDKLkJjLXIUQwQGbQcMwwWEgENqVeMmLQJOqIPWWqAHcvpxlqYyRXbzby'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lWZQRiaKSJIuhBZhNdKPj', 'QgABjUfvvcIXrPnXgsq',
      TO_DATE('29-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ayXcSDVyyAFEIoTkgpzhhzVwbKjvqywAnCkzaEHFBZkGpHraZpFFeC', 'XTXgIlEnTJIYtVeOkRuVrQnrxIgxlSfzjXAudZafjFenlLrqFCRynUAwpatrfSSFZaPRbXQpQoWsPlTB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VkqYJaTFCnpCQPQwCnvuhCEiQBscVGpOf', 'bxIJjdANCSwE',
      TO_DATE('26-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yaqOvPZnNmHHjgEsaGSbtklYxNBcvRKIodfdZEiwgOzMf', 'DbvCYqRFvIMkftHuvNzDhiTuVdAOTYuYq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UQJbbQaDTnpcWIIzxSXz', 'XiLuHdJpwiOURxrqMOPiLjljJyqiMh',
      TO_DATE('04-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bMmBvIfaCcPvBTigYwwXacpEiaBbScs', 'EOCJEuKlzDkPTXvvBIYnrKXvXnYArnMQBhbZhyAkKwKCJTUf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sCngwbQycLKJHViFYKsGdfViCibJKGwYCdXccNkGTCYSBCkqTAGTjbuflevIj',
      'qtUcUQTUqDeOiZxFOxoTVsuJXijYPaIyzchLtIZpyYxobAViOaAbkzCONcKqcriCmBk', TO_DATE('05-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DQdBcxxITwCWcs', 'AvJFEXmfOEpGAAssJTaRmadT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'csGmZWQaQRqcnxYWZQeRdLICeZudLfylvFtBIXKHzOfNtCQPiyYMVLkTexZZfxKTVWrNgmzlXhVROlRTyBS',
      'jYLAblpJqZjpWLKERVmgFzVUsNMXiWGIjDbuOFxPqKRxRkLknYCHdEHAMeMPmUQrkVcuTHTlYYttGZLaz',
      TO_DATE('21-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZQOkdctqY', 'j'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mmsQBdlVorzWqtldrBaTUWLLEnnIKXJdKNxLBYzRxDl',
      'bVtcShBkHRcXEyCrErQlvRjqzBtC', TO_DATE('19-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oOqITFapsKSzntxdIxIONMudAThnkdCmoTcxOJBBUOmYQcILaNWwfYdUosiTjTdsgbEPxhSkzMFMbECyzJRvuOCNDdLsZKewQ',
      'oyprzVDJRQfCVRyrdsZKACsyn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wrSLtCsSjQjZDqFYbgnPPAxgZBOpXkGTHwNlDeFwFbF',
      'iRBAxXWCTLAYxpLlWvvjPBGxGAh', TO_DATE('20-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lIvHjYFLBLJlzGISarZSJNMmlDhGwdfdVhGikLoPUdkiaLnSYa', 'pEwCwaMDlOtYIZxwnHzdeDvpeRtGDKMwOsctYIPItkcpeOFtICjMUAHDq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bPwbRlcawdeCSEXIDSlsxKZfrHnfTQmMvoEiYeAuRgEcqFRCvD',
      'FTxknNXVUxpABRBrccjzZpWenMwlS', TO_DATE('30-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OdeAPsWauJJxQvhqiPLlkFZECJztEyNzPYuBemfjlDcCVYscEvvHpmMMeAILPlsmsKKFLDcSccRxfJYyCCUiSEeKcHvVmvvk',
      'CMHwcaGdNbNDgUsdutZDwWKPXliKWXkRvKFdiflzZyBrmGslgMGlUwTyWjjrkaMmKbnQfiLdg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xwKclIJiLjeoMPdihkaomRXZdmWfZLtRPmqQtul', 'wECFwCKldpYYGXyQhmhPgbPj',
      TO_DATE('02-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HRqBoKpUuyZJOrpkHKeGxlSJyF', 'GWidYuzQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TNXmLRSqEyWmDMHRDwgIXEUJXsktTRbHfwOMdPkYVJjIEYmhqTevWcvGpbVTkvZKYxaz',
      'GukoOGCWCuvPyHtOCiJZPrxnSXnaAmNDLZsUHhszTKgdExSTLXkoaTiEDzpkGaKfqjmAI', TO_DATE('21-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HtyonlfGIgsJvNMNUabfcYHusUAHJnMzrEKOLLSeZJbSGxnOqUslXkHiauKvCpUZvQrQORikEpCBX',
      'KtbWHArldCTmIHdHWcIQDHy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HVmfmEhWNvjqHxbYYxkpiXkwByoNFBfumGmoUlnVPOTOJYwQrTGYlBqhUDPxcuPydkrMWiPcEblXRqFLeSuAQgW',
      'TkCiWqoPXyczTpRfedXXKWvunhZwcgDMEQtXcs', TO_DATE('20-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kVfVatWGQHgVvZBsTSZImMYokkvLkricJTWyByFCEsxkRfJzdfYUBjsJovCwhegQsnOvAulRikuGFynPYxoSwuiyOVPDAIpnF',
      'SolZUAgvenryAwyFlgIUBRMswxqTPmoQztdlByRVKezbKLZVoZsgeCLluRRHIBdzMEZnVSOaJelorEdBZHQyNXxl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pEmxIEXjbHbTzrVMbrMrkWLKKVgjXWUwncetLiDQAtMfsJveFtNiFejpVEzilkLPWhBGiRMujHWORmQrqk',
      'wytijZcDnuRoXYvsmOGAuZLzpPBlektccTPzRLgZrNIWZJaJYYzwYDiouAAFRRZTGXaiLXXxZQnaK',
      TO_DATE('27-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kOjqcjJdPwHyIObejPQnwHwZxsYPTmzqhdxoNFGyxEGYolPeSbLpzmTwRqAYfrYQm', 'oCgDdFTdpukugeLU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'frTuRsVthaDzRjzsTHDYVGORiecjrzZYmvsrZhdSrqKncdojUpcvnhMjyDXoOQkWYWzbBaFSEqnBiUZLu',
      'FHzmOkPUNkYdqtnxVbVXzRnaSCpgwTVXIapKOwczEcXUuXIdoqEdwQTWkhdkRpYGAxTgUgaFhsXWvEvbknywXksrOGpPz',
      TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kmYwgQxdSszOBLKIWJcTCrMknixeGbqAGhnmkfvsSMU', 'MquzbvFpTYsWiLtrSkJlZzPYXjrtUxysFOZqdChNBdzlUkiFIXLHVKgYRMIbQCVMrPTRaadjpuiqlBsrNvJKNwQGMoqcK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kLZovFPbXNNQgmtWfriigFEDCcsTiJDkHDJFUGkSNcPwwpXzpvJztOLCpoZTBuUMDThTYSqlALJCYawfqdNFkytgWk',
      'JglP', TO_DATE('27-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lnoPKvfmwPwGMhTZncyNXkKgkvJPpMeMXaonqLwuJQbzbVQwTYWVoGdJLBTHDt', 'axyvJlRMLWTIEfIccYKjiMofewWWnEhlXhdgBwoQIJfLIVKosXLmoPUfmMBNpcjzYTpsYPvbQqtSvYBUddZQKYmlnSPPC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vbHxVJdnJrXMjWWGarJcmrAErJOQRDjBcZwOgJVNBHoFWAhzHjrEsEpRSoJyLElUzlimIyvPsYHcNX',
      'GTojqPcvjPyfBwiSdUMCVuenuZoFhbunAvAbbaNEAxlAboQJZt', TO_DATE('24-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SpncGQGQzjHYJTag', 'phkxdKTupgredsipScolRTSwkSjYsXmcvuVNC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'amETEqxupdDGnhpyzJGFRGtIahPLGgaGGhumSyrABPyeFSyTJbgMOWkodbljsoqTggLuskxDgZCVkPBjKhgaU',
      'ttLpPwaUrmFVejTZsDQ', TO_DATE('14-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'whIqDazCxYCdChgIUMVpanwWCJenosRoeWUkaBXmCeVLJBokununHcmUdlGhObaikmcNKEIntIFiAVlhrA',
      'gQNrVKZgklKcxgYpztcyMFBMZaOCDEdTughYSLI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YZebQkFDCLplapCWJgSDvFGVEyl', 'FfULbrHtTpRjPHDMOXjLgnlKCThNsH',
      TO_DATE('14-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MdJvFeAIlzZGKDyjmfLpUceQvHRiiFPbFqVVulQYDMiDHwxvwzG', 'xCWvIrHfsYovYKBTamsXXMtpLbkONCUxQZzYVNCjbulLNadpFZPzRH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ywZfCDmMWhQSdGmguduZwUaBLQzRWsfoPZYZSPYAhmX',
      'AQJtpatxkUEreRFBUYYlXhUvQkIuTVPWCjvZNYoGYCdBTQevEHzdkPFWFGZtcHqXnTmOznPoiLW',
      TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MMvMEtcbSFAgocuzsjyzlmFivnJaVOrcVGHXYUPkpRIGMuLFsVGTNEGLNopeTyCDBFQPuWSqeOBXSVCDvYfz',
      'NaNKcNWSKTsXxrYvOLMzdviIeViaLRDbm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LBJviHpAPALmHCYbnoMoYPCYRF', 'bjrpMNfSZmXcfXRZjeXPFQpYPtlVZDICPOKQLgnvUCPRNOsSzErYmZNi',
      TO_DATE('10-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wLNQLoTmDURDGhfaQlNoTPepqrpCHdLsoqEmcSUHjuZMIvnuTdwdbNQNXAxNizRbfkMHnXwsxdkqpGPBbMKDPRPAskkwKUnGbO',
      'jsSTpusGDQvKUiKzuNVTKlTfwZaaIePZQkeVKZMXnTTRFTBfkBKyixjqorlLhIrRBVNuDzbCXAjEQafbYB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kBxqngDGLOIMFhRdSrfQPDAK', 'AiXAwGCrKvDWNgQIPUiaiCUwLWbTyHCSBZeJYardmJJbmektfBECyonUECXUBBAtNMviqcN',
      TO_DATE('09-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'scBwpYmlxJAIdRlCzomiyYlxoIFycPwXjRJaVgEmnOkpTAWdRYSqUskxnsnMIssidWYxN', 'AqWcVSAedvzHLzywwgRooVotjXobqyggKQxuLdGEqcrfmhoFlJOHsVCrK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ylRPZFCQZqohXfsrAAAzwSggjoTvIHPVmACVRyyYexGmGTdRaPLeOriGTWGA',
      'jXEctrIBTvmxNiEa', TO_DATE('15-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VSVnXoChwKaflwyfHbkSfeeJoCUfoVfivYDGkgiaNCD', 'LEAnTIQQCuzXuBAoMFqizVGZPRIgcIYaqsCKFJb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uLgTnOiEdoaveKQeAyQuawECKCJSUndLTXMpxDBskwUDCulkjtalpMQxV',
      'CZrkHkAweOfDuudXNoXUudFiCRvKkCNAJOEbzpouxpVQQVRwGrhHeiCbofrKzLVrpB', TO_DATE('04-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HtByPhpkvHjODfRidTleLDDL', 'WCaxWQxKpnPMlXCaTDzLszCCfjYwtdhSvaqzyDhnKbohEaWbzIaQzmXBAmRNzAhbagdeMJG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JlnpoKXHdjrFOBYLvDMBPxURhbvEAQLKpKabBhTwaqSUPdeTYhnvZeDMHhhlczDjskYRmskabs',
      'ozGrZcHscHtYpFORqErigDwygpFiTnEWbrfeZqSxnfezOqGAzr', TO_DATE('01-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zSEwsCLsYpffguyMHWIXYhoxsWWdWASqdcNNnLjhLuMvraTQFhYjVLuuYyneFPjnWlyPMftxKhtOAbCVjGGqsPkTPdnMTxYoK',
      'DQdQsjdHRwWTdHbMurXjQzuVttSpdNYqFaPAjLsuicFfhbgiWxEsxaJwrNUjftIHXAwUCkUJtqr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fYzhgewIqZQehdjtclBqpGIISelRAY', 'qDIlibaYbNXu',
      TO_DATE('17-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LhyRfxndWqPCDgJJSoonekWjvvzJhBIiTSyIufAkFCRKqzVAiQGkpdEFMzZbZFUfWEKYQzcxN',
      'wh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gcEPzswziBHYjpLnzwvLEwFxPgurGerzmkDVXZEKvwpZImcKuhPpfxsMSPs',
      'oOHqUQUMptHpmTAGgKgKBPTLRechhNeMSEmwsOTa', TO_DATE('20-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RdNNtpzGyhiDpzALwsoIdoZwFbNuVESdujmRCTKfJOHqcdLXoBsfmS', 'CrcelERhwkEElQHVJMzjUpMvFqsGNGAjTCdPguV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qjPNWmdcfwjjwTAxUNiiBOfxclJpFyytdPIkQU', 'OVmxYKkuoUSATstkwmIjvfZHPIPrbCuXmdOXSsKogdastyBnUJoYIvOkyBvligEuYZRPfPhOjiqqpARWxE',
      TO_DATE('30-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hvkUoxMZWtcdzk', 'zuwMeBTqSTNgHaISixnVImfXTXlQQxJJuAWddMiiwehJcr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LbCYPiMhIxwZCDZtGhKEWDpKZzzqj', 'GwuLkFkizFGlviQERTJxOTTJChLLgAIZOLbetjnJTmFKydmGPIlMmnDNJuKZQzLjYqAPggqPBcLS',
      TO_DATE('13-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ugnrwYXvCtuFSXJqpnKHrfArGpgSNFlZmGDDeVuXDxHdxlgKrOQcdOZEpbPXTvwzuQpyeatedOeWzjkEgvvgCQai',
      'BEuUlQsGTIDkwUtpkaDkJeiYrDmVVfHNaqaWTOemfyQvjSNJp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FtcbcMrAjIAnydhsqJZBReosyFkK', 'TrIBIbqTXn',
      TO_DATE('27-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HlXFrUxtqOIpXppwKGVLCpjcMhCrAXdLQSpjXuKpBxUmwRtRDfbBCNnxHjHcHEsTAnVDIBWXXtOgTOGLbLaBUdbGiwRvCBSk',
      'hqZLHTQJnCMnfqJyoJSxYRhjUghvrvDaYqwAPFgqwQYaPrxLTj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hTVkaXRGTaWgTZpWzhTEHkogiUKjlbgtyTeMNTNBMNeqXwigQueDUKgC',
      'MwugVKUdTjZhbUguKFvVhZfEQLMFTbRbvIWHSZsdFWfIMWDNFXoumyzpkUJkrFdpkXIHAKKVQLiFYYfMsdIzZfZCMlQYt',
      TO_DATE('15-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lDQVWGdtGTpQwfepDUBwZCOgkWGSCceHlNHEqOAtaBovOsDCStCiRXWsFwcHtRFbAylHdHHiGhrUDaT',
      'LqlTVtIEssHkAOXBgvHbGovzruvxGIlEEmkYaXFFuSNyEZHymOJBaNaarGgggCJZTzmC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XLaYfGvoJFtQftnmgLVkYJYxdIsmXrkukMqt', 'CbiYqcXxhfEwpqBdBxkPHjeeuZbqWSjcMFIbZKbdAODrOeIlZcuTIacsG',
      TO_DATE('10-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BqkvisFdbaLZkmpjpzQatLihtovvmvRZoCLXqLVSBIVFpFcuuLehbDnAepCLlvJNIesEgxxqSKmMYte',
      'ARRc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GLSwMoRnMsgalsREFZYPXSFVwDOMyhyWaBvMIvB', 'SdTppWToSzOxqpjfPezroicluhwLmvnEYcWUASwxIN',
      TO_DATE('22-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fUhfElDnfUyoArIBrfzuBdnjQfiaaPVuelMTjfYVPRJ', 'QdhOBuudq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'skDxJRnDDihaXYsOZAUznzHZJqBmdrKBCbvNExUDmlKGHchiuIADMmNMijDBEwOsiXWRRdpjDuxvliDZFFVeSjWMuuoQcKBgeRv',
      'tPskxQkyOSSwRlUMwMdLaOWrOkrCknLRyISHlbnPnLGcvKUIAHFplQiTnxLekiNDPfgmKXvkTpvVc',
      TO_DATE('21-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eYfqVsJEvoFGXdBmrwgdjZlNkEPhxWPmABYOnRsdIoqUJoWcxQpDaTZXyQSIqQUTnxBlMzcYmmMgGfbRCcCHx',
      'tGaCpGAKsGIotYIBvFZOamjfHHJATkyjRGsGpHYRhTRAgmnftLDFVkoGVNcJWHyNeTolGVh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FRaiocxOCnExUUxwZjfBQseuvBxUszUjeGVzLHVMCZGTMYmZUdtWqVzdfY',
      'OQQkQyAibDlXmQxQuqfoOOhtBphTqMsxRECoDNAZXdAAbRzUUugkUeblea', TO_DATE('23-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eYgljAFgVuAvYUjXcUYhZBXYWyQEdtFVHLYMzTHvcwRTXYYPlLacXVh', 'MNDxrIgPVuEMkRQFPsOPbEPVwhfSUgWjqhAoVoliXgNPmNOCRGwYKkfWklRfXXra'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KPKXUaUFDRSYzvhEHbFcwEczSXnrCIrwMlMHHftFDoxKcOkXGAJocCW',
      'DFczaKfWjQwtFsmtewaAhzKptOUstmFlmEYNlxxoOSPPaEkSuhuSleonpzTxxpnCwZSvMaytKIHWfAuSzorRGnQ',
      TO_DATE('01-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KAfVzKWtrO', 'plXsacgVpMYnWMvjNKLVNFnAjJakkwXlGjoNCoice'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VWlNOboKWTPxXcQPXfdRQGKlNAZzytjVDOIbuChjgltnNNZEKJWbFDajXuuGJjWBubaPq',
      'fVNFeUTmxWtcgqeQHAxsfhogEfGPcEYKJ', TO_DATE('07-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uaHgrYsmuH', 'iNesaOrETOSAApmCqSZBarUpaEhhw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HXdeJmhYBCLvXxVvUNBdfNJfJdXJlODVVmviUReVZvmIrqQszhuaqMZVAfDqCPkrEOeaBbomjPXhltbuKlaaXGikiDiakGpFpD',
      'KkZgsaSMpZLvrbOQhhmWSzsQKLDiEgCPiWySmqKfwlHTgYqALk', TO_DATE('08-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CCLlmYQsgunZbNTZcPDTaSJZBAhWlZnOUWdbbIrHDh', 'YmLjjhTuEYyvGCzLmHvYrxIKlupRxIirHPHbhrDYGuVebLzcuvxuDyECDTQkDZWisaUGNtdyUWonvvBKOHDRbgdBtyS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iGRtkUkIbhDMnmmSuMDUvyvxjisxpCQyehzNdRTpPaFCSueJPpvEiUJKtAtCVhZPMNvNEeJYVPhjLxRVtFitRTMpCLbvzIBb',
      'djMfPHnpaqZoJPnRwCbBjIBhbZuuTDhQIth', TO_DATE('04-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XnDQgNrvnzaRUdvvQohfcrErpfkXFFwQQjIxGfrIoseZWVzKtTSiJnZ', 'YbWyRSxHknmQPrHzLJOvIdheiciQTxdWEOuPtYhObdDhQHQEZjdeMES'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lPkPXjiIKPbLuvBtolOBRyDmvylRKYwZWbQAtwmIAyXjXMnx',
      'vFUSzhvnPOUXduFSncLIZYTgOJkRCDhwkKh', TO_DATE('03-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XJezkxgjSJjsCirbTGEnjbLVccerbmCDYuqMSzPhiijUelO', 'XjZbxHquKAzruANRRZIRqKvAJMmGjxRHHLdzNLSLRhSJt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FpgFmJgHUvYdaDUYaajTSdSPOmKmqjsMIODGBsjjdjIMUNxYRNuDgnslmddsAXNiideRBlCcCBcoNuRettBTlWbB',
      'PYMkCIbnnvcNyfuYNgLqeTgJHuShaPsZOGPcrOQvfSldyiKyryIyVsgwmXgCGiMxOJlQxBGweRDWmgIsrpsZ',
      TO_DATE('18-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nHuAwLnzBmyWYAhhgtTNJSCslrsgNfhCdSuZjGAmOjMXEOHmFJnEUmLCugenOciRDkjFRafph',
      'GOXXprrjfkkDymUNWrZBrbFgGCcNDlCBNJfAQGdyHeHGZfLxQJDjmllWXKWowFBH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xfphPiAQbGzOZCKOItYfUGkdfXgjuBPwSzBiFarObzXgkCcjxanNKclONgBTVDBlAIdFmHZrvoNEqFtjGWZQwCkpeArw',
      'qwUSBiDfdsSklOOUamUIjkbRefMqdxRxCUBwRzinquCaGPsXUabPlOmyVsVtjYjPnFTLriuREKjedgaEGtNcV',
      TO_DATE('15-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UqeZBlJfQymONurVoXqDOaaxwUhvMmYurjuKbeIwWS', 'NcgxOEmchTJnxkWqHrcSUkRxVkIhGElsHcuAEsVrhuyEVzrDNGUUEIEkbkWTKkaVQQhAMZcdfHBDBF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'omAZyPNZKsUtkOoOTGcOzwkkWRQwfKcKdFLisgBaLYfnBdHI',
      'IZlcgTvpjCrccoVRLIZUVOewZMkP', TO_DATE('18-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gDvPZIAfMBO', 'RDUlArmrTDYBkUNleNyfgSbAElHheLEAyiaprB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BHSicnmsIMXdHDnRJKcYEeuQLLwgELZOtJOiqUxNsTDEjpvRTxtHIBRTwKtzjAnHpjQLFQdiwGFjjHQydF',
      'jPHGRkDhapOasjFYVWbZEqkAlBrUAmXHljAqCqRUzeVEzldsTrmO', TO_DATE('11-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cCqTpQDtzgfoGfKtjDBJzltHQuIjTOBaDZKLyoLvsphWzBzePhc', 'HYYHDoTsavHOUSsVaLpPDrOWBoojWsySqENWFcGFigRTWKmwSkSzbxrjaWf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xKWtoNTeQWDCqCAtxw', 'QrSEhChGGtGeIVtnlVNaKLRDPQC',
      TO_DATE('27-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'otylUdnvQkbkLIfQTVZRBxkdabaLAtrgQmgEhHEUfemOwZNjOuUmaZenEVwfbDoWFbuSNqNoICmXmiyPwuwjyR',
      'xFPvEHscTjmeTfIfhgFatNWsoziaFYTPlBeYQWbfPRuwpzIPFGoRprTXJZCnTVeBWuEOAMRixYyo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cOiSkTMZTbhCLRPVWGxvNZ', 'BJcQIOaoqnULxLgBZNCjeZIMmhRhPBxdjEfgSPrHUKxeFaCkAnHlSYMKsLWXExdcHXHWQhQWoSGcdjcC',
      TO_DATE('01-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SlXHBcmEJcbrgnd', 'QioZWdAdQsJeOgLkMsyfniCBIkzxWmMnvtSJxyeKFVjndJYrnpfASefqTfHZnxpjkEPesvjRvUidLt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JyTlvLNNkHcJjCSNthELEbYJvJHHCZwbXOceyjbDcxdfKKaAHQnlDkonIzvdbYyoHLwhQIspZzyZkfZWHmWIjJkBz',
      'xzJXpkykbWqWRKdYP', TO_DATE('25-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jjMJgFQPJvUYBRLilTZUfPltzHqcczWphesAVDzHFZDaees', 'zbCHhXwrUmsOnGxFgZYZFQapnkUAamLLEXrGUfRQJztrTAPNjqyIlIhvzphAizHfhajebYNjeTUTfTCXPDWjtkIodvpnca'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xvmEhqbqfhGmyGaY', 'cedooFKfPopfzvgVmFglRXBnLkVUDdLMTWq',
      TO_DATE('25-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tmtSKpvcnejpeqPlBJmWLKJjhOlDeXhaZyMwvvrtOphNaIgrkNMqCxBggdLJFTAsLlzreRzzO',
      'FPTrPfKarfnZmPeGxEyzlTREqOS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'khBTpFrObaSDZEAbnmtc', 'INivVIJTQjIKKbo', TO_DATE('23-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hFTbxhIMojHfxcrYXcTdnQrIHazZnDYuRGMJzGEnbtiTOSxaLwfDtrFc', 'twNLzHjLrjRevhcdkewzPjfrNEeSkisKmTlFpAsi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HzcvhPNfhmTMofuOocxyfljZZwsOKZgCaamFrSxbQMatyCzFfMfCeAEbuMo',
      'KFFdYzUMosmGIwkSvTEsjRXsetllIPdCghVegIMyboUstVGklYmLlQVOUZtvtPDixJwKWL', TO_DATE('17-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XGxaDXsIwkswGslUcOlVqXOCsQyVaQvShVATve', 'njLlrjPzHXLwpxeEjLuIudXQWztxhhMLdrfZpsLgmtztVOndIbgFpVHrDyasjomfzIWKPhxeLqoyhDeKOG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NvRKVXoqXfExsAQXoemSBOEYIfepCSggfzgkMRyTjtjFpokewSCEdWgHYLmlpPJFXvOQCxFztoAx',
      'vgIiGOHbqvCpCpVTNWRBbImoyptOLHb', TO_DATE('22-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YudCxClxfFvlauaMOcpbgFDZTuPWWlSTLKysWTmOxuuOYKA', 'SMsjeQfLwxBCHrwBnzVDZOI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vKPmQmJuOyUlxUIpaYbJhSaSIwexloWHlFHjIQkeUMJOjrHpmBBpXHeIAjkz',
      'CTZDaTgaNyWtytjCadwsDzVRndfLphwAHXFrBTRiljOsiUNFdAWFKtzfHfFhWDiKCZtWhsFLzkszztYgKvDIPJrexm',
      TO_DATE('19-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XFjYfHihvfEWypbYDltxEjdSqzapJfmuhqcMaZlKzMEiVdhbaAgkKfbTAbIBrMkVOA', 'ORlinfIcvUdYxhDfeHDyitSAbznzGpuIDlzmrIbiIFRwMPUArmRWNogoIrfb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vAjPHKBQhrcAEqWGvnMljwPuxHGcYrnmsRLpnKckRhsvkEoXXpyebW',
      'xzYpMHFbjYIDYhXYbni', TO_DATE('26-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XYRBxAnSUEAMnetUtRgbmOEJRgiVArDaWKDgeomwNqvtCftequXSMDHwbinDAAuNizBCAVSzzLRPekdpWXydjagdoLUzvfn',
      'OlXaKmAStmrbgDSoMdEBGZiSXlAPORXHcyyHTHIgAcRRWE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'InbATXuSRRigdBuYIWuqgztQNKowgXFzNRAwoJtZNBSw',
      'ZzXYStnlPRNEwGGZOWeDiPsQaqYjwArtiLEABpYEvMwVmCXWCDbRHymyHLMqvipqIYZf', TO_DATE('18-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RiOhVHyMPkDThCusLfsTmcBq', 'kjDSGyVMVhGkpDiinSmxFQZrlhpDSRsvPeHNJlMhagBlwKVrlOYPbUstNQXRW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nvxoyUalQjckCBYmprcKaOE', 'tiLdBgesLkKbcaqOsfglWFEsMuVhxRWgZlKygnZ',
      TO_DATE('11-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qGHjJopjAdmMKfmWRDxAxZfXveoEwuAe', 'hNwrPotBp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hnfbnsLBVPaYrWvUpCsdsXwOFEyhVCncuYhoMcbGGUkvnhlZXoPjjEiItcHJHxsOgUYqAXDQdJoPiSRnkrZgsuluCqNFEPof',
      'TZNuDTSMgMZlOIFdKgXlL', TO_DATE('15-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IubjXTYFxYoCBMdzEAAnGsOiIuEZxVRftxMTQNitea', 'FAaiAsfjilEcDxEFSkqrbdHSJSHRBanrUbsQvWDkNBDAQkZmnffBHrHubBHfLAugkooi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EntVXqmfjIKnJj', 'tOPxZIdyXbucROPjdrzYrzltdXxWTfVWKaglgIFZifdRvYPsvuTPGznunOyUUjKZUMAMEUtjecSbcRXLPmhpM',
      TO_DATE('25-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YrNksUBl', 'HkuTqqPROSRSidXVyXfFRWeeLdeaREGZMkeryFZBPTTuVKNRsVjUVvtpBLkPDBPSTiXNBTZduYqJAPhBfIXjb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lgeyuUFOcqqOiDCIHdlZsXydzhEuBdfhEHwcYhlIQwJlEmoBCKxwGrKckaMAFNMjTyVumN',
      'gwAGtFEpLoPUhPkDwKOibMIZakRNbHpNgUSkaMcBsLZUTWgksRXAdAyAYySuUzCDwUIGhZPaIVhTzdMiGCvkq',
      TO_DATE('01-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bcAjTIfliQaMcJKTXOpzwx', 'EkqGOurmKTlYhTxjWaWdViOmUOzedQLumnwePVzCsiHhAFtAfVuDXqFaWwQoQCqOvuBfIjdHZhRqZrrVdbTcQVPzrwB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gjPrMXmaCJaMxWMrhZpZKuxQyLlcqL', 'grxIBdDMVVsOJIAfCCs',
      TO_DATE('14-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oUMIjEQRyQBTzxOUpDuMkMnfSLaQYcEaSKTxkVtmsQGGBuBILZmVIrcELTgACWMhkIPtQjLIXsGoDJHcQ',
      'ivaPojPMpVPdcSITJpjGqhpPwxYyanCRonoOOdVZalQfPhNkjAEoHiiEKhsmoDomCFzJVArhBK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nf', 'RGDfrBgzzNngZbCRmhzJHGeApsNaYMVcjQbxghgKMFXqWkgyiHDEoupPefKrvjptPnKbuobvpxTJFadcOGCJriHoPTC',
      TO_DATE('20-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XQIqAIuGvBXEPhcTYBbHRwemqPqblSJkCwNbxmPRjpqAIXpJTSWuSairbYJNokgBfRttuhG', 'YpYLLboCjvRAnirkIQnlWkcQmxoRlSyCyqhUvSebZLp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'amAlsESCqKsGMlHxwzuykDKtKuzxqExvfWHOCUOdNyIKzqzaGVOcGkuUEaPOkjrjMivHDCVgjPZWJg',
      'WpvkdPSVkFIiaETxgkgFehfqC', TO_DATE('15-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'buTvAyWzvhiiGjDvsPsLYmuQHicGNugvpyVAamoUxqj', 'jxEXrnvcxRDyRxbeG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JyRTWyvHuTsHMcttbeunCeercVSYOegNsfRbeHVjilCbnuuRmxgHHhMlVlMCXzgVBIFMWyHVAJgjsTcbWjcLIAWQKOLoliC',
      'AxyZveofsPxYoIwjufdYKIgNeTtgLYQjbwxWEoqxLCxMGDLvjafaYzKpiBvTcZoayvNARPHZOCiXehByB',
      TO_DATE('28-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zLwyopoimcffZrJJIxbWqWydNICvbeUhjVjSbmRqshghBUBuzzMdErTkQWoNuZvcJCvLTPIZZNf',
      'amUtfmAuurmLqIyfDXYFBXRmQARPcAVSejQTlzcasJmUOetJsKIbqwzOBNKyriRkrRCjs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EiWxQornDrAOmDquREhRgLWOVDY', 'LZSsjZ', TO_DATE('23-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LcXpvlayUzyQVQSdJfqGMSWJBQjTruAjfuwjlGSMkgTLcrYvytSLAjElZpKJbpyPADzZjIhIMmbnkRNaoC',
      'TAxbtTgGKrRTAPfizDZfVcXaaaEOHMfusSyYOxIghLydhDHQzGDuaDAIScpCDqYI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EysgUblKEojUSLtlUZQBLLtmrVAdbpqWWHELdJJurfvrFexYwYXfhoZHAXAn',
      'KCynUKfuBvAaKXgMtogXoXKQfb', TO_DATE('23-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kDCinffSUKnEcZNBoqeweUGMHXBYzoJSchXCYUDnCNDLWulIKFoibK', 'BVrbOOHTFgJZSkflDsrHnYJGXyrOkhheoDMQdYGfAjmnLzWrNXImhQICqXrdAVpsfvlYoVUlojPJXhMynHSsSAJo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gyIHsqwXIQeMrubeMepJMrKONnUQuWgqhiNENQPCywYCNVoZF',
      'jzGQKtbNkFmhCprnuLuHdYsMawAVbsAFNmvyqSkav', TO_DATE('23-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hiQQUEA', 'UcHVqCLvpuETsOLEhqhYaDYxPlZSIIlTYdWkNhkttook'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ThVMcbWNrBFSuqQJeHGBajhItZqbLClkMtABoRBOPjIZGOYaoqNmFfinXexBlZSyPOkmzsrubgAZVXWZyDlZwrD',
      'pOPXAtK', TO_DATE('12-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AzwTSxdpRKwdjeYCLbEUurjrLXuLdLNzBjIrpYMYUqxZHRcOiqkJMGhjkGNLkGflimGMwkADzGlSLVvFNohpcoFZ',
      'ElttCqtzLSEsPoRPnfUIhcYVYlUeaXAdpcfIRCCIfpgtFTiDrypGmkFlVLcFsVhKBtHuPPyzIAFS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ezWeZDbDNRwkVlTsTKtjTBrhKiYXNXWeZuXnZSyffXOoAWeBARMDxqgTdomrpJhbIwhWNXgIFScKWazetOQmrhvj',
      'cToneaFXEsVYZpOblgOyvGTEsGZmPJcbKfTCsWIlgHoNIEcxBCszlRSpQXcBpyafQWWDEOhAsJN',
      TO_DATE('11-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DxmCzqzCTxpnHzqZsmDWEvG', 'ImwzfzakMSVcdxBlmEAWyzThhDYdyDvRiRCGDlYMutFaUFRnZB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FFnrJtTyFZmHGCksvGKjEqpfApusClXrRknZSNXfwRkegIUdZ',
      'PhJDtIWiUTCTzObKpAmuJMpRjHFxxTiOevrMOxNoNKhzZHYqODtrLKWxfARzxcRHoXYOXAVKENtaHGXlVLDbBX',
      TO_DATE('23-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'glhxcaFghNnaeoAZVmtYaWfxZUaIadBQEDTeHqiamXOHCMgGPGuWnrLZKATBycHlGcjXzwdywKmEhMv',
      'odMTMeqCDyNlXUTbRNdEDthOChCqNTtnWYKgPzlmVTcLALvSMEyYsewfhGOdmxnBYUfqFhlozRIbobNClNlNR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fjmbDYodsueqgCZvJAgxEkKukfBMfyXKvfLupQrbCnUqBGHdhoveuOZNZtZSDYGBsDLxamFGDsStoxkwRiAdwbpXAcYZeuwows',
      'OaJjUEuPISxLHaIZFFXVtSYWylEAwXcaMlfOSYCtCzEvOtqASFkugI', TO_DATE('30-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PfAuNmivupGLhusUqlQugkjAoTdxwYa', 'jgxPFqAZrjhILgBNjHSXMJitFsuumKlxgfyRbGPopsKpIvNxBxkRPCQFGYNqGpkDDBxPuAaGr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ppVXwlmePWvlCfbzCFwWQMQaXTtBaAkwQxgeUqHjuPHrOJyidWQcWKhpWsMgOk',
      'kSgkaXAbtBnQsWWj', TO_DATE('26-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qAvCPsGpCaHGGLRinYNRHbIRkOYaizuFJhooaMvzkMFSxmmrdWmYOKOBIxEKXHckK', 'jQYhYfAeymJuvSjCTgzgTExaXeKvcZyvcfYqVbJNnOoyxXSgkIRRMlySijiUKgUdQzjfw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BhVvzwsjpUdxuzpF', 'wbFTZjxxYZmlxGkYiGXuiKjlqcusULvxEyTQDjVtSHxnHyklyqhKEGXDKMKPadeyfqAOCChtFjRKPf',
      TO_DATE('01-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xvPYJKZFBcBJWineSbcmGopwqKDkOvvHNAtcObfLfKtuTDXPU', 'vjEnlYOElLR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dvmqMqDDgsGHJDkFhJQNCnvrdyvqSTamtUnKhlWGQSfOcbncxXiwNcRNXqvyOQNonKSpUROXDsvTHy',
      'DtLGWoGoaE', TO_DATE('19-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jZKdoJVhFECjXxPQSHniyEhKxyaptdTXDaNKMmWjJgCBFlgGtFtVq', 'jIvmrEBRLraDGtgBiWITzLmEeLSRHjEePpLDzkkPeiHsoplfxbPzbdOzZUQIMRXhJeAywyNXwVFuBDj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KYTOxWqOhItZDnnIutIYEiMYfnvArmUhGZBkyjfCoFhNpXrHpEFC',
      'IHFZdeQnfbEAhMKqTmuPglelPonImEbpfHDyxKscHVLzxwsJkVRvaocarvoRDEr', TO_DATE('31-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UpubwFKrWnMEsxRJfcGMDYABqLxVUprrYVevCuVXQxA', 'QsIfgVktbIsvTxdCXqjSkGyNQKpkaYfUraofHHVjlFttopdTXfApGKKLVVrfaNxORxKrHnOc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KkTCMSOijsYHPPWHnUMWTSeWHiqqNIWTUNivZmuUFioOHYqlrzNSRIwXtmLBpAKBnfAfvmVPmYk',
      'uCIsQzCkviqDLMyTdPWAZDyrRUegtAuEmACeggEOvOPgxyVeKKaaLIqAkmIAXeTuxSFbmBwNoeTgpbZxzNPSdGqiQkbSqRw',
      TO_DATE('13-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tweyUSmEThHkApgzQsVZX', 'qQgQCbMzRYCNXpnJKURIyJLOtuuBRbZxtkZgemBohyVfaDTmDSqwfuiDXNDciWQSEgEUpVkuVgsoKPrajJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tdFnSukWKfEEVYGfoKzAluwhHHFlgtbyhqrDEHuwqEk',
      'NOZNtKpCZBBJczwMOWeWJ', TO_DATE('12-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cTCbXspfOjZyVScjRvTDsfTLPEkGDYxluiqWJuTWBbkUfOgbOZETgSbLDvvbwPXeFoXLXH', 'xzzayaSMTCEHBiUaGBQlkvgtYogPgLDgwc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tFFImNDaSSWKRFUHuXZvTWzMiEJoRKAxJkWpRiMwUGOzApeXvWV',
      'MUGLLZWaSFkBJqJToaYfvlbKEkdNIWPFvWBmNZiYUGpwxrHRsT', TO_DATE('13-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZloFNDLvUJLMhzwOzOUuJJQKJJiIIWJPn', 'eMODVSKatFCQhHybgqqSpcWdIDfQXXvBNIdwhZKkOAJqAEgCwegAhHEcYfGoQqMckiRxVtkOPTyKVw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sJEvVRZGgyWY', 'vMQ', TO_DATE('24-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YwVeYPPRziUIXikxbxkITlBjNtAeqRwLILnfuXAmT', 'VGDzoInLbOI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gqCOJKLdsENGxDTWAaOFZWErsCZNANutnudJiNOfWSgxuBOGIilpR',
      'GDCmPmxjKGhXAhonbvnFspTHOSqFwaulTDn', TO_DATE('12-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IGhLRRnTmBltcWZgYdutqyTfWGTQtfEVjuYnvE', 'GyzpTIMbAQPmSqOWdCMRGRnMxVAZzgoOgSfKeVoJvaNURnZJyw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PMiatdYEeENFhIYzqLzaYJozmb', 'dWYlhvgjdoeipgxXMbqLNAzqqOuyvCsmTTutvMztlwPmTMAMXVrbTuGuTmLrRwdiPDgYgLkzDwC',
      TO_DATE('16-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'otJSU', 'BPBQRopYfNtXSNUNgqGrzeCsGkXtVPzKQWZtZZimZbwIxyuHdrNrBMSfluXJLpRjbVNXjJqoJkiVZUuCQOiPj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KNUhXxqOFkkgvxYwJZWgAiFsnfVQlbziQXmlAMmvKQbxYRuisYhMdXabfIlMedlsyVwsupeWkdGDwNnOGpqUoeV',
      'MPSGRDieCuaAJgAnQFhzvTLrgAPtLDBP', TO_DATE('13-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UERyNP', 'khUarMgwkFGLCCxNNPqqfUqoXuMQqhjYPwttthSkKPewFbJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OyeJSUWvPHAWVprPertNGA', 'HXbIOmpHqocLavNFBchnOk',
      TO_DATE('13-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FixsIQWAvlvOZNmgQblyqIgxwYXMXUTLgPuRShYnjg', 'gWjhkMNlPjWsBHPMowwh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fJJradYaKFdgllloJspOkTfjbojjZwP', 'OnEZcDIvOajrbzznxwLFtH',
      TO_DATE('10-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NlOWgUBBOkYyRKFukUjwNHtIdLeDdutAJZdpHWrKUSIkdGlptoxsBAvOGahTuHlQMLetPuUHcicKRYGVGslyLQhjvVMWG',
      'Sy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OIobZJSsaKcGgzWSqBVrN', 'ddjjiyShjHLfN', TO_DATE('18-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mFAfZszdaNMCfdBEVIzocKXNedLRQDCQIGHoUVPdtqRtOFTbBEqlbvAcIANlX', 'dHDLoKpQNxnXukzHczLPAryCQtTFISWLcxFlAVSFj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vTWrXUiwlPiqtfngLBkRQtczFUzYYyzWXbfMqhJLdNcUEuurdsMtqksGNFyEtsfQAeeGGTnmkaAhMAxZlcBiQF',
      'xMzDuwoIzckElDBkQqMTpQViYAzHTsLMYMcrChHzEkxuvLDKRneGqrewwXjxdmswwTQbSALRNmwd',
      TO_DATE('11-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YnaFrGlOVYPwbkJFIlExSiXJmfvPabeC', 'gOuSuGb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pDgFlTHUMoGslsbXvONwUORqAsAYlUTFBsoGwtyyDdxkYYwjEOlOwMmTrLJChwIrnluXJMGlbQcIhSoegyFanUHNVTKQqApsUO',
      'QxCRwwQofoRlDXqtJhxlwYnNqDJBFhxNfpdHpRoVkpgmiSpdwIshkkjKKNBSmVReosn', TO_DATE('18-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SJJcXTqfhLStdROpsactyrmZwBVFquQIOQcrqrYREmxUjeUDRKe', 'iPgXzCTcJqYNPJA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CrXHzMDfUnIOnEYSBGsHzvfMgfrocqGMCuZSxyJIwfIMGsIl',
      'YfYGHYSJKOkUpfLtpuDmvbojYQRGaKeHkcGXUQpAbkzqZVPVIcrw', TO_DATE('11-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TAPGIBVYPaFYUpKysDhMYoDQoFbmKppiGOFZXg', 'SAPZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HUFMcFyHYutqiafCWHwnOVhFjALIcLNgstlFYYbFCgQihINPXzGhUYSHJBWNeluczCHVplWADtsGVRPsCPaR',
      'CfswWwXAqqsWLRhDxArpuzSGXPOQthCcooXZQYxD', TO_DATE('17-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JwoZZAHLicLwGTOVUWlFohPADgKKVDHIjMrreeMXTZxYPzGCiWADVuITbdb', 'YPunOHovAzYDBqqgQymiUvMJvTDYzchKzhepzroPPjnjmOSWlxDlzIPlopHbxJLz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'peccmxyxy', 'dzZLcVFBPCCQFiVACoANHPJSRSqfjukVimBHsTOMJUBYThYtdQRKEdx',
      TO_DATE('11-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KmLpzSStWebWDoGspJDGFFpGhRSzjsvRLrRiS', 'fneKUZOzqeafryTZOtmARfYuDRjfmXcXxcOMtwGHsTQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PpguKamIDqiBfnMpsERQFfPQkzzmaewqRTWocfljoOQXbOLQkgtItbdWaBB',
      'MWjSnkpaoOJzdZIBqBSNmkqGCtUeHfsjDYTIRGkrO', TO_DATE('25-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hnGqnnpKTgXhfobbqnwbKyBljwbTqyIvCBbNDQCAqdkrQasNfhZfQWfqmcoSPfjYqtifMjJWQPwKduCCmmT',
      'gFnxMwaUxpwtSh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VZwTCHZEiWirpGPaKNrToJIUuMrxMIVCXEufDCArQFIEyUSnUMvoHYUNJznvROcVYAzGmUtRlfxS',
      'GyoyXAZICJZVOVvajIaFojNpfGvxXosEWOQBgxoAJNdyMbjJvlvHhtve', TO_DATE('25-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WrVkHrQuXVHWQFBgmixsTcYuhGFqXbLarSVPHxaEhvrdcySoIakOKKRBihVLJG', 'xXtx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NITnkpropnVpMLcXjvDcTfx', 'kQKoxxFAESCgZWLSnFKhpcsUztkkeMmSDDCvXdikjspSUQyNDDnSDeeCD',
      TO_DATE('18-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WQ', 'WpqZdSDJaJQRJOSmwkqVnIaSyoVHxGGcksqcfMgROncUmcsnIFltkhccfMTSNTDKyXRnpvrNRTkr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ycBvWuwMiLmdVQNSYIjvWTfNwJucoXMczRAJSWszEiyxoVEzlUkNFMwEq',
      'o', TO_DATE('11-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XBVpvD', 'KJCxtPvS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xIzFvAULcHluNsiAjacVyuZnKMkiNiuySidtBghQCEjpwfoftmZyJiumaAUkkNnRuviuHklFmGkhFuYQsztmO',
      'niFEtoCEjqGilYLsdorCsRPshaetTBmLJKDgXQsXnIRAillIGd', TO_DATE('07-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UXCamnOigtxwldxGf', 'kSSjKQfeoQNJIxJxOYAZwoGTu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MpKyqdfBKEMzVjehqHJiRtkKbTxHrQHfgjuCIIpVCcfQssSiiRvlvmqQjaTkfdSOeCv',
      'FRBEluCstsiplXrJqTknCCAJKqMlJ', TO_DATE('05-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ytOmdlJyFBuFjtRWzwbSmFecLHPwuiJPmepkGScHwL', 'EgCMiMBpMTmnBrQfRKnNCZyoJNgHywOklkVFjaWqVieldOZCzmkEeaSFUMDZkvXDLizIiLIpNGwDzcJfcAc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jHXgIWxQCriXUophkshlvytugsIsUUgvGhdCprlIovZLwnNxxrnJcbqHrWNKnbgAJp',
      'WxsaSCpvoXvrNJASjjqOcjDdcaeTcAynqHqYlodLnFLWjwqGLqJrmZPWeNcRDTdTaQPYWrmxIsSjSoFz',
      TO_DATE('14-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CwkTCkUznlIiBoOPkGRvgsRTfHOAgrmunNCBcjmPlckLmPABToTEJIvHsHQqnovF', 'DFDzxBLEhMvGzExGtWOqeUmfjgqoWFmmdWyTIpiMxYluALdksElogXxASNIbzDmXRsCdQBghHMKoFbyMVKmzESShsDCFYZjLL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uUbUXdMkVnZqWGqNFlahkyTUwSyIHxypeSTafieqHOualeZehCMveJAAOOsTJGjGaqQsgfeEAPNhLhCnToX',
      'bmkhUHwNLuBjGvhSzFXOhkCnsFKMFExMTKQCI', TO_DATE('18-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ngauEjtWGILwEftNsMjcYvfGLDYrogxzA', 'zAXUfmtAcKXpYDCesMRDHfcqWFWcPwqObOFUGChpfemZdEmMBTUWsPnzlpsItVESwlSbiOwlAhteIqOYRGxkkPGqLWEapv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EZYDjvTLkWssgUefBqIcsQbRQlynlHkMawyZGErAYiHYUjcEDUPQRhXkaKSgHwwTeMAjdNXbDhKJCtSgHjshxgRWwOWgpSU',
      'p', TO_DATE('16-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TVDGOHdlFWdKvttyDjagAoxXdvMpzDgvgpQNOiwAMgXSlEpwSzZOdKqQTGaPtuE', 'KwWkNHheQhRiAuT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YOVYKmygHjhBFBLuxnPIcwZleGADoSzpeejzMfwZiy',
      'pCZIIWmvxQCKfnLfGdRzJSTBxOtfSLqdnPGTjXrlxEIKTzEagVumPfysERtTiQQkcVgzGDsyqSeeiiHMGsfllKEXu',
      TO_DATE('17-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aAHmEvUxLOmPmDlcxcbWsrdBq', 'HfzlBUFvuFPzSqiqibHSRPFNTaQtbwDTGpnTMrZNgRXDNYlilb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'piMsKDSUsNNvYRJjMYDGUPzByyRWNwobsYrvTFInRxSCfoimXWygJjmSqwEZVEHwmlwFgGETMCg',
      'NnIQznjNGePKilKXjsxeuSWOiDrEwSwdSqghnDTYjKyzaDooelWOPCfJpxMhPZfkmenuMkbJyEuREigppxNYEHAjKZFv',
      TO_DATE('04-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JKHUmefMLkGiQhSyRGNdMsmiHOXMBwIHZKRJUosBLREhbpokQL', 'cffbXsjHWQKtfboEJZGXQKkLQdvZyfjCiuFHaekZYMHuaXyjuCDwZWShfzzqbBbEATYzPqrSZtfVMkN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PKvCcpbVrtMotJmbcOCYuOVcSMlgJnyOieWprgFOrizrgTBVTppRWGbuYYjbdQRUKOFTUeTkUoECmBGbpIXo',
      'FjHfBoqMQfWfyohkrHECyjlPXiVApdvaPaqcmFGLjhZGCFVyotiyhYuuhBUNi', TO_DATE('25-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pCwP', 'SYfHbWavPMyypfsbtgFfzstEPysZEkzxMyvpqINmeCUCXtmmsfla'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lbusTKJZGBTXoTpSdWxOWYSMqCxZXsJfWrXymgLxxTMwfmHEkWZXCdNfpBSLEBDNcHRObNvewyRrAvLXlflETzjk',
      'GLTKGtJdxVgwRBCDvotpeaqPFjlfCvLvLmWFzBEELKNIkuTQIHyYXqmjaz', TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OhdoFhzqcgapyAasBqMDrIoassNAOOLOnpDEJsKrXxdehOUdNzNWuLKHEoHBmTsN', 'bLJuSJNnlOYRLkQjOxSGEuvTTglkCBHNnZbFtaBfgnAMCzfFPAObYTVSieJTLBNbYwVwyyRwYME'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JAKn', 'iwYxJknusp', TO_DATE('07-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OGsFChlpEuPuBNZOxRUqDSnRtDFiRNvZvysAaakdwJlWJqCrdXQklSTlCtIkrQeUQtgIVoYL', 'ZQRzozUtyGYsuuIbSiZltXxJNxBgQFEgPtkicmqTbqQpbxq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HUGeImfbImcVIvdqenhhilyIvozgjiupcZMYkaWVuRuhVproLxMANdx',
      'cmfmHvZMYilguMmFsAruFLgoKswdyYaZHtQNaGI', TO_DATE('29-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ekvHpayCXdxwCEHOASffQRBZdqjymU', 'MYESgEbFTDgxGIvUwuHkhUXjYTEkEzKLJdQPytwqYsGcLBCxidnbxFxT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rblNpUPWWkjAkwhRjcplXhVlevqAYwnzZOJyhPuejbNnWmwHtZJUYeUPRkibfCjvECZLuNQBerBvPqvMiSQSXCDniGFhpjBtFjhS',
      'INcuSgwaMSioPVWjby', TO_DATE('25-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wijptIQLHvbBNhpDzdeBUewwBARFZDqRAHZRccvIwLxUnjFTMIZcHijpXYZdeLFnCmOtEFcCgkThWKM',
      'paxDEpSbTYBURCZIVqgOLzPCsORxCTZjUGDGDHcdwIXcshzdcob'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'moFLmTazYTUvUswRVcQEScXcLrzWPxEQiVTIXyAHSWipskJGNfqQgJaHBph',
      'OInEjztZiLbfWTQnnnDMcswpsBUngLTkIJJQQewkCFOlRGtsOnyZSRzuQglZMSzckiZpFtStZWhxeFlUmfTPFOuz',
      TO_DATE('31-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'INTfQYOM', 'ZoIqCJJDBCxCTMooZCViJBRnubimmbOqGFykACfQrwwJnCZAyzUYvdNJnWhzklOQUc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jiiFLtTLYtJGvBrnTtPhuAWHAKXmmkySrXsSgYFBCycjcbsRmeeDLOvJuzNzcWLhqARZ',
      'bqIiXusSyuVFYqyLohKKxZnaCFqImVsNZjepYTOYVVkePexrapboeUaVAihzhHrzfbOthQFPiJYYZIUGTjhSm',
      TO_DATE('25-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Z', 'ljIKLEQJeYdlXtPRUTuyRMWOZyXmHITrgKtDayugRKkCrVSzYIYOJJvdXpRPscHxzvWkRaTuc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xZYvtSS', 'nOtfILttMZdTKKCwthfnpWAuSqLRJnvMxZRXQeECowAslFG',
      TO_DATE('19-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wQsYPtIEEXYftTWueytmiKNDYKpJNJOqGIWGUfLWpreFBlYmnQExKH', 'ZO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VUaTghsoLZLZTZ', 'rvrIeFIvPyNbKXDIoYJh', TO_DATE('20-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zakONgyULPaHnQNPYzFkNphjEhhfJjvjYKpfHDFeYgFDWOewdtdFSpiBvN', 'dPSLLcSBwdd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GymiYcJAJJOZntkpzzMidLgXvYruezrhPZiShYvprudGztUHGCJXapwgKeorCslhJazswlgdvjwwPbtI',
      'qrjWQgUGOuheHjiXLNTYQNdLIoUUVLJoJoVZKhoVYdFpgGxCVwBuUpm', TO_DATE('17-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iLIxVwYCZYpWjgBlkcpXTRVyOjAFTEeeCSOuWTQuARKItGIMDJxtqQWRzR', 'bEpluqQEIXuQkXt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CsGnpHztMOWueEvwJCtSZWJlzmyJlHsPVAdKOOQUTfgmmdQbpBxaqtxPKMCmRVtumt',
      'ypYIpddvLpAnQuzXSIDkVLLPaxsRqQHfltjRkofwKWSTGRtfVmvpEtsYdRCrFTdsoiyvQadwjYCbKM',
      TO_DATE('25-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hLqFoUmezviRynpMHjForhfXyjKnuVMCJWRaUsIKYYLhDjqgnQgPOSpRQfWJwNeSKlcUdJrFdjHycAMqFMdXQuxbbUpCe',
      'DINYmlMikfEUJHMunOnoRsnjvQauCrNYSPyNOncXrIbhSfwyRGAOpQwYoi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GNJPFKqikcpPAYisxDWHCG', 'TYCvpmJDqpfyDDdNoUfhBQeRjtuUAOXwqFqaHmLGJTkZtodnIZgnMNFPvAXLzPoQeaPIWrjabxKrL',
      TO_DATE('05-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FGc', 'TjCwSRIYnenKDKGoTWuBTuObETmcZOIrPbKiWOHQyydnpPjHtOyeFShIMbuHJeNDhBMkEYCiQVWnMfZMgcLHsuTozjOLlbMdAa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CelxdeOFDgiSLMDrDNhzLnvsIecrxraGPGmyBkwkwPmCVnj',
      'coHukMvjAFU', TO_DATE('19-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EoOqzN', 'JhwMTtQZiapLWbPtZNEzMKGRtOCetlbXaYJuvzroAtIwTbOrpsrBCmrHNqpHvhLL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zKWAYZzXljXcPckhWaIwgc', 'DKNrshfDrVYXwKciPdDEYBTQSNjBvnZHsCVK',
      TO_DATE('06-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MzLRTEOPtYmcNwDCFCMmfU', 'VLDTPWlBBXOpcNhCiEjPazEjocCdBcUPAOqoreZQzEAJuSjXTQVVRtoXTIIIMuiPQBhbUIvMtAhwebzzKTpc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UpjMSnozbejnmsVQGDSuMqKmPfeVCZVwuZHGrrQeYxHiNDvnhraJn',
      'WpvzKZsgFvdPVoFvYxLmjopUFVMxCVCWOJVLkorXlozl', TO_DATE('29-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gvOelYXdd', 'myeIfafTewoFNyTbUzJCcDPSkSSdwrgQRlvTaXTYShKZGeIxoOYkNrJCFBRniHavhQWExSppoSczrpKroBwbQziUmu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sDCMNvHgketzIlJRThgXnH', 'PmQZ', TO_DATE('29-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'flwQjoYZmlkgtkA', 'xcHnygsmnDpBVklUgaXlIIXLLQOhDTyDiwXhCLXZepnlflmEeqVyWmUaTBkMBIMTShFnPNbzBSsVXZhpX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dLacoyZCdMCpEssHnHe', 'VfsLvgzqgvJfFvQtzBEvyMz',
      TO_DATE('04-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FNWTlwHNbUbcuUISEfdbKgjNRCUtuNgnQCvsTm', 'IblKEZbhjLtbGADwcLFFkGDwYWSTTNnfBIaxFmFtXkbLKPttJAvWwUtXHc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mJQnuFDHlIDIoaephslHcNkbNBMiMqPzuBDOKZgMhfUYBSBJHbibGS',
      'bVeGEOSyraKOwtyDZkdzKFiAYSXVjSTPPVeeLkrSqcBmD', TO_DATE('30-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HzHNEwzClxYhjzzEBxvsauJuaWezMLvvjImISIyxcdRuCOHgKYTIyYemSxfbGZdWChyqnYwAPTXlWzwqxzeNBTvpaeYAtQMny',
      'CwozlswMvFLLqOWgMXKeHuBoHgLpVLJJiNuXRmXxldVZxKq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VUZoIyXfqffyjxzSmnTwXJMqIPCrZByXducmeoCeY',
      'ZpzFnSOdBxKjvQLYtLoFPDzyIqPqPoOqgjDNFGSgQOAXxSQaMVwvbSkHgIzTvuU', TO_DATE('26-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uWtwWPASfQdAkSdwzNFRBvxTpcothpPZSQhLdclEiTDbjSlquxNdMAbEZ', 'GDfdVrlpoLyC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VfITuDzKNeF', 'X', TO_DATE('08-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cXBjgSbljZjwFWotlhfDEDEyWyWWqmbQNxWftTIBbBJNLXOCJhqzpdTXbuSURiFhhmgBcisftmGaatOWjVgkZpbdoFet',
      'VZoXbCOmNFoSxPqOgajhRGeMydXGlALgonAQRundxvHlrldIfDyh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DqMIMaSxbMRrNjGPyjdWRqyrMHzZqttsJbFXpitbTNMmVYdrZLpuUycZnWMpDDcqpGAqaubumhIMLlV',
      'bqbtLnbodZrcSIqcEGZLsfoFyDccLVcXMpUBOKYbGWWQRdbglBvGucuzNtgGuAbouRrXcknRCkKMm',
      TO_DATE('19-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rqlwBBzwWKZoTicxWYEDQwejwaBWiO', 'BKtfxuonfozESjIlhJLZMZnnhYJYeMWigQnHUPGvHgqHdpeVuGUGvyVWRzEyokQTBksWgBtzonzXMlTHeibxyvIJZlwMew'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YZRnchsTSPVzFBSSCiLIAHhbrriEMEggliDKRSjClrsejtHa',
      'YisuM', TO_DATE('09-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SZFGbAjdrJgVPyxguEKunqjiqSWktpZxqVDgVXSuEAOrUSPGPEGxMjDy', 'CRZbuHWgOmwFOsYSePagtEpgomeNVUDCbCvclpovHNFwpFkcSnkxud'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ryZCGAUmWbVjNpDWMIORLgMBkAjdyRdQUghevHlcvHTAOHCLGldTQIAqM',
      'OzzzFysvhKprYwVMb', TO_DATE('06-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vFsuySyOODsFITuKWqQPgElVWqjeSBneWYVyjnMhZXTGORmgHKqDFXCZRurZZlqiEfRDNKaVeqoTuYCEzQLtqkGBeOGakRranph',
      'wGMNdYsRNcxTzKJMwrbHiXrVCqFszNbbWFANJNZiBETJkUqCenlBrDhsoxJOhxGIeEnOMTJmshGtY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ixNuFvxICIbOGcvwafmoELMojHdeyixLmfwilHvacYFMAyWlvkOsQMXemCrb',
      'OJXfEUqPsTKhfbQ', TO_DATE('05-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nELpEvdZYsSLqCzqvqUTCnWuAEQTfRStuDOCzOvLhNGcMeGf', 'krlZtpOMBWZtiZDOICpEMWHOCXFdBURCBNJo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GdxhepouzBthQSYKJCaCXbvjzGZdcDG', 'MGXgNjpDzZXPkOzTSLvMiOFlEGvzrzOFZicx',
      TO_DATE('02-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AIFtHlqQEwacizfStEimrgjQQPxhOSNFpNkZDeBgbB', 'ZYvROFiyVdBmoZKRKdoZkRSeMgnkGaehvizZkDpyMOFwI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gtcerHJtbRqfVpUQrDWCRVQmyLNVvOgvaMHzAfvsjJWVroMFIbOxKMluGfiEwAiUifTFigiEYEmeDlbLtIFNIOvIJCK',
      'IsARUUpLZFK', TO_DATE('26-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UXMDySlcnififMHihGDYpYLntmeOKuxWXXfEcvvEUl', 'VlJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KfzTWqLVSHPFoXccOvYpxTAlZiocoEIwsWWfcVChxFxQCrgyrtHGqbOHgcfvOPSSUcvsHPortqDOjgqRYbzGKdlpDeCcWseWL',
      'rNdNGAginFxKCVwkEqEblPxQbHHFMuKHurmewuBlkKwhPBrXtQEMMVAkClY', TO_DATE('15-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pvjrHzjoNBKgpFslyuLDfCGRXTpHoLmhNSbQeWKpRqkzBRbmYIxwgGsmtraTLgkjnNzEphvMyKm',
      'isokOoEgpeJOrNSbHIPDNbZyStVMTlgJfpWvTvRGmAtzvwKnzTjV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JycecAKZbNzqobTihyunwwxflDHEZfIcbDkJKFmmbeGgPSUTjwQKix',
      'QklachwobWiAVnrmiUGqUoqVT', TO_DATE('26-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rHYfkdBHYxPWovwTOtsjcGZQkrPKPdFXwVrNqMqwmLcYgnyxXqTjIeTfA', 'gKaDpDQqVCfipEsWqKUNogLVPgQqyeCgDZYNpcWlijuAoIAIebpDFiLAdeWsOTDEsRHRSNvoALgvGiwUsVmsxwcFBxVFj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ckoWqmVg', 'pVvTWeukrGwdfzvKaiEsYECFLu', TO_DATE('22-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kAMTwSoXKcCfllpLaFgaqLkPZPmWBxvorJbJBIhnWXtfvfGjQQBTHaDFPIJCJbviBLNfcUVYipaEe',
      'iEXWjmwAZnDhF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZdOyghalZekGuENdZERAyrZMrZGQmEONXxaMtyihcEAirtHXXPMfEzuKcObDLRJEKqBBKxputzbzlWivGblcbpKaolC',
      'lMeKTFeGyXraPiGBKTqyzLBjGzsSfClxtqiVSudWplxZGNBDZAhyYFlJGXFBqPFOLaySEYGHaTAtgaitSXigSgkyPXS',
      TO_DATE('07-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cAzqAamsfasxlCAvNmkmxevdMXXvCHeKLRELvFd', 'bKuIlngpVwdYlzQXneMDUFGZHowFwjTKhE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EfrDniv', 'dwrZVSA', TO_DATE('26-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lyZBMXvwwGZyuybmQbKjKmUHVBIMFUTdIhUkcnHxIFsweANsRvwcEHRlpvdsVMqAEhOvgJjfrwBbywuJ',
      'mceTjcbAtzfoiMDFfQhnlDZqvsTqoliBVDe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UbpsA', 'mMRpBIXdJPfXycRyhCSpwaIeHBAFpQncWlXEVqnXENRphCviMcoyXyiPLFVycOAivMeSyImPBEDtZQyhHswJsowHYBn',
      TO_DATE('24-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yjmQoNTyUJDORWQHec', 'UneDCeaWLsCJeKxAfbEftJqlUeAIcjuBlcbouiaEeIPECuPtN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kfmoRZsJHOGdprdtYVwDVsSPGjzjqZiIMXaiLrOsOq',
      'VGIIqCQVAKwHrhgdHfNz', TO_DATE('02-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PMFEeDvFjblwX', 'RfLVPgXzsciKUEhhRGmQBA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YCgfuRYERkoJqpCqb', 'jIxpUsGpkcxOgdD', TO_DATE('01-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'k', 'Z'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EpFwBxcbWBkMvBNSrHDVIbcPhSedFlUSvzrrQHken',
      'iXkbUEDAjEFxoIVVekUSGWrofeCcEHZtCAOFDRIVXNdciixjiujzoUAifvtNnWlo', TO_DATE('19-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DTGJCfbfzmojHsXsFFmCffEhZXADNLhPnYMEKRsyBxnFSdTjeQsVtNZHSCcvLONtLVTpHuoIL',
      'BelvRURnHElMriGbqVKYhNawtdCtRJRxvArVqWAVYVFqYwbOkOfLuSfynepAOqoPhsIBNPhTbVpzUrKIs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'okaBVQdQZxRWniQxAUFbkmYWdUnerbZKAhDmAjdxJKQUhGrNkJopXOiY',
      'ChQxeddfJke', TO_DATE('26-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xgbjJGATuyOyvmIOLcaAAFvrppFyYehwPVNgIhtQPXXTfZhQGCelNbqbDEJERhcEWhXtPRqHrOmsnfvkRCotElFgvVFvYhT',
      'ubSibBpdiijEohucoaXnBubZRHaeAWweYVeMDzaKAjMoeSIcGkBaOaudjdBnEtkkVdjxLY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cYEipmmzWBYKJPOdMFETAWjTdIPZesqvatKp', 'EINGTQzZVbbPwLkRuMpgArAvaUZVUKbQNbkZdHWagmzkD',
      TO_DATE('02-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WrVDsQIBaAEXJzAYOixxWMNUoN', 'prnrmUcimXgZIPSnBtXKPLRXSDWwQjdCbzeDeWHzFOHqRNPMsksNBiXGXaYTKNcRAVKhBDOWxhOnKcTY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HuBTbEwgqSPGVVyqeIOzmhNovxaNGNqVPufAyXEZGWwdrfHjURrtJTfgiFbgwwvkwfWJKbLekFGR',
      'ynwbuuhtsfQCpCVKWcOGNbqBUrUhTkxnGNgZ', TO_DATE('17-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JfgXrFAvAuSSATvPXdTcoExviRcpwBZnkwhNrhFzhgvzkpCILfAmGJoCBEirYldVVTfnhiGVldbhabTHRJzTorGYC',
      'rhnDSHJFelTbQBaXjmAaLVBMAqFkbxqrsEHhijBwiHKmqmKpPsVeCsQwbtOLjT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xMwSQbJUepLPkZNVpOHjZlvvpBPxHYnxTaPZpwoSQSaCjxjZFKZSnLGFBpQhfGgFZzqOoBSemASfSPnopVjdriz',
      'jchSSDWmMynJiyxBEYIdIZoJAHdxRpBCTSKPAFQrUauxElEMFTVnCRMwlUhRwtcTkoztoIUvPRnJudULnJfv',
      TO_DATE('07-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xNEQZVKR', 'PIPJdSUgUxGZBirqYgZfvwklLSafQORSqnBaBvnksaIUuDMrNEaNzHhxRvqevTC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'aXORSpkDUgESbOvHjGzwNQnJVEeEwPVzejfyetoxNgtQPRoQwGQD',
      'VeLXjtpTjsxzzwxxKQUByeAQlpCqLPnlcPWaGTcdclbYjxxuHZKJEBrPDYMmJadVxiYtfPlBiKQ',
      TO_DATE('11-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kaOhTUmLyQLrpiPWHFZSxNiJcsxXKtuCavBOkXGymHwKPCDIUKHjEimIeLhFdjGMffdMMRpLeZcrxkxXmHXfbqDKKzxZQW',
      'WfOLvclVJYzMrwulxcquUMVIFhczYGxCbfCcb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IiVOQkVNvUdMXXoXtDjLBmiXFWiy', 'VpfXAMjCAXKiYoHGYEpyYilBwlpLXZjsYKtEppstwtJorVik',
      TO_DATE('09-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Zybzof', 'lRVfUJYNATqZdhKvOUFwGKLoADzeBgIXwBZtpMinbtIDjFxrcxeuqIoqFUIkyZkyjDRJNfdbzpBkcuVyhUSDryiuWvoFRKfbpzZY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UjFoXwnWyzkztHzXQNxAmMDxINfyrGKFmmhAGGlVMWxnF',
      'ceuvtZdiFSnhhExaXSYGdGXSnDlLLrHcuqXSsTxud', TO_DATE('03-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wcpUmlhNTCQFkdqQzJBoYRKziyiKCwzOTBgHlAav', 'MvLoogAVsoLdfUigobKotpwXzHWVLTumiVcRqIBcbmJtwJpPDwDG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mIPvnMYOZLPDwDolrjtScMADUCNVPEmbqJwoqliBRKJzdvXAjv',
      'LfOILxJLKAHZgQXxjNLHaeOUpeibpgdAIDfRyrkcpAjozIpYNnYkQPxVI', TO_DATE('14-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'twpxtykxsFVDNFpslsDOLZPgGyYcekx', 'ptARzrFwLEOe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KxddOMAVKqShUiEXouTYkBQQYckYSPqrASCQbdxBIgMuhfwzDUVZyxNleCDvhWnIPbsmraoLaAQlQxqq',
      'RBPMQCpTUplRBWJUkccMNKJEE', TO_DATE('22-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eJgogZHgNrgsXEEypTrijTeTKKTweQESZvdqHfdaScLeyIxgwHcQTPAQXkoMRvrgJQBAjECZSoAkMGPoBRLkHkeVLrdRDVwJv',
      'TgllONcNNtAhurSQPlMEPpuWaZcKCSPgRgdWrFtcMOjhGbNOBHuulYJXxJqhBoUEqdBfOxuwgfpETtfVN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RHnInoKyvnoixVlwJiYvPLmOKKnyWkdhxZLhvgfBPsHy',
      'bghw', TO_DATE('02-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UJLnURtqIWk', 'mMVuDjObqqkPqXNxeKHHzZNLBCotQaifncwNAyPcDb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PORzjvmfRIbcSpFhPBTdyjeDclEIYDHPwYPQKnqClDRZufjKCtWMtymmazfyldUiLUVjCAuLGRdptnhsbYNIAqHZFZWtxutmHP',
      'BExOAoJpqKfFFIKWyfZEAtikNklUyBRCBptEkRuRpohlZs', TO_DATE('24-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TCjwFqNbZn', 'nuASbPRHEn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zizZjgrsGcyqxPzeLIfQuYFLHDYimrXgWJouvmEzvhPQjnlSJAmyqkDijRM',
      'WKOvQYQmsZOGflcvxlDEDaFDscnbIYTOAOAWWaWeVwWGvPWKsidHoCliQYVDvjPfOJgyeLFbPsDoNadNYRFaSSyRAPVFHnM',
      TO_DATE('10-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TgkQVxOhXgGIAmeSQpIKXTGXzlrYptr', 'IvKlPpdtNLCelSShrGrJTdFWpXvUmxjJfhAkqgEPiLlPWiaayiYP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UU', 'fXTEBVHHYfKkJuiqfyToeonM', TO_DATE('05-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZRphOsmbTeYKgCRyKUiCriJxJYRlNDaFHIXnjinQXFwoWmVfYZoinxqSgYJOxpBpCC', 'BkvtjARpqFAUCdRDtOoYbqyLjtgOMDSCfZLKWs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cWLELwgqCkVXGKbCtmtPDjZhuLgwcYTSBoQmUTLovtdFCSsrxcYqEzoaAqDibbsrmDEXiwMPUJTKPhPbJZppqJfQMXys',
      'zoGRDvoakKvakBfbfltjyYpiPmduYCkPgXmQRUZaseaxWuDWNoTycgVPc', TO_DATE('17-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tfUVtPYbmTnJxsraNJncxMwhixTKEgJtCJWmyiwkSuaaEOhrfsqaQHosbeiYDacHTozqYqdbN',
      'sEoGScSuxmtYRnTSnsonjlGdbvwvFANAcVvJBkSNWxWjmYQHnphenB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TKfqKEbGal', 'FXikRbQpyhnGkGqVZLmQLPmOzKLQGeejyXKjszXuhQOfBCXXXZbyHHVQnXlyhR',
      TO_DATE('01-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SwsGWcWiFaFwTaxDtFmjgzBMRmWgzXjFMzQnriEVAiVJnZiQFMvGCZPCsGgBaTUBvraEuQTQKrMzxxsKXPoFANFUT',
      'uCRaJMuxeaoG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QkvztHMgqHAYAdmNgAPUbAOosQkqkUunEREybNwcGUDnlddEkyqiZRqcolcMBhfKqeALz',
      'IrzVJgWsaLGpgnTSzUKVwlsCURskarjqPpeW', TO_DATE('11-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dYMLfmWZTqdPPgpBfvtfJoIiFsiPpmWQOK', 'aCurQEWBsSovBNfVOoySKmWyfhhlXfBByWFHqKHNPJe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FzVroBGWDNQxDWfyESlXDXscNOkrTfGJCpAuWwcoHdGwnFRxFbzXbZLMvPocVOOBHZDmulv',
      'SVaeYRnxNALLoNG', TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iDuaZEfgXOQuHOOjXVDEyjUTCKGXWvpdSjNMISUzFwZghNKEZtCCZmigfFeQrsIjxojPMtEUdekwe',
      'BzqvDoEDtKUxnFLNYHDeDjxHcLhsbVTiWZJTDAJnIsYGjgRevpPXUWitOJASzzhntkyJOUNlgMNgsMqBixJrWTtUeNFMrgPzb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zUshPeuJwwvaceaVYJNdoQVAWbRnlq', 'intLFAcOadtboKXilocrqXJpZEuRFJgQDPOXMgB',
      TO_DATE('16-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XkgWDFPUpPGsIQzypzJaEvzpLCcdwlzOxVotDuUBkZyZhaeAxIByGajdkJ', 'DBwJVsjvkwgBGzOPpldYRLFlZmFLOihYIloXCodTWgXariwnKjDl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fwpHjwBOfJXbCMLkHKxmKqNzTRIAQYCzhgKwYWZZXJiaIZzkpdreNtvGRpKZdyRgsIgEvt',
      'UDBJqnaABTpBlzJrEtSVqHwFxOvrSngHcNHKgzwzHJwcSwLaAgLYswpJUsyWadAwJvDoEdeTIlTlRTsVlpswTjJ',
      TO_DATE('15-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MZmSfjtSlfTGLjxQHKAndwrtgyNgGABuhogwVejHWXkXtxCtdwUQwYtTzHwuKLXgJP', 'UceCspPlEuTOorGjJSoyAMWCWoxnVPtkXVaJbmUTsAYjghkrtkEqNcwUMPZOAYnOPFIJdLgEcZGRDYf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ElRpimunuMNAvsABuBDLbQijWaNxThdnHSXnWBXbGJzYifsLlHQuFjtGiHjnkmEszAp',
      'FaJTXWMXkasHoTvGPvCkbGMauIujmrslfXUbPQiUjznpqCwVyPrnZOnGehFtnFtPDUlf', TO_DATE('22-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'acFuRFmFZPkHhSRnqkFtZHfdzMamQkrlgkURfQJqewgULFYbxkpi', 'gzqhwNbIIruNXgGaHavAYDMnQVsSVptnjbzCBeVzSajOWxeZhZID'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pNremuSSVaSDjXvxYxhuAPuoiyqnMEwUJjPkPuevNzlZXehTSvXkPZFmPyNJZwHbGcPINyhwmTYyoIvaZzHMOOiWXYykERb',
      'yNdUScobYbSrZRzjdVbuBNdUPtVJbHchDksVBFwBfRUOLuzvAFyGsSxH', TO_DATE('31-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CTUmzMWzmyDRhzmLLuVVlDTtgOcSkyBsgwqUubAoBh', 'uEwLiwndGOxzBJYXavaCPtU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EWjgdYiCpygkdMOSKwAEsIVpZAdnFhHPkOTzeQaBbeKWXezVhmnLQmwuFwl',
      'clyMEewKYoKpYSdzYWRUBxgoMYVQNdjuK', TO_DATE('08-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mvbtycNYOdRvfbSkxgllvFhoBYIaHTIVlgzFrBlrJhXFLvycgrBoRigkBRKWw', 'A'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jojbKPPtWQSCflIBbSrvKKgKUTSYOdJuVEywhZJQgexPIGmcdsvScLkscGviZsHvLZJiKpBMUSrrFQUfOLMvvd',
      'wKQHGiWwCDgjfHdcFjJwlGSqpRLDdvycoNgYmRbmhBRZHVxVUPVvUsr', TO_DATE('01-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'p', 'yVjcEKzdrshmCDiSnMObFDeGzJqKUgilbvczFviXofXnJwidElERBmrBxWhXwdawIIeGRIcZjERjsGHgWrW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fbNQdMIHEVsiUoyUyoaRQmyVYAVbOZuvOsDCsYziCDPSzK',
      'CVLgxgKrnvcbJtYtiUWqSHaGvWDjWFLaOdiFlVCIBoCoHndZqTtAYzkNqDSSelbToaZGsLcaIzBjj',
      TO_DATE('23-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gpYqBKCwfkAEHtoGCRcvaTJDxAhCYznQZX', 'iMhVnCNSMEuWihfhDskjIszOebKUyB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZkXSrFNUTm', 'XIzLcdBPhYVTvzFQGiBIsmDTDR', TO_DATE('16-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UoomfBmkPAUuSeLUgkGQQNETlrhRQusODoxwAavcjdTIBozwYKxKuf', 'KwMmnnXlTlMOtaEmBhohCWXvGaHPiJcjwRDGoUP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YElDPHFNlqFslvXTOWHUiOIZXNECuzBuChdttElmxqJJlOOhGKYfVXLBUrePziEPaMTijSpvGeKBRxNJvHJLngosiADlFgxgeO',
      'YgEQbSrjSeKBRlyjPuixPtIQjmNEYpuWPtxoWZJSOlFyiyXtzhQVRcuBrhrbxTPnVYXMIViNWlFYhcGJygretLh',
      TO_DATE('05-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bNIGjUBLvCeIZslWkahUWjvyAyKMXWrgTIvVYCddJVfvJUoZdCBasrwDWlr', 'AgHCxwJsZTXhgGdRgjsgeEhJVTHpNeCjaMbMXHNECGWFCtFzuGIKvktfhPtNkwqntbNRyzUnSmneEhzDSeO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yAQSFrZtyXVWsaOMQTBtKtjVlKRTnTAIKHH', 'vaSIhBEpOYLoTKEwJTglpPsgrpcJLtEiGAcIZndsLeMLMJJEvfvQirfhYwKHufTx',
      TO_DATE('21-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vGqYymLKBPFFsxhOuXVlyspXKRGInKADnFzXsNHRMqbOtmkucCSBlNCZdEhnXydEkEctnjw', 'xvozxaFYCnEkAjnppzCqXUNSxKKOjfwosZbTPzUaOKoeJWrFRBGrWueKBwKfLHBAiKRSKcpPCc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zemLAvZtZzOYVzyjMUJzNMTSPFmRoPyekljITYOmRDIAOxkgqVVcDSPnDbOXsyzTtwbsXU',
      'zJELPBxNRLsDGkUBomgudVqxukcxWzCZZsgYwyZrpNqVeYSsoCJuGCTUvCdAwptNDiXWfSwlyd',
      TO_DATE('07-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Hejn', 'jBXtmYAZDfUy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XOgBwOpiEdueqNQTSMhJVJaWvIpPMZWPzOTxdvriHdrFjOdkSRJMNxvTVRstPvdigJYHDOfFscSdmYEIqqsowuhroMgNwKmH',
      'UQvHrtUsxxlyQQTNiupPNwZirfcnyNLMCZuuWsDLGAKAULOJxxeJapEnLnVIBGGtsuHeZwJkOLfzJYQzffRHSeMDVT',
      TO_DATE('21-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CXeCHvPBJsqtHXJHtxvmWXwYhcAsvbA', 'UdljKUCecCztDiuuOhaeyghEcfTISwfHGazsUZx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NiHZbaufjheXKXAFerGpYUiklbGbufySrZjzKBhyMVReDWSqRJpHsZc',
      'SIpyCbWKhXVGStltbShXbDthpTZSnhmuOMVJyUGAfiCpMEtaySbpUWpFCYLokOyQwKGFeRiPEputUvpCXtQOLKBncBS',
      TO_DATE('25-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pinpAelKfFlbMfAQOZNKmkqvFIOdjfretfW', 'IXmuufKyhIezRkZoDLgGCqKrfoqDhdQPCDKgzwpSPKJvAMkhDyPJedIMUPdpXTelZhTiJdquUBElRmXPwJwJZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jUYvrNAAVhyCemEZdzSlbw', 'POcRztDuziOjJvGWBkLqtuwuqWbOtghMObcuMJKuRauSZfxLKywAXNQdVCSeyfxpkjQHboKVkLktYVrRaqoNPVDDuFMrcsx',
      TO_DATE('31-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'igtCrofcISkURneZdYlsDdWEEofkUsGEV', 'cixzwvnEfYxktTtQIVVSWPPTfUEjKnDPUbQKvppXnePbpY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tRZbPUgeescvzaZelQLHnaVXkGRvOogUQiPYKBpiFYpJ',
      'RFGuK', TO_DATE('20-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GyWAtZhxZJXuuLvOLuilZadumrEJXCRpmfXaoWquYSUmZlFFrgBAlJvGhiIYfdUJ', 'FGYXPWXBtayEANqmNFOVpXPkEeTduAMEUtUWAvmkuDCpXjMcJEDiplUVUMmqEVpzZXXskKvNDYYXgOxIpocxUNvbPTjJic'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'shgNjgkseyWDNUlDqsbYNCDVeDnNMFATQgkMIwoyTrlFfdizPZAbcQYccbdicTqwsoZumxdpESFwGaRiktMMicFlofhhm',
      'wdQQYOwmWhvAqZVBQhCnKyLkkYSWbiatCFfYUDDjqFiYeKwOcVMHEIoqEzYyJEHjNrLMElbek',
      TO_DATE('03-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nGtMvvwhSeoPuUmDgWtunzzFRVVkdkcAXcvhjjnjBzifoNoLquTfYuDCQqrLUomMbJ', 'wVKFDPPDYviLEYVTMFqganSalceYEYuH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'heqVCvoPPQQAxiBfHJDbaxcfykHUnteBHVcoFfxiZNAfeNbhPYzVBJfYPpbzWXfnspbrNqRvApabznAdn',
      'mZHcsOCQKislWTdQVBB', TO_DATE('03-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RGWWzwgbypoKfwEJWirxpJqIVoIBLdjVTmw', 'ycgaRDDjDuzLwIXquoc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xgECsLgHDtWJnrWmFJYvXagDCdMapYQzmFWrssQrzHbYurACBxgaXEdfpYkGZcrXVceEiZjVfVQzdxHMWaLPBXnOjcXPeysBo',
      'jyPFZTsHJakqOLb', TO_DATE('05-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mjCUsreEQUZUrJvEoGBzwlXiXAJdfBGBwraxynyNfFsScsKJsrcjQaJdrNpAhzbWjOxYYQOxVnCXOiDcSgKE',
      'YGHqQAhLPAKwZbhwBntqwBKOLhKvbkWPFLxVnfFyIPeLdDXMoNbnJOgDueIdP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dfNImAHWGctnbIkIizTbvLDAqHkPQBRLMNlEhmKLzXphRxsNoljmLCLettasIVZJBoXV',
      'EKAUPjiIklGzkObNsQWcWzFFlyrwMVtKKlvWlETNUnjGnFfwOHEbGRIkqFMBXOKhOpikaVKYxlIvnDhXHjgIPvSbXP',
      TO_DATE('14-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mVSFURJ', 'nKFviJwOVWFCrnHfnGSjoXkHDqvXXQGEvofDLDRfkVRczWrrMGMVftDYQUKWNhfXWJxUxDrKYmreALJthhDFkvsM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tuYLFXNTabKFuydLm', 'luRkXGRtmDfPyBMQGLknjgqkDb',
      TO_DATE('12-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gqIZGULAeyvgBOkTIEfejutWTfYvXtxHeiCRD', 'lKJFeELrgDHcurGBsjryvXcMFTKPOcccNDLolmKifDVTmAIfXZUTotepVjSTIUyZNLqaNtEQRxRF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CLzjiFbKkNiYRLsq', 'CoVKOqhGJVFrwEFkpaBu', TO_DATE('07-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YuDjgNyfMPUrdOYkpRZcXNYnQQHxpxhPiwnvHkUlThWHVeUnFxRczKHTfYzzI', 'kOpjMPWoiVNzUavidnQKXtVuOvyBPIjgYCtIBShcSTMCVVwskAhiupQNFfc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GjTcOLabrGbgEDvTzrYxfEQNW', 'GkainyVBpJowUX',
      TO_DATE('03-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hCpgSMwssCJNRMFxsMDJpfRTOUVcwuptECxwVlunjoyqCQXZtlQkURDqXxhqCWqamALPqLYdwdmzlFjFMzitlJmhkGnuVMdLI',
      'ZRtCnixIgNec'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vf', 'sQDciXcRGJoTYNIwoVyhrVBSfKlEzouQcHhAryODtspGInqsfqrJkqBKCdEVSrtzEM',
      TO_DATE('16-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eUxMcyUOShlZGYUMPXCnSEfiMYtZXYSZwWOoUcmknCTnhaRjKvHRjqtlkBdFqBCxGKbiqLScvRGNuZyKbVjkUEoCoSFf',
      'PlWmHwYBtudIouyroyYhjBxBYMxhjsjCpLWAPaGlWUUkWx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eyBqUOrlPMsbbpyOfuuvkXWqlRWVEjZgNyWOVmRNpzhdmeSnTKdOR',
      'uNTjEhExBepVtMXcvHKeOuRpKPvcnmSjuoYiqVoralPfhRmgDhDxxytzyfygSODpbQegiCnfaTvbDZQNQbsXunvpHzqcZdhE',
      TO_DATE('18-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iuvxKqhgCkIsWFuGQnzJ', 'ZuEcZBieITmIujYmEHAOeWVjfXWPWNZWgJaURkgWzeqnMkuWTQnoOiWeZNRVWOQbVpdb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wHPTStRckxzHfoEWSBojLUWaDDvOQLGBjNimMRysFmkSUziiQqvZwLtPOXQiUclGbjWJzjXbtIvYmUcTbnelbREiR',
      'VqASBjmAFNovhPFtAJrvnnILwjYemvsjzoGRmBMSmLlsvuXstHwlGasrd', TO_DATE('03-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rGoOZFrWHaCNYvClRFNVBFqyyKByfBVuJi', 'DArSRVKiDzgEdzcPKXqtCCzUyOYZLGiReeHxfQcuatBgiAOfyxMe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nOJzwhKjvUqyqnJUIbxJxkHuKwpXZGTLyFRCmxvKVwFtYceXhXtrUWvcS',
      'MEndEjmSEHCzz', TO_DATE('01-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ijclYJzXEzggYcQqNlZUtbiluNCYPrLsQONhwYzlYBbbbXlRSHnSfHiOhEVdHQNhjAIlUZaGsRaKE',
      'GDqGLBklurIEm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EByEgYeQXQkGNgFNPkTrzhEYXiPOMHgstprKWVyhzRPTeZWTHZDYlVSKeALXKbbAUiJllpyrNytdMJsCzpOSfJvzqGwM',
      'DKhuMUAfRNvthuFcKEbaUCNXFtQDb', TO_DATE('08-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hbcHDbSZHCxDLOSYfVQlMAKsqhGUNNInvyWqoJCS', 'VyADYiINjRouzghrtOzYWYCo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VFRRaladIqDwSyDuoBGKncWZINcdyBVxifGMYuVtGYsekwKikAZkRXjcz',
      'YxHqzyYnmaz', TO_DATE('13-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MxJlbjWapCwUubpSziXZdyNFifszwwctqppMwKXqjQLfUJiBpuiwVdEFLjGr', 'ighVVrantTofMLRDqafZjpTlfOrvPUqLktSisQkMZroIYSgfeVAVZsmkiiwOpadIsV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'monopwqwhAEBfDEZpuRMWuNLsfZQwpNIMXqUZwxgCBtXLoLlqPtScGtMcVlzbOfka',
      'rclKvbXmrhtgkujvhTWMAhmuxTjDLjvbZLcMzMuNyHZNIDLqgB', TO_DATE('26-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lzvOzulNfScxUMcLXNvfxEvqCjjmVVGSvLtlTPSHnLDNtswVjtGdnHsxORBtvFfSSEJoKcNhlHvtUQAgfYTJiXxmxXkyGPDZaSbK',
      'kVnrngASOdgjlOeANpDVbiMMbKPBuTmlCbFtHZZInukXeQivuGeTKnGienGWfQLNkXxbUfQbECIulTMKEHWOMKSqUUrES'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'btxFSNQJojbpFadO', 'brPuDUXvRiHwImNHCAEzyOSwSHJaVOnaAAbedXuElDwfmJsZpIaZ',
      TO_DATE('06-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GuNDNdspzEAtLqkUJtBERcD', 'nBzqZzZwPEjxTdosndvFonCMeMbIhLRtYWEjjNoMdHhacjVsKRIwrwTpgMxaxIQKXkgTkSIvukGDkcOGAkWFlHnJW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bEICXxbznkGiUZpFRJbeWYFOhKDccDTcMKQeQEjyHHETdWCPVzGmlH',
      'ZBboYVqRzzZBKUcVD', TO_DATE('22-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rBuWWlcgSVTpKeFdsbLzYvJiUKZffRijFVIJSoIHufkvcgUTsEvGnmxedYHyntVHKHkDonngYsoUccBPOQXsMMRRSvI',
      'EQTYWYKu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zvLeRjPhkarEoUMmcXgRjycszLTpxtStnMkLCVZmOnwQdeU',
      'VOlCvmzZgjPZyTVOuFoboKbmmhizADhbgnZHxxOvdhRUVtlGhdniM', TO_DATE('02-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PvQrngrSeCZVKmmDqSMAOAmjaABYNG', 'DivAVpgOcILpdXm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KZvwhjxvSipeXdLHGoYccsXxTjEREurgROxBxdJWOyZvKRekcjwRGjlmlMuXOGJEWbrJHtYfEIJLtyrpPeRyZByCOwalQbVEpNRm',
      'wSSdUaWpdZfERCXVcxNWBJKgBeFFXBWUgTahSRYDmGDSnIukoNobQVesBpRPTVrseJo', TO_DATE('20-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'sqPcLjxrJsgmH', 'fZqKonbOmPoyNWzQGJjuNJSCQbBTtSBrCoNcDBYBzRGn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KVdQWZvboyKklejIPWSpQqSLuWS', 'McfNsjZOvwwcFiEvbWOVedChCeIfHrQxcRSZaocEzBFUDcrGAqwmRVCmATEypOokBoXNfirWsuBIZsPGGzFzfYDscgqw',
      TO_DATE('18-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GvTGRKDqXFrVaInEHSUESUqOJBQJBrMjaGStuST', 'ApVpfShilBGdwRIOIhDWmEjIDJXaHMbXtSEZxGubIwXLuDiwUE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rJTPkbaTAddGoBi', 'EOdCFXAZPMQmYOdqzgyCaPOCHNPbLisdchNLBtIZBsTprgKrFHzGvmNvQWg',
      TO_DATE('21-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KGi', 'oVpSMnnWRnqgjjeGEWbdPELDxVCBurzVblheqUyHqyJCPzpFahpcKeaTmMajTfeycLxNdhpnrnHBvnVupRRyBqJNCDx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cdgDa', 'apjedMgLH', TO_DATE('13-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mERFxQzcMXVfIGEQdLxYSiRexuRdvvwTmDj', 'kRknkubCMt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LrGrGtzPzDzNYofjNAqeCCFGZKwHlVRotoHcgF', 'lcxLuOXMvRJpSmCOYfKLTAp',
      TO_DATE('05-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pmkXCxsJwbJtuGJhjLbyfiMOOhwKxPSUOJLkWSAGftosbmbXWnuchxSDoHJsAKYhFxbZLcFh', 'NdlDwngTfIEMUvGOb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sbtyTBrdugXRewlIhMSHtDDwqYEULmAJDhpkmREhPluodwzGOtQXbXikJaToFyPwOYykPXg',
      'kjnlhuRuBGVcZVVGbCSlidxktwYFbYIPSIlmTNfwqmoHAktAQheiaiUaneazbtmJB', TO_DATE('22-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'axsWdOMfDeoPeRmbEfxEOObOIDkktkXjjfHHQceoIoqXGxCEzKMwjHDSqZouKwrXbyPRJMgoqRD',
      'NytHwhYvXlLXAsjTaXhTkqVjvhnxuAFlYFtyoXtWbUItRvnJJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HaGukxzbGYBurITEFOSkXzQY', 'qwUYKHnKLvKjhhDrufKSFvRrKBMIlGWKyuruBhoJKcCXtbIWgLphRBHxYknmomxoMFvtsrDicIaUfiNUzmnkmjKxJ',
      TO_DATE('08-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nnelrKQYhhfPmkBBtqzsJiHmyStsTjwPuunYUlDXqhfxoiVgRylDgWcdrcWcwhEIKCggKruHxSAdVPz',
      'ZOYQUUJzwEpyXlYEdnOlSciWMrmQXjTKpdxYNJSBmyilgLgOWueb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HzHGiSFZBFOXoMrKoQVNewyFtCXpcYbYacASzqZrDIPhcxHGiobJLLJciezMtIJSPOf',
      'UiPSWzIGBuEyMQcVNyWTfWVNUlFpXmXtFCmWWdlgwnSSwKMvPIoiRNhriDyd', TO_DATE('06-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AUwecQpklPgnSJOSnzhzqEALByg', 'HbMNufuBlbZzzFSUwyaCEybxlMfIELXYOyNGFYKvRphxJShMqoDkWiNXCqgQwQyuilquzHECwGSTFZRUnToSXgwqIuYNyA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KKJnlyRQkaVBcyGCwfMnpUfPoDDlPjbHpvjiDGZZMlPbHVGmATenqLaeonxNaVhKFHgPKHspjaz',
      'sZPYbyJksTdNZQzsAipnDNibAYLShqvUamMQqdBD', TO_DATE('07-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WLBUWnefbQQRCfFQGDeedJvinIxVcqiGvjeZesEbHCYsGrFLGDbqJuZmaAIHpBeRXqxx', 'hiIMqHazLSDHQSVjyzxuVaJVsjqlZzZfWKdIkIyGmjajfpRGLwiGDkVwKJxagHqwXa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zYFoUAvUVpieSMOFWAvGFpaiZDdvzouUqdwRvSbqonKpwooeNIUwJGYTglOo',
      'vApcBLNYhYlKiKdGGFHeSOHKKqkPbDYuOSQlorMsXjt', TO_DATE('09-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mUPPZuKxQzpsrSVAKuSqpdQZFsPTnEvIjqrxbGaWvqkpLMm', 'uvssifZxYlzMdccjsXXmEmKbVUqQKMycdADSSTdPdrBvzBpEKpKcmJntJPoqfROqWeGKsDqIICVinkWtkgjnBySqKQGPRngSMhrg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xQwhluynhubanerVqZcLnLCZMNtCjLTJhpAsVVGLaUvpIvoryInBYiQuHVggSVcwppjWvWDUIwdDCaHsPgPxkuUSb',
      'SOVKnW', TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UDIvONOFIjZmtwZzspuRsZKJHDcumvjOLVKsSTveZcA', 'nKutBPPayiSaOXrXAxqHPtvJByQEVxOvyhEiaECsJljLWvNMsmartUsy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kZLIMeTxLUKvDDkPcrroQqxQYALSBsMwTWeumfKhmNqkLIlksEndjPMQxYMNRqIyanEDGepmGonYsIQiRtwoguUPHeste',
      'GbsYDyrZOXvXyYqJDIbuTtjppkyBPIZcauabzjnRpXXrJsbLnfmGGBwhvsGHupbOOIswlayBWTFP',
      TO_DATE('29-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iBhBaXCmLVWCPbQwdzZRtbIDlDXhAqwYirnzpVchqmLDVmFhdDQTsfJd', 'yJvhiZlcwSCxGeRqgxUGppWKkdsZBTQzDgGnYQmlYVCydduHlvkmvwTNSWolsCSpxIyfytkCCUTJsJGtZfAvhrfJUXSjv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KFfHSKEPuxmaOcNuDJofBybOZhPbdwSOUuCugnlqqsO',
      'efaNEtlcUKOicRInALugAiqIRhsDunYbZiBCpB', TO_DATE('01-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dAdbnAiso', 'zPjpFGBLkDgsRKGHFZGSBuxzTKfdZXuBhYlJErerDjpvjpNOrwmWfWWCphHBcXwoDLefMkPiQqccBgPpzJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tCdudvGAtctohpvjydilwEekFWHMjYMOxHrdWlfMxEIhdnEzxnNbmiEDtgNXFqaFBDoZSGpfSPpf',
      'HCVWncuezlHcAyxa', TO_DATE('03-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iWKqDJTvcnzqCHlvnAbkQDqzLBaKCPYhrfnOdLzOkDbrGKadtdheuiXMLrZuXBccmerkQDtHJUVcArdotMNfVJ',
      'xVDqMtyjvRH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CUHemzznqjNltuNtBEfWsQkKXnkBaiUXNufvUInkvSHBAZpRYaxfhufHUblOsXsqDjaVWrSpqWCvtHhRXPJJfUkxVbOYdum',
      'iobaRwiFotbkuQTCjAUSuoWxplSdYxCLySqmzUqcBxhfLhSzHFex', TO_DATE('03-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AxJjJjGavJveDXaBYKdgDiYgRJHpzooweSrfWScOzMZvncvdFBLgqlLx', 'elaGVwgsnwDlnFwZQzMuyQhREWRUZfgKXvuMMcwtzIVmbKjvOYhYYfbeLlteXtDgUyznKuBSFjNhxVRdPUBCAsqkNDMTfkwBHu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wqdfiZnbjAOFbSLnmMbCUZNJoNzpMGJloyYoMtuGvTpmYNeefIrMywSWApHDELZqlSXrDXiiqhBWDkuUKElrU',
      'wUHCmEyslTKpRryalzHkLKVlfcToJEnPt', TO_DATE('01-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'grRKgXwuObqeuVOfQCHuwzpfgtVLVHG', 'HZRmhYCKevRoGrfWGjMBenWevlhDfCmwGPYMyPWbDFqjBNoJCPsqUtCjjNguYMKVtLKBOXiM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MHqcxXoBotzSyMYRKms', 'McvQpgUpHLnrmXsSjsJfgKhrPFdmQeTaZkBCsvOoCjzNZYtKAORjjQUshRhXnsEZvPyPfmKvEniBsdwU',
      TO_DATE('15-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NsIIhVvMWupuLNSZwxNPkwFuiDc', 'dHUWZIROcFMCgtuMwlpeaSetdBvzwVYMgVuDCTcCpXugevkpDeIDezuJwfVQpXOASvQvZWVFFfv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qBXFRVuRUudWLfoNYOeuVnieoQOIyiydUtT', 'XvnjEePoPxNzhyBl',
      TO_DATE('30-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aYFxgAdjRCWhj', 'INoJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'smaBhTaxLbCAFsPISDGoArjkYWRmtzsUeDjxi', 'NqOFyzhpkARqqfSCekDfsLWrdOGmtmmGUejsJeVpMqsblfluJgYoSDYrigfNDECN',
      TO_DATE('11-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RRtkWsXJdCcNvDRAaUcplfwArDXMvQuYjPiYJbc', 'EtEulWKBpxFzdGzZFSOFGodzENVieNFLuGOFGl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NVhzqYCJxZyJVgHKaajJfJSwakDkszDlQPjiIxRBXlwlvObnTZJeEXoUfjCgniMQFrHPsmHEzevwQs',
      'bhHOZdjCYgNPucHWoIdAMueJXmJQstDMuCpzPSNKbvTeTnExbpWgXfWfMnSeDZRVbIUKrrUilpcfkAdmkgKoaJILUD',
      TO_DATE('24-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SDarFINHjohWUnijOkjAOsLEySaBXDWSHsASCwdeVVUqxiUnHnv', 'AL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GNyOeGWXdltIRZtOsSGMfJeAeaoSzyLnvbCq', 'c',
      TO_DATE('13-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xunQJNzKfxTsUNoaMWLDoe', 'ErsFfOEZxSQeyNIeqHcPgQxuYlUgbQqWfTjRRWguCkoEjRDhhJSVKjZSwkaTVTozoSMcXGoagHDucxyIkmLuRmRJz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WoShufNeiEieKfTcxjmcveIbsNXLLwkmakiZYvRscxzNXGnNdXmlhhGiNfnpiJMFCATDcqnGNRZrTleStMehifJR',
      'z', TO_DATE('28-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'l', 'AcUbCqPdJPSWTPYunbVikTVFxjHNILkRZkImAjpIGoNLVSEvMKNXSyupWiQbfBpvStvdhpbtTWODlgebaAXGEfNJMwtc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IGjFWRmajbsEOJfDPEAytbcYHEMIeOKPoRxXrLmRuyrYXeCShzHRYNMQerqwcxKyCeqIzzFZLAVjPJyjjWi',
      'PaWcbqjUTjUKktFowiB', TO_DATE('28-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KyhCigxgthpChEQbMAKXBlmOXQBtgwDlaRcnaxS', 'OSLfHsLEmjSBvClkReokfoZUJVWmBOxVGKtSDbCqwLjQmYedHXOvWSAyqNBciHWtCFmvtxuNTMP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XyGGYDXfdzZmdndYVLpgeQsskldIKgGzNuHFOrAicpPJtFPKZe',
      'OdyKMchnwfhFwMthlYhejCRmBOjmdxRVDGCEboTyIoUTedbxEXyNyUQfdyhlOWCrkSNNpStLgchDvCPjzbNrRgNArnQ',
      TO_DATE('08-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PGyUkPQiymFpGCUKuOpUfqZiEvAuInGgQdxwfOnhdpZXLkxJIBluGTwRwkupXWXtyahxQysFRmdNlEdEYhCwFCvafpZ',
      'YHGllnMWitkcTBEjumfPmsRYsYrFfglZGLqZMOHmhIbYKUuvTaRaNdbTtmQTQyKOHMNiRajMMGCMbBqrNZpZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kjJpTnHdwycQNQDBDEOWZSRFsaokbfJzcHxjczQSKLVKJJLxSHWnnIfUVJMQNXmVcpFUhMAQCBiWvOX',
      'WPadeUsKEbTpDJoUHVpGopMwbIJeGqkcCjberKllhMoNlMdyTKM', TO_DATE('02-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vAohlOLBkmtPTenaGcAdFgVEORPleyW', 'xUJMGNjMBlqUxCGLhZqIxxZYiAqzSmzmEvGXFQaiFchxbRoWyQmlrspqgKfdbJcxQNyCedGdt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gVQORCPhKiXiDVGKZPdHbfcgWnRoegBliYwVhtrSUUHojtoRzXSlhuGgrmjtgPXtGeK',
      'mfOwUFwuJohxPFpYlewrhnIiIIByNxfxcZnAdOnISdPoco', TO_DATE('08-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ypSUhJfVJZvnXZvvmmPuIafgfKtEoWjKlCKhlRJWUTxyicHqoEVWXjTWuSuaWDxmmnBvAujYpmmkkoNh',
      'HgJAObgrJQDSzsHzCqeOEpgDdsrvyQxEOYQaGXOaNahTHajmxLmcdkIMjCKukTAJwNDozkYmfsvSULhrxQHVbYqZPlknenz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HiIhUsIiLwbaOz', 'HvqMgKhLXGwRIcZdygDyhlfMwmhSuarFNtDxkiIEhprWrC',
      TO_DATE('02-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VaKDWqnhUhwYHWTZdThWrOmg', 'kvIapMRudWjUHqurJAzyljOLZdWOfjqUscKgkMHYquNXomvhdOkNOLQwpkaCQRvHXWN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RjyoivjjXAwzgecIMbREzULxBiwjfMETZiqHDuZeZJkbYIgrSXufikKnVEBAfKxmtSrOJQrTAJbJRCMwgYA',
      'opzuJzjlnIxWvtcyKepmAXcGCIsxQSqSFEcvRXP', TO_DATE('10-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YIvWUweWMtKnNqjObTosuZHEiAnB', 'POgfIQcQgcvDMWqvaFulTnTIzDLtyYEMGoqPDkeZVLyDml'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tQzSaEnWBjuVvuBwhAQNuNKSLZYvtpXNXoBvShgEteLsvsQLUYMgqtLijZDyeGj',
      'BSvNampolzVdGVfHShwpwJOqrpLkgAotPB', TO_DATE('31-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZPKjhUkKwyblfgizqhCAmeehrWdvhiUfAWTAkGhhWxgYG', 'BogtUQrOrMMfivdSkDhuEUlxqnECoIPVRfjSwOKzwAdyslWXnNrjRKOjruQwRcKVZdMoykjCQh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xvpkgC', 'RyLhAbaWNIgRczVGFykPYNaS', TO_DATE('24-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qJiuyzNgHvWarS', 'mWdNFeCOFCirgNPBkHTFtJixzfXZSuBCwsocYeQWdQBlhmWxHeHqjPxWVGrveNfV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UEtYqWQGtPLRuZETybQpnzuOciGKPMszBKytrLQhLMKZwJMJsZEzNcNACOPIEgqrakRjkijXcsemfhpqyxaOZWWpmrLiEugYWGQJ',
      'AyZrCnBjpwUpuZjENYbJMiBsUluLgPeFzuknDQykuCjIqJMvlMMAZOOvoRWAQgwWSUouwQybOesZOYoSshkmwmyvBv',
      TO_DATE('12-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oFwALOqsKdnuSWcIErokibUWtMyADIiUMPihcm', 'eljHGxLjLqkosR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nRrNIAvRNMxSbNIsbzezpKTIiWLVsQjQVXgBfEplqaPAQeorqCEXqSFXZLDPUPBaLXxhhfLahKd',
      'lqSTkpsZ', TO_DATE('31-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'splKwwgYDYhGJIqMPRadvSQRzkNuGeXHPCMDTudhDuDsKUxrMoBzkrJCxnDCA', 'wACQIymvVNBNepZPRziP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ODLxCaYyXAEESUiyozwHJfrcf', 'SGu', TO_DATE('02-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IQelMNEJmhHjlDkKojIVBnYugOeBLayCbjNNoGPzCTSybNtKKBPSel', 'ZirmylKHodamHMWWpeaNKbuQkMfpBbpZOEjbNZoXAAUmsdGHyhJBpcJBb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FOBRSgMwHSFfirBVQmdwhowDYPbYKfUgWIBxbNA', 'eqFslCLvrWNusNdioDTrMgyBNlQlkKViPNajkBuQNksYbFIDaOxiNTyCNyhbltUiukwKvsof',
      TO_DATE('05-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gBhFRrMRgpMBqWBhlgHSKhsFgXPQjMNKlIVDeghEZDbwbaSwtcCIYsClTlxPVsReCEUGzqqq', 'fFzSRUBPHZYVhztgQstYOjdxHQorrDStSNjw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iGSDHhzGjpYMWABSTjtACdPewAlGvjDHKzzYQXvhEwYdzERYqhLXDbcoBiOOoEdDenfXCFeOUQbMlkqenuRAqdbdrrKDctQGi',
      'zyLunIFWbjeAgtJoGLUnzbmPvNiORWCEUkJcxhCacVnlLANOcDb', TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zHWP', 'GfrWnEDvqQjQvXHeOwdZHKQkkyLyzyIeJGOLkrqn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UhRXnsuxqiKtuMDfU', 'PDnzebEtFpCRJLRcajhwKyXiRrqrgDbuGczULIoNxKgrZKGcglqyRcGelBQaEghIrFJOWiBCnF',
      TO_DATE('24-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qYtCfKeoBlXcWgFTAVGEWyymwbSYZvQjjUEhVZnXXULndxniqXWjzWGlXXrhCZcVSTrTqWHudOAWmVIwgBz',
      'RkbYAbMNoXnrVZuXRb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BlJmKmHZpSebqsfyQmeqQvvKzcc', 'oLxGgqrxWGVmPHHlvowLjJHVXVRsyNwniz',
      TO_DATE('01-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cskWFdcLYRdswIKnfeXYHelfrYFUxAnqIJVJgSlvafmQlZZAplmNtKRHwlpjHzpxHwvEuf', 'ufTjSbXTYWjbiLfmyyUJTCgoBrDXlNqOwiVdRbnJaAKfacfdOtgQEKdnaNQHrnTtcPp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VoZFmSxDfqpkvqOWFWaO', 'sHnOCNvrOKJURfyMmyLBFpCp',
      TO_DATE('03-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'klxHvbsHGnqtgfnxSlTEdHglHKsINdHxt', 'bXCdluLIZXeyrLOnIdjJASZQVzVlCexFttMYLbeeGvNBjxhDlyDJoBZIYNJsgpDAmlCDj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mKbNrrPVggrdMYZgTsXHcx', 'YmwknIfGgKzOuUZTbdtrcCJYNPBgrYFlkTBqbpl',
      TO_DATE('17-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CowRrcpaHlazqmXsntysmamtRUjmmlqGmFGGXBQkVRGQGmVLIcMEWqrVSwyYnQEruaUvDzivZWZuWXNWrlrezNK',
      'GHDcsqDXdxiiIsKFaWpWIFuHJHwjKuRAZvAsCrAmopERAXMsbDUXYCDtjMaxgYZSuNFFpByZghpShcMMsmVYFNcKuAdRQzxj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xSVGHRHbgLRcTxH', 'BjHIwpVnrrqIvBfQmKLfUeWPVQvflDB',
      TO_DATE('04-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tfcxUxgepPJpMmrykKaxGxDYdEfZxSQxtzGwGoYHDVAMObGZuUJpPLXvcvqbcXjejxmvcpdvBCOMsUZWLeQu',
      'bvxWmdpzMURMEjfERStSmtIqEwP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ecSGrHENwZHswNbcfFAMWtaUrImROzdUwTEsXnhblbVBVdEfRupPXTVmyvo',
      'SZWgScwqsTbBhrtUhgEdZQLtcMwOvZROP', TO_DATE('06-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NBgmNqzNwxuVAEIFxntOgyOZBFSArdnnwbDRDTzHsyvpWgnoJTKzERl', 'ntnLOymWY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DvcJTefNWwJfILtUODLPHYttJhSFIMRgJjoa', 'fl',
      TO_DATE('08-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hOKCLAKdMyRNRPHMNaiCnszeMnulA', 'RBrjEXjBtQhUkUlYvnJBTlrfXZvKwAwRwYdHbOlOtIGpvOMPkuRCSUArvjMqgzMWcpTUWYmNFjrsImesacKPtVihhcMad'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eEJvtMRYroXaWMwLOBrWoNjSIUPBiVHivxWVPHwBJbO',
      'cIGiamKtwOGInbjkkhDgwiXkfaDNGaYUKeUmnbVjlRNYsTgpNgcqbjAVHzMcxWhpodlPXqHCkZtyziCRxsBUDYpPtMfrlzfSztl',
      TO_DATE('12-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QZPbrpvUnocSAjFJkWykIYn', 'dgzirKGSQILYMOMXmOSEStPZFq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GSzFkklVPoduvhbQGMXRWjVOdXBBHwenyckhHMCGUWyvymSBGYHkBQyicmEMTTfQPDcMnMRppUcNGM',
      'B', TO_DATE('16-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HRdgBOncPmcUohozSUG', 'BwGWBYoUjJTwRfkxiRMwuP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RcMAfYtPRmUehpqGnDuMbZRcgvcunGGZKqYPVrtEeFNCSYtpCAaIMqxCOUnPVmkWRBXZafCaZYfTBdFBtUTGZESwviRrjQF',
      'kkaVpSgTqHdSyutWbpCdwiHxKdJnGeEvVoieJdkNeIYartCDlGIgoqkbA', TO_DATE('03-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'llhjTjZRNEtqdqEfCtUMrGsqeqXdtQRsWbJEMiZbuPgzoNIxnSKYXATybpMvSvYixEJMJE', 'kyjJrRMrgEZlfMMyFHHfQshXqfYlFsGInvruTXPYhSXUxhYNcXFisMRrxuEJzLPCzCiLbumSFDYqPXCFwZnjmE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zUzooMXjjVyNrdownsVfTwdfSFEIvWvMTevptzitRMhGSM',
      'fNLlKvykpkDRXscohTHQxbMuEXtxZJFWjipyBWwsWuDDXdObkdpYWSXa', TO_DATE('09-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lPVeEkVyqiMLyeZamwgfPKnuPqDoQzNJistsiLzsEkFNXPttHiHyxUbkIJMAUtBYxd', 'HJKPyYIgLLyUiuORDVVdIggpjQgbSYHlEiUVJscQyIoNPFWHrkShBIPyPISQhAPnsvhvxdrcleYmHLAh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LWrbaUWgAKeXdvZrFvcuSqSkXBnawLgVzKHmGaUcxJRDOgQIuttjwOQiTZg',
      'WREkfeXaidxUWwEuixoRGYThtxEu', TO_DATE('06-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zjvrIkpImRBzkuVsfvekWIbMgOVOSKhdOerzXGOcUsCELNrBKzEafvFVRIObneRoyPYBA', 'CDHZpmmCobTWXZiXncMXPAFnhBUByXqkDxDutccgsucXTuaRvgDqySDivinUERlhtANAqVbDbvQdWkgtTg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LenVpXdyUfwxlskVEpsnNtCNmHxWuHkmJNrXWwoWcFmMhETJBkfbjFtjUCHaNMgaZBU',
      'lnoSOeUAycQJTNwAwrWNnoXQVBOZAAYXeJjtzYEwVbkpLknHMMYCEzCHWhxlSUeICawweDqxcvrNi',
      TO_DATE('06-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MwHWWCNRZGxOOpXTDWzvdBEpkuIGrtMkoBhgREjUwAIwajrhyNOTnCpsIgSDkloXkISFdi', 'jYZcyGsiLgksADzitYrxi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OGuNsZZIUmMaBZUxpyXHHhqiycPqmiYKdRknRgGbJtAeCPRvEzdnApiLwxFuzaWoroXuFVGLFwywWfODRPcHuO',
      'ZbCOBrysxgUyuZEEn', TO_DATE('26-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BfJryMVrBtdSt', 'oPiLAT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zEPSlNMivexJNgDOyajrdRGbEbEzdgBKwIJzbDYGLGTpaSNLDEBjAbuVQifphNkPFmNawkajO',
      'aCZxtEcAwo', TO_DATE('21-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tAxQlnEakFbXmfbfPsoXhZwCnSIONgUwevdopWWiWHIuGkHrSlyzLTsWIlYLGutxRVqyEAsdwlvSDRHaFLVo',
      'mPqfScWlNLmvleAyepoDqHGkUNZKWh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tTqWrdbaYCwJpbITjBjTJkNXBcfvPCOuycxqYKSQwWSFccLqBsiOVNbSfaHSIRZwhEDcHvpMyNZPoXp',
      'gUHPCHhltLwHofyAvalPLMhW', TO_DATE('12-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'swrNZbbYkHDqMhKCuCjUvjrPTxDtCfzeiCPN', 'TchYXCksiJYhUOAFpZWyJblxxKCqBgKwCECqpOusjNcZDUIStIJJqSNiGWWNetXsMfrmMByLbYWCQiP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IwFIUnyyvJBRfuWVrfWxFXSOMWmcPYpZuBLTxSGZybrbMRgsmTVTerdTGDvpTsclBsS',
      'iGjbgmEdMoypkaLLBJdyrElufmfiGCfiWfyWJOEnomKBKibCe', TO_DATE('16-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yHGTlOOrGJ', 'KHclpmjhusxmGyPzMxozDFBWWntNorhUlSfZYSuEJI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YLuzbQfQBkxiiyMwxiyWokAwHCBCjvBqpldcFtOHKJmvQAjMnwxfEbKHSFqNAwcZCCHQztmcCGmuMh',
      'ASxdYMDVjTzSQwuknHLdQYsFNJGvw', TO_DATE('07-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KFeFNVLJdEVwmxIOGEDsnufphPQxeffYtQWnsZMMDtcJbbQmIkFukfIzYrYynnOavHUrICWguPrctUVIimZTKJFZNdlkP',
      'kAvQLPLDTkYWanOVUFgcmyODLKYYxgSaazeaYIigsppZjasEBGWFCiA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hMetsXqsSNiWXuurXfbiCDyyOZrzhtkAhnWtaCAzQtnnPpmnObPVjE',
      'NHGigpGZILaLHnLJoaaClZYEMspwGpuLvBPRAJtYyNIhtFONYhgjlAjWuQtbIHe', TO_DATE('01-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jNMhMxHQakAMYlvoCmSjPyOyBcevhy', 'ROMvwGt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XXUg', 'GUNZpWYv', TO_DATE('01-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aYgLucOmkTreajlYqjeMRWaVHceWmqisjkHtvTOtDyArgXqBVrhCvsDEUYPZsffRMBWzVPurv',
      'bTbpYObVaNmpqPqykSVomVcWGtYMvuQugCEIFOBjRRoaQragvomFdKLKhMfNotUFRuYqJEXQxhLsnRpsGiIvRUpAd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IToXdOcYoinuHWsLmNjcsDVPi', 'jqXKAbrUSTnHfgJBVHivNzaSoUCsJZzvDLRoPSZRbIixuZTgPTvLwDGXsVcyUtybBdISEKyBFmCapKOHOuRqcxzec',
      TO_DATE('20-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'trKmyWpczqkyEhrVZUWXUOrbAsDWiLpVUFggKrxrDcQ', 'saTyjcKMOUSCZBwgpHDMiqciNlLHifWj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DAAtEqWP', 'IJNkQsNovDTfOParuBEVqWAypYbuRUOmnDPxmnQJmHWhuogMdNGbyndgqnQjSKJagOyTjWGZHg',
      TO_DATE('06-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yVyQINTjzXKeqeISABbGeqHPhDxBvFZhBBSsVBtudOAiNEExLIlGnlTqzlviNAimqjWpVtdGhQMVlpKhuluEXKn',
      'fpfkOCRypTSAYkCjKtCDbMelPIGvAvhs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gHNZGeBUUvDLuvNkDnePsXiCzl', 'AXJbXDJFmRElhRoQZnrZWkPLSnTwTjNssWGthDEHipWSHPeWWzepfAyspqXCoAfhMdiPj',
      TO_DATE('25-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GRgviHuxbQfzWow', 'GYtnTZrOQOSExJZfZrjIPqlsoULDbTdOCIAnKeufanhpAbxexKBNCxBycCKQjPArLG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tLdQpluTMiAkwcaguNJVRRcFOVZEuRS', 'oLqUsHVFnUWdWMw',
      TO_DATE('10-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'juJfxNRimKzknANqHFZaajDbDghKTeMROTEESNVOfdZAdobUoCMJTpOPJuwTuVYQpEMKLvapwkXzyKujYMZnlJsdgYdgnuyuQORX',
      'veGOmqEdKwlIFVohEovzPdEjTDQKuIvfYhWXWygT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NNwICrcnqPAwbySgaMGGgTAYeyphuZpvCczVMvjiWTWdkqTZMSMtDLm',
      'qRdlGCEhOLYSOUOusbYzyLoilsHoXoPSNdvLSlloygTyktTTRcxOwmlJTWvujaERExkfOlCDfcYQFOoUSeGivSDHofWLmWNuDg',
      TO_DATE('17-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vChaZMksVsUWzQqvKmqSSIfyATwdbqGnkExTWNqoNEuk', 'MtDEuudpchfcQaipoFWZtLiZDRToNknCaHKHoiTsxvWeuvVEcWhXMVslJmvDqe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HSivzVdAeRRmUoROeRzhcHwKDrlSLcmCiPuOmmhSZSffcbzFkwV',
      'NojBVXkOOCQyAtyvYoGuBWKryBgxQgNNl', TO_DATE('27-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zXTSzWcbkrXvNCSQgwvldCKOaICViagIflgqhIIwcDQDJyCmdzvmGLdiCJSBWELqNVhyXv', 'iPToYwxPLcSLafQOMtpAdZYJWSWUG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TC', 'EKarfIZiqlXKOqVOHXIFwygOCuOlztPIyiTREBYqVvDBedbAnFjFFwhUBAgbDnTgnHDzULHEzRVtLcIYHtPwixqKOiyz',
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zvZLuaoWoDPTlXPdJzXrMGqxHeTQSDuRThJezlxnozdvIfriyzOOYcknoSDYNehoxPSwEqjzp',
      'aKtddwmbwDXvnESUEyTCrzGqMfoSvR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vvDrYdQcPHsweNBnhkmGJekOjgZEUFKA', 'WkvKNDPAhEODvoRZdKrycRdJmEjZGAXlBYMogwHKBJnzFSLXrygkjgEKKtWUJbISr',
      TO_DATE('10-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WDTIVjhToVfRYlGgLcreQmpETCosgTUAzAjnoItqwLvrJOPmUDoIGIurzQMLVyGNIiqIMlntRJTNvUFNa',
      'nynKpZPAFwBLWgUzMfSlQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cjUDSySOPJFeTyfUgHdLAaTWns', 'ycGVepGqGrNnszDPCfJUh',
      TO_DATE('30-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ntffAxxkNAlcsJGxtgivCBgcQZMUYWlHWpOeeOJkDhbjyUtgvzZNLyMjvFwHHj', 'ojQOOKNTBZvmpXWJGbvlbMozE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zeEDajstDosqJlJDbQePgASCWWIPRaYWwCRRmZdUftIueHJqcqwLbJPWuikGnGtkHHYcmgGYfLoprPCZznAqLjrnwa',
      'lhgglPBYmD', TO_DATE('19-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cnPsTtMvrGCJkOTvYSUGSToCAqmiRjrqMTgoTykDrEIIkBaUkbRyTOZynNYBHQKfZpiSvzm', 'eWxphKChlPsfwAoCWXiDXSkscdLaRpzxZajEdrcCWPrgCaJywAuDeJPmhnRPhQosgqRquMGajhPigIBGPH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IoDsywXwkPakKJddewqjtQCbGnTzixwoKZXdMTCKBXnimCoCsoFYzvOiRkajkzzDrjiVSuVwbvdotYKFJfdyN',
      'pxYmwrLVRpSXhXjaOthUrZBlUiGqTgmQxpcFMUfymAYkvikGbaDRareaIbGXPtYKLUs', TO_DATE('04-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oIeCRNEmsIbHATkPDUPRLksxEuxrHTQHLEsHSGlOJn', 'guNaMegewzPUdTTaohecDhTntPcfSBlgAX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VvLxnJZwzFUeFDJXutInydwvXVzWcEzlWsyLjDSoMRaRxWH',
      'WvP', TO_DATE('13-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VOpunhXX', 'NIAKCljssUqYoVwGaJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'syjyvVGmeBQLCn', 'clsGNkJDPugmtmbPvRwJRtySvQdHVsUMQIbvWZIuQsLwAGJQnlrumCNJfIEdsCkEBbNuSyQTSvhxPWhZvGHNeafqhkNquYPO',
      TO_DATE('26-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DkRRSBjKicKbsOWbAQNoUNrtONpzJNROPnYXlZYmKSJeAkEDq', 'Yka'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VgPlsuxMoaTIoiGHMIeDUIpbdIGJKQzmUyOFmwKmyIbYFTqMxFncO',
      'XtPAdRdzPXEVTRvzMnLUwLFRjEkSGQpKwrWbQpgolwFIVuUxLQGCRwHEnEeWRKZUzaMBkfwWgtifyDIApDQj',
      TO_DATE('30-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xDuejGgPPIYzPkjroBvWkBPXkhOZ', 'HxswP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XDuWhPAdEsRXxHOVggMWRVpwerVbJvrTVNYFUuPiYuGbesDomtuexGZeYZJWDnVWgOWFXPMEBDsdyjfUaKPTxPDZfrawOtRXT',
      'GJkkgooQmqjtazOXSqhxHYeBoVctEydszgrIAIhetEtwmIZKJkUHxzqpRMBTWhGblevi', TO_DATE('20-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VtOuEAzO', 'ONLcpFimjMxdEAVakrhunbXcAxzWlHhneWIzEgTGozYtaaQeY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ViytEnirjk', 'QlWFtbVoJjpbWNCqiZDusFaoaffYrrLbVSLBFYXhMOsTJ',
      TO_DATE('29-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cgaxrBuSVILwNwlknLSaYNNsiihvsibZDnzxfCErZlXgqeGZrghdVyqrIgwOUEbdjXrEvtTrhN',
      'giYMWppm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JHzsqakAmwNnAacyOPRGbUq', 'sVuredrPrpaVXISkfEFPQqzOuXqyWDBkqDavlZrSrTsnLTQaTjeucWhDUdJp',
      TO_DATE('07-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jfrjYwOvvvjzVfLFnuXNMpunXEPesqnwauDlsKcLCdogcvJbwHXiqfzIsYORowQiHREeOrQFTe',
      'FFIzpPxSLqekgKPVateZEsMhhjfEPIdMcnyszpwUpfeWzlidjTACbrdLPqpPT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gylEGBzDeVGvGAbKBSnfrTsvVMIjGipwNZJHPSABgmxnlbkIHKFdnJlJlivxeXSYcPZpLiXKxSMCUCaljiDhrYoWluucIpcnm',
      'WSNTfAOaOnSUEFwAjfvrXr', TO_DATE('08-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gUczGEqsjpSgaCkbASBnhfrPVjGo', 'D'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fgeGoiWpMprFMNcEyniPXQjCbmEYTba', 'dfdaTJrUxQwCoV',
      TO_DATE('06-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ODEDveuhekJUTvSaobLqPuoEHxOMPlJgkcmtVPOBJjfrPcpp', 'XyQnOhOtWgVuAcfglfqLXVMgSBchqSodIXlbDWOCIskFGEClPsBTdxKJRpIrUXFANKDNRndxqqfjQWyGaTkSRgxImgUldm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sUOBUNLeYWmHLfphSUkWZtUZKwsQLuQWvcFWfiTMggErBrAhPsYQggMraHumrUOKaTzUZoKvkTAcJOKiVjOtqfpfqshIjSpDXM',
      'fZCfqRlsgGGvTrbNtHiysCxKnHeEsDOnYEKHrQIwuXzqMpnjizQsIsTAiBrdJaOCpMtEXOBVGKXCSomTGNLyHc',
      TO_DATE('27-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KDIohkPBPoMRhXy', 'eVeWcOXrpzcOCFcoYxohlpteQdlEmnOHhWkCWMYZbnVUGkIEtxBsFKiscgoFYPyxmn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'aMKbFSkNTHDMwbkmalwvGEsytfSCIpjMIMXPOutDykkqqWFiCmTOmjaGaMduMumaOrgBOcapTBUpThkaXXqU',
      'HMRdHOlunwdepHaLcEEmihNQriywBGVYOqHaFtUiUYPfAYhHfoldV', TO_DATE('25-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JTrlpOkDboDnPqrSqKfFSgvturOxdYybsvVYMKhROCPtJRydRftuciWOkBmxQyYUIUZmhnIaHrTdBBSEGONCOLuPhvua',
      'XTOFXvnoUjX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'Lw', 'XXBNLlxTChhgqtNARVyEIZJpFOYwPoMVfNDPqBWqBEwzwbWfuKfhRMwXgdEHUKDECNxZ',
      TO_DATE('18-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GCfmMHGxZYbcsXVnaBjnROLWlCqakqRgEPAbONbki', 'owzOsrEiWsdmYJRtGua'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rBlWZNHIKtMXworzjxeiwhegtYEVNZhIgcXnakfefmalIeeUOaJiKURbhQYPKL',
      'UjUkIjMZjCGsoNsFXOMSNoAhQMmdmTqFByawSUaBYpcnjLAhMIXLunkNoTphXnD', TO_DATE('25-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MPAfIGjixhPgtMKdrRLMZAcFesnPNvCKYiiahyHvXSpdxokRqJAMPFMeyQFnpKtpcZWAGWONvUXxWl',
      'vUvFXTijzEByDZyeaLRdBGvIdLZKFjIxvSlzeJoVTSLjswqfWhSagn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GwALOztCSvOpXkUJZaXhhytDpZCplkWCNMNMbOReBjZAzdhOYnnGPTsYOYCsieNQyZHpFlGmqRjHqLiSxDiAfKyiohzsrkcH',
      'oqfgnblJVNIMFBlvYTpERkSbVlviNrUXMAWZYZOZjlfoqtkKYCyspFfcPkrogoWVbrruKijRwFA',
      TO_DATE('09-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JxhCUtzlBBNwvBRhsgdvgehfnCPgYWgObDcmpqtYGaIsgDvwVYKbcyaUgTWyKBqDQzthOduJyDVbFdwJDvaXlVsw',
      'vxiRoWyrcHKogpbZQNIboVKqAMPhphmVUmMIJkQhMXCpLojzUiPIwkgxANfFyfMEquyflLgXTgYi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QhMIxmVsmfTzmFxsCImAzRfRYfgAsaqjHSowdbAucB',
      'sVlxWUtNzODfYEHMOODNNGhtQOIXBMvUeU', TO_DATE('23-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ptqNexjRVblIty', 'ySVCbqxru'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LJezToBLcctGjbaziFuDkwOMtSsCy', 'QFDRah', TO_DATE('01-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JpmeOvRGpYzJlrcnGWODgQCAhGhZLtjNPEwlVMpAfFV', 'wmOzZbnTypZIuetuCsWWOte'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XtpEYCDlVCzquLcgpoFOxrScfJkopPMDBjpgKbSWgQTKPuxsLwAHzDZLPCmzqdYCsjiAYIfrCsuX',
      'vhIAWFYPvCPKFA', TO_DATE('02-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fFjmGFvExrrqmmuEQbVVITQTlufcraFvdR', 'WWDKlHyCXzdcFNEZOHJUoFaytLXFkyehBKkAwSgaE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nCJHfvKQHqxRKcLfUAgCerIHkUcfrkonCnIUWiahGAhhOTuSiegQqeszGdXxdvgPZQWiypnCfisKeWfNljm',
      'wxcPCdLxKKiMrfPoXbuVFPtaCmiRnKRGJCGVMyEIsgvPhzH', TO_DATE('29-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iSugYvhlJVuOxeJLCNvLWYzqYHcePQQqpElSDFgTmVVKlNrhCptQHGRwUuzZAOqzfdGCtFyPPgCymLxXfLaEhL',
      'afmNyMoqLkfggotxyEqzvSuzOakNYerqIGtphqEzCFvEDUacnxXKmZbrt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'buGnetWJZIs', 'ybTGbFaWxLIJVlYjFHzMJTaCxJBUxEubYyqFt',
      TO_DATE('20-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vbIhqDIwyOgOalHUlDpRYudTIdUQEnvmDriYmAbPsmftOEvIBFMqwAXgKyybtEzMkOyJScVPimjL',
      'eYlKOApjAAQBQsUNkwcMUIwtOsXXrGOamwDdXdpSmFtYWHTvaowPMuHIMnWidCaPIWAiRMzWySUmrrXFFH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ytiuqmjSLxYGzpDtMLwFMGOTIfltaqQohWvANUqXDrxewjyLxXIokrEKNZyaArpexBVnXJnFXickZyrOOYFmVLAklPvKJh',
      'YPpDYarqYvDMnDHGoxduTDZnUOPVonRfMZbQlEAUPGgtfLWYbKMfrbcYJqLdQgBouUCTqxumCyqOiaXnGAk',
      TO_DATE('22-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IzPJBCXRuZUgdiZnCwIcDSqAIirXdfWoRmNDIBQwKiXVfVUZiEXKnssGaoispmpNkUOJLCFhhbEbmblhImmYvDK',
      'fEIhBeuJuzJYiaVtnYtgjqTQFyZylLlyqMcmD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WLrGjsdMXyptOybcVTjphtkCpHSapTjVDgxZiEBaHTfRVJPiolReNOYYeTTAWXeJFMmeeGmgYFEzSKUqyczdbKAxc',
      'BDSuCrmbdzwdJOuweycLLtcCDxaeItvvQNMIDKRNW', TO_DATE('13-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'havSBYvIBxZQZRoVBOYyazlStnXGcMeJtorsMAcIm', 'VbFahgWjcONoNMNIVBBGCXZiBQwxrwVMSwZAXawMwxaRJTdDAfNVHDYSLsqoxRZUBBVtDlTyWwuMlCzWZDLyP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DcnjCtNKuaZjnBCvWJfADAQYS', 'CNRjXnXjJqGyOENIczExmfAulQToYwtzfukPfCJcLgOPSfieitJOm',
      TO_DATE('18-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eOUXWbkEVkrdvqbBZA', 'xkZDOrVNROHzqwHnjDhfOIMhqOLFrgaElkdYrhWGWGsCRMNpcOiDqDLiuW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KqsrZlDnFwzbGSoGfMsE', 'xaTSwL', TO_DATE('04-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nBxnMfbmjrX', 'lvoeYzlaYtxrbRHiIzOWyW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KuKj', 'CIraKGsGjPrNBBhxLVGhCzfBqyMelOhTcERllUPgRBmSLBSJtHNWyPCPitoEpQqqGSiKqBhqo',
      TO_DATE('17-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UvFTykNXwwWNxKGTUtbjVOtOCTEKUbYsyiRGudakrQgFYLRKzYmhLVCLqgzsEVRMREICUqzLOvQioCSlUVSxSPdzAIPzOQdL',
      'fffTzktDHXQInJlhyBxzgMhXztKjXlGfUnIzLKbowBfcEgvNwtlYyrBbOoIVMRvUxyTPtzaikvLYpqlZNy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pxZZcHDYvDvdAGXOebckbILGky', 'WcJpXmZBvZIUFyrqnBuoNblNuoJeJPRMqsXvnKZGkugXWcruazJIoRYumtikBdoMFBZGSnegvtwWxUi',
      TO_DATE('09-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YzZdnjBLaNLjtpvUUogkZPZJEIQUUmZjCjRdIBNxxRzZwfSRBeofqPNyBzXVsGNnk', 'ub'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KjIzoPIsqleokVGyjhAOGENFoBQ', 'yyvRssRRilQgjSxftBUFPcwGHUetGiOyMmoaBjhqzCfAlatSoaeUnqgIbfg',
      TO_DATE('07-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lOzOfIcjwQLRsgtyrwKNmYuKhgdrfuSVGvnqjkOANqyfhEjtMkzCXNtTpugShWkXqgLroTivIpnCSiicFHvkuUm',
      'yrpTXZrlZrpETVXulmqiqyJOwNuaXYxIixSXetfGPJKqONZYJnemtLLyUYTrXzcytWiGW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZTJpybFRyBrmIeoETrrZvbUIVNHYqHDUIjubbjmPAQAfhOXDvoxlsBlnFFvpbgYXxYIfZbwW',
      'xuLgMheEUSQgCvgjDuKqhasOYnMeHb', TO_DATE('01-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IRWdEeNGoBpNEqdsuRdymnzLpNQgFwhrqWMUwNPMNrvktvbjmJKAOkelntszIzHEdWsVYMAYUdlUmFQYwpYcACrb',
      'cJBbyxwHVitocDTeCqnGWPoxMNNvBUFblAltZoZrAzIOpqAKHhRRhMgsQgJY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IlHeXPYqvtbBjiDyFtUsWEyIgqwjcDJJAWhkhyheVlVaTrXNrXIAHtmJnycXIQWKBpTbgvtsDblUWFFOTeFxCeKKTQMApdFvc',
      'jUXfYwmfmnLtkrIWxOSwbAAflOKuLvbKdmCEnckgncirIUVMArYNBqEkLkMlCguDPRQIeFhqATZL',
      TO_DATE('05-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'waTICZXBYbQkPKwirhzYRTjiPDVaxtuhOweSaQxcfclGxOFMszyPthrFjspSibdNS', 'LoJNiEuTaycPBoXNhgsAbZMihMnrVMoAtoaANhxsfQomJsCCLbZzpQFfWUGuAogBHxRjiMcTRzrErDbhYyeXJB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IBVOYYFEryotKsKIYkTLnYZgAesWKBekNNLmnsRSxiyMaOXwYEgIovNcfST',
      'HCwuDNjSfUyyscBcoCgZkWphcDcLTDFDzIJZvqnXyadvEFbpFpYe', TO_DATE('21-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ddQLyOmCzsaIomahaOUCuOZlsPsXFbXzTmLMXZQgQuEmKVUDBgU', 'qzhOwNbVGsGhwLBGMuvvtNmJrlLfmFohdbyaARwywkXTpxeTGuzZLZVNemGcLltnWzxSevaScWxmOjHcsIsbIUkZpc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bPtiZCKvacyOqNffiZfLXNxbpRgDpLTMdLJVjpMJMRCttrJtaaqAxYvJnSuPYuwfkL',
      'SezhFPiDlOQOEjpexOqTckswBavUyAxHUAPrcFH', TO_DATE('09-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EicGDpyzBaehGJBuANVApKcVbTEAnhIrROpAEYlIQTwh', 'nXgQYUzodFojKxIoprqqMWoZfdhHNVwbXEJkPjskRcuwDutughHBpCnAdskLnlzcLOSnJFBHzS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GteQZNeZENsVvCvjFDMoHsKpmbBKitQtBoLroPx', 'aunxXTAuHAybrRcCDtiH',
      TO_DATE('07-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZzphUpHlOkCaQsjpXLwwgjfyiT', 'YiliNecLGHANVBySZrEzrdEkkGLLbArWPbRODNzaWMiDAhOjmf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KyOYePjFXaYxhilzlyYdlodhMDDLnTIFvUeyHTmWtyNnGkgPJhvgxHLPwpsZqEZpbxJY',
      'YNeXSvBUXKkSFlpoEqxGjeIvHtUiNUOxVbHLteINsVYUclVnQVbPmufPLDDhFc', TO_DATE('08-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rBetsGrKtGqrtvwbZFrkTxFlNzEEhWAvhJp', 'ElbaucmMrniYrPIMrauxqhgBOreNYVEOZFyKDYVatYblPERSJbKOLQEceKuCLuhsxznvBVQfIcxMrkJQbbx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ARoUtWPeBWIgncirlBrReslswRavYYrTQPJowwAxteBymIuReEDsyIktVHohazuxiCUQkfkckYGQXzWsnCBWhHcrSvwrjRlB',
      'vwgEZQBJnbUntnBAMvXamWGkBCgCBawbjpakjLZJLRtTbwjAeRehx', TO_DATE('25-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eqrKo', 'HTXToKnSjHzrVqixaBeaCVoVwbbcTnUtHTuhbMhySLmRMPWfreQoEMmRdmuJSuKPAnfmrRziRbtIUqC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AG', 'I', TO_DATE('22-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WkbQxeWzsMISwukpLNjyRJycriNdGfDfpeXUQkHsbCCbSeJwgQiGyxLoErMbIUbEmgKkjTVuDQhWluDFRmFn',
      'BSACSaekcdaVroiyltMOzaQhbbyMVJYrejaTnaMGmc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OrNgdycIY', 'uGyDDdHPPfgiaCdAbtvNxdusDTpahQuMuLOlNLlBZEpzHwGjlnVvylVmAjNQLxhbQNuZwjrSYuwjMsQpHyZvQRvWYapDBtcx',
      TO_DATE('24-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ClbTwbtoZGKmJQXsNpYETRINspYk', 'hslmSmawkiMRvAfbWGMEfScDRjDgP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'slYOmhzrUBzuBKojpqywrMEKgWJQSOHprpNEsySFSkWIaUrViLNfAAEUxGthAAFgRRWxWcsakfxqZFsrVAWhcrO',
      'mLBuGPIJmrgGBjZZgxNfwnwrYorZIlEYrpjmmJDgijaoFHtqVgyKBBdGHvjCXXoOlztAZpvTCagYYewiWBdRAobArpOfGhGEX',
      TO_DATE('03-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nJeFIiYsZMBsCsoBhXggkTqibjgstxHZMJtOsxNySqqjVlyostbt', 'ZdWVbcZHWeCJROEWZdpEuggMDWMNqKOOhRnjU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ohPBriycYFsErxuwMeJhvuoteBjbSxBfNVgJwbjQFdRGJVjzSoQoMJRgZOUZRHtjlVExkUyvApuvIYSZeKmKLsZTI',
      'BnWUFfWzkKcRtIgnaUAqrTyZBuvWpTWSmwKuLt', TO_DATE('08-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GFckZjaSTNorWiZhLDVEpdnDPwjMiTrjPQFtewHXVGVkHPsNjEdSZqsLAQYyYaPmHpdEoPJxUFEQsbYxEyWVZURUDHuA',
      'sllImtiCzBzIdlYYqOLvzhZDFVjofyVWNjzmPwbB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FGkOhgOPjiITDvZlVeBZXCbYjLjUfnupIZDHOTxsqSxMJpJaZBaYqgedRPIJBQWhMFnHeUW',
      'wEERlBaMSffOrJMOohsbTRZXApesbrbfAjuUfXVDowZnbYkbKhZRfsztxysFItfqaLQZTBONJArsELF',
      TO_DATE('13-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xkPIcbwcBIrgRfXhwAThEOGesVoYSQCIATFWYBGTBxfPgnapMXIQnZUlovAhNUJdVSmfectHKVeMbkqTH',
      'eWDoVRYWZHKOgKTovowO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GUgQbMKQjevPjryJbhQqMk', 'XsJbPMmXjPJDEUgXwDQWyJDQHndupkkdcRzuyMniiQbjuyykUHNtPmoJIzOehNPUIsFk',
      TO_DATE('19-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fzgjywQSDcmObrHyvhSHWYydohIHmaJYBuoaGCuYVedqqHsCjFCoePqKTcmsieZSZ', 'hswDnVFbGfhOzoqAiOZzHYyOvOncmeGaXazSggeNMejTgcRPuWgruDvEthMuNuBiOGYVMCC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pfwQdNzuSVeUXGPcwUDcltEPtfVSchWYqzwVCWFZcxxuspqylcBpjmzmomrEyBGfvIak',
      'nvyBeNpUtEfcdekfCiSTyIaIubskwRUgWeBUZMXbieZgNitmyXrhrkEStiGAfHvkbRREOpxpmGztqYpzS',
      TO_DATE('12-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yeBbVAQCiPUSZ', 'JDXwAQcIFJeoiSrNIawlpFbjwIIjCpePGXIlrlOMEfsFPZKbvB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dgkhdzJMatuQZSLdO', 'RzUWIwPkqAGkYqzkkoqiXNzdMellDxjSxKjKCjuolhifztvkRkutmXVoOvDmDaHvrKDDoRbGawrW',
      TO_DATE('16-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ohkdgDEYITsxpZaofTTb', 'sTBfJTElPtaeuXlbtTWANcERpcIneECZYsAcAEntSmUGTQlgeAVCHMPSaGpBzMYDvlyoNqveHDeZKwTaBf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qxlHVdjXvXQkiJGuPNgkYGGkxhQsxICNWsmGlRfyjXFNNjerTtIHBBurVHLcXvwhtQQWlYLDF',
      'zVZZzVzlysVuvfIvtTYizXWhaQvCjoexDyKZzdtpAESOHlzfNaPRAkMAFTRUwyoweJfdINvxaqiDyhUFxIFQFUsoWjLYz',
      TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rqDXEWsFExEvxjmHArTNXVUECoNNdrfnEJeWrrLqtdzhwiYtNmbHB', 'AJAdKBriAgPGRaYsDIgOAdioFaRIDaqPdnhEaI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zju', 'BqZSFfZKoCTDfbJUIdRuUJl', TO_DATE('06-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QslQSNLQHNdcmPiKYNElMIoPaROiGpJulvl', 'JfLgOQUbeinJXPUxRXnjmIPykYLOIqZMWRzyjiuPFnUMLlsHTZCLbATavRwYskmfOPvIThNTbibCckd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pJVlPrMAZyosxvqXmrRXXKiOYjFtKInkNPraXaytaEVZyUgwyyILftibHvRkKcQZsUbnMlUArYN',
      'iGqRAbOjTZJuOhDsbMeFqhFHoRQVmZwzUEvEEdynIpLJstMvitdYAmGVolWjyKqAewIaWmembQUxSqvTuLPbYm',
      TO_DATE('01-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ifwRModlotQwVNcyFkAGObYvpppyLrLRBkunUYCIGYHUglJqYVhTzuyKQrhGKQCI', 'mKsayeqgSqURKCRekyGPQBNMoRkqchprvRjdjyfjaKsBIzLNIOLqlwQdACBUzWnXXiWhqybyKBBZbFTyeaNnnFPXMKZvYQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MTQQPtXLopyqFRSCaqbXegtPWrVmybrmom', 'dtaDjAwRuTTlyBBnqLhkTPBLODiaJtvvLnFEviKsk',
      TO_DATE('10-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GmHhaVmzbEXahUbpspTgvDqOIhyfLDawiQNGKfzFHTxEvQjBKgCDuwVIp', 'yuswqdTaIITeHfLbqMxxUpkxcSyXalhtZTiOyKXDZSeHEPQJpdALYwQwAFG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ARRtQFRhmhLzajKqkXVNLddWKHxtttUzzJJqWJrUgfLrqLduURQdm',
      'CdOVAIbxIcJiUPwSCQWCLLOOxfeGmysCwagkjOskdkMlPrrbpSmBlEkoORrVjgpPvNOcVJbTrtLEEFBeZIbnPX',
      TO_DATE('11-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jcDeTRQymwDXVnfqyPGPVJZCQHKyvOWEjiXtfSDhAHoSfgjnNefnbdoNEQAzSQOxRhJiFDkJaiDnTntLqybyiYvuKjhWY',
      'BFJWLNnNVGQnJKxFJQOnboHzwcvSvFkiNVjLAIHWBJGBpq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IGboRUymzdZOTENWdHDOkJwWlospMxXGQtrzBkXfEkqRDOupxTAIqNTpItaWIEVdlkxpDtyBdWKGhJpQIFELqW',
      'sRLonQmcaPsuZthVAbsgWXnuEbiDQXNSrIScjvLyospTvrePVlpjy', TO_DATE('09-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OTibSYEbOCKnsKUXzNfhHxNFinvuWlivZDSQRDgkfJCzsb', 'pBPhQvztzMryBucAjwlJqYvfzVNWQcHNoGZXH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AfIgPuP', 'iHzvkFBpPotNPAFaisvgUvYojwsDGfdHXWrxeaPdcqz',
      TO_DATE('23-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wBiUpCYdQLzPReLIiaflXnfFFiRKOaMTpNeGIInLSirE', 'EZsDFoWNqTQCjDLAgVuQmVdsitYtGhiaKPxNHyCnEeAcXVWpZHXFyTAxidJHtmafcZgMmFgkqprXbWIHg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'haPJvcbzbJ', 'npxWLsrPXrSKJXNxKYjNEXEwJqTRXUxONSsU',
      TO_DATE('01-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fHPRMCvvLvhbGIkJIZGmTDOOcDsjztcacfvHqoMCyPifwuWdrFTbqAnejVNJLXjIjcgtFEKUefcAHLs',
      'LpWInBdTTvhRMaEeNrMOGbJtTmJsvsYaWFbrfYmDYOiVvUOD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'syIHDusZTWFPLOPkUjUGUhjPEXOIhDZZCxZSfFsRMvowakEUdJcVlIunxQcLuqCWyyjNjbnvLyiABBRIwSDwuBpy',
      'GEpHjTNyqLgljkDTt', TO_DATE('29-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lPIwXSGPHYXlRhKWaVROzUUmOypOAeNAQSyVGGcMiyesTpquipxjffcFNYvaLv', 'okfBVugexZy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BTmtLyuHHjhzFKfPFDdMk', 'OftNlMCtNlPkisEoGSoiSTdJ',
      TO_DATE('14-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XiEMzkFIbdjEAABXzUJnPYWSNxcbtKxmTFn', 'ZSFlEqpBugiKEOOnElTodqXXGKLILWFaV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dEtzvZqrlCIdjvTAfkrtmBAIYdBuTIikacwEQHWdiThA',
      'YifmjAOidMCzNxdXraVRZCZesKsfWnyUvLTmmhnfvSdcTXTOGEVPxGYUlUdjCwXtOjpbEjSLqlstUwGmuljmgPGNVUlVZ',
      TO_DATE('04-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EsRqlGDlCUYoFadljXRpSHBzuob', 'tJpXfpuKwnpdHoZBaIVNFJkpBhLGogIGQNC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tjPRftkxZbHblNmhoblDhuYyFwaPzCeyqGTVIkInfAgszIchhMFrgRIjENVSRBeZSFEVhuaYpJBaFQrHBfoeevuCkdwH',
      'ckDWoprRdGqg', TO_DATE('22-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wWlSvKUuNwjJ', 'SpMWWRBTJGJtotmhgheSTlAxektOCSZUf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BLbngkwFpyWznsIIbGazbRxHQzBNRWaLqMkwrKjebwnyiiPMPHEKLQXzGIElCTTcRINHPfTcEamwiaTkykbuW',
      'CSijiIgwLapHNQrlqcdZiYRvlObYfjRhhhzTMQjdiPT', TO_DATE('14-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Fm', 'aKGjjXxnXgNFgiKgHrYjtPkXIeVUgLavprzpiGpxCzQldYprZIuVkeuAuUOSFhERqGocAvnAmbpWSzrrOILQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'czZRxdscxicpvCFtssgKojKMWIkiafn', 'LJbPKEtwkeBvKqEOE',
      TO_DATE('04-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WOFqvCerdUdGFgYqKiWVVqvGZSeGwtFAibzNAVw', 'trVaYjjYhEUwnuvjeSRGsjTAzAbBcHnUndhJKUmUgg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FxMdiYIULmapvdeVu', 'cbLzXpZkgQmOSpolsIfoggyOKQPoDWROgpIfSauXntuRUACBWeFzWokDAQNTELjLXbAUEMNIRRoxxMRYeYecOJcNzvQIEiDIizMz',
      TO_DATE('26-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LLpdDRdxkUrabIxTbgxmGXrEBdTYeOnPucxbRTxAYxiTbqHBpYIhmdifccAMbKvcfspBkhErknxCdxKCgAeQuKYAVSsIhZBRQJZL',
      'rPXVkpuKCRbQUCzsgJBQjWuQLWgFnDAjWrzdyOlvWzmwSBvPliAsRjMmSlvluZLWWeotudKNwLMypSzZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'oGsFxMMCmOPMtixAVcKlRtixDjgDGa', 'hRQoDmSiJiUYVEMTJtPjgRPFmsDPOaNPXxxUelmfJiMpuTiMjebArLrNuNLwTfszIERB',
      TO_DATE('19-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RZmxsYooXsZxJsiBUrkijVZkXVdfEHnNVRqClDxLm', 'iOpejVcOcTLjahFSzrNXySXZfviVzaIoKM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LhGiEuMnKmygnsvRiVZFvQZLmNNaVwSJQnzFQsPArASmVIdutQmMGGzzLcMmOJITZQdjGplNSCFsLHf',
      'kzvdfWjtZNEfzBvmPESckojAvCmUd', TO_DATE('31-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YFXkztAarF', 'rHNSMfYzyoiuxLYJikHpvSuqDafMbWdPNNPsQbkdGUsZfLXiaEkodourRpLbvnfhkNRuBpxmNjlTtmjhUQglKFQC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WcsQASWFXpAFyxzGbXGgAoyVVZJoszocTvAmvGmSeycWWFdsKOLGtrANthOaIsaZxnT',
      'dBtHnAfbbpIoZFTNSIAkilKSZeaaoo', TO_DATE('27-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OjxmSPLAmyRfQNZimcjhTSgAVdTZZohJdXcHZIHSDesBYosAqlDIfbxbtngUGPBdA', 'huuJkWekNwkdyxHUZdiDhTtRqlDevNmBfblJkBDOgSlGeKVTnCtejKqzgXcPhNvvaXLzppPkBAZaHw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZQWaKPNXC', 'tgbaEyqjHLtCFgFeNJXojWqJzhDRBtMVhymqLdatVIfEuXYlnKDkbDfCcjOSuiewpLzsylusfMdnwMuybaeWmNFhAzTsoU',
      TO_DATE('23-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KpBSXXdDhjPkzcVyGxHYTWleFDfCDaxDLxpvMQgayHNeSCOJhTLhAqWjdqZi', 'GUfnURuCZjEEQkmYwawAKMICUqKf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MkNFUXDYntegYOUydixZCCbKjqvwvioMacwJcJxTwfoDjADieywoydpYe',
      'lEdszUmcSBrDwHIEGtlUMLNYYjzdwHuZttVopoAkCroAXtLjzofJLtxjSDMNIENVllkzLFzZwOAcQh',
      TO_DATE('29-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zzf', 'DbUscnLkvQtFfMUMUzBFjqCSIjATBxoqiQKCMPYFO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ijxwwhYdDmRjkWjLepVSlOnCSmRLlgSCHwZqEVQQgKNahjlHWakX',
      'wKihahkTiJuXricBOqsHMOEXvxgOroIasOXbMSZpvEySqqUvsWIYuoVgtlpCyAFkIVXqGIkkfKCwUkIYPWDjPUvaapIyN',
      TO_DATE('28-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WZiMZpUaQYkZrlAjrOCEFnrzuiWuEE', 'GewNSJekdKTApTroedaUWArnCqyDeKlVzsIOQEYZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eBmqsnTmMMuuoWkAxLigzbGLyPchZWCyFUVjINPHAWsbqPrsMcwetlyFGeKyu',
      'qWfzJwnghwLIRiVjJiXwxXLqnGGMSCHbuGpOcLytMiUWjJbnBTGYGnjeKyUCHbeHEYjeuevuaF',
      TO_DATE('27-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GXeMPwXQxcGwvGCvkFU', 'sOyqrjRsgcXZwLrJPHCJNqVMALjSozguedqMLiglIrmhLUWZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OdrFmHENzYtMppJE', 'bWVrglJaJYDRNyDMxkyknQFjaGragTpzcpTPPzFfRxmalmaZfigUHJw',
      TO_DATE('08-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JRfOmsixxyNCycmABXNXzKDzzxxlGvBAGsAqhVXAeVqOR', 'iArlmMsHCobgMPz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NhKHLwZHCoCWdgVDMKnqFijQakFPTSNtMfKJPDrmJJuvIyIBHFiebwCipYEZXu',
      'dtsIUZksUCaegtpXshYyQFvjGSrSvfENCXgLaCvSQYniMaWwlRRarAfESniPJQOEBxswtytPgguMzrTmeRNPmnGoWHNj',
      TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UcnRDqjwznbVjkBvqSKsxqIuOBmqZEOa', 'YvsWBmELlKskzGOiyFgxylsDcxGwlzLcAfRAPUhUugrRwpVHNYMOZpFvdPnQWozJMopFZlTpsfltlAEMjraMOrBUCCgKeclU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'p', 'KfaGEBlrQZntqfQgwx', TO_DATE('27-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nrLKzzAJbBQNGoerQBDgYaBRQUjMRWcQpZDQfnkrDKAQYrIelBHCjqXKHwvgxDUiWfAlkuUjdWzpKDdNrqVPwngLl',
      'DOEdozNMlgMQREgkGeGyHuBsungBHrtoDfSOrGHHfkDkLerNQYdBoaxnWtGEdDtIfogFOsfPkWDkaqOZtMrpyeYbYAUKns'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'boigjNzlDFGzcbTVVzLmx', 'Gv', TO_DATE('25-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'foRKrrGDBhmSVxoBIHSJMPuHCVkhHJSyAl', 'cwpWKhuCjdrcRl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LPSAAscDbAjPKXLcEyJojvrnGJEGdzTPCJcafPdNqOYgxhpvWdFeHCtcwS',
      'TJiMZNR', TO_DATE('03-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qCoqdGtnrDXixcnMalgIDcydxPmgOKCdIEGiI', 'ZUPcJzWK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RFNHAJSXyHhKxhSlBwpOikiNffRjvbqIgxfQmepfvZOTnwkDcJiGAnMEVhtnxpFlOvrIqDBKxrAwSLpnzzEPmi',
      'YIOPysUFPTioTcnMiZGjfRevv', TO_DATE('19-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wRvhuCJbpMZOeNWriugkGrJLMlLUZtcomJQtyhIAwvaSkPmzieTooRoozcpIyAQGwWiKtakgiSSOnscwWGXnwpefs',
      'YgOkxwOMkazAUcLlSkZwFaBsaVPWwLPEJFjL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MyQnBlKeeqvISIdtggGktnlfVHdumBdZESINjm', 'djxIYOnesGKSvISZXinppgXUOWmQgJNgiQhhEUAQyMfIabovIqBByYacCvgDMYTsZNgGhKYRQJUucjpSAXOavSd',
      TO_DATE('22-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aWNnFwDeZcFJFymMOShfAjUcfOtPNyfPaYZzhASQCIQzKlHVtmmijFXtEiPMYJtEsITyQxjjaqpcRDMkIwdooSZVCdo',
      'FgHLjUwiLjfvoMSUIOabgyFWlUUCb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AwMKlgKoczEyqlT', 'jVQcLOEAUCAUVBfoagIqLfCgfjDbCNmkZaSDWoehxXUObnBtZrHzVIMfjTJeGpXFXUGtiryvHDQjhVGMXAszqVpMz',
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HEgyXfGpGWwTPWRNCwXFRCxBhCZCDhrOjdTjGsXgEvxlyztUxqmYzbU', 'GVCPynqGIITsypwsMSzaroXkYviLLOxzAKuIQcCUbVEGIcUWBikqSYSFvbEKGteaYKJCiNSldJBVkXkbmbDPbNWNak'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WKKFTVoNyqLIEoUJICUktBORCjusOtKfofrCMYrmgJeBYAZDBXDAAmTaNfpsLgtXLKh',
      'eZsawgPEHkOysMTcveFYQuDORMiuPtVvMEhhZSaUptOMlFKPGftYKwgDUMLfCJGteHGGipwijZBgUPFWdPgHAhXzSYfial',
      TO_DATE('24-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UFjrgyjqDZHxDXFpKVviLRvNrzfCsbCrasHUTOpmUpE', 'IJRVTXgTJuhVDIMmRgccjBQn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'axSUFMfOXvXLGltHmVMsfgZHxpmQHDfYMIlvRpToEsFvBrozjudocXgdVjbwktuOqfVFZRZgimLRmzJnhiX',
      'DuDwMPiXtSIghJKaGAdsHaXGCOvsRyImqCloDrkMqghOitqRIsazJP', TO_DATE('25-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'epeMSQsimtLZGXkjxdEWxsKnYFVWStjFaFEZPUEHYtRIxqrptbSszuqNhyyVeOR', 'iZAuzJjWG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dNgbJRfjBkYTEAclaveowRLVybuRfqqUlesVVSW', 'OmZKOEVkivfGItuhJLOEXDtbqXjXwRrKRpGhxDoUEVsDZhtHrCJmCucAJntUU',
      TO_DATE('02-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'f', 'ymsEecmGOkDaeKGWyNMiprTZr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LYaLXdwsfYsDGMTRnrZBdvadJlTkFLglCPuCNyqrJpCAkepTrlfXxLxDicRQ',
      'PxebRRBrgyDBUnlDiivuYdMvLMndFzbkcCBxFOGkfLVFAtcGblGuwmcjEgWLKJoKJtwOLuBsXITXQNFT',
      TO_DATE('20-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jHLuoOYUVmrqBQO', 'AROWtwvyKAiXnXEHpifCucUpruKtUVUYRrhQEyqwLXBhNmCadY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TjhoiVnHECTNkrSbYSVSURWHAaUbRBodsFLgRwaveDscUhzEJirwL',
      'UUQgutraxQlqoyJfUYiBGsHxWyTncYOeeHawnJxHCXcV', TO_DATE('26-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VhuCKHxVhQXvHyWQCnqzlLdjMEAxLcjkPg', 'QhUlvsNybUbifPvtkOeQvEuSaQlVubzgLETXUMddKJQXeUPHpzYYaWVX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OrgNzqxLZEmgwPFLJfgxQauTeXRAXtccovosGXeMKV',
      'XfsZcOzvSWeOQQYFjwWDrJunlGooxdOB', TO_DATE('05-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JLoZGNUXcnkdsnQIqQhSHqsOXxmhcOmlCwxUYLoAQpVRtnaSlKnHNZuBdkkfWuAKjIZSjZxvpFaucnhZJuzjMCmJNffveAmK',
      'TOTJvyNGYOcDcoZjDgkPAjiJTJSTGpqAhEfTUnKyLHXXSjdBpjfEFPChZfCKlUhEPnqEumJXMklDXExhv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QMVtqOriRysJXncBxMlhKNZCxAacfbhEuijLtbRBInhQMISzBuLbEnFkSiNGtyNVOjeouVeWeeWJsdO',
      'LvAOjRUooDjfmZKdCCXRYRxxofOmYnwgxFCcRlISQebRrSoNtOprQUFhTXOBwpDkzXOuDrWGzJHOqVTTZtANdjnvNB',
      TO_DATE('06-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wGfvx', 'WDGOHITlpFTZkwgpIKCBOOpI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ETotXRpcmmfalEtJhMOgL', 'SCnOlQcDzyoFXoPEoBfVqiMyyGjhvKhHksAsQ',
      TO_DATE('31-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tXwvXslvxVBTFpCPwLUKfGhaTtaKgaRuHkZoAEFOqDqYJysFjLWRboPNuHBmcVMWIbrlkgIC', 'ZxNuIlwsXQtNDRItbsrJDeJnscYeXOptEUvortJECOHidySSYKXpZCXxNMyhEvqHyyvtrkwfdZg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iXjNkZrMDTmpGdPZ', 'DzwHgOGhBwACQUFCWWJeCaGcWoBDH',
      TO_DATE('14-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nBEMaqaEFXgsHHEAEkCJEEaBbQ', 'zMxFHXPdvTRMDzcdoGLowFHvPFmbvdtyAhLFYUhQrGgUEOCxooytYWqZEINIFBHYbGYcyJljNOSjlicc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eOloyRawBhhZgLkDGTSuScRVgTvtYAIbkBuXhjBYyCXCGhmmbRqRygWentqevjDsupylJDWgXVljCwKEUQFfHV',
      'OghYnWPDBHgLopJNgnffcSOY', TO_DATE('01-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VzMKCQneOzdMUusOqNtgewGMaimJJTpMbWfhtUPIZiKQkH', 'uoIRTbEHaJwUFGQyWuHIbFNdCNFKJLdXqlnWytJytkrIXMvROXVlmWZPRDogXojUeZZQSGtccdvWrLAeVPz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JTHRrGenmrvodvGgUnwoxIibXAJsWDmQpUZhohDdXWixVSJKKYxgvLXEMIQOTDoRyFynyLtcpAqadZ',
      'zxFiSTQygJyAfjuRfzNmSXEAiCHATEhfdEGRyxOLKlkozLtPvpfxuuJLosapmWIsyBRRXTn', TO_DATE('08-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zxbWfPiytbPCTcdxtCYWrdRn', 'GemrBVmUDIGaBvMMWvhLGgvNiOVwsCyvmwqsLKsnrdKbigyCGWIo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fTGsYHeQjuLlrqcvPEToRhQwJdJkLWykoJpEDTfxTDljcSdHJixDOICFHnaADuvXakEKTYv',
      'dLsRAIXlYjbjZtwuxHmZQgBBLOFiBglAryv', TO_DATE('23-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xEFYDWfjWfUoitoHjDnBHajpbvrUMzTcFBveraqjalGtJxUGEcz', 'CqvjNKnEiaZgurAUCxZcrpgHNmxBzZCMgiRBwDRWHIuHOmLEFNljyVeBnaOamufDwffpXBRNmxybnYGJcqJljgJrjjRkHtIWW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bIlfevDHuCtSuuKmSwHqzdlvgiHIdKtSFOpDOrrkVsTlzXTgqcKWpCiXWTStyAgRITsjYPWEehHtcxUV',
      'qjxWFuniovDFxThhcyqwwAsyzVUwnpyhWCpxOpIereIWKlkKe', TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QTwTqrIMFZxaVkjMpupXE', 'FOmNnqSFzByK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LLNBgSQZQeNpjRcnrXntBzsDqSRLRZrGQEIuZhWwSBHOayGaeUhtVoWIkiIbrQeRr',
      'ZZznGcbshXgOGmVTmHtYCazYqNbitbgkVZCZUZbeLzCaeNYjWjyMPpiuXXgTiAn', TO_DATE('26-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'U', 'psxnzWQAOEyKMbQhOTYXFFCtiBQUcq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BAKPvfzOdyGtVIDQQKkTRxeQHLCVKWUCByqxCjdLQjcxbDToSHemLafxoDXQqjcKLzvYbtgwsQddYuWEHqwNGa',
      'ZNKDtABcIgYgeLnQFQerNmMIsubppbOxeHQfk', TO_DATE('16-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KgtyTYlKTnFzrLyU', 'xZnWbfRYHgiLZLvgUxaHxggnvlWIQZMUy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JLrpwKNvNjsglIKcIerckvidxTQlbxldGaCJarkKNOZxNEaTEPiYsvGWIs',
      'UiKtFExXYHdTRyVFoquubBHAkhZVaDuEFyxnh', TO_DATE('11-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wIqBVTiVzAFxBnZNBcZKJwRTUtZjCCFUkQeomTYxZaGKYpDihiNUoLwehtZaOMPHhTOxaiorTAFcZMlKojpHvWzkfsJqZIzshKB',
      'oFHtLQgHuMPXxsRFXxVVnHkzmiOPJfSCcQeYrEYYRPbRTkrQZgyTbzgDggOwJRlLzgcqbraZrResRLQx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tXPBYWvSQVuhPzevYzLNaHOCaJjLWcjaUxhWkgwbiJlUNCQGTQSbBGDzwyOvLvEUPEFFDMuktLzaKabvnUUvcLcmutp',
      'XHsTnegmDGekQwIKlOlPMnawmZumdoIupFzeeeGpSOIfXrcoxZrlcVzwTtTYrkjNWznzvCPLpNnfpyypaoSxnqf',
      TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lnIbOrdwslXYrcKEWmiqaddLCAzKUKUimbjUgZUEanpaV', 'FWtKcdOCJKFWKrGsxYgsBXloiaWgtewwGczwkCpHsldIeufZcXiNM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PQuhwyVOCXxiBoBovPyvTGoobSgoSGPohyOYRun', 'sEoIAYRajjYhyMMENYjLRDucrWCbvcczobhIPoWmghkZtrQVNEKWwrjzjlOSNboCqaUGvYVAqqRDVnlUeDCDIQaNiL',
      TO_DATE('25-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ifTXtghvJvSqTaKaFgQHkluEKrMeOcXrewithmsUBUdwwyzEDcSGPaagBaKJtnKcuCnYwGbFkeKBVjb',
      'RUCiCBPnShxnOILr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ocnStURYXYilTPZUlfDaADlMRIdikRXLsBzJstXTXdXbkyLWHQZXItVFrSODJ',
      'WfcALrflgtlCLmHpNrWbsNIcejlknJyMUSfZyraHx', TO_DATE('23-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'B', 'WHnjBPdldirzavFiiCsLCNXWupjrkAkJvHQXSfiOmfysiajjDOJwHvNEqd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dUyLSIrDAHxgPTSLGfaiTfxgysvnFfVNXbMmxS', 'VSRTvcuQCCnoLivmexbKbVlJUDjhQBSuHnccgtJeiyAnIkKvn',
      TO_DATE('27-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cHJYBLCEBaDpjAXoSMTWsYsduOvEgqxuEBSwrouqMYLbPchBjLyqcN', 'XRypDirjotmDMMuqoZIDjWxSFcmVOYZOqMuhjJeOyYZKZUZOteJmrVWEgpAt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zjfTcPfzSlVBidnuoVNVrsSvCSSmloohSIfOQrFkJLCUixCaVkmNkXWcPnQUEKMheOBEBKMAojWgSQEFOOdIXbHMqljlYRkF',
      'hiRauESMlNCMDMnxFrAaqSAByvMmYfyQuDuvOByuIghrzzZsTIOqGQASlsNfqIwzsbTjExUVKkXqptUVAPJBJToImIujr',
      TO_DATE('19-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cYHPtJYVLVZPsiXOakmXqxmsGB', 'sSyWnvkTpibactkLQlCISnjqsBMHnETrQLAVCUsFhutPqouHHQhJbT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CisXMJtFwaOBVQQSPSoBVsGFRkUDdLqbYEilOtRiKGSowDVTgUVQichryfNHvcgcijVvqZXyauX',
      'FfjWKKPhVDFKaQuGrosvBHWrNWZKltceVcBWrEwIyst', TO_DATE('15-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aDAWtBHTbafFZMkNrYcDpcPtNohXbJfrDlfGlt', 'NbQFgsttQMUUKuWUITDcbNLidpYkExCvfhCFnnIdrOa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cVWunjJUkjrvZcZeYMdZabYonAegQBuUmnpVcDhzCCPgBz',
      'RXRIGdvikvkRvSQLSknscWPWEUBqlXWFCWRSCwBJclaFjuNnlqfcpsCJb', TO_DATE('07-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FWlgxkZqNVPUsSZnHZmycpduClIUMAkwMNuofhk', 'dUfALMOhKswFtfuNAmujkTNKBCBndrmPvRqMkQUCwoPeeGTRZoexdcNUMbgjBXdJlVxwDtPDhEWsmP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YQbyBqrefSlDrngGnkZhBJCGUXYhIeNpCXMonpdLLBQWLgKRtQJCRaMGXbYjVqVFcxEx',
      'ILxrYOUMdwdCyXrq', TO_DATE('06-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FYXOxmFcGkmBnJNxUYArVRVsAmQtGaIcXNBdQyPwKECOARYxbKVw', 'YhPeiHiqAKskb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AWUaZexHFrkHZ', 'MXPGfHpeLhRhtMelopYaFRkQOVdfgGPTgjCoHBULGuSnrFkhYSJGkSgBnZKsnILBfRUubNSQONqSTujxvGFmDMFise',
      TO_DATE('20-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lwttBuUxYrjpRVsWLpREhNKzaAsAPT', 'nsiRdk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LWLnGVRG', 'rfTCUmojKrtotQuWQwiHlLhknampJjdMcJXwxI',
      TO_DATE('02-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fZQvKDHvCIMziholsQlTkQVGAfAhAJrLpWDmhkPAaOwLuEcfDpNklZObritjpNUVJUSiGfTGmqodBXs',
      'XWXCtAaAhhgCVPMZdgxGKAKpBXcyzzOeyCqpnZQECIhxWvHLhhHrHqLIHaZjbpXZcLKkhdMzQDkpqBFtnUFBPXQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xZRqDfshUOKNESqniaeiDOeJAdsswJpKWzeCNxZDTOdpZJohLDMDZ',
      'xGWAlrdmefnrKZUYnYmbnTesVgkfcwCyvEShkwKuisnJwMxTbEeTKeqkDJowFfcXexZqzhtdvtNXAvnJGVhYycj',
      TO_DATE('15-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Bu', 'KXbpmZryyMfuCZAANOVcRbGgcMLWWNWOeyVDnrxUJANdDdzzTipmiGneMyhSNpC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nIBdlsVbEymJsjTqqgTtJLYrWakdihIiLPvlOutztAzmdfUCbELGyuKOxgKFHXWbNhAqrXxklRsDnluGFYrlNsPUBqJW',
      'RmEknRjciEhYopOZDcmICLluccXMOALohYSNtUULEyhjBghvmhE', TO_DATE('17-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'orauqtSSnjpLRYpjdUdgClXDYN', 'XMUwSGWCJOIXXSgONwwZfrZZRnNYL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ClbC', 'fxjzgbplhVVYmgISlAZVLQhAfeuLgwlvjiRGLicSXROcmYxvFtdufn',
      TO_DATE('24-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AGKXUDXsldomhbKYPjSRhyjWnyLLLBbmUvZJUCBgNvJgFsvFkXZHodgybFUhmdqSCpdtTWJztDjnKygvlNuzeOkjm',
      'cXyUTtrRXjPJsvFpNVbYvZLGECLNjlrNHKhKonmbwSNwAJYVvSLieGNeoozLvMmKMyBNxbElZGV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yXFmEmYldwgjvtwQqVhQuEPQNZtUioTIYxMQnXOBUyfOubyaNNepLTzhbRtyRMmqcqqLCapuxqGj',
      'qKzSOyXgbsjsonnCIrimJlMcJXtBzFhLMYLANwyCfprAOewVkmKJcMNoImOXOZtLDn', TO_DATE('27-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rOYLbATvAeWWeUyQpsCljKVQQiHwlJZPobAlqTUrUrbJFRPhKzmJGhIpjdZLFKweQagsIsCEhVOjCqMFbuksAWgkwxH',
      'pHXdXRBZYRDchAAhRQgerySPZKbIuLAN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DtUUypRCxwwQsVvHsmJWMEUqJlcSzDFcmZPIviOcEXXjlVLO',
      'kBkHYbulOPqpDcONEwaHpfO', TO_DATE('29-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LkuHInuufQlrUlrHbUvYEfnZrMlWrESOfcurpzuapvBmLkmYbiZpClrBNjOeIPnXoNZRezzgzxzXUZVGYnUQXPSgwzTvCi',
      'WbMrIUIkUxvzovsUaoGnqLhKOoCmzAxPiVCFUrcgLIwazQgVMFYZrUDDmXEbJkQoDHFeRzQgcfDOPcqKmUcbVlFuhGIvbewij'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ogCwJgXfTHmHWsitRhqFgTkJRKBIJgDwfNymKhrXuVmKnWmFAzxEGGJFrWXfPGbRAVWZGvRcGAVHI',
      'CZSOEqnLXWQanSHRuLzUaKQucZwLIzMMSOKlcEJhMfMXfjHBXceLoaMmSBVhc', TO_DATE('09-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CokVLlcpZoaMzZyeabtpCaSMZtIgUJYhgzINVJQqtkwpSc', 'kqojjTXpKwQsilnCwWcMlqcQKAyZOftOwIuFKfDyIWgmmAPfEWqDGRHgZsxhgvRLDzlQNRYzATfty'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'omKGjUExoGSjuupflWNiRqeiadjdqisXhqnfEttewMybWgWuYdvQXUJatopFUxx',
      'Hvzh', TO_DATE('27-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rmCYPPSsLCWRYZVGbgPJMAdnJxFRPEdnpjpclYefYpDPARwyxnhkbCaxEUqRkkcWCapjhVWpAZRnUaVCScLCnccGfuy',
      'CehmjgdiEypHkTJWoylIBdvlVlDHUXzddUzEQPVPueStIQHNrYMxxoeH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AQMfsKQxRbyaZahikMQAMeDGsbD', 'tgLhHXWuKodVoYAJmJzvLuBUdgNQtKCikRikuLRdvbrnwiStpVZtRXS',
      TO_DATE('18-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZzqEHyNInoPVRzrWdVVLqaUqpDQGdtRzyTGZDY', 'KEHQKzVQTNpPWGFWlEdxIsUxlGclfTrKMOuIqUWhBHDQGMbacHxBnPiQAAkMzMwiwxVhTcZvnUjAWsfByIvzgmjWWTTdcAExGs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yBgkyKklwXkhHtgbuQKAnp', 'xydAudwwfIxGjhozyGSFBWTzRHpNYxNMxoAhWzYXNbMUquWpKLgGpvaHInaOECZNwgfmSbrBIqoPCplsDXvRbHxBVnRXZo',
      TO_DATE('04-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MQidpzkEpRwQVUhUIhhcsiMJMyRvirUwRjjHSfOpYqoezJbekLtMbHrWGlIUBUgvkUCvjMSpwqpsgZxUTbPwbbYPsWO',
      'hQuhNo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DlROipSEbJUdwRRdDsLPfgjtyJCUehTAlrHeeRmxUeuvoGZRKo',
      'aaYwyrWnLOvz', TO_DATE('23-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LnMWNKdejcahHSjydZNTHdCKpy', 'QiXyOeBGnCuqGwTSjepzvColU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HbJzMjbOTioPLIVEqrQUpVgYXGXZlenRxbSiXuz', 'RshbuFqejyStlwpkEktoVCaMCDCuVpAZokfrweHKvWsobeosSTxgijgeFUmQVlcyNhGiHEZivgDGPhBlSZ',
      TO_DATE('22-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QwBjwkEeoqroOJuUKVVrnlXKaDNrQqWcFmRhaKgQgZSGNQFtXVPjSfYZffCBcXMATvvOxJOtVXTXUjIYSzrFxzqnCzVb',
      'DOWnpyVLNSrFMSKdAkuyYTMOBTAtshRurvYFVTiErtAoERQAFjx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mxQjQRJSrKWJlY', 'feyRc', TO_DATE('18-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eWwipzSWTNTHvhGmEZvAZwZKpKkWegqFwnNyASeLMvkViRvmXgHmstSuQqM', 'ndcUrhMBWFRPpgwwtUAZlloTYdGjWXyYhbxoTGjFHyvWGhEyTYDDrVDJVqIeTQuYrCnYQoZqTyrgsoqvWSlj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fxEyXCcUsbNvxfdDgaHDhqCVffvyc', 'PKHbvTpreqEhVTVcYic',
      TO_DATE('13-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XvnxfhPhzBMhqrpFRnzJpHVQqRiDnHthyxtIKToKbctcWUfnGcTFAmAMwjoUvEWuAwlYlXCqWWruNXzNWeBaXctPGGqni',
      'LGLGaCrCUCmWchFblmbEXOmeiRmEKPbgoIMBODQZwVEbQUoEujBnUgKbkLGbmgRaWGVXGgX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MmoSWLJOcAXxCyJGLBwcGsLPRhwnWaYwOtOspsRpNpBtQHFSnWEMZJwahlBszdwkKdHwSCwkztCJXpFy',
      'RooxVZNnkjcAqNpCSkeaRPzvlAGbxKRzVKLZKQctjCMopWAcwjvjnyLDmUUJmxqFIzwujNcnMmgFu',
      TO_DATE('06-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'okqNPSBWPqsumUFWzBCDiCgLRmaXDNehOOwjxnAkaUwJmpAMVcdTEaJCUDlIUMjMrvmlpZkAoeDjnxtfvasXHFglPanzAnsDc',
      'vqQTTkPHrNzljZtCzikmsSYxOxqWdtNWeFloXntSSROhhcbGZetneoorktelLhOhwxuHWRHGQkQkpuSlQy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bfvqf', 'pczfzWMXdvAInDVceiPDvqQsToYSvVgnMsmRZBrDeKvJSqQnTFJMxaFamaLJLhDvaxGAcnrlqrirgK',
      TO_DATE('07-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LZZDiZBxSte', 'BtMkOtIVDvsjSBerOGfkziwlQGWovhrCeKnvPaFRxZQuwsEeCLKoQrwhjvRrjofTppFFgksDWMVZhF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eZJNfujAgMQAKlWMMdxbyJNaVZceOxMOFrkamaN', 'wQuDtSruEjByjXMuZLpjFOiBtNJUwmMQTOOblZMwaZuhtsgPBfnXDFQHAxNTUyzSzChAq',
      TO_DATE('08-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PBZ', 'tZyBjbpQjYmzERqdFOiBWUAdaDtDovWCRFnXjMbtqNciXAw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kuHEkZkKZMbImMQOOkWPtRIm', 'aGDCNZlfZyEVfZlhmkGMEkGZLMIIubdEgfIoACEZtaKrLXT',
      TO_DATE('09-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZSUpycvxdnmGRRkrzPpPSAlsISRkC', 'Wbb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gzvWYvmrKRkQRKIkrUKpNkuILjkwBgRBsEthQ', 'heByM',
      TO_DATE('14-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ygakLvtlsYVvVnHevcwdBHBVUarCAdUgmKbwQhaaWiTYvPg', 'NppASDmwMwuFepAicldSrkzcyiBsfQuBhITwyFWcnQujjXImhUHWkBonNovPzsLgnasogpXcjVGYNsOaE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cDOZEYlUdWvOmtdVRHFqyQMNQGoGteoJUYdgEYVJlglJcABiiMWFDEwJnErtOPYkvRa',
      'LzzQJcFttbbrrJhAcsUFkzVPBRvvuketzH', TO_DATE('20-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HgoJVTQnPRZVmyzskCUwZEMreQgYkDOGgkJZlcvjfJQucO', 'vkGLAqNnvnbWjaDtCBdSnUjhpIyYdIaTTYzaCNiaUrlWwzljHdcCqlbYsUzLzEXZkbtcF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mUTChxLtDmFfeq', 'zpnZpyXB', TO_DATE('05-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oyvnEjiTjOVIkeIljQdcEEdeGTIVtJcatUtbcmYbd', 'XdApaJAlJCOnoRRtLEDoDFOwCbUMqMDPfVcJmOzRYrCCjslRCdzbwuhiLDhahDpyQGYAmGoWNDNKyYSBKbqaYdAyRqm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bywHWraFxZHVshNvKJpIMLlpJ', 'GoabtswgbYhveLwJszyIWsdHBRzuyzEkoyziKNGgUadUIsmxpzzztTcvugMBkFTsMRDWrCvMDfgMMRHmdzIatNbOXKQKIvDQA',
      TO_DATE('21-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VIALUAoQYMeRMkzfuOjqpmYiMApXZARIVHnqJERzcHSGIYJucDrTpPxdNBnleHdxDeeIvZPtJueoPCVCVhktKunOcvV',
      'UbGKlrwJzBlUYjwQmZBcHaQjkBTDRncfIdKeIFELfuRfrnE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iSyWvaEorAkMMXLhpkXFlqPJuKnzvpTzRbA', 'zzfUHpyiugeiMyWqnhlXbFNDhvrHKjqxwxajRlkLwfdFazwhD',
      TO_DATE('05-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'typICGnfgZFGTaFPUvrBskEBhwDLJqOVJftJYRsDtbaMsQbQhfjxfPbWTjpcANrDEFTw', 'IArxYlDQRMJHKq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CNQncwmkXTXYOhiAwvYwU', 'Ja', TO_DATE('05-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JksceGYfWiyLEGtKwugBGebksKaMYSspXaJax', 'PdeRcjRTDJadtjyjwafOZqIvtKvHsuioBBQehPIQxrKstlakrjcHpWUy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cRHrF', 'XMdqFppTSTZVhoETXUnMpjIcsJDsXvnUQBjPACFUlEgXtsmgpSqOFmPSTPu',
      TO_DATE('29-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'khty', 'PIWEWBLdGznSoUStXyInFlJoDVWtSCGqdGbbKXptrpoLalzaCOvbXgXRQbMMGMxxqdzZoqMDdCbPdkIwk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lFo', 'rYHRJFGmsuOTVoOt', TO_DATE('30-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vQfCoKyvcEoxJdEneeCpDW', 'feXE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pEgWweb', 'rlsKteJXbFKieMekEy', TO_DATE('19-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vrmOSRVRaWoXrrndXUcnULbvbwsxmXDpzYhqzXdGHjzC', 'xorWToIyEjfDRiRVPWmWTZZTMSIOJWXayTAYNnNzZNJRjJinWWhLRmjjMWVuWNqrYwfFNVFteLFOQIAUuQBGnCGXx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZGUMPOBmIlwPeLmrHjLSDEKSMcIfihfPrDvybSOHsbjIqXJohXFjTgjvxeMdWuHhDIBv',
      'visfUSfxxLAQvIUtxyLDvNFEKogZUGHilzztLPTtKuQXDwPWYmNsszTkSfjtoRRfQMPguffYcbUxJtmZ',
      TO_DATE('11-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TLyNgELEFBstOCI', 'DpCumshAauqbMiWXgiTVEyfWSsOAVKRxnWAeGDMUHYoWeoeiCJkaVWrwJDKttNYDtCqUMGPUkiQQpFoN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VWnkXPXaiZqVKCQxBufeLFsLNInkPlNiIYSOkYrzigYgWTinApccFeKzd',
      'IzkXijfgmNcPUBOkkpeLIGPJeIqNFLSrFrVVQfQzOthIqAs', TO_DATE('22-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cVbeRNBYMtltBfCFQuFzKQhYzQsHZwuevPynSTksaiibEYgICIywdcwVbzwSlLF', 'DoovBYujoixFOUIKWeOpzaZkxjCvjZO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rfmPUTFzOIzQCZmGVaztEQhYnIKJKnCMKoInGLaUIHolPqWYIpQsmuFfkOPuNPpbOjF',
      'FdixJZSpxsMDk', TO_DATE('06-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ygVUWcIIPYXiywLYXIMilZnQDGPWpsYpaSAchqzRWyKTFKBvDmLoXilzQnFiHkRrmJKkXfKYQyCvrcBKApgjLhdjDtqVyNYgTx',
      'qFfrOUhnVicJdJpTwbXoAHsFNrPtoFIDHmOVqMioDAjwoRgmAgxMzQkdybHWFbLf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FsLYXTTMfTjhVChCGAxTFCfxHIdzeqalNOtLAQsNelTtpVKXWFaYPomLPRXGhUjeKAmRAefnLecsBgPTYyzlouphRoCPpgwqD',
      'NdNrUcTIsTHLjbTFEOGbLJZHzcXoUoQMyXOOAtJVIFs', TO_DATE('26-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PCAJGLEEooaIjGFLMwvaDpu', 'FgBdpAdjdqdJJgsKKRZFciDFJrlrJdMbxSRRLGeDJHoqwkkssocVytTPKjbgrNpoDsp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gZItFHmGxIDmjFNEtSaZLhidaGZnBocxTCQyNywnPRqedeCGWQHfGypZmhYxBNHXmuaFsWP',
      'AqclMfuHvxcWbYfMETsJFqQHTOTTOdYEeEIsvtWqcpLXAIhdmRaoq', TO_DATE('24-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UxTkXaKjScMQLyfNqbabPGHxKbdpSoMnqyZLeNwyDNkzYA', 'QRAeNPJPZAyRUxTbieWqfHKQUWjYuSjQoeZDTLnWXcvgqbSjRAAqCRklIjHEMDtxxMbOwjmJDQx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VIBavtSlrqkgJlRVsWbklEeOMCCbvAoNgzvvyZtQsqHPDRAtaZEIZLumLrtRAApIXVRCIdFXxdkognWfbthyplLeo',
      'eJeGbs', TO_DATE('20-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TgjWiotTPaLbYx', 'VptfiexIRFLekjyEiqDvBWgpShStzsfHemGmDCQkxdDFYspltCEOwPNVUbbkyVhGLERVOjmeKjslhE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hhMbcZTFUAqNYNiAxVzkqurbGvaXCGAlMnaRyiiwgBCKUqDZDwGkPtiIwZnJHpFrTDjfbnQRsDC',
      'vHCIhmOYFxvbehrcoEKLxjOn', TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QjuhLDAmWyZasuDFcyrSoYsDLRC', 'qSesJBfCLjSbwJVbRUWiAvyJzvPEaRWmvCIhSCWQMWkdhwBiuJtGZAEAfaQEvVCTv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FnTEJQPVLldnflDxDfhrRoboDXoLWeMMPxFWyFxnYenEMbZTemDxNdpZBcqGBRtIUZ',
      'RLxUlwBvxbeDSWXvkxvsVlIemmtqknIMksiwPShYJnALiopjwLlAOC', TO_DATE('09-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IjvGAIkvwbWuHNAYWDFvuCVUehaCgDFXiOGvBpDzHwOAQKIHbylqQjjGUDyisRkIRNqSxXkUJYph',
      'yXBRyaSBYsbGRRdgNVHOrjJMgHXDwJLdXLiggwGVejwNLu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'esvZbSpExmGzTyWRrwlsMFqspnRhxGPByzZXUHpKtxOKtqnV',
      'BNyxHUqaILFuauKBwLaoHLeDVWscKMcDYsZqxdttkbEb', TO_DATE('09-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hxvXXJbDptrVgFubzQeVNPzlbEpfQqGygTfvgVnHlrijjFkNEvtwSspBIYe', 'eHLRnWPqeyjZlgepKCTlYwzopcEISIrtEhCqAGLWjbNVxSMHGGjWVKkQCJPFZfqHmHuccR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LHYUEe', 'YXDUFeHLTmjGuhwIODA', TO_DATE('02-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cBJTnPCLrUrznrMEDvuBVEjOUAtazoHqsSDwMviPEkOuugjAFtEQOyrxLIefwMTfxxwfUgEZBpIRvzijYildOKvvib',
      'rbKleUBbQfoLCUVCwYUoAaV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uXzDbwqXPrRyKKWvlMZlYMhYPDhOVrYAdKqQkprGdRtlCbxTOCZEywPhMNrWzBba',
      'IqBIJlqLEGFeKpUfqsVpJZqpCBmRecOdtEDKfTYINseoBs', TO_DATE('06-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BSiGZcbiNKsdVRmVJLdkfkFrBGaMelgFtLpKTOwEamnCLxZvfjLspQoOPQukYGFJqKRtFiVWm',
      'WzwqTUJVaOTthdjiwezsydKmqvLeBeYGLzOTWVXlqpDahTIakZjnIiNILgTYYyEXwgQmVSTUakdJPcTOnuAgNYeZogZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VIPuweXGECTegYlDLejVbYddSkrOCuOsBZOWdGBBKskqrbhkJTyPgFWYhyGLnaknFAyoboDWizibMZjlzsxCM',
      'ynmUdGyRmTZMiUs', TO_DATE('17-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LBOqBVyFDVBeDNYFySSjEkPtjRPcbGMveiVTrsRWbgIRAm', 'UjkWsTNNceBxCoAjImMVItELLaXILGMHUhdWVJUsrksBPjUjagVcDDBzjRLMXUWKxRTMdSlBLYlhXJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gBfclJLWHOvmsgkwmneymZmcRPXkGWeCNWvdIhFsfQZzPApjThePPSyldnlYnoPTwivahCnhiLYIfxmzoS',
      'BtanUQTgwRFNrEJjohUMVjCavXZHOmQZykbkoursCOiQrc', TO_DATE('21-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'clFTYiPQtdsHuRinWKpVjMTaWOdVpfcqEqJzCipFaqLYGpCKCaoqbNJklBQeLZfNKsRLMxUFtgnGtfbaXdLEDolRigEYDtHh',
      'WpZQCWOqfAfQzUFytJEEFfKJfzreAbfYbXTygwqTccRXnpougGVoaZHCNedOapwyuxcaAKXWFkhUezcKhuAwxnE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nmmvmgKYtLgSsovWiwvBBhNqWUrStdSVBoiLpoyoCIBPVvwZFpBqK',
      'OJskREJbrDZFNEFNcoGDNFgWA', TO_DATE('30-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mVtPIieqIAxHIMRMBaFuBwPqXYjJIckx', 'beSlOUbBBxhYAPpnlhQzHFPUeYvtCHpyleOX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zOwQltfINQSjWnWWoIGTxHV', 'WYxBvDonipEvSPwqvCtedUgQVnqHIbNarfqIRxzxedlJGeyQhfzLDPhJeyv',
      TO_DATE('09-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uvxlfYTTboSiFrDKswTeYowKXFJhQEhllZvfLcCWMqVCnmNBrZQVXLXAAJ', 'uvIFNjbauvEdeFGklgbPsSDVRCWlZuAnoeqaBxZpdBAIruBKEtKQqusnOyowPHLmDcDMoFGxGTidBKq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ojVeGXVefwvhxkYqR', 'gbeQFfUyXQkdftTcAnzVNiZFQxuBlBzLlbyoRVRXCzHJFsCuCFTnsPxpivBiPcAncsrGTKnqXMLhVGRWvDUKbIyIoIu',
      TO_DATE('05-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JxcoKtGBk', 'MXKMLDcSxLwaDnyNssTEIIcYbeB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yhWSnXnZUSnXetGxhaiRRRmuLhmVrFgtSblxsA', 'FMCJYLKKbUqwQScAXTCpZWakIfHxYxhtsBwWkEtPzUfDAwcMNvWuwhubjiVJkziCGSYALbKuBvtWgOmAgOvFxEFWHKBhQS',
      TO_DATE('03-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GTGeQAfEQpAH', 'toqWaCdtlbRWoqDSNaggpPVBhsXFmohOuxqcrsokekbqNfOUQyBYopoozwfXFyMC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ljuzzDsNRyrRJRERMQtjLelhCsyhGsoWQVLzFJ', 'eFiHbqbtnZxfNqHlzJxZRNYvdNAIrFzHVxBoQdnqiFbHKtCOmFPTryklfWAqgVZTTifv',
      TO_DATE('06-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MJZIzCdYpRZJxwvXWLmpYcgUSBNHPEXijsXxJZSjwMNpEWaasGUVyryYdZBIpyKrwVi', 'LWbOqaIiIsBbmsdPacGdGJgOSRypOItwIPyOlRJNLLxwpleKksIKiJLDMwfxBhLYHwImMDqZEvwSJQVAWrhjXkjcDwErSa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TXryRhezmshkoEFjWMumpXrpfnwACLjJGeupAtaLEgXpknWwwCTdktVOGiTMvOhnRDuiqXOYQcwhMXxQJA',
      'togfTXNCELPuHZOsbSrQeVXwIxuyMXAfvKwtMUSzujHBFWSYGHhtAahjtMcGfjJefsOqZLi', TO_DATE('28-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iHWDYjIitbaUKYYKDIzKktIGgoFWTBicVdyNfWXUgAetJgDGJJbYvmMZJiiMgNYJvFYWZmjp', 'RZgkfjvPZIzUwtteAtlxR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pIrJQVyeXOhxoZlzGZwHKzBFhfpQQHIXXESPdRLUZPK',
      'hLKdiuvkxXYVddoxKppHBYubDGrUPnWGrogAIHetpEKPHliidyfnYvVAPdFZpQlRcztDwodBCDmEFUUwPMaHQhjTwUYaOgsrutJ',
      TO_DATE('29-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IYaivGXKQGjqywwrkCbNdIHNClDSvPBgtBeeStcIbZvSsJPQizswIrJIZ', 'oUDIHWtWNRxDJVbAcNRawdMQxIgnfrjKUrWnpmSNWLvKxxGgUcFhqVarvupjZvB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tyNRwmPUKXrtnIjdNslapQhcYPswFdbonDYkQpvOtxeEBBsOKiULdrCUK',
      'jcgHxVIeJuiDpAixpOCUKskNPWPvOJCKxmxBesJfacoXHIKOhwApgJeuhINUyhtBNhLtQXAM', TO_DATE('26-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IneIczydxcwivgzJqltKXrR', 'BWzeaGGMGSYmIILihPmhrWanXBzkdReomOGvSoRRYWTrlzPQgJyLyOEPloubmcBHILiISdgzvMNnhFR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jkIIxKhmZIWNnDzkmfMkRtvJbiUifosVqBSsBFCpqfdDDGitMgARfCUARmLVHuOboTUFodqVLAEBD',
      'kucyrfKOMokDLaaOHseNNhxcqqKzbkZGVyEZgFWvBjAH', TO_DATE('01-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OnlNLIftifmGFat', 'JLPkBtoxpvVDSBppmJCeJu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cWRITdGZQMnrHkfpSJMFXZUGjzZGRGtAfxthePajsCQmxQjQTKfuHGtoyfwugQDrtFjFQRdGvflOwlCbkeqHRQyFZhYQbiP',
      'IzwfVZEfwymUmsXUyAsxxJscNoywzmvphQLlHaIBrsdQnozxOgjEzBEYSPgXjHcxTdkHMzWKrAOVhHzSkWwETGObgTHUh',
      TO_DATE('20-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ulaWPQFOvhDppHzjeaXDJQwcEdmNlBTBsOkVyek', 'XWGJCnwYzuCzWsPXCKXOesuOAowbZtdylOERKxVudSQTPVtKvLjeyGsTKCmgfZtJdHfsyTUwGxuPwjCzfutNmuB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OisSyXJqhIpklHipcNVWwnbFaSujppZqoiNxHzfIjSlHXvEWhCXGYcXgEFdssBvcGHWzXT',
      'CbUHbMIpjBhjgvFzXTcHYGXvWGMBbFOOzNXVUjZNTIqtBOXdLZOKrNrGc', TO_DATE('25-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CBMvFiCWaaRJzWQnQqRHnQEDSjazDurnLezZirdArXiLcc', 'zsuMbNMKGVcyfRGXzbldbtrTYVDQTmyi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nPCWwtdaEPZzjcmFKQwzFgOhmRpJmsRntNAkDiqjHlktFUQdBbEaUiVFBLSRfOlaRDivlKJgxMFnmHUfZcuoCCxld',
      'CIVwbccdtOQPUHssQHWePRoxjhgWvAGwmwhNCAMqyDR', TO_DATE('06-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GKOsQcUVSfkjfakyoxpQlGXVDIMAkNQGENXAnEjNnecwbfgOwLAlHhgAWytbcElkxSVTr', 'vNIYdbhTzSNOEDRbicbweSLULwUOVM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sjXaLYksUuThyDfRpwxUPNJkkbyrwzksCdJNROjImflrvsgKHTfsKHAxVTrbvvpjhbdRiX',
      'ovnwdSWcUazilmltMEoeQNKMjDAFnTFSoaqDZc', TO_DATE('09-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mfjdjjCVGRhuII', 'xOJJnGkgtMhkInPzirssCmVbuytyOoIBxAXoNrKyUUXQnmPvdxzjtZeJffUtYCibioAppqjoZQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KjPKXfwXDlyXxYFXdFBepKoTTklJjfPihBvSpIydhLSdPgJRenthLNJUxgWr',
      'npzCyphNmYhvvtKrLkibmLENogFKJGxRLqMIQRoJZrYIUazNBB', TO_DATE('24-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mJOHJUcUgplOKtcNdExhrzndFaTbWWJcCtuQppSCNsNedvxTwCPGrBHIFbz', 'WqVaFPnvfeWixorqDazUzIoqfvYcjcoINhBIacSrkWymuJvOPxzCogTZhggHmjpckWnhhMMKfREWtRZDlgkdHKxwkBqfryd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EOTwHxSBGqNePaqAlxJGSwAVOpWqgkXFCrxrGmbnojiHpVIwCDrNfpjgZkFROsGcqXWsCqlvcOlDGYsjoYZjw',
      'ZYtxVNvtGtF', TO_DATE('23-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FaWATMgAWNnueINmetRJWiVfHUypxJeSfkHpEYJfmPFFmxYmLmuEcdEtjdBYgS', 'BqDE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nKXKXtHoCohGneOkhxNGzUfkHHfajbMGwlXcjBGzDISjPlLiuULPBOzGhLGAMXEuchafbKaVFWiWEBxAsldakSeYJcxxhqzJsem',
      'qckRurBGCCDykEyzDkgwQmCPvRMDAEjXvEVVEVmjS', TO_DATE('03-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SEiWJPavagoEenRDPwZyczVqRYKaDgWdqSFyaHyDcjuhNmnjzVDAuosHqpPEdkZslWZkjkqjbrfwxiWfcdTelynVW',
      'ldkJcIFgJRSCBVSGRUQTOMATnIldLDdsACtnOBPDXiXCdaGtLRybxGZlExzIXxSgfDvVWEECGUJlCYlWygJs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jlMcxCpSZCapSWQRFZgMvPwufLLLiSjirtIKqTfPYiucKsUmcLpZSfCbfOjZNGgfVKRr',
      'CPLTGlTPBpbHcTciumfzFlifmKQExOdYPEkzpQPbNgBAqYooQUVQfYwAXaECISZRPK', TO_DATE('24-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KkVigkeWkIrMyvssBBYttuMCZklCgwfhMZDjeRpAVBqoTHAcpnnzaeTTCACpmYdOXxDpqOXASaRVtCmrzobtYPqWEeb',
      'T'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fTMQHGeRLPpEuoJrmrLHkotvIpLEiRSzOlqvHuaHuhZQDKRTcqfHjDFDoLiQsBbhCktAyouoCOaFTXWlqseDWggALEVxBOdb',
      'PwoYapdgSzknQjHhIxWjIOdqrwHkBLjgouuPcNOfqnbioJXtIhOLxArOgYoHYWAUlulTqrsbxfCphMGKHqnwou',
      TO_DATE('24-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IgZyNeQosZdntKF', 'FmuvLUz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sccPvSWpElTloYfwQcmBURFaFzjoWjthTyGbmRBtshdQIEbhlCPmPiYiCFKzVGxwbtJ',
      'cTrLFxEdAWlLHgPGtjjiKjivWckZojOlpwDX', TO_DATE('08-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KcJKhHhAZdcOnEVXzwPSNyLgnUiWIMOFynLCXjlrpDzluLQoaEOQBrBdtZW', 'PQOvbMJaWSNyPSTOswwCdVbpTRrZKsYhvtbBCsDtxSjya'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OKRMO', 'AtiQLnxLk', TO_DATE('20-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gMjekaWQzS', 'glIYyBvWSJmfpGMDWqYXXapQinIucRZoEJUSVvlFvjbNiKaKASmhyokieKiqMWpJHT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HHfRmpueNAmlxepOGnXPpZnJaAoUHlVJMHSGANiPRjoAUehlSzhfjEffzmcMFzSJIqro',
      'qmNuKbdTInpYyBMauIOXVEjGjXbZiqRzyHHfflgCfBXfVqkMxkhxFuctDyMHjmSnhawuRdOejVjZIPSGA',
      TO_DATE('30-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Ixv', 'cXv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MPxHOQbkXAcClJJsGAMeWfMHpHbGqrjucQQjkbNTMOiefiKReQvTnPAudgmLjJPqWYJZFEhwUQwhlAjEmgccUKzIccmxqyPiERm',
      'ObUZmrSxOGeVykrRYNOonFBUqKAZwYaYfmuXFcgLKdwQsKQQXvfeCJDjDEwdmCRQoHgfwCKiKdnDLHTijEjpJEYGnaGIiZjwigq',
      TO_DATE('15-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cWJPJXvlRvuAbsiZQhbswECkSUEsorIUMlBRCVIVyGaOTkeIwHnyZrLqONWIUkdhOg', 'yVmqqWFHOSNVrVOuRJprCpeLViQYR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DmnJgPGDQBBdJDfqqPWDcrZjGUApFqqzihetOjLutqFYDcQLnrfFEivakuArkgyxhIwdjEWbbIzXzGuKCbNPzGACnbKEvKnfZxlZ',
      'aIxkpfKewMxwEYNqgybiJzvviijzv', TO_DATE('18-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XUAHNOPOqnAmMqZQWlbCQMiSuslRiVttdgZCBKPwWtFqyRASHmMPClFkDktsGxaJLDZCpKMIfowtoSTlRasvVcXqvxjLOwX',
      'iLDktYTtAgUdLpCkaMRyKewOYkJHUJsbzoaHGwKpKltzFbnZrMWaaBewItVaHQZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XJkNjTiDpnTsnnXatWkVuUblynBgflx', 'PjJjQIANcMBYtyypaovczhLHLTKGtFQVBTItkFHZjAPWvcQBMxQTPonxrtHprAtgIKSZXprYsoz',
      TO_DATE('21-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JhpYusNkePbHgdp', 'ZVptPCxCPvlbQXKOliCoztAEodOMLeTXkzOagIyzhAZXZZQmViatjyJWwYvyHbUUakXEayxxAxeMKIRShlJHfTPWpBomuprcbCrS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lWnuYo', 'gwVQiUDtFImeoHblUHUsIhacnKAnheklVjGPBiEWpUxoiplTGZBqdMegRxeWdAIVQfrDDymBRqttsZirwbkxX',
      TO_DATE('25-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'InecwFoil', 'yjjUFqaLqvoZjyrjwlSQjjmilSdMRvYZOqoMgLotrvINqVPmWDMtwpkuBYMlrzhDrzFPX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'htXp', 'ihlPOTmHJdS', TO_DATE('26-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iQENhqXntLkjJwGBSoUaGzyeFqyLLfLPJbAQlWYocnpRjMnXGlxRWlNdQMsJbuDZmkzyusanU',
      'fOQaZxT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DWeJV', 'nmnrHDKpIdslroxjMlzZtpCSgzTgwhPiSCObGPWsdOoDewUtSrxrGuJKgwnSmwFnBgVyanpVxmSgKzhXdGkUKTrozUVuXMyxZor',
      TO_DATE('12-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CgQzSlKOPicPDHJGgvLraseWrIdUI', 'joIpoUNuQOLrraZrFoqaIkrFUzMvChphmGVKSDvWFHffiDOYjkXoGJMyMwmevVDzDA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eBhlqhDNPcduHoOaEmwNuMASLpkCUFOxISDInsPMgybmbbduLMmvlaKcjufElIKP',
      'QOYUojnMevSswmCJmxgDofrkIOSTLMFWZTBedbvJFQigHofhbMT', TO_DATE('15-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vCrlqOICnKTWLvDupbzqjldDSLNiquOxUvCheAQutdpbcTx', 'QAgpAanoXBBxBfSJZPUitmPpMlELo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FTkk', 'YADidvsgDhbugVmmduXjyttZRODErnAtuNJnvSYwlTMZFSxNQlOVds',
      TO_DATE('20-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WhAFgPItjhSnvk', 'xxkfbWopUodwOgdrOlabkCPQlbBBdKSvPzlFAURiTpszfzCnTbJfNfhjljEXnUNyioCkUapZwXVLGZKXJnXunlulLUqjnCb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NDQnzLeMTqkkunoafbKvBjhwODIXrdpJrFRHMh', 'WYfsVXRCNoHnftSdRYRJybCLCxycfYkhtOPpTHwjJCYyHlJ',
      TO_DATE('02-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QpiqQWPFTZjosYxbrrAmGKRcJLvvrTAjHNbTZexDBGGvtZjqpFbbNI', 'zIwVbUHcW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZJxVELNUGUNwnALauXhPfiMuWIWKZj', 'EKKGWatZemYtljgpNeIkkpXzvYTVOQrJJvyFgIPzcyXurF',
      TO_DATE('25-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'pPvCbcwPPfTxjPOjdrTqIsLGgpbNDFHPteIBwxnzRSINHYAfsTSdRUYUSYgBFwVdLjPrYwSFhSTskIHYHSFzALq',
      'tPOPZjELN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gBaFOaNjEVTXpVRBXPixMVtwppgSqNKXZenbRYDuMxtPuRzRCDcwpzT',
      'hKcWCGHnonPITpMzQtWYMPReMgABrOhZkugnvshlFLrICGIrf', TO_DATE('19-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IMbwxJQsZyHalYbTKuYqzLMxjZZOloAxrKEGjHedpcBuPHZzTosDBPrGxcuEQivUxSMeGRNzukBCwvUTyGapact',
      'HPHzFOEdonwltRpRJOabNAOzoppiKsJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YkUvinGeqWBgvvaCBxCAkLnhCRnpLiewGQAPYiKTYWvQqFSlvTqtOhCZirJgLSlBFXlPskFekMLm',
      'aAvODtMIpUIgBXxIsYxkriplftxtRYVeiFLUzrEKYYTeJkwtDhzZvprKQNviLQntrFoRvQsnULSzLBoOsuOFfr',
      TO_DATE('21-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cMZMOPZDObQcDUoiXUQOEQFZieigqI', 'CeVYQdWBMKqWpNmMNiRZYwElntDjTXZewAvVNXuxsXIhfEPsiClweJYmwkrOMoNGvHagaoaoHHMZdIRrpEfDEMQmQgMQZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'vvKRGoKVsENvSGonNAELTaEMjbSJRAiqxpUPaDLteCwKrIUYuRECINdDyaqOVeQyZGbBcMqKORFFRCuwpGLVsVEjOOuIuFPl',
      'YTKVcWHVsIWzIvZRCZADKQoGCXjcMlGzwNENZcsyactKHZVhxatuDHFiCWwsvBhWZp', TO_DATE('27-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZyoEhusJzcHvWEWJSkzwwBGGbGZMoEYiigjMwQ', 'fMiMRQgVFTQbLDnrstHwUwfCTWbEEmBwdnSLwoZgQCoTczpUkTYVvKMCFICVkXwxIswiQJbbXTZOpqPVByQRZGSDpsJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mAedokSrznojaBgZqKXWWhFbpYNCRHSwjyXaWXXoHeP',
      'ORBaUxAyTpVVWxnndywqyPWgfSLlDAiOx', TO_DATE('15-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SnRBaDtBbOqrADunyfPoQJOyKHcswdb', 'YuEzRySoLrXTmLeOrisLxWIcDGiF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FEYCruwoSPsReXvvOpROdCMSSawtSbsvtHRtXvyREAmllJJyNTkVAjRaZT',
      'IzTnTbpQRdtYUmPqfmTLSxTysSjZNMgyFynaTioZykfapWJFeUurH', TO_DATE('27-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kUFknjEYRKcoSLNjMuRTwXTUFOxQuSLKZMmZXYBudGQcowPeQFNqxhgDWPnfItkZjmLqmzLQqGLlc',
      'kI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WldcdmFUNezmLbZuBbBhTDFEtvPtwwwhvAsJolZnyQFmwNtLqKUYJ',
      'WfIeVsstkfoNFFKrNRErISJAlxdZpAOlRuguXoKAWBrmWsBMqrZDm', TO_DATE('14-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JuYssKWkMFCecfWdlUIzHJasXAFWRddLUrXfZUCx', 'QjRRUtQBUVvpISqBmZnFCMaWbqaOkD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wCfKkWyKMEiEGcIzYXrnnYLMXGMwRvgOfrpxTOfvAdsOWCiNUHtXKCJYn',
      'mTvcmBwbJNZUwOoaVXVNyBOxnyjhYDwEOdPIIUnmxZCIskLKlUKhrrThCpSZxA', TO_DATE('26-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VuNuZJVuZRFRmsIlycxJnUqDeHehaedBcQCfEXwAquAmSjNDSopWa', 'yWisYdfwEEAyfLzyCeVpuYNLOvNOsXvdPUhLYTgLtTjrwUAGxrDeNgYtUPyhlKiOfeOyDVzTpo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sAEBRjMVMzdGbJlMVwccYDtOYjXjnlZofYWqnbRAoGspaucdKZMZTaYMftUbUYjYQcysgeWNMMIlFmSldsuLvNVOK',
      'ahXTNPIFVEBOEMoVlYpdKno', TO_DATE('19-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NPgNyQmPbPPYaSbDisQtPqWlK', 'SgCEUccHPcnfGjicvLNatWOzaUHchqYEtNkTjxkAlipwexRkIgOoic'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mMQiCPlChjUEyyrzViZnkNTatuUfLJihNvNpjpMCpYlYuVaUbQeNqSCYCLEdLsPNXRnlOQyfLuqwPvz',
      'IBAbcxWrpRzywIkxXsXQMNQN', TO_DATE('26-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rSBaAXwearKkzSoKreWeZKLSDrnDLypqFinfDDDnzvdwzYZFaoWcEFXvRrUaBJsuMpcCpplsrmNcpIUVarFLFbp',
      'nkNLcNPPeMiDFTjzPwROCYUypPPpEEpncEnqXEqykJXBLkDUvOtGvTqdaRkoySOWXvK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iqxG', 'iboAUnoalhLpmaWoLwjeHjvgZyIwXPRrBKyrxmqNZj',
      TO_DATE('04-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GYPCfItEuZLUjudxugZTXuadwRKIRscflKymeLiHSsrtzEAFsEllXCCRQxvmWxCIxyCZBCygy',
      'iEvgJJUKDAdCyegymNgTlacJxAbrIqwCgLoN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cdOeBLGuEdMBIcALjEjpjlaRnfJaKvjnyvNSuQuVwfgnyaeAwnovPzYKnARFtNRcdwtnbBSRr',
      'agrFERzguvuyFLbutNQKeFYrOgk', TO_DATE('01-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mBAtSYDcdBZDXSrYmGNWPqjnaevlrblMnjaWCbe', 'sxKqGDyvsOZbffOtbFeFlFaHeCApIfZzFQFQgFxcpMzjpYweJw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yreiIitIahnBQHnLbruxOgVSTRLhbtSDbaiFplTlBUHditqZkjIftuAAJxnlcAJboyogMObgFuRwjjmffonbaJnJpsnVcAp',
      'KsMOvrqLHPLkbNavACnSpvmYjPgzSWRfZIdyGsfvw', TO_DATE('23-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hEqbjBrBuxWrQUxBxvBUOtbZPkeoWeaqpDwohhbKHZqZevOdmMmjEEWduKgAhcWnHFOWNgKgJTmfjaaxqhOYrnPyXgS',
      'JjnmkVXKdtjhDOtCjtnmRhDFDyOuqGlePCUJPPCVmlkLUYpvAPAiXOEntaHJEGgQpEk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'egNOHZzdCQgNhbZATEbLoGKwylIEIzejCkixkSYXVLVLirCuGkcZXkZdBCpmNufivElOaQxcpFIMEENggXFcWtIxLAiXXQF',
      'CipFZqHatNcCXsEZjELsmgdqUcfKKglVhbJmaBURkUCwFfiMfMbfxtpdOeGNY', TO_DATE('06-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MMSZGVYzePPOTCVHFfJhathxKhbFDqbiavgELGdYLWuIGTXzCltYiylzJVGDUPNAsR', 'BUoEzQlyuHqgPPheDGrNhPTSbtzoimMOoxgDuTxzoOrOu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XgwnKLOlIXyDsnDrURlzZIsx', 'VgE', TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IGltTBOCEufhTLIyEZowUBMEllWceeQRkOlwUZROyHrfxUiUzezrwsHUdkEJjCAgraMLgqcfdiIOyWgY',
      'RLqpwdGZyTZQNLISmWNPQNAMYWNsazkbbutYevaCxqMzuiTkhzQUjzwcGIAsCo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DExqLEMRRWhHhOlzfncJ', 'OOCsuDJVfNRyDEUxBwxKsaJhkYPxoCSQzUdgDrfoFwcCiERLKOCUhGPglISjCKKVwHRqtiztATVPWqxAM',
      TO_DATE('11-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SiD', 'zPzLpYrdQqxJgbMiFxXxVYhzjkrjkOzaqUeQHtbDZnpNYCSmNZEnElAkfeknYFodysGSWBvWmamrNOUWxlDKbvBqpUHTo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hcBtjMXPokcmoOupxcjqodqxaXnVTKSofGFvupQnwnyEChpDGmRtTnBLgLBMIZzwOendCKSQMhKMxeVVikJfruwDuSA',
      'uOzFKiHBpaPjPPTsmWNBWcYsSwRBNFPNwLhyIOosdGgIDfBmzdEzsZoQNxZfoCECQojGiqWlMJoarlCNVd',
      TO_DATE('04-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gJXVcHNqOUzxxMqOtuKDpStZfkNJzAQSydUNFAYizICmTQkTmsfnRQxCLyBKYfBNfnRxRYgDhssKyrRhXIMmfsOpmg',
      'hzmmHJKYAjWrydwSsdkSPegxVQZTQtNcUvHmzSe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fjCBRdckxrXAXe', 'tEGAUM', TO_DATE('01-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hrYupGWlHFVpJiwfXteZnPStLfYAOYuhMQxsk', 'wmNEuQKtKkjSrzYrbSBisMcOrjZjmgPQkumxyATPGICTgCKpFNmXCeTTvOxsTJKnOXgrupogTExwBQJChVxWZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JRDEs', 'tyRpwiLlbHTOYhyBSNOliwIWvYuGSggyLTOTAqplMlnWZNzgmgleUe',
      TO_DATE('25-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TofzZvZrFxEifcILuZ', 'XQAgOosDnfOsVgujRvaxhAitwHlFHnkHuKcaNKVhlUFYfDHcRFlKHSbqOWVP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'aMlQJlvcAOYvQjuiaGajHxbawTEQbfEZubaTEKjuBZiOboaKggVEFaqIbXpfXrqETpCOnJRHIeSRL',
      'kGGdxoFxssCdZMEEpsmfmiPqZRSPM', TO_DATE('27-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OTcmWPiUwnLgElcCaihZPdDvL', 'iOHTIkmLwTAdUiPRKoxMdsbsPPTwGTkaqiWQEROeCzgNLmeIthvkTlxEuRaNhHcoThFksVitfosQAjekvghvkQHXDHHqkmdTe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'deCbiEmRQIhXAcMbMKWxqpBQxpbDjtglaSRoZJZfsMTjtDfwwhOQkQXdhVGyCuRehDLDLevMylxDYuGUVHLCfkQio',
      'oRTxuuiJRYcKWZIANyROpqoYVjLsAIoIMCUlYGreiasDOkUddnmjSLSzprhpuCjCjyCCYGBfOQnsmRZuxXXxljZgngOcXIfUIBY',
      TO_DATE('22-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KbeFWkgqhzqtrvJbDyTwAnjoLRTnJYbIMxkJPuJzquuSHRk', 'OBwkoLkxZTEEpRsSHnrayHujcsRmpFeDfRGmRtINceeoMlDBwbWkYBjsWHKfaOGFEhsoHHILEmXzu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CwKxNGxwIOdIPpNlA', 'TbApCKBreVITryHQEIYXOXaGTsBZGNNsyDXsoXzDadwnbnAYgeGwyJGcHMQCNnuSLLRyercsaBzzlaXKbNzfZXGtuQdQXApVqZbG',
      TO_DATE('10-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aOvvFiBMowQgANjnbfeGPvhDZXJJj', 'IwO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TJoQeDcxGGLQxqDenPgVGytDpEPCbRJiRtqaXJzUHiEPBsoG',
      'zLGZiUbycdTQDBLVmoSxFjFCpKePSFeACVwdTMmSZdmkdFDmjWMCscwgUMwWhpSikWCWhqlYkGHEzThfrZfpEHmDeoRhv',
      TO_DATE('09-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SXwDlAuZXIHDNZgeiXDcDySlVGUrEiLFDiZBEUbnzSftIwMWVPQuTQqowgKWxRZTCjEvVyhDUPRvVCjBsIchgmGUQKkIETBOcD',
      'kDoeZgJDQiBJpfVLmXLqpLdsYMEXZtNIVPqISxIgFTLqqjEwIwVynBdlGJmfchliWazPLuQLzeyAHyQxnwSToDdSxLuhB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'raQBQebcRYKGOVaHuaHjYLZujpbBRhJXzendHqtWjrtvZToNYrJScA',
      'VaFcjEtALhwcjuttEmjMkqxgzvCzeMWWgYWgoSPAtMykvjItwwiMtXysnDcYS', TO_DATE('24-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'txOJzkPkvseAjtAXfIQfJqeWaMbsZcImTSuEnNroEL', 'KiXqUlOIHWeEXXjHbgsWG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pbfqiUAqKtWHOJnETEZTdUkEgVhPUJCnMPACxRCANikcMAqLuoUuwXTWXELWuNlXsgfsKovgoeEnnxPlJUTZX',
      'DfmRNugqOsVEgnMazVuHNddRDNujDGBuIRYnZdBdVeKjQrjygZAVfoSqiOwBIuyaMbbOAZ', TO_DATE('23-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NGYbakZxdVVwnWjbvircBQGjXkkgsvfLdhLrdUqUVmUuLeHYuQ', 'dTxztsdPguJcqCPhIxJCdxRAEZsiiPJHSALMldkPDLGRUdwmFfYoOjFxiEbrkSvIhqmtElLlnBohS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OSTIZjcOrsukhUCiivhmjSEGoJNELdKvFhwZPROBZPXoKCQAGWLBDkMPfAYMvPrhdcRNOBmwoEKBVSUVyovE',
      'LFDWObuGleBlRFFtmCTRBlIZimBsgNkytgycXkDeBXNqXbbghBqeEZwudyaaBiyzcbDs', TO_DATE('20-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vyUTzqaqREaspQvIbHxcZOJqGDySRCyleyxyzGEhJyofsXrF', 'TlMwlNzDJZuRoaNTtENWZzEErnIbJmWsHoLMEq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pItPoKNbymWKEktCuWizlmddlQIMCprrjcYHtgmSmdnLytPtuXjXZTPZvkMakK',
      'lHkdWkfrOZfJzMqKIoqlikqEXakrrxhTZrKZfxqezOLIzuUxlXqVjrFxvZhmTZVCAVSlieqoGIGfZIEHCbJzIfgQo',
      TO_DATE('09-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bqjfhOsBbfIrqDMgfwswyKkqbRzUMrwexhJFKvRLUjFJUGHGwzOeluiZqoQAoitPrlZfowVwaAaGXdmWFQhgjGpMVwP',
      'IlaY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jBImarczNOfefBjYJrPkvYdSIBbDiCPVczTOtNBbTbIYWPMPntIWfzIFIKKwKTLbyAYeNQfrnNRpSprFDS',
      'VBVToxPRARbNBZCdZEvvkk', TO_DATE('05-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cGVmpSL', 'vMOEStfqTnTxXCpdpsCjKRQwDAspaeYVdHEctiZGIBySnCvLgPXTejbGQxCLgjOyOaOYgW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qzHtEvuluJpdVPoJlXiRhCYexpPgihJtgSdNQgcCDMfRkPqnNqhEuGmGRmdxypTXYQRgMeeGKgOGvbZ',
      'EADABfcNiRrfCukNezvUwdEsgzOZgkFzwyskijbqcQwyeZswPAqHwmgITUSKqepdVnoaISKmLeMlLHHax',
      TO_DATE('07-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EvuveLHBXZRzavpljNOVlxtUBoFWiFJkMeSKFynmrJJZPIonVvOonepMaDuCAlSldvVCwyqIYuGIJHYoBsIqJvHYJMGZFWxwIcdJ',
      'TFOiIhJMmWjPyyuwwZqhIpImYNoorJtftzVbWwMfNbOBOZPwYQVbUXSxPtuRsdMQBwJdIXOKdATNLgLZXfIORPsGd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xpxLyYfaYgG', 'uYRJhKJrwlYfPKzmGXcEZpWBHabGjgGPLurcLTNnxsawHMRxYUAxHGiTnWAtwImLcapErHUMKDgjpIqeLMwHjALm',
      TO_DATE('04-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oGgbBUZglCEIrbhImZCTyGyPHwQgjxpPJmvQHNYEIzoFscBJwlKQcrxCfmGOYjfIlILzjZUSeOtaCeyGzHriLsyENknmHmrVaXf',
      'DLRWfmZDOTpFBzxZKNDRXQncaYVOZcqsiAzMDjyVRrgzYHAMgPiJBsvPfMCPGCElcFNhGxhSijYAa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nKfhsmhYbWgHCoOeGhIUngMrcEYmpWqLQtBPwYtgyalPPOoKqxBRHEHGJBlppySJimoVBavgBs',
      'lCftHOvSnYYYVmvcUcdyWOJtlrgxzJwgiMWDSYlWJzBLvBpLkMpiCHMJDQNQWqF', TO_DATE('23-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CeYFzcjEAkPSEzdRJpEjNnncoPnAlxTNppTTzccQmFfoWaTYIpAvfDojerhktUeNGlTbxaVtbpiXdixTA',
      'EKqyNNfnVrclNdztQrPCVrpqxpvwLvEJzcVmUicydKIsgWAUHJTDxSTCEXpTFolwJjsWgqsurbEZlpCcIAmBBBLxsuulGTRluG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xSkslAFdLDOTIcXhNVHlEzzwdhEwOyGSrtYQRGldACgLpuSOyoZZLHBMJUiWoyvjGBiMwehS',
      'bHmGqGIYoAHlrLMpfesXCtakcKOYJhAOIJEIJQPBUhjRLOfXxzXcHYhaHwqTICVOyCHttS', TO_DATE('19-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VDdicPEwmVxWGsTOjUABzbmDULTFqdXecdqfsYkODMLEawxKmHlxZBfJeGPtqTqUDwbGlVqfAMsJRiXubptEDGAAgcORylWP',
      'qKrqrCQgopCmMeQAgfTTkqgYDbZwrVbUTjOiVXzfBYDgakCvkabgqYvtYwaFUyuSYPiIeOJXlFneQqVMWo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yelxiBlDBrYsUDfMlZjqDOqzoIOMWNtLqMx', 'GOvfMIJaJRNgWxrqPVOuMgYHkVALDDdCVpLdsIAGMYpBzm',
      TO_DATE('15-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'anuZgNQAebMlAxpiaXemHCqosxhOQbcoFNFdMUgEfxDPkMEofCwUULuvMNAd', 'upmhWhtMcEbYxtTezYc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'e', 'UinCnaxRSdBDBVgIUrZubutqIRhFKUTcrztAiAVqtBwjwpEUcE',
      TO_DATE('02-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kmuEXKt', 'kLByTAvWbNZqecGFLnyLlAQnMtDlEdUiRnYBtqGIuEitpMFZcuiHzEXYBEPsXxWRTYZNdnrlXRRGFbFdslrsSZYJwzkwore'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'anyZMvmJcWgrJuvazjYRKqMEpVrAbB', 'LjjnRMjUNoyxMmMVgKRHNaTURNiNUDyGloowpKAmLOKTYWBTYOvPZTmF',
      TO_DATE('06-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'urlNjFDrBnDwSVLdYCKweNEOhzlAgjbLooRPHk', 'filNaIKPeuk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OZbpTUeFOKzTvnCKJkextrUblUjUIKZQNFaEuagFJ',
      'quidGzJuPwKvPHIOFpaupucAOKORFkjXZ', TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ktdjoYLZnDzVITvFbtSdtxnpLUzunjuEGLvrtHkMIfGFInFXyYMkkoCPDfUhyIRzczaErloGwBoG',
      'gvYxiFhBWDcN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cKLhoHdpUEnbFfKdooRvURPrIRVoocbvPGzoPfzVPHLlabPwZUXnGkCGJUcz',
      'XWFidprvdPmSnZEjZDYujpszHRbjyjtgKvjtFwQGVPxMlFxAOppFzJLtsIZKfoDiGoAps', TO_DATE('07-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VspDiikYeoqVZsnPVHYyFxUADJdHPgNVrEdSLLKKevwDg', 'SEKbFVzguadNSvEEvqzfikGMydtOGwGMoOFwiOHZIUmzzTniRpdXkuPoeudltHnbIMynuMpRclVwetSrwTfJkaEGIi'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fYqhQSEZnNrP', 'vEmuqfBCKytFRtHVwtycnhDPQbphQLfDtwkPjKdHQtiri',
      TO_DATE('19-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MioUMgBZjODfxaVqHhrd', 'TiZolrDwOPQHtyDLvYiXUnKlADpDUiGdLXOPchNxrhnWTJDUBRHmqqUMXldBljpeoGiSarBTVWkHmKXzBSsdzkl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FaDQrnUzcxcJMUdueJjyAttQdPNmkJllRtPxqdASzRTOCQpsPeQkbfbcFaCUnNIPXizBUpFuX',
      'muTyxGqKfrsCZtEPfOwpyzwCSiRvxmQCKnCVOWGcxNfPrKLxKOdTwhiVJjpX', TO_DATE('07-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IHEqerqgXBizXJj', 'KqzyTuJHXeewPpwCycHNEHnHVbhNdhpRweCcQjXMvtzPfzyIgknPJXTbfZeWsukxtBPnoFWuAdJGpiVjxEQUQBxWkgBL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TwivyDlnNSginMVXqFAIaaAxYDWRLSuKElCoCvmPEelGjdjgpIsmKtZULaHKJLRsBRGGFrfstka',
      'hQVDHTEHTXKchF', TO_DATE('06-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OFsHlgmbnABldN', 'jteFDYKjjvCyBWawGTlRAveSqZtYaaBAPbTYOJijjQHulJudBwquPIdlTtR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MYEcgWlCnOEUhamGCSLUYhBAoihtqBZgAsUefVKVVpTEAHvzknvOstTvQFUuGndbbcaDFQf',
      'yUCXjbCNrgswgybJFsGPzaqpoatUnuRFAHYogGUsgcbbJNbhWqDVjDjfxMVOOcmLnncuvKqXReK',
      TO_DATE('08-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PbRHkKwEfeIeKNVqEmgbptKvsQSNNZzlFXesVPpmLRapFzthCEPgdKaBiEIhtRhfQwBkvHOGnBJAejkdqddFR',
      'OTLAqvISNcQOIhNxZRfqhoTHMUgUMQjUcLbhkDntkkeIqFe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bKGtfdRHMOKRwggVlojkkxOOoBAoAQZrPmVskNEAcPaOjrqUCMvrXpfzcnYZKWV',
      'RVxDrGTLNRVfwHbxYtSpvkkEIUSMOJXRqLygVHva', TO_DATE('13-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'sIGpsaSzuXLQMkSCATzwiGlWdnEbyasMWwmSYxuRmjHzGBCHgzJSAfFfMaFIahk', 'wLiAdENrLokGlZiEboDfTwPmvwKgpuFRGjGptC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sViPWjSRMqpG', 'EittoEbzLLqdThOdbVDZhFVTaefEsFoNIEQumwpnNCdqCLROil',
      TO_DATE('18-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'NJIOVtXGtzePjXWfQlIhrEvmWLLEIZuHn', 'WduQMNPKFqwlrmcGXlPQaJyIbJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'trfoznmyKiGYBkE', 'yBzJqUZKctmDibOJMIrFxFxajGwuAUAZqYYMvg',
      TO_DATE('31-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LsizPVrcEYuCbPsyMchwxejMhhnmVqzhnKLCvaLVg', 'OEkxtRGETByszhcASSyieDJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TFrYmbZCboLLTMKcTYjFMXlZqZvccCBONtaczZiQdcVZklsBcOyeZVMlewvnVwXffbDQnqdtUixsGrRnLkJFEeHomPgyugzzP',
      'akOBMUQlACuFggUcKZjAppezVuHghZbdvgEqjnr', TO_DATE('05-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GmTjaUOsQkGzkp', 'pGiAsQRpjLZkuGphpcSbjMDfcFuoGTEKTLjgocoSO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'owtslpcgsRcQlXswrTGVssjwJibZRuroaKbRGvhEMfrFJkIKp',
      'WGCXpTTVsfPCjQHtiFfRAthQvSzzmqtTqTSjZPhfdyDdfdbzKqjCezWQBLEYtrMmNMpysZBUzewTNPNzTtvBpyigThHwLYCW',
      TO_DATE('23-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'bhrdBbBjjIaAlMBNYOkcVTszmvNrNRFvBcDZMmAzPXhJrNkaNdiwKDPboCFSboqdhKTy', 'xEpEKiU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mCPeqktADhTwCGHYoksvWEXYOxEYmyhzKErpvnUY', 'VjbpwkjgdfYJVmAbtjmSsVOAjYGuemXsfXCsQJathaeImlcqmAPekfHdFwSlwDfntebgRrQiWQYWsTKOWsqcuyNtDkdx',
      TO_DATE('29-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LERCuDWbytqZeiDMnQKjCURTFZoTxnDsqgWdojYPsOVtFXyomLuAgKRsXMxpbUeoziMNiAOHVpyMBfd',
      'DrHAHaUxCGKEjTHIOloHpzfavOQRwKQOEZNYYTUEOPdBhwWwQQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JNhbHea', 'QfRxxwRJTWTWVIteDlPIzUViIqbRtJMUNZCVFxfIkzfPBCagSXefDxEiecSXRvYqNXOT',
      TO_DATE('31-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qLGoaTxsQQNSjkkQmdLPYFRBHXwOiMhjAeWOSesRhhPLGJRocZWVQnIdxjcoNEAxUQKxflleQESKpAVFmkZAVWK',
      'mSjsM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'wCPNLVeWlQV', 'WYFxSvWvmFvtRCIybdpeRDGkizisHmTgUaAKELgaJmSu',
      TO_DATE('15-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wtUDEKmadIGANeiKlNeOA', 'ACogEeHSodlPiUnNaYMMjFTckMGjoLQHcAoSEqIzOMkRslWyhqjVItgfORUfhCxdOnjKQCewrURnXucTqEVyYhAEa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'UNPHHDBDoEgcCSNKOyYSWExRrdsDkgie', 'rhxHzaMYEYJbEprdtFfPaVtRMUdkTRrMdOWolsOwZGLZXUIoCf',
      TO_DATE('11-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tPHFFlELLjSqSHuoDcFNomddyZCWWkRVZvnbpTSLOqvIHtmpIhbNknoOvNlSbmcwnvghRWomtRpVzJDThrkIyDYsdXoMaoMjKPeB',
      'AetoRlnnOqzAtgsIGBYMnERzSirRowfpsvAUnWzrQSHQhynfNxJYBElHTpCbmMki'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TPt', 'GdXfuGVxzxsHOAsDionbxaxMmYaTBIBivLmyQhasqfLAJpvJjVUwktSgLyRLnNgCbeXSLPqWDUhkHfbsjZwJKdgT',
      TO_DATE('26-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xKfcBwVgPWVyZDJaAXzaAegSOeISwdXJPWQubfogBLcXVyrJsgMlASEaZoZIMqJPnhpDHDHEfhc',
      'xXvCpuPCbTgLqQEWEHLeukLAqYnCcwkUboRJuHMbvtjeIYFquPePeQiNYHQF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JpFteqNZkiGHEAI', 'kclcwXDDqKASkOtxqFHyHxFniTboOKkbwBugDXlfLbEDKiCBlOJirSjxrhQq',
      TO_DATE('04-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nKEiDbwmNRVjiiPbWICyqwytbkhhaQEatSPmYQPKruoGNExmuTMJmysrgsaLSYgiyxxpe', 'SSCurYAvLEgfZFhTtdBqvTwJCoXtpbpVRmNTiyunizjVDFskhNk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'peE', 'fKqAySRTjWqwHfPlLekPbiUoLOjUMIAmCTHzEWmoWgzXqGCAbdvssGbPdLWKGTLQiJkdPwaasYNbToCInkVYeJO',
      TO_DATE('01-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DabyeFVLlbqXFavJInieJgwuCDsqHIXNjZZlAhjtnCmeExNKGnAlcX', 'lwsbDEurXBRdeFdPLWxJCtMnzwJHMEFwwLcAmRyVatMRqwaeteTicA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cIEZTkgiUsjKHTiJYiqMvGYOenKhMfzndeLkUMfSlCuOgWgsSxRHWqLxQwlCw',
      'AdWrbLFzgxLQlqtfwwFOmQdeqRyfEqQuqNIlkkaExDHDAPSLTPbzfirShnQPpWqeGieOEljfspTTNFFycqvWXfJkGXKSxsvnO',
      TO_DATE('30-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JAjmiQiQrvMQGQLNRMJuDiaxkXyHpVKIyvqyvKWlfJQzHGgJymleAhgzDrmyrCehCsuvgFUmAsTQABbem',
      'mXriteEVaJujARYJqcuRPJYabJEZBqOmtPpoJTnNxGUDGoUSxPPMEpIhNRgiOVHEXOw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DTdxCZjYVTHelUcdzfoQOCIDyyDkUEMrIrQTKtXPbWPXHNHplUQoohfyjrHmf',
      'tMaOLAxSyuYxDQHKpdyceoCYfWdjlnWplqpnFsWMlMuMxLsRXPzNfphwtwczHntbgWIaetsIbmfJCGdoskMgeEfSPVoQxl',
      TO_DATE('30-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IiJybMDHGjrbqUNcdLOiyLJenmdDLXYtWlPojpkjacINUmJitASRdGakgNsX', 'vqjfUmQObGXZTSYxPtHR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ywsPoVwaHXexyfLmzJQxLFKWjjWTAVXKYeUYgsPZybGrCACGhfSiam',
      'cQhIGjDsZNMswTklYIpIKwprTevpGQFYEPTalBvanzSfIcvVgkQmSMkNsnoknsNmxQvKkaISRWtprShdNiB',
      TO_DATE('06-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yCQxoMpHmiJMdfFWwftIfbHdvBkCZEwutLHh', 'wiTasDZbhozOMnKvjQAUeJrTYsGCmNATXjOiYoOGrndUHXm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ipLJy', 'RmyIoPccxJkBNMQgtMShdhwGxyHrToogUfHsituFksTzlYwZY',
      TO_DATE('18-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lCZRIzfmOzlvJTcjJHHwsnAZZnuIsKXHjDSuknhKxhYojGStMkeZcIfdIbSpEkxGivHLWKURcliNOfMUnYuLpIfedyVd',
      'DpYAvpiOgRyMIzDqycHvIptiMryrlDsEnRfQMBKMWETKtB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uQvNwQyfpaCrdCvqPxyDQbwLHPkDmSyNnzcaECbFYEhnZ',
      'LwnHONTdvxNQtinzshfWFtGAwobWqUftsfTYghPGBtLKYuDkWIqwSisibgtaAFipNvDKhFADHacEuSzn',
      TO_DATE('15-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'evsgBpRlqDJiLmomxWgmdNnVhXKKVbIRGIKBUtLePMZyrQCoEVfbRVZOnMLdYRtC', 'QvR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xtffiWlDNonciCCcnAmBxvnPwtgNOasfnNCXfNzyEDHYFPlDmyoPvaN',
      'FGxmYXKorisReCLPdNDfERbUlmjmQFMKipIBxpQmmzAbPIUgSQ', TO_DATE('08-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zpGzOs', 'avGURydveeHiXrBTJaBLzleQHPEveiVIQJeRltMJMaKUGtJfYGkSVXewRUdDZZzjSM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cCxxgSDicdiudLtBPBducsgZOeTVXWQeVLpAdkltFyjqgWOZvzHdaaHxhTsnXCHPEqTNkGu',
      'FYKzWxmsUcBQoCQQPMHVNQPLrsfrSleEGEPWsSBkv', TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AqjxznjafFpILlssuylevlPaziUJzQvMKLyVqGKYnRMjKIrqefl', 'VhWSCPqzkQOSsPKmFeCahPLOQyDauVdrfHryhGSnBochikPzrCPhqK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fUXikQYguHgSbDDNIOXJHnsbaVmhTgRvuvwIfDYJhHncIQCEGFpZvluIrklHLbnjndbtNI',
      'BaTsdNIFyUVuvENjQiORfeKIvWfstAiaeIDasDNvTpZmgiGGIde', TO_DATE('10-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oYNkJmWgugKFQqsfRQhVTgmdSSpbQMilOpUbyKewGRr', 'mcxWGtqGdvfwmwiJiGqfgtERkDTWkVtCcCZdVDXUILNMyhQtshtzBSZTn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WzaSEapOBUjiCkRwbJFbAnpzIgXuOJmThQVJQztTVnTElOWGFKqIYuuvsqJUEfcRxKQQxYRDLJZHhZbmquyiPljTrP',
      'GcaoznOgwTuleQjliZsqLshMIZpXstnTnlbOlYuNIMfgWihXJCbsFvdUocOJZJfduUVmPFYZflyEXZPfDYfnaODnrO',
      TO_DATE('21-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SrwXueInwtLZrOFwiKmjwxpZIMCJSafmuRnRdlBtsGARZTdyuwFHRMcTZuIqzxBUJrqDvWuM', 'wFcatTPMgwZyfHRz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MzrQjPHJHvwTVKGkGvtIjNALCjlEkKAoUhjPvHIXyaVOhXUnN',
      'jaPgYLISdLIEjoTrrGCZJlShAJgXLRrbXbzrZWv', TO_DATE('12-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OXCUcIwDjzlyVTNoqVLIZHYowhwHqRzPevnQUsgVPbinOwMg', 'hTkmjKLVTANRZWZZS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bwdbsbhOXxRGEeykJODkSjjxvcAoLzEuPnyZNONYLjtl',
      'FEBjTPWghGDKxSdsobTmCcxuFTvYxdOjXeuSZeiWHkesZmLjPiSIJlCPiiAFMcYiZIZWpEkiHntrIB',
      TO_DATE('25-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hYTfMPsSRyhalTncWHYuotBjiHlVYkqgZMUNoeCk', 'NSTzgOFvRdiXhFz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JynklbqnHnb', 'zMztMDYZftPRUEsXWPVqrkRLaKQPqbwoOdqybPDuQQF',
      TO_DATE('31-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AReEiDjSzhfZCdcsKnzqhyNzWWqFlQHpwuzXtHczdcZZrEVpArqYcfavBaUSHPBIiIHeCID', 'HylFbOYNjbwrDZBsTmHjJbmVBqLTntPgmpqRHkepTjBHadyVMJvBaiXHJwraIdkdvSfBMhoJoBS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MbGkbYXbZrUjLmaKzDICJqcMHwriOxvMLObEprDxaTKBWyOmsyqVA',
      'brAeaeIjocZSeSHGGposkplTAEyNtngGsvzejnqiWtXQuBYRaDYznHusBQFvQGIqMpotIHlKaOVybp',
      TO_DATE('25-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TbhthovdQwUtUfMoolPprcWMbgsoznmrrgFGQKvMbMhxumCCqkmSSEkfwPANqxTMilKgXKOGebUXwzUjJhZHjFufnsCf',
      'uUHcRlotTWQOqdaheiffsFVzjuztnTCNhYzBL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bYxrmGYhAZiNAUldwyZpZUdwiAPKzGtHbFiukOZWqFJWIesVXZjkYZDVzokAVzZodWmslwxntxxfWcbUSW',
      'IQtH', TO_DATE('29-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'iIEQxBQRKuLPDVNKLEIkzTHTtFUHHXBypgyBdAYWpPPzRwqeisUMKZzlF', 'kPosQeLbwnFEeUfrwdCkCkQyfTcGfiDeNVakgdcSmWfzqKeGWnUUtAonFVsbwfPQZJDzuEEHr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gEQQgBaXrxcEWoFfVbVcWzwxnHFylbEsYhHWrpxotFAuKfqOHUtn',
      'LQyXPWuwYApdEcBTQZcKEKLfcIGwLnDBkUJxUiYutRlYhxCidGBDIjMdbWVbezyjrPNtHOrBpNpyCnqOFr',
      TO_DATE('19-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kZCPcWrovZejyybKxImPxbRwWbxSiXCaib', 'SxfJp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BGTPYeMCHkxtSUSxFIVjDYQuBqpeSgyzljNpMNWWgMAwOIJIEuLoVqChwoYVoXxeUTO',
      'ZXqQUQuWjJIhZS', TO_DATE('10-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XPXKebQyaOqSNFNMMIPVxgXiqrcXfKvJuhhDiSOJskzOeulWLjzQcAdFwnzDyhYSyBEbYPCvmDPtbEISpzTZUCrKUeGmBsXwMEVc',
      'wmOsatJFCBcnOtZdgsDgkvaUHDoDEcBbvVfgnAVJvMdPUqEjzIsKqCwiufJmcRmcgttAhusTYTVUPJkt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JoarYvsmmkoqaihVOPKNjovKGRqOZUNQLzQwpRqp', 'PNbDTukbDWhGRLaawSDnAgqMMUewfzILnpAhmpwyloOabaJecmfkKngetyoM',
      TO_DATE('30-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SUVWVGgmyATsgYcmrKKXPuofipeEaMDLmBwPGjwYWMBWSnGJRViCuuxayZXkfBzduhbzqvcViEdsFISMBBfSlPQEAHFebXL',
      'DxAbxgSEegCukpQNhUEiTdiw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MSysJbDHsbvAAVqiRUAiPzlUMLgKDmujcqbeuWPTbvVTmyGFzxXBzowA',
      'UKtsXEHwpxLMTvtcqRSJuTfIumfoCNJGRWnLqNfkcKJcMlPtLyAEDetpMalPVWFhXNG', TO_DATE('12-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LOEVsMwbAzRtEckQpCfbbuEF', 'xYwhxLnGtHcJAjjjZMxKUNNepnboCHEHuSTRRelAQFuRhFMzdZvrHuTsTlPpUdOlUYNOOHhZnkDWqdlvhCaMHLcbHRjIYz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AsPOZtXhRPfdaghBSsQuCCvmeuXxNgSmosnNNBMOolLJTxfzayMrVb',
      'yeU', TO_DATE('29-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'oVhmLeJgdTwfskgdCzMFTdEcZMbCmJsIsNqbnndAfpFzkZesaj', 'eJrNCOIGSLmxrHcUvRkZglZBqbisRvPhwIMMqBBjtxrfRZfXGDYpErVnLUaINfFDVkDmDXnLdCXAjIPkTCCOjrPfuTdYiG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mNckgQMmxlXZcgMCgMlKyqGFmCqEeMnwMLcQJGdorQHcVCfMYAkAbQqvkwuOueqiwVDYMSiTMTdGvkRQQOYa',
      'GG', TO_DATE('13-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jhiIWQTzkvEkyPWzrsdVaIaPaRFghKNjfxmzQJgpJNyrOjleGmbzTbEIiLYIfREKZBdDFAl', 'SBnsVpzAiavGBQBdKXWzmLvTVlkPeXoJkdPsiPtswvYAEFuSLvyVyMEYjtfQXUdWPXLusLeLsIPJtMArpMLzqDgMTovdvAsKiHHB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'INuclNqGBgoABZFOdfTFdroouuJLXWRYlqghhaPGqfVAAJhOBUpxrOdRtKDHvrEAhdziNWsAJDPePStJzfOyleYqMfbHmgGP',
      'bNHzgJXcdLhnwWwOVsAiYBXBWXiLKxJAQhqexTgqRXKEiMUIOsWtqFbciWpFpRXkwgiCZfQqpxcAliFjYqeDBaIYHbgg',
      TO_DATE('25-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZezjGOnlEUgFahvADIvbuAjRqKDGXFfleZyOADtuUfnyKsqzmvqx', 'CsfDTtRWzMTthBgCJtvXkEltyHegcdDKtvXnLGXVZoZsAefcsXtsbwoEfoPXOAMEVhSCkDEdJhFGt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XmlVmlyNSFhiHfTORIEVpscDIysZQalUIaCzkAmwbcI',
      'cvNCyDFLBcuCtmaZcSOlsvaCUmwmQOjRiokKxviaaEspyDQimYdZyHkKLYKMFMQglak', TO_DATE('28-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hOGLfdvkfLsciKSnElsrgLXWDrfJkcpn', 'HaxZcWGfKMNAoWPxRMpgccPacpght'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'bGBBWesMXUNidNXanXXXOveArDMVwPzzLLWYyHRigVFKEgMncktfkbHQaZDXPLSugNDpEb',
      'EyhuVSDhvXYNgDowTUcPYrkzAQozIgKtHQfGxIBbAalfNbnIVanNTmRwzYHulBipwHxhjAMsVhrhyfvvaADAgmiWfjcJYBT',
      TO_DATE('13-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aODqHGeqJNidiUeFZVqDQNwEQMejxtYAEBivzYAWunqbYkQlzhKwYnEhgyWWpriyFsSjDKcINOrIxznEJoPjrQCvNowx',
      'nteTuQHZnQd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mDpANzPaaiCSulxzVgSxkMndMPLPCRDuaJbEILciaKcWQEKtBMXxwECEXwicqbPWjpVHdYERQoHFrcvRnwR',
      'IUQYdwUwBnwJfOVtsycQOnnofELRKpihofRMkglGNDGCTVCRSQzYJJMmFSfagCMDAkxIQMrSAVwMzYIvnYDJdFse',
      TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'p', 'osqjJBHbtS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IfGiOVwCxgBhXhkiYLZwsLYvivddoreJp', 'wrsJMlKcwXbziCDTMLWuBSBCEhSsCjNeAgQZXnvFXJCQfhVUDLl',
      TO_DATE('03-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MqTBOzOLKFn', 'DTJwVDIkgOGEzUiyQVquKZWLlfvGqkQqjsWkyOfScXevGcIoIvvEgQzJhIpy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'njsyEZqhljzdWfbVqkCxFFbxjCesBZDPsEPbXixAUoMzavYhbhwOoWBWvSN',
      'YnwzuFjgwsrkMuTojlkigwJAPxtRSYxGYHXtLlzMtXKEWctn', TO_DATE('25-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GFKZaLOmYHdLNjfGPObbBHYKOwfyBDVijIVXmKuNnTmFuquGcgtPooQHWynDRa', 'BdWoglLTtXVMuueFaOGxWifOHtXncydCBYSteECsJvYFJOlHqbuVGdaPPyurzAdAhlpmDzVrgXtOzMEFQQRL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FlKKoOSiNHLVKUkDyPHRmVGgEitbVPHbRBSYACczjXBSPWQemRcSIEBTPASCxrnquXiSpdoXSaCYACZZeLafbUNGPfOUama',
      'kBOrCfigxigtbJXGspiDHDyozhNqdnBePZWQPXiFiwqSOlCkvOpWjeVnAzZiBPjxfOjvmiyjw',
      TO_DATE('20-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'srYwyxsvqXZrfKotQUFrkdtPXaYRhXSfkRPOCpDSkaZxShAxUwCzNUvcukvpUywRoysGomOFAYdLnRGJ',
      'gxdGPfBVicOhQkzJeZfrPqXinnzwxcwERSTVoJlxiIdcEZhQiLHsSlfuUErSSGZxclejhcmEGdGvscVkDyEPMixUDAnkIDP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TsOOYmQBvKcqvClmxWXqEFcZAghywCGWYReFEXjnJx',
      'QRuoajMZcZOwhDnkAiXwHxaboGJxxQhTfqKtdPDyBDsfgCGZvyiUpBVkIGZSuxEJqIlwVFGhVjJUQcYJnnpeHZu',
      TO_DATE('18-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'aZgeheuBEjhrwhZFzqhJI', 'WdMvivqVxjDNjgHWHmQBqOoEXpHgSOYlbgVakRhUMwmwcaNFZfgEsGwYyzDrpvVAbQUHJMRCcEYsEJPHAf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EtQrEyoMWyAKqftspytxTlENjvQsdmuBqAeKMpXWGAmtjWAhRlEzESkSbYmIlKcEZmhQoarBnsmzPboSheiSjSdOxDgbJtfZabcq',
      'GOhNhIbaJEPcLWvBqtCnuBBbijyQxQkLqFLAJTInwHXDxZBqrgJbeDPjKMmdENCnnFJsIzxUkwEEekicUjtXmZxeXuOOlA',
      TO_DATE('09-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WhYogTtyoGYEAMdqsddYxQbbswMqnZTzCHBvrRnytJagf', 'VDyPhIiTHUceqppSKPLvvJmVnUoLGazldilNAXKluaiQBreKLllKmMonQEyhQKZawyxrvdOIDcRaU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VcVWtmjQonCijRiAMGMSDECAzWgPVZkhgjdWHqomGEqmmeJgFZGAsfpQbcimpbZebPIHaFBTjVvJesgxisheoVcSvUGFoQPrAObh',
      'oSBsqfRLJFWYoKLgiIEIppNtAIqhlcOpsEBIKlKFvArjGWEKvAS', TO_DATE('05-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dXFbeZxAiaMunuIZRuREyDWsB', 'RUGvrKVxZVOZaiWlGjyjdJIaLyirhsLQyWTMIwfoxdMQUNp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'xghSLAfBWc', 'weSHAfqAksrwFNqoBBSRjDRXLIQvngdXdluEdMGJBuqGRXeqSpHA',
      TO_DATE('19-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DUHsNffCfSOgijdkVeE', 'NksRkTFmCQskLNPYAHKtcTwgjSUbxHGeEXBNFBbPeZRxhyBdcKthTqBAkHjtXmxXZEgoNtxxCNFbFzES'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ySpscFjvRPSgtbTuDwwyONVCDJKGYfHBvfVExIXFXdcSEQEqsESwbsre',
      'CHnYXZBkzlMjTvTBC', TO_DATE('07-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'csrrCQttIOxowdZEkzStreqJJCzaZEbysnDmOMe', 'QrninLsxBGtmYSnldMZoCfKAqbppJsJnoaPQy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VpvYeVygjCucDtwTRTFODsKtbxJYQhVuqufaQZRSkGVTNBieNmgTuqaMyaIpdaKxSrMNOyxDwwdBoBruB',
      'wpRXysqnQNhFAVVNjeQinkwPFGNmhnoufaAkJAxgHMQBMUaXiGsWFsNXlDWQThkmBdSBipbOriIXDl',
      TO_DATE('10-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mRancnTggHtquYoNjSwDoJTxIaFrNclPwhDPEsDFHWDZIeUgFoILXgMp', 'JIC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'TDeRpjlrIEBoFXRSqWLMmuwzzfkvsuoRYm', 'YaKmckvGhzySfhKijLPGepVjfWVYjbzzYJdqxsnisorzIGehVpOPbFjEWGjefPTTZODzLidJJqYcYgeIxXYeqQrboEOxGLmXPUOE',
      TO_DATE('22-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'elLqoNCQNHyEICPGfuoRSpx', 'PJvevjzZjTBdVYWVsIqFnjjUqhxkuglUnILKljUvWDsgtyCWkuovkknEgMWohxZNjzlm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gBuZbTOjthjpWADHtEzMIifBiswRKdyDfALFHZDWAvaLxwMtWJnUALKOxlHpzpPwFgKfVbBPmTOTOCwPixQtLNnJDDtdip',
      'mWhYlbWwKC', TO_DATE('16-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qAdmOGsZjMMZkrLtXmSCXeRTSFLaTy', 'sQRuRxvTMDUBnlEimkBGfLZhlnSoZHeSRETqNfTIZTKMoNKAAXzNICVlMzqYHbtUwuOtuiKrREyKDPuCpGkGOGMmazd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YHmCZxKDCPOkAvnqdlJmsFETxSFquOOXRtanzrRcpITNmPoZbUFxkhGXlASmNVhJpcvcxjygXK',
      'aoAqDOMwNwiDpTriRbpZFWoO', TO_DATE('04-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CfyhrvgittaMiZppWgvCmckByohjgokOdBfsuZszEjfOKfLpqUGildRcXotOTCgirehccXwqLDAKOKFpyqQg',
      'kszdcYjQiNgtQnKzEMHXxFXyFFqUhRfGnrVNcWwRzwbuGqzYfXJGWqVNYgKHWdKwdZzuZLgdQEEHsVhYmlzTLBBItqqa'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YHVrvHQnBUDxIjFoimrTJGQYERcXQKjOLqhnBqNwwxlhGCGcKsGLcNOzA',
      'iknhalyrmVbynDhmmWcwHcMkiVBOQiCqocazNVjoXngaUeHwMWqFKZf', TO_DATE('27-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LBPBveIrtUtklHhtKQQSGKtWzMwQPhEORBoUXwLCOeqbXfccgSkSKqtxheuXUQRkDcfcDorVwPGSOOr',
      'hqYBOysxVdrxsznIGxHRFWHQuoDBEnSShTJYwDgakOwoNZdhifCxCuWjaxMBhXMI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'YQAtrKXHRGq', 'uMAGzvEegkUdJqGcqOgQWPuUTyRrPVxySrZEf',
      TO_DATE('23-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'hJACOxweBrvoyyeAmDczVhMDUBAjKwgOZWgVvuTofzTLMmTWGcVVfUkCEjFfxhZfZvKmqxgcpYZHxlLJqhfnx',
      'HshOOUaioPCnYLYVtNpoYaQzGstZOUHEvaOGGYibAqubEULUXVhWfvpCQdRiJBJsliDyDlDtpQKwFjSKpeqT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ORGiRcxoeWjJResXPTluZGxI', 'JcTKGEApHgsZObaMGjJOQCOBNpmRQuaMsbadgrGPgzoREKMDUZntRPHmaJXLGFogYN',
      TO_DATE('27-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yglTZCUdxeQSKwxQkZlQRPQfkXkwGA', 'QXRJdKhwivuSPILOILwOOpVmZsZAjDpuQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sODtkCKXjBBwgUJRCjnbpkNpVrhRT', 'QSvHnSwIRFEVEFxMcVUIezOjSprungNaYvhOfGSyPYWLxwlKmLljulPrldATLrWOCGhTzu',
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uPDlGCHXuapjdnRyzDoJhWjrmXbhlKgJSHYjWIMUqCjgPVXDadySuuLQWnuWfExJwCndtXpjDuwWGlDoYNvjEA',
      'qojUukR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eljypZIPTfHIEUlXkqYzVxZmmpzMQrVJGuxaeCARfxpmkiMxdntfxeXNShQ',
      'bprSHSPhrvtzmwfcewNZfdwabjCVXcPlRXYAWY', TO_DATE('15-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kaHEsrgqwBeWkfknKWSOvacqmzkxHfIRponSWKXNGvvUCkqDBkBiIVojtXvcxyeEMJpXIpCyjHpZXMS',
      'IfXGZrGmjDDZWCWOouhrJhwDvaqrdaxZZqvjRtevKIVeFWdPQOoBTlZRdPdZBQXTBryjuLrboMcZCTbpOhOPsDSOjWzEtaz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'otAlEcDyXZXbtXVPN', 'WebFljLIEauELqnDTyjvrwvxnCugIuZDXSTtkrhMWzKrwoySGTScSSNGEQntFfOlWCbBinAlzSdhJMLnUndVfaLjto',
      TO_DATE('21-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EMAKiOQLCaFbejynOfdQIET', 'Jumjl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'jqqiGQgMYBvBSoQOhpCbnUfOPRKONCwpVisvdkUnvkgPcWdwxyaMxLtWdl',
      'bKATjvjySVzWRSjrYPKiPqhYycAJwVWvKkXGVfY', TO_DATE('13-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UNxsiwvfoJHHpmeAvKoByoSNSGlrgTLYnOsnZeutGhcDGeJEAOirZcHFw', 'sbmcMlCpE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'rebmLRghrQKNnQxTxLpONcndOrFEqHFOMz', 'QfEhuCBeLriLlDEXtzgiAoEOcxairQqcmtnUaojGWQqAm',
      TO_DATE('13-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QPcNpVIBMKOvuwjyVQKdqCLViYuUZRpdbFjjNXfAUiLULPcrWKJG', 'oEOyVieltsdHUIQGDERfxtAwvhGgPQbBOKAtWJyfgfQNojmsblRz'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ofTPaCZzSocPruqKdyluEtBXoBvgGPaWgNKRGingZKHqgtQxgjkzNXyBHqPiatRwxEUlJznWMaGGiSTyytXLAonFLzfnvxe',
      'CjYSwqYozoG', TO_DATE('25-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EBNMcIhQAGUNqOzTEh', 'qieWbwaDZIZfCFweZFLwmnRriUIwhsPQIdFjBiofhE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CUpuZJvZwihUaYVBWy', 'gcHZcwPgOwxkaGrmhTeVhP',
      TO_DATE('20-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gdwSavBTcMZ', 'nzuQDrhKPfWHOvRgUkUeKDdBytbBceDWhmkTySDQyHkHSFsjKGBmlbYOlkyPbNXItYYalh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NhcmUWcvMdfiudMEzHPPluYxWRFBhjjYoAJeKhCMFGavSBWYcVGSijWCDIXSBrYzhimIDovO',
      'TFzNRsOVXDAnqHQrQNWcJgxuMTGgavmTzypOdGwykOco', TO_DATE('06-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fHLZXOiZwcMJPIvotFytKlLRbKhfbRtzyNuAVYjjVO', 'kGdWSsrYvjjKtTSPMFMdsgEHkOnJYaGdKxsDZXrMrhpnwjRHHKTFYGdiXSbFJcmVLtSUGxd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JiwPR', 'UkNZVrYiujrcbuUhpslRcZpyShHyhWzMOJwZPfOlXZBeDoUSjILJjXWSXJpvFQSxmJXRfnEjwxAvypFeqNZvpTlLfywDiupZz',
      TO_DATE('15-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BCORCAfvzAsudCCfwTIDPMlFqGvmyJyOaAVlrijNJoOIFOZIFoxHZoEwgQAMNlHKgVNFXzCJF',
      'SXbgnMyeIxATXiaLLGnsgFRHeDTifLNvloxOwzfMVKpjmGxmxmhxBBbeMzhTLvzyCqinbRyQNpSHezD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hVbuukuiOisDGJWLTmkMefkDBVNgmnIpddFvZuwGpyY',
      'RQSiVWhHqDzMassHNeWyHOLzLngMPTLymrvQcYOCAypcHmoLOZwrfLRjhMzctjCvFapfDOmNZsRwmCTsgmxPpHbn',
      TO_DATE('25-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tAoXqBuvPMVfmxvAiRwNlVHZAIoKcPIh', 'EmsPHmvmZlRGWwHhzxhlLlrSupmIKOGVsLtXYeADrFB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BubHnMoenGJICJrNXpSimkeIFbQenR', 'wNEULwDIIPMGgmnCICcsaMvqxVcALVmnwbnqFlLWyNnmFYLxsIKJUtjRtAUwfeWvBxxzMvrqIFHNVWWWotxRrOGFtiIWOBVhO',
      TO_DATE('29-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BMMMsIGpRpAPSWpGOHDYait', 'ZMrdZoajWHQTHEtbzKrGMrTpSjriJudYgvvRXTTgHZCWnIcBoZwHs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GonKHDOsiEzRWFsXjgxTrQcnYhMeqWBZLgaXIMQSLxsxgCdnbaYQGnsqLvFrjtFoNiqNeQxiuEg',
      'xnPaGRhlDndNuQxcdBDEzbeczrASpQRvXnYDVfgLICxgZuud', TO_DATE('21-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vWXetXaXGXapcFBMZV', 'tPkYTTKnPZRhvVziazDGoDurnjAmmquMztVDrpzDrKxOjQTFXVXbLkHgAcr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OsRUwCdiovHvEzqJkBetLtHGyVzPSszJrxZllsCumofI',
      'zsUETzmhaohLIfYHKNlKwtOgsYPYBYFHSYnAmvGpEhXiHcKczfAwlJgPJKq', TO_DATE('02-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UxFWkYYoLgVEzSMWWltSErWBJqGnFKoPuxZZfLuSGbwLYhmtCsVsIHsDuNVcGEUABiEfneuqBqNcZ',
      'wVCNHL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tHEChDSrXafoqTttpTagvmtPgYoacMDEdJsjmEuwfBOwJziLpYbnhtCglDmGOsHmNomLJiLWStpzqLwv',
      'uUmfBqxrYcHTrxERzmhDFsvFiExIbPwbHIuOmVZMaRIjyouBxAQGJOoBwgtzplQUyXQnCViBzJRnpOQtIZwPw',
      TO_DATE('08-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'JrzTYjGNQlbhOHOnCkixYonOSkdpTmCSbHYSnb', 'bRfHuqWNBPaVQUTFXUcETHYviFtKoJFIdviChtKdaLagkGJdULTyzaNjoBknijtJgmslSniWAbwTahenWzpbZfVAMOZOZtd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fzInsNuaPltNZxxDmePOjyzDljHhhDzuFqlAfqszVnkLaaEbNyQXoHFgvZ',
      'PozZFMSHOOxXdeyaNJNevRyo', TO_DATE('14-07-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZmajZWpCKNbUTxLocKvPvWJmgyIibxJqNZpGLu', 'CAGxFAndkGjJrCMjPNMcKVwIcPRFnTicPgTvbX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ECS', 'WMXJXvGyucqqGEioxWgZzHTFIvTdLtUuwPtpIUvlqGVEgZHjJYg',
      TO_DATE('06-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YRvTyjDiTfFIXFfbVKnhaYaccvUpVzzuvbWqmbvZFOAEaEDWgnQkOcCTJEXAWngaTSvlSyndDcdHtbJaIaO',
      'rWCJZytcodBDoVROPUeyuXdzVNEIqowpWTyumWmidrOYChCBsxHPfWNoPXzwSfXCX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JDekpkUoWxOugmYpdHlcLUvzsygtFNpswkIkvJsW', 'iSQjhttwyKRqagDiQKYKzcjZoF',
      TO_DATE('01-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'KUPXRlHzPQNgWCUoelfTKWJHMKdVFbsGuhumkhQpbankRzRKOeBzrPXqguOVPiWCPESWuqWUXyRasdZbsaOTTjlHIz',
      'gE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tvux', 'FbXATZyczMTFGGjistMOHfYPgCuBWELF', TO_DATE('24-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rhFzTTJfdapSzsLRFDntPJEWsqmdgyuCOCKBmjeeeQsHEkpoxoKChWiGXSOSIwoWQf', 'JfLwAeaBWiebgNuyyKFTEELMmRrtjzzzkExuPdTCiwxPKoTXYSIrSfyFwHEPPbRyLWuAfmGTsiBkuN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'avyybojhVEPqBiOcWqsozwvBphYaRmfgYWPTbSrCsjdDLkEvzjTlehPiScbPDFjpLxdKpD',
      'hmkRcNLjpRsQNndqIysLGULpDncSItXisYEiauvlgMMFFrsDbEnkEZI', TO_DATE('02-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ceXiaWbXUPUTzcvNYVHqeebsbKbYxEEkPIGKoMBnMnlqYElRgfggFSUypTrHjnxQAGzmoAdMLQCZQIEmeL',
      'wpMKyGwJRdobstoZQSHTiEmjjBOXMzYDxlDxogcfulexuuyGrrMvNqVhsUgLOkOggtRsPkfXVsVAxsmvRqovztqiHRRfKUHsBq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ONSnpRDgCbVspjTBDPXsrhgELhaVsXPVNaequPzythTmAlqGxKtGZjhsLlmzSNHqGoa',
      'jeiFNdxUHeTJBwrVEXelR', TO_DATE('18-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gBlix', 'EjBNHuQzmNFMjBOugoagUeKzZCCmtUTBxYiGoXjxfTTZKMNoxtEHUtDwjidiNzinhjVsLcybNYDEnSEagUDtZcNfElFrshnHXX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EHVFIfWItmgRlXVZqm', 'ecjHZElWpixnzpEheEpYJdmiMFFEkFQkdyfe',
      TO_DATE('29-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rqVvqaBtPYg', 'msrSvB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EcitomDkekLrMgiBYkwDdsIkpASEsjVDuHeIhRPEiQEJtxIHlDFvlWWWQzIyGbgvFZARMqi',
      'ipRjtXqGJfPaZsXtLOjFrwcBdersrVrCiiQeZkVTmqiuTuYuFcvKEVtKRycjslGjjfAAEXv', TO_DATE('30-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'sGsRYcWPPycZRnzmuEarPjFLnOcyBGXyOgrBVyxPkZDeSsYBgceQSDKgIxJspWEkzZqiMRkOJsEBUfRYwx',
      'wpdpxKraEJtApEdbJEtczfBPoDgaspuWsSULRVUYeIeNZdjBGLLMoagbBOVxTVqVhkZLzOzxJHHLlsfllKDVkfzavOtBVqYncT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EPuClprHTiuaBxVcdKKMVFJPwfW', 'FTXDYccPGVTtZGsuZEZIovpgyzhIMlbcnPrnzbfErtmhwBTPGekHKWzxwIHFtcCUPBsNeNjPYpa',
      TO_DATE('02-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CWsAqRrfKbOLlmvAZEKRdkzT', 'RoTRZPMDq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HPgHsTZkgnrlZQKfsldpel', 'keeZdgeUzPgbvCzLcOEZzoDLghOnJdDRAqCUvehqfQLmsIcRkvYqFsLO',
      TO_DATE('15-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZxicrfMWtCBObpGDfHjWQxZMyxyGXzJkkdSocpBkdVLEcchBFZPsXVrzKzZadYcKzKYfS', 'EgjfzjjnRNphswJQCucrfQoSlbnmaIKaHJXWHNiEw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yPirBkKeEpSklKXTvYNNqrcjbTSifqMSe', 'wGimYPUSoJMAEyWRovoJKHsxiyUCKNPKIGkgSremDhGguRjfbEzNMYVPoeareKJlEzaepDPKFJzbg',
      TO_DATE('14-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RbQKsfolTZOvcJQbQyUbqPNNzkTiddTsRescCBbAPMgDQOLh', 'rOMUJkUrVzyjuNUgV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yGFPwWwXzYUpTFPFILGknBafSiOfLADxNDtpmnyQecDYVani',
      'adfgnNDVzHvQhZYLXStWTVrzRwdRUnlKGOzmGcnSOFMlqNXHbibojfssTWBqWnAjBbVWvMPHYcXBPSahCAEGXHm',
      TO_DATE('12-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ogxHAhmiqYcXOnkcYWmRqRRHsRhbxfSBYRatHjthzNBCxGvKvGNIACMaQCHMFPzYm', 'TQLgbFojoIVkqgqlhrHxIuWCqfmGxvhsNDfOjPgrQjNkZYelsK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DRoHAFrwgqFTQROFGMwjuEeZcCWtRpLhaopvIFAEJiLMQgabBwNNbirZLVXjVyeeBEOPdnSTuqXPMYOlYyZMzt',
      'MOgaDGdWLfzTltmZLwHdFULLHLvYLwPfweescwYDUMMKcaRqqljYvlonYFUhhNUwqQzdDsVacTxh',
      TO_DATE('20-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'dvdrecNJdbSSHeuSfWhvpETwVxebOwjlbMS', 'loZLv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QnpcdAzKhVOKMCcptsPSpsLLaXozzKqpeKgSRsjkvrTAgQIdIvCYzsWhfKYWybmctuoaPPnbVzQedGVRnnmkjMwhe',
      'XCVQEmrKEmOvisoWzMmfzwBZwOYyvitbjPTGkipiOjOXxTTUvAYEpsGLMwbUyXel', TO_DATE('08-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HDSnatPMIeJJkZhSWmLkpWweNAKFbTrJaSovNmtmvdvHRYewviOawSkcGvpxfOZAOrIUJVAzmpZvWxgVkjz',
      'tTtpHkpracLQrS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sNsEHfnWgvYFBbCeLWvyBjPvNdXQroxaqQdPepgUXghgcvAcsJlyWcPVZNsBkbhvyeaHcQLFJSaZnGUWWMClWSOYEYPUTvgK',
      'ClVhzyiktCarLsumbojoOqZnfAjXQFRVdceCGaWnHfFvuEVsuFoLMOsOKSuvcuUpfYUelWmIMSPcFzSouANrrtAfFpnSVeNElrF',
      TO_DATE('18-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AmROIuHNkXNidhmbwteYESnqLeNyzfnZzmbnXfkvrYwYFDGhtjvhkJj', 'wrKoIKwMwnqTxZPVAcC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GwCqgrgRKRRgstVaxpXmhjihPBvQTrbFyOKQJQBspCXtwEEWnDKReefKYkMY',
      'cCKTcsZnILepLvqaKgrxbsKgMUWvAPXQEkYXewMmHwebrjcEyOVaKBidrUbMWoiEOgExtDemtTxvBjCOytSABkcIVM',
      TO_DATE('22-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IebnBZyvAMBlySDAExxNKyqppEomKBlaxjcRswWIXhBzEvjRT', 'eGCSPoxYgIHeewjLwqPqfKPCAuSHtaeURuIbPMUsSBkHxsTpXprnFwcEXFIOXwcoRzUJwPvzPrmJaUylFPAsemhqqecRZBDykYD'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EFsiPAvkHXlxOCbspcJxQDWgSXfPKUyYevDadOTGNMhxhMfeSMfGRyeEjt',
      'CJGkTjjYCN', TO_DATE('03-02-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YcNjpOtnumpQAmVs', 'vUZUPZYPhZRCprkJvJXcvhKVKbEakOdftWVLEsXzxmJyEtiJb'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AdFEMuYObhbvOOcrMpUlMd', 'gasQHCfEWdPW', TO_DATE('22-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mIbkNSOXfXsAJDnutnsfhfcHNNHbuEqLtRotlvmyyVdPng', 'BSGbtXhRJYsryKByrCjmKxoGqYYkN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'gjqcWcsEJzRRsTjYULZqfHIKrbnsnxxKtIRfgDnONTzYhOMOroRuKbQDHttAozGNRyRwwQdlxSqGU',
      'GnsUPPdqvrkLUXQjbdcQHdUNCiEuemRgwWlFRndZXt', TO_DATE('24-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ufsDVNmcMucVOKbdrxwIhTNMgKEmDdNwwcOTHYKjhlOiMdHCXFaMAYOIiAyVlobeBmBDVhyYJF',
      'soBfIUKyNBckXFvUChjaEHckxuWNOcwKcWLwPqsjyGK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'OeVmoJbAdqPTJiKwYEccARAsQpulFn', 'AimJjqAizxgothtsuJbqrDbGhwWdYxEhGRrmcVeHaSPgfloSDxDJMHKeaBvnDbDpyGruJlRtdEsgLowMTSCvwAppILUbVr',
      TO_DATE('25-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rKmWJEltVCVLdiuXUSBHpIBSXktnMiWQBPoKkrkHckmsKEOezwAtawgzLgmeypvrctLhSBSETClygOsMo',
      'dwHfROPKEgLukfnWQOUiaaElQtSfGjdhZtkpTpMRYeztaUqHlWYozESACNpHJjuNuvPJnUcDUeXCzFzX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hGMwjWoCQnpOGShhftzPTmKYlhWbXljqhaBlSlyBgZhPTxxLsleppsjEdoBeqjOqUczWpBsy',
      'WMxiBdOzrsCzOzJDzssKRPsNIcXmCNRuWpKfSjlQhKsyskvjKCyfRHOPnf', TO_DATE('11-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yWhKEpwqUvCgxyHXyzLTGFMaLyLGNhZDSUkIDIIbojTvIbuQSXQdupYohMIjeZjIgCzwOZyekHDuXhpCwjZtSlsinkXqYzFlrrf',
      'ZjCQXsToiZMUYTDMllDIfGGiYFuqSPVblDL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WbTatXygnbVjYjSooomXoufFJWJkGAiZAEyftwkMYKnoyQdVnevuPQaVVvLvqRNMlRsufvSUrFeUbktLkP',
      'wYSsreTWDDHmuGyWLhBlzVVZsrFizNiZ', TO_DATE('26-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YrXkqQqqZnqIUhEbPMrVhYwUlPnBjjClZCQbyzdWKDZwHiMmPmcxbGqKjnRZWoqbQjx', 'lckWXiZClbxnGOKDEDBTbeQgjTLdGUysxnsPmf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JQzOVdpnthoIwUawkzcyK', 'GTAUOoAymRoykLGcAuzctMfBheiwRfclOerkFajYsFsCIfZDfurUiUcMCoVLDZOKiSwnxFyn',
      TO_DATE('18-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'nZFyUeduNUz', 'aIdunkwFNINvPXAcezFQOBmkyyMdMp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KAyouWAeotrJfRbbLkjlaOmkgtFkwdjFpTzcyZrfUkMIYNOlOIspGBZP',
      'quXXbArESoBXAdzarCjLYwPgKsmjRGNHCxYKZ', TO_DATE('31-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fTfUnKSaLiYl', 'QRyvrfgByywYFXJEOyXORNSWLRrXtfhkqbRJIANdXAcXAHLuUOtDFOaurZlbq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cJUAFeYnpmnACIWNJqztQeRcbnRwEYxGUPYFEeiGPXnarVThOmKspYrmSetojZibDItrrPwjI',
      'Xdk', TO_DATE('06-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vdgxSVMLeHp', 'kxTvcVsItGZQcFLQQriJWTibaQDrfaNPUGQBNTxIgJECkQMSgAyQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mHSHQWubHJjRovtCPGdtAjMCgPfFvlzhmOXPssxQwPMvgHbytxtIZjC',
      'oGXrHGonEewtliUdgRHnmkndgaiBoLhDZhwVVbeBArynUiUAJmQYcXqTcPwLIbQwGULrvDortOElSP',
      TO_DATE('26-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zUBxfVYBOUHVuXLGNhjpCcwujrMgGrOtyXPgdpdXmqJCbKNyMjVyFeojzzrVhyMXRwFEJp', 'IasNvVddgIVFjbWdysDFjRMzW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'iDRnGGCbqswyUobTMJegUesuRZDPFxoogfKAUtPZWdkiMGDxgTVIANyYqAuydtAZj',
      'QBqgmsvltYcI', TO_DATE('28-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HVXrTmcsKDOpRQlaJYlkBjKOPUraRFuFPCqcWCIAfhez', 'LTCjddmijlAMZgyDIZLrNbEtuYMLxNJmZQKBjZuqlWWKqsALOKVGyaWcqYYlOHuypZqSfJIPe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IuYecdyMCzkrqaTmLCwZqGRtTnhAZThUawNk', 'akJCPhJNmGg',
      TO_DATE('10-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HCFfqMTYpqbJJdrsTEBQIhfketYCwAVTRtQrKuwMIVWWFgapzgPkDOeerJEJukkwdCDeomtfnrhv',
      'sCeIAdNafkogOKgRfyluMPJpbBWFgnJajXpozFyaphpoIiZmaJknHSntSmarkbfXWEPibXNMXmkooiHAUXWGYHlgxftIGONRJK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VmGiJvJqOipCxeXHyTsTRINXdRjQieZvjaKRowheC',
      'EdygmZbKyBfjPftIEsCPlsPLWonSGSAMZJSEnHRvGZMRmCJOjCviLFAHbgWohcogtQPmfQjsrMVWpLlhudrARdzIfSJVVUs',
      TO_DATE('13-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AOQwFYUmLbqueRvGLfJEnujVloBsPOxMrQQsCloxyCvBLXlnoFtckAznLJBSRkKphtVkOeoDvfCXWcmYgcTGysMDYGOuvuZ',
      'jbKjUYLSZCUslukNJTzskDSyKGwriCjjzdZYqcrfFJDwu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nQLOLqvKHchvquExCauoKOEKcGphBLnzAnUHOgJzsUCBUdkydEDLTMfuctqjHKQyOtZylxJZPqVtmlmTUltdnminrAcnskIEiy',
      'FbEQzTmYPZSjUbMTbkMbYhmUzoAjOXstpxHpxHxPqTNfVjaHjsWiyUybiqHOLoN', TO_DATE('26-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'AprtMOHvASZUUwnaOWZncMceihbwFLpjidkJkvyQAENAaqssMXmbQSzvokRUXYbWKteZaNQJwbWsueSADFb',
      'udWpcugFClwoqv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SzkqTtLEpOGQFIpzYRUdtqOUxpaOnjhTnCUWxdqVSJwBk',
      'sHQQlxvkDjJPCVNQdrGmpW', TO_DATE('26-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LpuDcylVxlNInuddzJYYSsohWIFxEHRwNUIyzkeZFSxjBazkYuFVJpiABPLJmjkfYDQGwTRQaINJwCyVLprmDFucoriOaHxoVnAN',
      'sjkKRrOzbQKxhvVHDfUjlxkifWuDHHtiyBAhBTYhJPhA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'MJRfKeVvSpYtyjShcaawakcAwpqFmnMFyoBFcIRJEAzdfYbyHKclaCDFjKAAGLc',
      'nbwWxUVQh', TO_DATE('27-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FtrePWAPcc', 'cdeQjtHXNSIybtYKXkEifELHGNobQVoBRkiyLHRBByUtywCZk'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dgpVebkiExPW', 'ZgkwllPhONcuqEGIvKFZmLNZUkEDMwB',
      TO_DATE('11-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BuULAVWnscykoMDxzhJZooaQbmDUmOdplypPKzJlPjhyaEwffHNQicgecGOXpLQRRpJClshfBcbXDJSMzqXNRJRwAJaaoOo',
      'OsUAgplaxigcdLiySsGAyqZZPRiPqnCYQLh'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'khYlbegkJkCfXbpztZwhjKykzLvLaGMJppFEyypZGCgrLJU',
      'SBR', TO_DATE('07-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rBoWTQKOhxNbVzChpHlPVqgpChFdwuAqoydBLAxCeQsKkIvMREbUpmvpMFwoFONHdYCTtnwCRn',
      'lUtDkCyAmJKCLJdVulyjrAnUmwAGwpRGY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dJcnz', 'LFhrioofbZTrgZPDuPsvOLDmfoxUBFJKaiwzbvDmwypdjnhscCBYhmDFraZfdnZdiOtpJRQxTnGzHeoGu',
      TO_DATE('13-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DiRcxvAZxczolEimyLqdBuDakWq', 'LUSjDlxigHGlVsuaBJAQyomHuQYwVSnwhUsbAVkTTFBGHAyvxFcRSLboQxuC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VqagVphIbWrhZxlSQDCkEwLOAwJDomnyboqxWufyAvSBrOsTvOgbCBzZFltribjwnJwokTyU',
      'pOb', TO_DATE('24-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VZoWdP', 'lPBFetwfEGhsqcveuWCkpOYOXPEMrod'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'sICkLSwAvaDp', 'ywdblTlYiBLA', TO_DATE('30-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xespvyPzwnxwgQTQwaAfkDVhNZIWfeCBpDHXVcEwUTekYisWHZlHpgeiVbLXJCSGgvXHNe', 'zmDSTvSIxHrHDxegbhpXiBiVOnsXXLEoTZX'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LPsZbWYqstOOxbJwIKCCsPchtP', 'uZgkySaBOjMMGyPOcFhMJwbBPju',
      TO_DATE('21-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SLTamLaPHtuBdfVtjngsLPjSGUAnEPQKjTEEeTszgfZJOyKcLchrvIqlRcQrMsJjuHbWgv', 'KbhHaQxoCFzOgaoOfzatIkPpHfzRbPqGdZXbFRuwottaqDEBthOpNZuEBHEIDAyFSEmBiLnMZfq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'RogJHoiUXngZPNTHFUHQRWtchJEd', 'NfyPqEqRegTCreHcdWdmpidffSgpVPGwnFJMfVRMtRbYZIcmgEnPizdiuFLVQfDyqtlDjhRePXwCKKvjLOxCHNRdGdmUunwhWh',
      TO_DATE('08-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mpRHivAiVDIusfcqKjPkZGdwCOkuGGDtlfElnPQZxVTamGDakgDmnGMNYDvrBJNClFNl', 'vaMBxUTRohhWoDwxFrAzXQNpaYWjMvYoAclGFbDehxHSRN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'uP', 'ZtvohmgmefmTUeRxKDJPg', TO_DATE('13-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rkHgkYHqDdtuwJHeYhXDseYoCI', 'DXClldQqAgArgTxXBFZTTKUwHVBZCnFzqmBHxxeuR'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JlBBPTTdTYalGUQsphMDEfCOIztOQOnLsQRIVoZLXpKfXPjolCvKakmaGzPOpCnaDazSQtPI',
      'xeGYIHN', TO_DATE('13-03-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kNpr', 'HEyesorsoVjJQjtKjlkIvjIbUQexcYMWingRUBZQMBiqzoDTBLottRnldspRXugbolYpFASOFTlJo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dvuWVwZSllIGPWetEnborVtWc', 'heviWkfiXNGZzHsBwatKaCaaKhR',
      TO_DATE('08-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LwX', 'fhEBNCUgTRyzhpEMYrGLVVUnuHBTKsLdIqUjKgvJnBmgH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EYWfXDJaEFMlGIyOMeplojZuLlvVbWnZTNiFVzmBWiaCcLkJxlWLEfkXDBKYfQAlCKdrE',
      'CNzjPYFdloGamlLDnYAJUfiqhmPiUoxFPpENnlyldWHQixozoZqtBEFlqlqbWLuMVUlMQDWekNVJWVU',
      TO_DATE('28-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ooZnaIvJmlaTZpdOFVGctYMjVeIL', 'OuvhHGOvtBuDGlxkyvwEXrZazyUmiQsmsvrKNMShoKdTyLYMVXMxXOkpoYXekjaXiNddzaRLYoUgP'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zagoXRJSpzSOAgtaoRRxlIGxtG', 'JcsogvUxAZMIzwtlbCZgjNjfDQjRieuQQkBWzcwtLpScCfviutDLBbvqHkFc',
      TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IOllcCdWaovmKaAIYSsJIUMnjOCBuRdOHnLWFoqeUQNpaRVtMlik', 'AfYTBvxaENMbOgmkUMYkibsuEwlziJzIneTmeIVyLdCrDewVKTSeUayGjxCHcQCoPuSXIYkCNtlrL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kkmHzeSBluFuWWcLxIo', 'EeqRmMmBNBJQrdRnjKeaGEdLLBTzEsJjuwNEFSJigjBpZLRvsYbnDACryyzjxBgbYVd',
      TO_DATE('30-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XFpVBwUYdgIkChgABZrWLhBebRuDOwcyHNasAIOimyaPivkLzdvuxlBCuVbPkBiQrflmvqgWSPDqWI',
      'QwLUTYpclHmJnkKXCeFMBPisKbfDwtWrxOcpErdLBTIzAplEkgCTp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EbMYpQAMRdXNnKwJ', 'XNYSfUMiqZKrRiachb', TO_DATE('05-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IpFuifRygmeVkKIghbypCGrC', 'UJlfnbTPEkybaPGBsMmTdsuoTHUzqgCabBmtxWQOHiWAUNDdzxeJZvvONruAEobGBUnVHmwoVBEjIzyTmdDISEJoNaYWfvuMsXNB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mKaFxSdOevQfeLcPiIVvdGLAqmxaTgflfoJTULGPaGggXuqZPQzxdzSJlLqSGtyubzHmOBKHswllhpOEnbOUWgbDQTVLnsYJpZZ',
      'KpIPNFqfeDCerfHgmSzSRMuIOcPmPNkTOeNHumF', TO_DATE('28-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UnLtWMGtHHKVZatwnqWHlzArOfBz', 'EouHRDBItGgikHQaPqRvxVkJHoGwsMfMcasNHwRhOhMkeiXyviCmlTXq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XK', 'r', TO_DATE('23-09-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FdQscHBvIwVbcimamHARTdomyRWmEYHZsUirCIjirzgLfsyCyaTOOIUVjhWk', 'KzBuEUujkOerxeTaVEtMTVSrVwNABhtoiofpZqIvTBSlCknCbtGbOzNgSvBtzRbHzIXNCqbLBQSrPbpeRMNyfdMnq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JuSRgskyGTwlewESYrNGObpTexdVVyTVYOpLKJBRocaieaUdjpFXPqkranXkc',
      'bNLiOqzMXrWPgIPiSKgvPcuusNdp', TO_DATE('18-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xcJEfyHWMtOMeCQzWbJmRWrpnfkJJqplgqud', 'YqATADhhHzWgdzwXpuTQOADQBERyQuqtthas'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ewsavjTYlJQCIDjiCuuELYgFwNKkSQnnofFDHGeEwFoCmsoxuZ',
      'oNooLYocjyJzEymepVVuFMWSqaImGkHswLOKHgVybyUCMjZPRinNfNtwTpHQdbDsFIkytYLXbbDJhfzZfvRVvZMMNxMPlK',
      TO_DATE('09-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QXkZrBOTFuRoxdqJcWizITNjPfiGkZxGKtFrVPMjlDzaEvdXfJhaqyBGUdIwSbScJOiRfXlCUsxNHGvfXSncsPEsr',
      'WbWMrubGdeOAdqpHjsnLdsaDKZGuxODzimfxchQSpCGKmBmJizaOFPznUUt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'pzFciXkSdtrfBRLbrRmXMtMKLhYVwO', 'kEtkGiCDITgoXaGnveBMfSmbSHoshoRWgOxKZqitSsr',
      TO_DATE('18-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'laQGQxy', 'LEkuscrPnOGvbZqHYgbsXoafwsGKBUUw'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VOahzZXcDDIDNWHLJVzxGBHPsljjVvCrnlfmjtwVOckpv',
      'gSZhNrbTyohzwoYhCCVVLGSNBuiwWJpgXLrQcukYSltVIpsXlBsjxnJzIRalILxBBpdpky', TO_DATE('15-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'rdRaRKUbLnPxDBAkVxIbYna', 'WHhVQcWKFWWHSSeVWMyGWzlrZpCnWuyzBtRlrpGpidUWJo'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'alnPpkaCHaJNlLsEvlNGLiFVeZCgWGduE', 'vUHKPleeNguOLkyEiraSmZThElwJwVpMjhtpMLYMrjMVZlBhpTosycLDVvDWDwlIY',
      TO_DATE('13-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZUoxKhasHmXDueiPIrgDjqFGFTTzivlOwKlCnpUZJBWwJwxhKecyzpgESxMzchykXOWAIlenDtvtseFfFVwZCvCKLlaGTbwW',
      'MKboKLCRdNNJfZosmXRYFuHDSAhsUUxrRUKhCjRcaWZJDQjyuFfCGniTQLemRJQyn'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IAayJNgJyLYBOHgdqbrgngmoSYenZNaMsAOvvpvSlwLQYFPFMvfTNpDglCSyDPNzyzrAnYsswkTvrwxQ',
      'aLXpooYmLMjAXxzapnDSbjmQhresaLliohnszIEUOTNenpGNZImVdJaIyJwZthpvQkE', TO_DATE('22-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ZqLscoyaDxnOWyvzQaBKqsHscntzgfgYIRges', 'BuudmJNlNYeZqKOEXtYMeOZtuIbXfqLuXtnIoMTkjxojMXtdARXSburkVuQdLIgTSMkf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zRobEYeJMccAi', 'gEtbOmVflfxuzYJiVUotFWcpqCGcPKVqxUyCrrxaKkwEAHoCPYyiIkOmtNtPNpEBcIASBEcsfICtiEIMLQ',
      TO_DATE('22-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OPQkDEnZiYpNdAENOHePyYTKCdBzwkSPjyAfLcLXdJZWvTOnpVlogV', 'GTxaqMfAGsmgJfoFOSqXHjDoMMYoKdkRGGergzgXnfHwBcIENLQyE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PEYhYUwiwbDUsyPPNZuCVwHBXoaBkmQCtKJeHITjYApiEKDRpkMKazwoEguFjrRIvqcjdNlbppimzEQsedrFmixjgWhv',
      'UUpJoMBjqvPEd', TO_DATE('07-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ARDiAJdLOavKzTRIYDfGwsJUhBfyaOcbgzNobrEfJwPelYajocTwqLQvlnduaCjAHkJPjhVpMmRTV',
      'LQKogTSSoNxnzyKdyiovWtbYOTbNmNHIZoMHjXTSHbqVXNdgXvncYvSwWhesVSrBXWBqjOTIBvKQDjVesNVHnzxNUQtWki'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'REgyNvcpPCHSfsRFpkdMLBhGiXabuPrSADANZSGGXcpUOHQkwaEXYjWGdEWSGgFSFYNHUPqSTCOAC',
      'QTufNKdYtUHrLeQzWfhtXzJnawQXuyGQLOAmyxqUnvAXBjjtwQCAdtTcqTpTiNxjVhGoXuZLWOjIktUGCwOePKDLrJf',
      TO_DATE('04-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CkNjkElbYowqEJjdBitEKDmULTOVkfxWZfoMM', 'kGBijbUnhuZYSIlpTbYrfMKFcyZiZoplnefeLBQobuysFYkPwaYUIoZEcXUJQWKLOkLGAO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'velNSpWtQcAduPERwFXIUtxjLeKfDoumhEDWcoRIELQxMHyynonFOVcchCqrBvjkdIejNIoSqBDmfGDKQLVqvEXBRiLGAdrBmEuA',
      'DizNHJlyQkUJUMRlLhLyVVDERVIbumaTYTYHJVcDKkhqygGTTyhVIZWZhIiilcqmPubweTFemDfokbdOXkOYCwZZpHzGrWIjrjq',
      TO_DATE('27-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'QUKmHUtesDdNZTImaOrowulbyXMUlBQPqMFTWEumnpTDsKXsjGMdgtCcfY', 'wkQnPoRkjIILrMCeqTtfsuzoJyUXpNMbTDCdkDBuPKdrGAdFhaSvdhMlAkCJvLHHBRfXjj'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'srtvIfbKZwIJkClWcDyZfBgvFvhVwFBycLSisVepw',
      'VSqiOVZsGgGSVKVFERSwNeogTlFadgweUWuFpjcsGOlyrlRgmgbJMetcttpkzsbCYXMcskOCIqYVTYtwNLpeMEltJLH',
      TO_DATE('05-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'TfHocmmZPDLXLD', 'CJgTAygKHVNMaHMEBUUYoHClRnGSatskRjhXUdiDmtO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qVQffdMzlvodsTJbZhgjxygpAZbnSKxsucjQcRgdIRdShisNVElVlkFijflwiXmJoIy',
      'MoeKCqpMbikgwdHoYFpvKeoaPADptbAMaSTzdcoOrRbvCiL', TO_DATE('16-08-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CoBdeAPwkLZMuHetcsAWzkhZZIMsiQDFOQIsJzGTfkmvdpLfoTlNMTUXuBTBOLx', 'JVfNtBzBpyMesYhYyYGdRVPFRqhrrOmUNYAUagZuueKTTEhSARHHQZDXlIRCtpmItMjsxWjYS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IMJOxEzNcjFJUKbxFiNbKLAXLClzNpPUnWNYlYGyCPdmZLpIVqmXVLsGTbkdszm',
      'wlvCjnbnmDJpApQHAdLuDUhQHWcwrgsVb', TO_DATE('13-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MeROUYTnmWwWrRfYgpcNLUNAbINMRXsejihvtEHCHwEUkVwHPNkyvKYfTHlONNdGzCfQUGyzmZb',
      'FejwacEsdGJPXQAHjOLquSvNOeFfIsXtJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IeciqxutelRmCLOaiaavrwzpt', 'vOGIKVrfuPAMSUplAYNCTuKNlxWWqIUQDXvSfuvJfMxieaCGQOKUEbgjFNVfLzPfVBhrtCxLPhZCoT',
      TO_DATE('04-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xKDvOoxaSQvZsZEulKvfTPlWUhFLRImIBNGhCIQVrnqXKwsaJwzawfniaGkAHNAfXOeeEGZlYbobOFOqhVvCmze',
      'ZhafRcItqJswfwLAhfFtMcNNvukLyZUJKwLIwJObSGtUHRjMXBPenerpegNGiAysDdVDpWxKLDNhx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EiMLvYqibABYffofmHoEBzKsrQwdYFrjjpkumUrrpUXfZqMYbYuwrs',
      'fcHyLGAwxahtnkZNsOiOjoVHVIwfOAQSPlsXCXGRsGeLKvVaaHAdWFWjUoWABFDUbPEnUbWVztbPiMXKhupPqgIfFlSWDUqWy',
      TO_DATE('23-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'zsLYswjzahxMpOEnNFykQGPjpxsVOLYTeBRBGkOXKOVUagPA', 'UymfUarDCkcBFAKQrzaHIdWoLJEAEFOQwMEHmblAVmrJCEtmRLs'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QzEXUJHTndhPZU', 'QYBMmRCeWDabkzcXZjqYQMNvJVNBFPXdGeghmeFGxhBwzOMedkVewLKRlfyJVjkMAeNPzWhBCURTvYoaFKWxnVIxsnklFMc',
      TO_DATE('01-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qfpRBEbJCWkftYXFLzxoRSFdgtCIukKAVOcQClsdJeXJJtsVdSuHRPcvsebkOV', 'lPWGRzrgBYithSzzjHIqDGfLVEbNeCjwxaDpUMcotNdyNodMmOenvf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zxHMLoMzPCPSbtQIxECHnbUOFoHINvyYBcHbB', 'kSwUqPcsAcLeqDsCLIdpBtbNoUONEYDDJeWaskQLPqwMURtYacjgqBpvkUJMrOXAvpZdHbzCAzSBoNrMAqqcwKkTOlwqDdoydpD',
      TO_DATE('15-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'EqsJqLnPglcnsncGMQkpdffanD', 'UAZhMEijVcBJYwSTNeBkLOEd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CoZzmxDqtlnIHDXgIZbahlcdYUQTrLzsfJRrnMZscVMpdGMkQLaANSrDEHWoVdiWGefZEmEUATDEjhwjnfpLvmnyDBEKtQZ',
      'bHwDxpEowcUgNuLMPDLXyATRSHvfTPQNOtrbzYzgqfMbgtxOpEqLhEqCmGOBiNUVzwhsash', TO_DATE('12-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fazXKUoaEyWQeHJveMyhficWtocAvFXuClqOAMKZVnT', 'rEilMVqBEFzBfDdLcOqBKMvcPdiHTFpJWOaurwhgtIrKUqIQXtcovfoVSLhhnlCVuq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JLUJVdEPckbOGlCNbggefbsZvKueDgmqUxaiDOkufAYwAocrxFJOPVaGQAqYczvRRdfKMsdFyRpOgesDNnhxzJsvZtuII',
      'WjfUvYLH', TO_DATE('17-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'loULWfsMFFQMtXMIJUnBdgcFLdwHdeQ', 'ChctnbhaVxKCPweoZZPmznVnmKVUaFpLusYwCsAK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IxSuHpMsFkKLeniivoFzhJWjfMETqGvYdCYkVuXlztYukEMmBGznixgnryrili',
      'UWCqKhdJFdpJfFvHNeVtmXzbOMpEduNjoHFnABNtYFobUcESukwbvBGLokudjjG', TO_DATE('20-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wpLYBOuGmCtAzqbjreOvgUwESPg', 'LLkiAnbewOfCdQoplhVrkCdMTeXGfFnEDMKIaSDEAiCDtuNhuGVTeahKIRGwoNsJAtEZgCCkRYUprTLfWddNCCALWrPL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HvpYpfdCTtFUpRuWLSFDuFVZpPrbAmwiBCaFEstCQdNzsqnYYYCFcKoXHcLwLosTQqn',
      'NrmRIhoCPJMCdmvZSpOWpjD', TO_DATE('18-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WrYOsZkiHiwXZlrW', 'wihkyiDRbejTFcIQomkfiIQHXGtxrBwDegDnjDNejhqGHVfKyogEtRJrPbZkmMxmtBsVQnBFqxoFDtKzfUY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'LnGKfRbuIMnDTjwbOWpoVLIoPHTcPqoXYnHsqMDcuuGMyeQnsMvALClmNlhgf',
      'LIxWwGcKsRGTOyuhEqFFVAkfaknAFMMMRqrrkQFZdaxyXEIAuguTfSpRZRXpTYaAkKNtjLrwSLJe',
      TO_DATE('25-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CuuOXpCrHcqWaBbphUTmchlrsAbwrPimsgiEyxNTp', 'aPJaHwliLJXsyiMawEVsoFyEhVUNioPmmKmPdrnxnkYTXPyVhfozJzWVYLmAoTaYzWAOUC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'mAsSWxgNBCsWmAXvMlMx', 'hwtKvBMbzXKOkdcqGbUlQtuBfBGaOUnXK',
      TO_DATE('18-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tacKmXBiukUoikrqbzwUXAPIbbHVCAmzhuvZSXxeVmnRUtycDoSSkjtMzcyTAtMXPgXZXQXrpTWsnathNTuoCDmVAMudnfxo',
      'AgAOgOPMVhGqZQvQClhMEBTxWf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SzwhyXncgyKSwVYjktOJFVUztdTqgxNGreHIBiUwLMQFgjvaJxtAcMIcZUXlkFeTmuwzZQpdJuilOpAASPgdtIqkkEGHdWIvp',
      'vIBpEchqVogwJCQbPUHHjXgPoQvpAVyofThgnfOUnymeGnzIguYLQrDtgDPEHkGchuQmaqcHoicoGlmm',
      TO_DATE('07-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FLUuIpFZuYoOatUzvuMrpfKGereAyKRjJFiVIafOzNxqcAedH', 'UgZfBDnzPKpmuRNx'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'psJVYryNtJzprBQJgdgUekcMegKXZcxklkQpddNtUwuWSyRbKhYmuLYWiapOYGllmCfCTCloBztVMzogwpOeSBOwb',
      'ekaSYRtlqsfyTrCUNjhJjpSeGqlqgXcoHzMYUaTgSLhlbsficgAlrOxQJRxFqlHJuvUNoiCgetZlWDuoDmfFCLWjMIQKGZTuv',
      TO_DATE('18-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jiTBUdrlSugiRchMBxKVnZLixUYUOlYhtKqugPyThVxVXXLKZtoXoHUqJDRlPfIKCyMzdDHpmyQYtVQervfn',
      'zYMFkSGQDSWaOpVSWnXtEHBDwzqxMTmfVrIwfypZLukhsVefzXZJavDcksdLayArEaulxQENQXAXNelODVcmfSscqbmJfsT'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'cJgLmwiYqQHcHMaortfHLPfLWCXzGBGReVsicazEpjgDCvZYzTLWFQBVBHscaLGxoEabdxHoglMbfsRGltQKQPvojPgDUX',
      'xKzbwAEbcYgwQcoIcsgGfqZdEpaMgpevrKvpafuTKxJIrIBduNJMRiCIOtDeIBApA', TO_DATE('29-10-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'teXeEDsxcryDXOrcrwwlldXHgDvzxBDgHNyFqLehOYaMOYeuaXUPXDAqnzXIuruzyzKdyR', 'ijwaBdZjEwHMIWOfPfLpCPeKEsaIVsLGjocrXkrsHnoIvKDBrIdEIWvNXzRYuAQazcNFlIOzaNEGknDojaWCVXtqLaKXFpnf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FHCMsdoTnOF', 'TQVbzVyoYeSIQOOlLiBbAv', TO_DATE('27-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uykuaHwFOJwXvhnreLVbqLTrcuGpilNZecnOmuXOLAw', 'hcTazoyVzcLfiKDnxAuSgjPYyyEvOhxFfMJZMREAaUyGTRAVlQKczfVaNNzBOFbkIVzUKus'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'QVfTkdLTTCTBXxHjRAOOBC', 'qWfXbjfvHhByvxfcjjqHxUfnnqAPg',
      TO_DATE('01-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'k', 'DvyzbdWPK'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'tQPiKFvyztUqjsnWtoioNaSPVnLNlTJCaUzyBzhRAqNKAXHngAxTNFEmPdrkXwlbxHUxuZgGYTeIXVLRvTZboUw',
      'seMmqOwImAcTzjdWTbmxnFvT', TO_DATE('02-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'whCmZxhRBifvVDLjmzKSRUxaxqAXSZuZLUWhDfjBvfmpf', 'dvNoxTlqKoRvWQOdketnGoXJkOqKNrsLSdgTRNNWLYeiTBAkXPIxiYcxOMzkeqdBxhhMtUvrpgXDMaeSjYsKEgLqrTkjrSew'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'arUngMXtcpTfEqDZEEyNBdwUGLCEgrvgtYbpKpIxXdWxJuEtWOQLpNmSLO',
      'cPWDGtqgcJmFZtaTfilXQdWjOgcqymLJZzQHbgJJKXThEKynnZnYkJUUEMEnOVnIidgaOGTcVJqnFPViMnCaZGFMeHiFaYMDdjZ',
      TO_DATE('17-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vGYVcuKqNtvYefJPOqzJgXQcfrzIpShQiywFzLJXUhREFrtchbtDzTfsLQJtArMjOQjTyQoyaoZwqzaKjJWTozNkvFxCDAlF',
      'SOLurOmkrJwqIasvplXXZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'XcrodfpBUMgSwYVrCIidudLmBBeSsHsDFBlYBbaRCSHhF',
      'KRcyMWoSQmFCZRPFZYBuQxgYeZayfHGDrSfNNBQ', TO_DATE('08-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'HcTvxMLLiL', 'D'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DogMzjnkjkyWhoBzPnywSCtExDCNxlovuYfVokojWimhBBKiLmfqDuz',
      'sNsuhhWNUzikWgzmQWHPtReauAwt', TO_DATE('27-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lGtdC', 'vDlUOTJtTYgjbPwBuoPiKHNJpQIneGOMFedaQTxsJDOxZJfzfZWullwKGQOxUunzefNRsdGgyFl'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FJgAWIogBdHxncF', 'FSjWq', TO_DATE('09-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ABdUXdRosxAfEekIKnSytQAYGTWRmiUlakwPJHoxxAaUmXMRYVzjUNnxySKDnBQAgQmDxrIiuPTFaVgWh',
      'btCyGlAXCugoRfitmyudfrwGlHZkyFydPyNdKRlziFfObYEuOqpTDFEReQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WXulScYaMWoSNBEohe', 'mXlZsqxEGgqFBJZlwyvqLsWuXSPgyGQmqblq',
      TO_DATE('22-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'mcHiUmfzktXbkJFpmVYICuBVqMqX', 'jnnN'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'NymEHRHboieFlljdEZRjxuiSbBAU', 'ECbezAOcncbaAxqaUWpbFJeGrMZhf',
      TO_DATE('17-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wbwNFOHasqPVICqYuMnIGEAitBriyFJkcpdZodCMZHTBloFc', 'owWbvRMLsigTTZSAkDBWfBphRDkinyZutRhtkSdnGEgKMRiyKxUCeMXFypMqHqlLFrsCeXYANYVFTXc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DiFTsRLgoSwghTCiTzQjvzgXPsfVq', 'IQluzBppYiyXENZLrVwkjmyYhjgosvAkwJlgOGogNdAhfPgJEEtyerJv',
      TO_DATE('18-01-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'GWkkYXcAwBiKgzoaPptlFXyQRN', 'GpcOPOoVuyGLgWmMvwLAnEiMtfYRopbMdCDAxiEPXcbryoEdFvqzBkkoagkBpBRNFPWXFAoYiCrnaOhIyyhH'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'aLzqWKSNruzrAlufwawcZkjXyBEWaRsIVVUmxRcgbYaNJLeKsJnxiMHkUnuoswGYnDkbTE',
      'umRkfStexrabWaNhbzcxXCqyNLIlXgoffMEdEnjoHRcVDTUXyr', TO_DATE('05-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FqZGkYbCAygIeOeVtcImwJYhQacDWaGZDwrFzRcStuLRqMFkPWeLTyFyRXYEJLjEpwcjSYyUfvCL',
      'kWmlnDRUAxGNPuqYanPPiYtZuxurAwclcnwZvozfoBsFtLfzEIbLCNOdyiumUKFIuNdeGvINhcHXURBawOUiWxCUXDJ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'woVetWffAaaWNbxYGabsLWWikalfMoZHcuMznZkgtTtleJsBkiyIESExDlOogXBhdDuErlDNemTjSqkVCGpoDUtAqc',
      'yOVXZoDOieYIsKOcMlNOzAjKtzXvnyWMwLBWyIBehByRFbtiPFBJaDuXFCkEREGlaMCNrHYeCWpEQkYXAIQXmnJIPvpNiOzfFN',
      TO_DATE('16-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'jYGhdFJvUVLBKOvOocpWKbWBEJb', 'PdqVxvwDTAdzFJpZiWaaTurfOCGcrxliCmoySUCTKlNfKbanVtChzntyLbaXyzmMhtsIeXKuLuofWNIV'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'EOwf', 'aMjBQEAsMeuYbgLWmPSXdFUWQnsyGdcRRFlCNfWDZajrevHP',
      TO_DATE('06-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'ogjrSzzNPNLEiwcrbAGbAxRZDryLPpybcwLbpJcpgtmnZAWNNPItvxoTWFFSHrmuELCC', 'oPREKFgmUiIWDBiGEWMprfTkmGFiiITUHVowiljkHy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'PRfPCnTIrzBKhvLmVrdTvdG', 'owJkUJcJntJawFNfBxZBoAoThofjtabDxWysiEiNHTtwapdNuXEIEOxhBSyXt',
      TO_DATE('16-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VKofgRLIfCbwWRFitHgDExfSwwbZevGS', 'ukImiSqaLGdpylwXKyfvfmxHuIuarsIXqZFUKwGJfdTzEieWrCBOxCkSPt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'Z', 'ASScrpkyISmeX', TO_DATE('13-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'msXEsnqqr', 'cyvOjRMFvafuzLXDcPjcGQHencHsLAqdGIvJZReDLgnzxPqaxoIaxjwTcZRozvAyxARvPcrozKFmviistfmhPGKjTOiycalVg'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'BIiuLeKKdVSRLDbddgOGmIVbcNPmGWqoDNKIPjUJqsHEsPcTPKyKXTXMVJJcb',
      'eoHuxOAZsxxZTDcyoUmHeBRPNPHGhAzINGFyfsXcjLPROBvLTnGsuXQKLFEj', TO_DATE('27-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OXBpbpJaujiPTXVJBfoTppzSZeFDSdYsUTZAFxrQbMvnlgvMtZsGvIVvKQUMjnTIgsiUlNVrRgElwYMIROFpwpBANiPsfNEjM',
      'yrkPusUUyHUDMCJvMbyihRtRMOdWhqxDwtSO'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'KjXvTjcloseccBqImCohmKHVvltzkLiUKwHPzRUICCERVVjPYFEDpjYLBkusCKXrZVnoeuwybsftDAdDvMvkRMxurZ',
      'qXtJnyNfJtddWlHUKteRJSddITmamRODQkbjDBsBtIjKoJRbIxOLmxehJvvxvfYOTeV', TO_DATE('20-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'OsBetXwcarChEPLjxSEcqUrUzVgBRTpxjUKeRGrtCiuGdyxqblbfcCjKXYLOPDgqaqktHRrDUlFieJgEXXNFOdvpU',
      'dxFKZCbBjdWEeNgHdQhQtmliuwWalCYKkuJLIhDBFidqhxdWjJXojapdtLAbOMRsAvMy'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ob', 'lDgWHnDFBSsBjKrEMMhLeeKAozS', TO_DATE('05-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'wckoyawnxVRshcDTqsbKCxWysEmWsaIBmUKLEsGFcrJSsFraiLCTFktgrTkMbkBKVqkgTLrRThtMZQlUkpbhPFrgegKMyMNfxi',
      'ZjugjxdEtnthQUQlbdfTaikicnIsgKevEWdEaocKscTQKHXakdtMlGpUEUyyxwYGrkZqgvLfrTEuMZcHnfmaI'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CIKXbdUSRuMwtjBWShBQldAUFWOpuDnDleWPYzPBfkT',
      'RfqYlkLKbJiHzHaRuorLWOgfBocXnkyIQZSEkUEmcEOsXSQLUhKvxnnRMhKZZJE', TO_DATE('09-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'VEQkxQKuWKtauh', 'TSvUEzZbApQxeYJrsStIZRqSpLQQGBgzTv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'oZiFHLNMPUnHJpUeMKGiSWfXHzPZQAIaXMnsTWgDJGgKQpOPXwXXAXtHhVSwsK',
      'hRhrBlIOhDYJglHpxGAXXbSEXxwjlTZUAdEKhExjgYcthdoXUWAucYuBNaXOdAnekyIlwfIZ', TO_DATE('12-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cpdYuovfVG', 'mnJVkGXMQrOorSC'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'memlzBhJbblqkKAyrTSDBhMuFTplLjnbBPFWclqeBgNlaSmIpBZOGjAWnKWxKInfowemsYwMqeYUsxuokpVv',
      'kfrcjxwFtCNZVtNxpHTkzmo', TO_DATE('22-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'fvBDMdixRWMZlV', 'NaLHwgPwAcWsnphzibuIpPoZPpDVmeJbtWTvNCeaWCoJzYFVZQxLBwGcAyTqcYEGQRIxsCwrjasSnSbnADtuHwqEsQpPB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'CZDwLGLPjtYwIvfMGeQRIuwYBoGcnRCfpFGAUIdaWhKvOtObnOTqFoOvUO',
      'B', TO_DATE('13-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Jzjikoho', 'zAavtGQRohigQjysPpYfDZWghitqUWhUwemflwDWYWjFRYiHcBEauSUFLdSbrSwslLesZhmGshfoBf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'robygzXIWSoPrzEpoBIlLkcNpAQHYveKqJJHSOWPNpsaCXMvNXoJSHgFzsUAoSfNwrooVfqPpXwAaLIYVxLNzlbgPBFynP',
      'IzLsoNoWHDqyAezop', TO_DATE('21-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'erGHDAGtg', 'KSARt'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FrrqdEZcgQvqKINffcriosAjLFUggnGWEKRxTuKXEpEKXdvB',
      'VpxyEGxoKwEblfCaSnMJEyPThxgVyIrgkaVCvvrCBtWBXKKwHYdoeJyegUaaHS', TO_DATE('09-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LTPCJOMCvSJJzSZrhwUYaIIsOkrnqNANSkRrwFHEIbYVwSkNfTaduDRp', 'RULdFakLSviOHlJdjckLdgbOHcpWPmLVeCtHFoydAOfrgnVUxDIxWYSMqnagJOlQTVUFrHsrIKgyzF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'JeHSigfIIEEFUVaOzdUEgKQEUBCD', 'nYrLbpRwSLKLwsqfMWdFkCsiOeDztlzSwffVxxGfdhzBKZJjWeodkWvCCeWJotocTKRAHPmzPXGGZiTyumqokcoxFT',
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'npDICLXYtZxityXqpQSNEpfvVDRGmTYfSzxuFetTOfRJSuyCRHUCRFyNpKzCTXXuahpLEwCDitjwVyAHYaZVc',
      'bvJkMB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DyWZDIhifjRppcuFkOFWVsmzCzqOEdloAUBFSeRXqPktrWVegqNQCgcNQWIUnxCMCKbBTAGAstSdyeODnNroJUMFubETCYwXVjL',
      'DDMGuccSOnKEGUFRueopnvBGNCEXGYijKHKnRGTiCV', TO_DATE('05-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'CulLgoFaHemUZntmPQcFEemZYxkICdYMjOHcHMFPSZfNiGLeFXEbLGGhJoQMMo', 'brMrBQnSITq'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kTpGAFppJCHqXnMHBYMPYQixaUIYiaWuydwygLWfNKBRLLKAGfXrZB',
      'OqwrXuVVQRcjk', TO_DATE('10-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'tgMraaBjOwshfJCnQIEKqOSultmjLINwKaizYWoVdxEPOspFoMTQpWFcQkcT', 'lM'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'SUZSVNtEKPqmcpfIh', 'ZawS', TO_DATE('27-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qdzxWtmcVhuZmomsrUzkqOwfOxadubEAiHssMQwQvVnobcGkiFNmQB', 'PXUDBFUDLFpxEcNSYKEJaONggA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ZYAzsMMpxdXqptSFdjXQvSmCUPcdiZQkokiMdtqjrKeyHOPR',
      'JsBa', TO_DATE('13-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'crawllbLwVSTmplKVGqnoALTZPJNjenETrXyboncLxUJwQRfBDwLHDcIaoopDsxDepaByHdcuFn',
      'uzRzxvJu'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'zeXhzPnNhSvBsEGrvEaxEdGYGDOmhChcjKpTzDnUhbXzyLsiHqstyuhHJoLZxeZoCKwBrLlIQrCMcLqGVFxcbSztinAUxacMABTF',
      'UUNzlp', TO_DATE('28-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qSKumemNDWPkyJAzTduWKChBVjOZLZyjRWOHLWXBSLbTWjhjrHdIVuMBHdNAkVIfugHuIvjxnatO',
      'mdydkorZCZKLAtVZgrNlzAXPDuBeREIADZMCuGvvwdlKfUVpJJEwOnfAKpKleOAaxqBPAQmZmYKzwnuF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hmXOGDYwelxKnQGJeFNrMzwIjIQrcuxmxpzeLEyvjTThXskACUBJzXoIWzZqTsvzPKawuEIrfCnBwcHzmZLdDEWdIDvGjp',
      'VecpxrUPsQOwkrrEsLYHfMNCexhoAYKeXcUa', TO_DATE('24-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'uJRQwQMQyWKusCGuReyHgstZwgEICQARBFfZVpopDtegIQVuwWYwRFJ', 'NXoSHhCXACCcPwnbNfyEaCYnTxHjeRGQxDFewvgPMtwVDJXENxSPuXeGnaIoteuLDPpMAlfahcVlZA'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nMzXYqJhNNaGkIcXKcpcdukRAkozqkqubpjpIruvLaGBVCadzXGidfAHmUsTeYzOBlVqyQzvIqydRsfhWbSbbEzlysoxpf',
      'ZWzEfDNCqOjIUfgqLdMNySjthSpZzFnIdefoxueCusjTJmuHaesihYPpkxAq', TO_DATE('09-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'SDmnEfwFCJMtEQPdsugHYaCHBW', 'whgAWGKaPAQnvmXZDqSvQDMlfcNsYTcFLNdVqIJHFAtwClLLvQHvUxqGUlSSqHLZgPZXywFWJVoxxEPHBROJAgmjUGpUqrodIS'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DuYdfXpNZWUDY', 'eZXmpBelLeIZZqyrjpCOoXBMBYNmRiiRfBmAqBFGTSoeyjAClEPbinoDtnXyRemDwlIsupbZUojE',
      TO_DATE('03-12-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'LrUzPdQHdJWzouGIzhekUzapLhIPmXzKdttKrhoxpxryEYavgu', 'qxGaoJnsScoNdyBbeVnaGrfXPSejCXyFplCloEPiSxToTtxMBBWWAxxQErExvOceGDWDvZrBbNMCd'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'IOkfEyyhMjOphmPIpoyHHWWorSAkQRLUelQ', 'EuqdrrbbW',
      TO_DATE('03-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kbJlgcEGLcfkAouzY', 'CBjkSBqrUpdHSPbaywpzGiFDmOyVIc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'VKgdHPmFfbMIVGRUJlhNXjCWhvopkxAuBaONoHNAmQwqOGymAkHwRjmGsdbFZgtAexbxUcsExiCiuko',
      'fPplRuvZuZLoFKkJvpdxJDyoCPucMypaNuhGDRlaeVzJSMDrNnSCtXSGsEbjpRMiByjmgscOOtEYDnqWQRuvif',
      TO_DATE('30-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'UtIFovluSSsRXadKBcgBMmrnEVoGuvLoHtqFKlcKaVtegTyZHXEsJVCZGEj', 'HSUQaxgwXKpNzzaMTBeeSOdECfMfCBltWEvKpXZwTsnErjyhWIGTfhxyDiBUGiDGggfyuvBmgFZpPjuLroY'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qhsUsUgacntZhuGrhpgEnvwEQGKbVYtmbyuqXrmloqhJoKGAcBdXZZUvjUDlpOFzWnwpwjjOXoDDeTSVejPz',
      'bzTIhIccRoYJovqzfNozvYbHHreLvjdeHkLsoSCqLzqXTCgeZrjUeeZVDmcEhuTMtc', TO_DATE('30-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'MwqFsqjcpAFUmUzatWDHkolThRJKDEuZWzXOHZpEkiDUNujMZhVpZocOxRRYJAVvXRqOYl', 'kgsYOSmhfqkBafbHtaYQkceBagwappCEFplUamsayxtreoJvytarvjFrRlFDQAkvIppDSbOZlRHrps'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'qXdsTnfBFPoPcksGEzWCgmhRmITwdXQdLmEBmIDdaxSNrkfsGKKKjJDNVMOijnHuwMU',
      'jipRxZcVFUFPCtJrNNnJQqngVjpZGOdZHWQI', TO_DATE('28-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'WlkhGJEMEcotzlSAxXPwtwbhUaAeh', 'KlhSjNKfMnSnPcgnKVeQkJpXbPCLFZPYeaqkRcPCTUHWKHuVLRnhmDkkClSjKE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'ibGofWIKsUaXqOmOnKCdlrQLSTuFQLmtKIwsFzvdPaGieVcKeXVSaAWSdFnFByxeWIaU',
      'nbKBFifjAVbUJOEhnOYfoSwsiczKErGhFYKdVUgSXneZQmNNrGryTdOaGInyyAoRIsjLZmtAYjyH',
      TO_DATE('07-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DMFtgOpusXoIaIeN', 'jiXYDXAPFrIlaViDVVGygKkGRaHuZebkwB'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'AhHvqDaQKwODvcqfVtzQVlFAxDAyHEzGbyFbiZJFddlWomEzYHEPqInaWMgqmN',
      'TbaBKVDRYsoUIjKVdMbKdhMJUCglhPvPjJdpIBAiv', TO_DATE('07-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'gRGAGGmASUrrsnucMzDZcQSBCVfTiYKGrosEfgnNCl', 'QFGVEbOqBeSzlQdoyoJEf'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'dyeXkZMulqcuMjVKjqYyQwFFklzNyBkqmnzsMiGfPaLiGGUhyyT',
      'DfZtaRXqWAEtEqEOMgbhSPzMjFAWzJAC', TO_DATE('18-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xaDpnDLOuiTsqduFafUSintuJVQWhfkOTBzRSKymTUeLypXAyrhxqLlcGtscoRVirMPYxLAWBNMqRNMgWYdMZruG',
      'kjPJWYLPHAvfvDcpaObymIVrKDYginyRfSFWiKGJsXBRGnzvIZKBqqIEhDFGJCTgvOEZVL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'yLhIfIYWkrakTNHkJxZWPWdIUGmTiatrAKoSr', 'OdCuOAnlPMynmWhzzCKwFGwNJiqekPwKzquHTNAcuREJXuxFAYPGxmOxnHBNzbIgibeipVXOoLEKkjHDBCLkk',
      TO_DATE('24-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'RzAIYhwQuCPvkAucTAOjGuthQa', 'TtnlmEEJVojkNsbiLCeJqDvjBvKSwRHMETqYXtjGDyMXFRMcxTrvPjeBapcWkhTcSOALPHDHcflBEatkp'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'kLiIkwzLAUJzsTeelbQQebhMUxnzJaRDhjIbKrUbAkoNIOUG',
      'wXhNqpVhJkmuAgVVaLjZvQUqELugdCaYDXUwYAfoziPJnVPJLKvLINQyzlyKpNHkRrGenvCIvvAfcaVqczPPOMOxdcQHnXR',
      TO_DATE('28-04-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'IMqHJudHmMkhSUfosqZEPGcyzCDKFRLtZzOguDiBejcnxTduwqWvFIdCkNPhDqoXPZIdBoRBbjWTttvmW',
      'LHSXnfuGVRysHLjcStekhSyWtdtMzIWdrqgFSVWPFHwYKlxqkVMuXKNWZgIexrTAsJCVJMOQEubMVMIe'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'hRJLFUMHwILGe', 'fKfORQeVPZfHmrQaZIWOjJaIeoBozYfHPlckhLtRNpqkCY',
      TO_DATE('10-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'BDpsvQXINsBPsfztRfRgPojMYKODwWKALBXRGQKRPbBqALyGgCw', 'LdvPzhfAPkliMVRyFwkfxJoFKkgdgwPcdfCybnEgQeUbTQybxVugTBuzfoMpbiRByGGMRfVlLqZYilr'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'niwSSXQqDyBnOwxzetKDsCSEHMOmLomCZAWQzxBGMDAOiYnKSjTJmnTROxsNOePobAfMFCMIvzkXZKYFQtOTabMyyGcQsKIJUE',
      'NMlfrQVcZTtUOceGvpgFAkTxdhmHmXRHsYZXTrWvlMYeMYeYcYV', TO_DATE('09-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'PXtKRTxtnJEsBdaBygydCPFzBvvoqdoldupYNLJAYW', 'yDddJEkLwmhEBTwILwISBkOMNTVbDkSsQJTTHQ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'HaaQbiTiwYTSdrEcylLzwnVavngdkxUrwwgfhfwtGYWJbKDgLMvamqLhkxwXQsFvFEURHXbklKSZdR',
      'fseGPSQqsMRIicPlLHaGzjUhEhBEgXIoeQnnvOGgSwQbmXGOJtpfRHiwQyCQOmASyy', TO_DATE('20-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'DXzZFtIvHrIlQYREagWXlCiLgDsqbitsZYXcdEEIVxloRSMIzYNbBfZqcqlbIoLQjeJpPaOQUUmmRyTVHCTmjuBR',
      'RTQfhmxZZJgCCVBNUzxAIMyjQqDQIaeUqPaErxYgajbGQRlsLaCLEYUWQeRpQvyUfrYMcNWLKZmgc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'DvJQQgWlROWGePDEbuYjfgxfyMRCHtJuCxUNmLjOHuNEVjgDmUMiiLctatbnKSxhcqnDDzWYexLKbYYPPsiVPKjRinc',
      'NiVYoCZOcYClVSNXLcRMNqNYQQlSMYCYuLZWyIwrKXIoZNQlZJhSSwL', TO_DATE('15-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'kzyKNftCsPIZmnw', 'pMgvxCiJnUAwkVNJyVVMuOOwcMCZgRCIL'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'GBXUFURnKuEQipFEjallJTGiUlFJbroMKxJVJhmLMwqecMnKHsOTccIFOiNuFirREtQXqHtgbbCEiOfnacnqivTBXTjyoZpfrwpy',
      'cgvuGQzhoJROmCiuGzCRHHkkCFCoWuvKGHONooMw', TO_DATE('24-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'lVtKSnKGqHkdKdmkvfgjkObA', 'wbOtJMGpxtkNDRLgXGwWdcrvRPvSdbhBSibbuiMapQUipkSIROGsfljFutGrRSMbcWxrXZKOeKTReBaRcmojYLrvPZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'shFzIvhxAgWmZdtvHFweDVwjMCKxeynZCoEOOefmwIacMwsrFEfsqwNohInkAstjsvuAzvbxXEZ',
      'zqVxSHSHngHzVkvsIVJxOrqoDlDPvUOeVgGSIEiUbVdpGxMjnCcZhIoUdHmLMg', TO_DATE('02-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'FZPtrHGhGcitNtSkBKRBVpNTtxnxGBULMEJrR', 'yznaKbcYUfNPVkOQjaQLeSNabFSnIIAOmhyLDdfYMyWBMESMwyDZDYfFpxAezkiQujnVxqlceXwgRVpthlBXUG'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'akKUBqrjktGzZiPYeyrILQxqiyJzKnQUGoXboAvqYUMlkyZylycXwFRbIbsBxujrikNAdEEBeGkKRuyfOiNGfqKJydYi',
      'fhZMmJdsqZOBqmTHtjJjQqsZHghiQNbFFcgQAaSERLu', TO_DATE('19-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'xcszoFOlGaasFLleETglEJYvZhBwpmKAwdEzyzQfhXQVtadGAwMEwVkeoYdCIjhzLtiz', 'qPzrTQjAvzxbFhTstHcRRAifLJReMaklmBAQqgvE'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'WOOnNZJYmJ', 'VkfkxZlzltVsCUHLeTxUjUeOZFWIrQyEsRlrKPESfYexTBNgYzOawrMyNWPKOAWHoUaERzbSohmuwwOfXNUtIwjdysgPYkbD',
      TO_DATE('31-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'cBKBLrndFUlHTwnQQnLvmPtCNHkVPjDo', 'CciwHpmDWtPlyAPHyySKCxyOjUbuXHtnsLaUxMHogFbTidwluuTZoSUTesaZoW'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'nxRGazqFLayvceJTdMfpYLSuEcuOfUIlOFRsaHcHzllOFXfMvoUrAKfUWOPmNjcwiXsTTqsrypkyfjiUhtHykux',
      'bbklNekdjPAYMAeGqAyvqyUSrDlLArlQhOItsrUyGLCMEHdJwZqVQgAxdgjPhhVuGAiHFVnKoXsNVSnnahaGZISheWWpPkPyi',
      TO_DATE('25-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'qkvOynFhmrNzmffddnBGSedrQLgBeUodzYFsxFYgPOwzkHziOpzAWo', 'lonHpKxaUdBWrQHcARtOHjAoLTlkvgBGHSFFlOrdtkTdKnxCqAxmXRzrm'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eDQbNFdLuywNGHoEMBPtBXVdcBEojWppYQYLVMuDFjhRRSzSBCLZxvWyAwluWqVkRqQgUruFeOPrNMdLBuwSHZkebBIeUiVWKVYn',
      'gXQXrSLEOfCbfBkXlWhvdmPZocJiFJOpSduHLcsGmKEfthdVGubSJPMlJWdqrCd', TO_DATE('10-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'YVGNdNdKZuteavhAPMPmqGOnrsFbQbYMmUwscwEhLTyaRPlbwxqjGpHRUs', 'PuqWYKtbJhv'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'fhYAksfgMNZWjxlABjReHRUhhxUJrGfUtxjGVcgNmwQBiwQvnNMWDuGKAamxJkXVYrRLPKhPUjWZBuhAlrRRyQE',
      'mxtYuBJJHBzWsHCwCyNKkgyXBGpbrddIkqrYcsJspkG', TO_DATE('10-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'eJuIshtfbccKIWAqxECIOqFGOolOOWKIHoFawOgycJtv', 'zOFGLiJJetPJqCuaVfsFUFfZlPDoqNKEMVTfqcpYmdoHGwayWtcBUHUalCnQWZPQfUEyJcxphXeuKYzxWlazkOzvntKnKsrxF'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'lNAVZBqZoNdnIuukKRHADRbMelyZqEQYtdUyiQummMTJSEcaYIpHRDjcxMckLJAJEtUEdYkkdXnbDmNnpaNxskIoQSBkTfRcTStV',
      'hlwgNpQZpgxcGjuHYrvbXtMZxznfhSFvpjFVsQZZFQnpwVfZqDaDMuDghySf', TO_DATE('28-05-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'yxuOzhOhSAFJHxxvFUZISmZWXyTmEfIujYkidelWvxABKtmowLowGfWAeWDmHefmGgaruNHzTSaAcdedgZvST',
      'CXurnMbGJLTuzpBNFZ'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'smvUzHpVsJLLrxjgZyaTrmXeXVlYbkdWwKhjR', 'IHHR',
      TO_DATE('28-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'vleRVsTUqdlMTmuGGLiKEWMVaxURsiydrHYdaGuzJcdFsbpZIu', 'SWsxbEwcMUCuLEQtsrLCdKjJQXBIuynEc'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'FhYOBtErBmmfbDCSUtlZcVumdirVMlJGQfCKYKBzhbcHxXkNqaplYiuSQxTUONTAADKAWfZuMiYDISsCELxuYpzJfNEY',
      'HjMEYKrnDaHoyZsJyykeWAsSTDBZsuFUOydMMnugADnctVcKhwnnSaNNuCJhyxQAkWAmrFGaNxWnUqW',
      TO_DATE('17-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'XlQbkBUmoEriSaPKSXEOCRocMIfbwrPvyVmqMucRzOiNzvaJVKDRKWRdvHjgOPElKLgbnLIhcxeARMkf',
      'qfOU'
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_TIPUS_PROCES;

  INSERT INTO GVM_ADM.GVM_PROCES (
      ID_PROCES, NOM_PROCES, DESC_PROCES_CAT, DATA_ALTA, FK_USUARI_ALTA, FK_TIPUS_PROCES,
      DESC_PROCES_CAST, DESC_PROCES_ANG
  ) VALUES (
      GVM_ADM.GVM_PROCES_SEQ.NextVal, 'eIqhfduKnuUwZTrXfTr', 'nIdmVfpH', TO_DATE('22-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKTIPUSPROCES,
      'Elw', 'xnRIVNyxlUsGFo'
  );

END;
/

COMMIT;
/



