/************************************************************
** Table: GVM_ADM.GVM_VULNERABILITATS
** Number of Records: 1000
************************************************************/

DECLARE
  v_FKESTATVULNERABILITAT GVM_TIPUS_VULNERABILITAT.ID_TIPUS_VULNERABILITAT%TYPE;
  v_FKNIVELLCRITICITAT GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE;
  v_FKUSUARIALTA GVM_USUARIS.ID_USUARI%TYPE;
  v_FKPROCESORIGEN GVM_ADM.GVM_PROCES.ID_PROCES%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_TIPUS_VULNERAB IS
  BEGIN
    SELECT ID_TIPUS_VULNERABILITAT
      INTO v_FKESTATVULNERABILITAT
    FROM (
      SELECT ID_TIPUS_VULNERABILITAT
      FROM GVM_ADM.GVM_TIPUS_VULNERABILITAT SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_TIPUS_VULNERABILITAT
        INTO v_FKESTATVULNERABILITAT
      FROM (
        SELECT ID_TIPUS_VULNERABILITAT
        FROM GVM_ADM.GVM_TIPUS_VULNERABILITAT
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_TIPUS_VULNERAB;

  PROCEDURE PRC_GVM_ADM_GVM_TIPUS_CRITICIT IS
  BEGIN
    SELECT ID_TIPUS_CRITICITAT
      INTO v_FKNIVELLCRITICITAT
    FROM (
      SELECT ID_TIPUS_CRITICITAT
      FROM GVM_ADM.GVM_TIPUS_CRITICITAT SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_TIPUS_CRITICITAT
        INTO v_FKNIVELLCRITICITAT
      FROM (
        SELECT ID_TIPUS_CRITICITAT
        FROM GVM_ADM.GVM_TIPUS_CRITICITAT
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_TIPUS_CRITICIT;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT 1
      INTO v_FKUSUARIALTA
    FROM DUAL;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
    SELECT 1
      INTO v_FKUSUARIALTA
    FROM DUAL;
  END PRC_GVM_ADM_GVM_USUARIS;


  PROCEDURE PRC_GVM_ADM_GVM_PROCES IS
  BEGIN
    SELECT ID_PROCES
      INTO v_FKPROCESORIGEN
    FROM (
      SELECT ID_PROCES
      FROM GVM_ADM.GVM_PROCES SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_PROCES
        INTO v_FKPROCESORIGEN
      FROM (
        SELECT ID_PROCES
        FROM GVM_ADM.GVM_PROCES
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_PROCES;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-11-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-09-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-03-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-05-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('18-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-10-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('21-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('02-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-03-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-12-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-12-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-02-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('31-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-07-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('30-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('19-03-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('11-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('22-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('15-07-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('16-05-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('06-12-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('20-01-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('17-01-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('28-01-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('01-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('14-02-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('24-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-05-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('25-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('23-09-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('09-04-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('10-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('12-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('08-06-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('29-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('13-07-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('04-06-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('05-08-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('07-10-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('03-08-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('27-04-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

  PRC_GVM_ADM_GVM_TIPUS_VULNERAB;
  PRC_GVM_ADM_GVM_TIPUS_CRITICIT;
  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_PROCES;

  INSERT INTO GVM_ADM.GVM_VULNERABILITATS (
      ID_VULNERABILITAT, FK_ESTAT_VULNERABILITAT, FK_NIVELL_CRITICITAT, DATA_ALTA,
      FK_USUARI_ALTA, FK_PROCES_ORIGEN
  ) VALUES (
      GVM_ADM.GVM_VULNERABILITATS_SEQ.NextVal,
      v_FKESTATVULNERABILITAT,
      v_FKNIVELLCRITICITAT,
      TO_DATE('26-04-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA,
      v_FKPROCESORIGEN
  );

END;
/

COMMIT;
/



