Prompt drop Package DML_GVM_VULNERABILITATS;
DROP PACKAGE GVM_ADM.DML_GVM_VULNERABILITATS
/

Prompt Package DML_GVM_VULNERABILITATS;
--
-- DML_GVM_VULNERABILITATS  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_VULNERABILITATS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_VULNERABILITATS IS

  PROCEDURE INS_GVM_VULNERABILITATS
    (
     in_ID_VULNERABILITAT       IN GVM_ADM.GVM_VULNERABILITATS.ID_VULNERABILITAT%TYPE
    ,in_FK_ESTAT_VULNERABILITAT IN GVM_ADM.GVM_VULNERABILITATS.FK_ESTAT_VULNERABILITAT%TYPE
    ,in_FK_NIVELL_CRITICITAT    IN GVM_ADM.GVM_VULNERABILITATS.FK_NIVELL_CRITICITAT%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_VULNERABILITATS.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_VULNERABILITATS.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_VULNERABILITATS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_BAIXA%TYPE
    ,in_FK_PROCES_ORIGEN        IN GVM_ADM.GVM_VULNERABILITATS.FK_PROCES_ORIGEN%TYPE
    ,in_ORIGEN                  IN GVM_ADM.GVM_VULNERABILITATS.ORIGEN%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_VULNERABILITATS
    (
     in_ID_VULNERABILITAT       IN GVM_ADM.GVM_VULNERABILITATS.ID_VULNERABILITAT%TYPE
    ,in_FK_ESTAT_VULNERABILITAT IN GVM_ADM.GVM_VULNERABILITATS.FK_ESTAT_VULNERABILITAT%TYPE
    ,in_FK_NIVELL_CRITICITAT    IN GVM_ADM.GVM_VULNERABILITATS.FK_NIVELL_CRITICITAT%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_VULNERABILITATS.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_VULNERABILITATS.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_VULNERABILITATS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_BAIXA%TYPE
    ,in_FK_PROCES_ORIGEN        IN GVM_ADM.GVM_VULNERABILITATS.FK_PROCES_ORIGEN%TYPE
    ,in_ORIGEN                  IN GVM_ADM.GVM_VULNERABILITATS.ORIGEN%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_VULNERABILITATS
    (
     in_ID_VULNERABILITAT       IN GVM_ADM.GVM_VULNERABILITATS.ID_VULNERABILITAT%TYPE
    ,in_FK_ESTAT_VULNERABILITAT IN GVM_ADM.GVM_VULNERABILITATS.FK_ESTAT_VULNERABILITAT%TYPE
    ,in_FK_NIVELL_CRITICITAT    IN GVM_ADM.GVM_VULNERABILITATS.FK_NIVELL_CRITICITAT%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_VULNERABILITATS.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_VULNERABILITATS.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_VULNERABILITATS.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_BAIXA%TYPE
    ,in_FK_PROCES_ORIGEN        IN GVM_ADM.GVM_VULNERABILITATS.FK_PROCES_ORIGEN%TYPE
    ,in_ORIGEN                  IN GVM_ADM.GVM_VULNERABILITATS.ORIGEN%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_VULNERABILITATS
    (
     in_ID_VULNERABILITAT       IN GVM_ADM.GVM_VULNERABILITATS.ID_VULNERABILITAT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_VULNERABILITATS;
/
SHOW ERRORS;