Prompt drop TABLE GVM_VULNERABILITATS;
DROP TABLE GVM_ADM.GVM_VULNERABILITATS CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_VULNERABILITATS;
--
-- GVM_VULNERABILITATS  (Table) 
--
--  Dependencies: 
--   GVM_TIPUS_VULNERABILITAT (Table)
--   GVM_TIPUS_CRITICITAT (Table)
--
--   Row Count: 1001
CREATE TABLE GVM_ADM.GVM_VULNERABILITATS
(
  ID_VULNERABILITAT        NUMBER               NOT NULL,
  FK_ESTAT_VULNERABILITAT  NUMBER               NOT NULL,
  FK_NIVELL_CRITICITAT     NUMBER               NOT NULL,
  DATA_ALTA                DATE                 NOT NULL,
  FK_USUARI_ALTA           NUMBER               NOT NULL,
  DATA_MODIFICACIO         DATE,
  FK_USUARI_MODIFICACIO    NUMBER,
  DATA_BAIXA               DATE,
  FK_USUARI_BAIXA          NUMBER,
  FK_PROCES_ORIGEN         NUMBER               NOT NULL,
  ORIGEN                   NUMBER               NOT NULL
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/

COMMENT ON TABLE GVM_ADM.GVM_VULNERABILITATS IS 'identificador vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.ID_VULNERABILITAT IS 'identificador vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_ESTAT_VULNERABILITAT IS 'estat de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_NIVELL_CRITICITAT IS 'nivell de criticitat de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.DATA_ALTA IS 'data alta de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_ALTA IS 'usuari d''alta de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.DATA_MODIFICACIO IS 'data modificaci de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_MODIFICACIO IS 'usuari modificaci de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.DATA_BAIXA IS 'data baixa de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_USUARI_BAIXA IS 'usuari baixa de la vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.FK_PROCES_ORIGEN IS 'identificador procs origen vulnerabilitat'
/

COMMENT ON COLUMN GVM_ADM.GVM_VULNERABILITATS.ORIGEN IS '0 inter, 1 auditoria'
/